
### 项目概要
该项目为  思维定制基础API标准 

接口文档https://console-docs.apipost.cn/preview/ec5add2de84f3f15/7f7e45104ec643f0

技术说明 https://docs.qq.com/doc/DVUxlS1FrWVJYcmtG 

```

## 技术架构

* PHP >8.0.0
* MySQL >5.6.0
* Nginx >1.12.0
* Laravel 8.x (8.0)
* PHP扩展安装fileinfo, redis, 删除禁用函数 putenv,proc_open
##安装
1. git clone 到本地
2. 执行 composer install (导入sql创建好数据库)
3. 配置 .env 中数据库连接信息,没有.env请复制.env.example命名为.env
4. 执行 php artisan key:generate
执行 php artisan migrate (可忽略)
执行 php artisan db:seed (可忽略)

## Dcat-Admin 资源发布
```
$ php artisan admin:publish
$ php artisan admin:install
```


## 创建 JWT secret
```
$ php artisan jwt:secret

```

## 安装第三方组件

>注意：可以自定义 [`composer`](https://mirrors.aliyun.com/composer/) 镜像，加快拉取速度

```
composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/

```

## 短信
$result = SmsService::send($request->mobile, $request->event, [], $user);
## 邮箱
1. Mail::raw($notice, function ($message) use ($email) {
2. $message->subject(trans('api.MAILBOX_VALIDATION_NOTIFICATION'));
    $message->to($email);
3. 邮箱配置
   MAIL_MAILER=smtp
   MAIL_HOST=ssl://smtp.163.com
   MAIL_PORT=465
   MAIL_USERNAME=youxiang@163.com
   MAIL_PASSWORD=VIBTDHQAYLKJYIGC
   MAIL_ENCRYPTION=
   MAIL_FROM_ADDRESS=youxiang@163.com
   MAIL_FROM_NAME="${APP_NAME}"
});
## 文件上传
$api->post('attachment/upload', ['uses' => 'AttachmentController@upload',]);

### 创建目录

> 注意：git clone 从仓库拉取的代码，可能会存在 storage 目录缺失的问题，需要手动创建

```
$ mkdir -p storage/{app,debugbar,framework,logs}
$ mkdir -p storage/framework/{cache,sessions,testing,views}

```

```
$ chmod -R 777 storage bootstrap/cache
```

## 创建 storage 到 public 的软链接

> 注意：如果是 Docker 环境，此步骤必须在容器内执行

```
$ php artisan storage:link
```

### 数据迁移

> 注意：如果是 Docker 环境，此步骤必须在容器内执行
> 注意：原始SQL 迁移文件不在本项目

```
$ php artisan migrate
```

## 其它第三方包 PHP 扩展包视频教程 https://learnku.com/courses/laravel-package/2019

# Dcat-admin-packages 开源扩展包列表

- [changzhong/extension-iframe-tabs](https://github.com/changzhong/extension-iframe-tabs) dcat-admin iframe多窗口扩展
- [celaraze/mellita](https://github.com/IronnMan/mellita) Mellita 可以使任何 Laravel 应用具备 SaaS 能力，只需要简单的 composer 安装以及极其少量的改动。无论你是打算使用 Laravel 项目开发新项目，还是将已经付出努力的项目转化为 SaaS 架构，都可以轻松实现。
- [deatil/dcat-login-captcha](https://github.com/deatil/dcat-login-captcha) Dcat-admin 登陆验证码
- [guanguans/dcat-login-captcha](https://github.com/guanguans/dcat-login-captcha) Dcat-admin 登录验证码
- [deatil/dcat-form-media](https://github.com/deatil/dcat-form-media) Dcat-admin 表单媒体拓展
- [jqhph/dcat-admin-ueditor](https://github.com/jqhph/dcat-admin-ueditor) Ueditor是一个Dcat Admin的扩展包，集成百度在线编辑器，支持附件上传等功能。
- [celaraze/dcat-extension-plus](https://github.com/celaraze/dcat-extension-plus) 为 DcatAdmin 后台添加增强配置的功能。修改过程利用 DcatAdmin 自带的 admin_setting() 方法实现，不会硬编码修改任何 config 文件或者 .env 文件。
- [super-eggs/dcat-distpicker](https://github.com/super-eggs/dcat-distpicker) Distpicker是一个中国省市区三级联动选择组件，这个包是基于 Distpicker 的 dcat-admin 扩展，用来将 Distpicker 集成进 dcat-admin的表单中。
- [lty5240/dcat-easy-sku](https://github.com/lty5240/dcat-easy-sku) 基于Dcat Admin的Sku插件
- [Abbotton/dcat-admin-setting-extension](https://github.com/Abbotton/dcat-admin-setting-extension) Dcat Admin系统配置插件
- [dcat-admin/form-step](https://github.com/dcat-admin/form-step) Dcat Admin 分步表单扩展
- [mosiboom/dcat-iframe-tab](https://github.com/mosiboom/dcat-iframe-tab) 这个扩展包基于laravel框架和dcat-admin框架，为解决dcat-admin没有自带兼容iframe架构。使用此扩展包可以构建出一个iframe架构并带有标签页管理的后台框架。
- [tanmotop/dcat-admin-permission-plus](https://github.com/tanmotop/dcat-admin-permission-plus) dcat-admin extension permission-plus
- [ArrowJustDoIt/dcat-admin-crontab-extension](https://github.com/ArrowJustDoIt/dcat-admin-crontab-extension) Crontab是一个dcat-admin后台的定时任务扩展插件,你可以通过此插件定时执行shell、sql以及访问指定链接
- [Lichmaker/ladder-admin](https://github.com/Lichmaker/ladder-admin) 基于dcat-admin编写的v2ray管理后台
- [dcat-admin/operation-log](https://github.com/dcat-admin/operation-log) Dcat Admin 操作日志扩展
- [Sparkinzy/dcat-kindeditor](https://github.com/Sparkinzy/dcat-kindeditor) dcat-admin扩展kindeditor5.0.1
- [asundust/dcat-auth-captcha](https://github.com/asundust/dcat-auth-captcha) dcat-admin登陆 滑动验证插件 多平台支持
- [jyiL/log-viewer](https://github.com/jyiL/log-viewer) 错误日志查看
- [nealwon/dcat-admin-echarts](https://github.com/nealwon/dcat-admin-echarts) dcat admin echarts extension
- [nivin-studio/dcat-ext-taskscheduling](https://github.com/nivin-studio/dcat-ext-taskscheduling) 一个Dcat Admin的定时任务可视化管理的插件
- [Death-Satan/dcat-env](https://github.com/Death-Satan/dcat-env) Dcat Admin Extension edit env file
- [puzzle9/dact-admin-wang-editor](https://github.com/puzzle9/dact-admin-wang-editor) Dcat Admin扩展 - WangEditor
- [dairidong/dcat-media-manager](https://github.com/dairidong/dcat-media-manager) Dcat Admin的文件管理扩展（源于 Laravel Admin 的相同扩展）
- [TyrantG/dcat-admin-braft-editor](https://github.com/TyrantG/dcat-admin-braft-editor) Dcat Admin扩展 - Braft Editor编辑器
- [dcat-phper/dcat-extension-gallery](https://gitee.com/dcat-phper/dcat-extension-gallery) dcat-admin 预览图片扩展，支持多图，放大、缩小、旋转等
- [slowlyo/dcat-amis](https://gitee.com/slowlyo/dcat-amis) Dcat Admin 的 amis组件扩展, 可以在 dcat 中轻松使用 amis 组件, 让你开发自定义页面变得更简单
- [sparkinzy/dcat-distpicker](https://github.com/Sparkinzy/dcat-distpicker) Distpicker 是一个中国省市区三级联动选择组件
- [sparkinzy/dcat-extension-client](https://github.com/Sparkinzy/dcat-extension-client) Dcat Admin 非官方应用市场，让扩展不再难找

# Dcat-admin 应用
- [nxcrm](https://github.com/shebaoting/nxcrm) 基于laravel的客户管理系统(CRM)
- [laravel-box](https://gitee.com/dcat-phper/laravel-box) 整合laravel、dcat-admin、jwt、iseed、easy-wechat 、laravel-debugbar 等后台应用的开发包。管理后台开发所需的都在这里，省去配置步骤，开箱即用。
- [chemex](https://github.com/celaraze/chemex) 咖啡壶是一个免费、开源、高效且漂亮的运维资产管理平台。
- [Discover](https://github.com/youyingxiang/Discover) Discover 是一个基于 Dcat-admin 开发的进销存系统
- [saas-skeleton](https://github.com/Abbotton/saas-skeleton) 基于 Laravel & Dcat Admin 构建的 SAAS 后台脚手架
