/*
 Navicat Premium Data Transfer

 Source Server         : localhost_3306
 Source Server Type    : MySQL
 Source Server Version : 50726
 Source Host           : localhost:3306
 Source Schema         : golf

 Target Server Type    : MySQL
 Target Server Version : 50726
 File Encoding         : 65001

 Date: 27/07/2022 17:10:09
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for admin_extension_histories
-- ----------------------------
DROP TABLE IF EXISTS `admin_extension_histories`;
CREATE TABLE `admin_extension_histories`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` tinyint(4) NOT NULL DEFAULT 1,
  `version` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  `detail` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `admin_extension_histories_name_index`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for admin_extensions
-- ----------------------------
DROP TABLE IF EXISTS `admin_extensions`;
CREATE TABLE `admin_extensions`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `is_enabled` tinyint(4) NOT NULL DEFAULT 0,
  `options` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `admin_extensions_name_unique`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for admin_menu
-- ----------------------------
DROP TABLE IF EXISTS `admin_menu`;
CREATE TABLE `admin_menu`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `parent_id` bigint(20) NOT NULL DEFAULT 0,
  `order` int(11) NOT NULL DEFAULT 0,
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `icon` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `uri` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `extension` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `show` tinyint(4) NOT NULL DEFAULT 1,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of admin_menu
-- ----------------------------
INSERT INTO `admin_menu` VALUES (1, 0, 1, 'Index', 'feather icon-bar-chart-2', '/', '', 1, '2021-11-09 13:05:15', NULL);
INSERT INTO `admin_menu` VALUES (2, 0, 23, 'Admin', 'feather icon-settings', '', '', 1, '2021-11-09 13:05:15', '2022-02-14 15:24:43');
INSERT INTO `admin_menu` VALUES (3, 2, 24, 'Users', '', 'auth/users', '', 1, '2021-11-09 13:05:15', '2022-02-14 15:26:14');
INSERT INTO `admin_menu` VALUES (4, 2, 25, 'Roles', '', 'auth/roles', '', 0, '2021-11-09 13:05:15', '2022-02-14 15:26:20');
INSERT INTO `admin_menu` VALUES (5, 2, 26, 'Permission', NULL, 'auth/permissions', '', 0, '2021-11-09 13:05:15', '2022-02-14 15:26:06');
INSERT INTO `admin_menu` VALUES (6, 2, 27, 'Menu', NULL, 'auth/menu', '', 0, '2021-11-09 13:05:15', '2022-02-14 15:26:00');
INSERT INTO `admin_menu` VALUES (7, 2, 28, 'Extensions', NULL, 'auth/extensions', '', 0, '2021-11-09 13:05:15', '2022-02-14 15:25:49');
INSERT INTO `admin_menu` VALUES (8, 0, 16, '用户中心', 'fa-user-circle-o', 'users', '', 0, '2021-12-03 15:10:24', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (9, 0, 6, '动态管理', 'fa-commenting-o', 'feeds', '', 0, '2021-12-03 15:29:46', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (10, 0, 2, '赛事管理', 'fa-soccer-ball-o', 'games', '', 0, '2021-12-03 15:31:28', '2021-12-03 15:50:25');
INSERT INTO `admin_menu` VALUES (11, 0, 7, '运营管理', 'fa-list-alt', 'operate', '', 0, '2021-12-03 15:36:17', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (12, 0, 22, '系统配置', 'fa-gears', 'setting', '', 0, '2021-12-03 15:49:39', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (13, 11, 8, '球场管理', 'fa-university', 'courses', '', 0, '2021-12-20 15:30:14', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (14, 11, 11, '举报管理', 'fa-exclamation-circle', 'report', '', 0, '2021-12-20 15:38:39', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (16, 18, 20, '单聊列表', 'fa-comments-o', 'chat', '', 0, '2021-12-21 11:16:16', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (17, 18, 21, '群聊列表', 'fa-users', 'chat_team', '', 0, '2021-12-21 11:17:07', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (18, 0, 19, '聊天管理', 'fa-comments', NULL, '', 0, '2021-12-21 11:18:06', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (19, 11, 12, '系统头像', 'fa-picture-o', 'avatar', '', 0, '2021-12-24 17:42:51', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (20, 10, 3, '赛事列表', 'fa-soccer-ball-o', 'games', '', 0, '2021-12-28 15:13:48', '2021-12-30 09:45:35');
INSERT INTO `admin_menu` VALUES (21, 10, 4, '赛事类型', 'fa-bookmark-o', 'game_types', '', 0, '2021-12-28 15:14:54', '2021-12-30 09:45:35');
INSERT INTO `admin_menu` VALUES (22, 11, 9, '球队管理', 'fa-group', 'teams', '', 0, '2021-12-29 18:08:24', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (23, 11, 10, '球队相册', 'fa-file-photo-o', 'team_photos', '', 0, '2021-12-30 15:46:35', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (24, 11, 13, '意见反馈', 'fa-bell-o', 'feedback', '', 0, '2021-12-30 16:40:57', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (25, 11, 14, '文档内容', 'fa-file-text', 'document', '', 0, '2021-12-30 17:23:17', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (26, 10, 5, '比赛记录', 'fa-align-right', 'game_user_scores', '', 0, '2021-12-31 14:29:42', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (27, 8, 17, '用户列表', 'fa-user', 'users', '', 0, '2022-01-04 10:48:50', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (28, 8, 18, '认证管理', 'fa-address-book-o', 'user_identify', '', 0, '2022-01-04 10:50:28', '2022-02-14 15:23:24');
INSERT INTO `admin_menu` VALUES (29, 11, 15, '会员球场', 'fa-address-book', 'course_user', '', 0, '2022-01-19 17:37:44', '2022-02-14 15:23:24');

-- ----------------------------
-- Table structure for admin_permission_menu
-- ----------------------------
DROP TABLE IF EXISTS `admin_permission_menu`;
CREATE TABLE `admin_permission_menu`  (
  `permission_id` bigint(20) NOT NULL,
  `menu_id` bigint(20) NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  UNIQUE INDEX `admin_permission_menu_permission_id_menu_id_unique`(`permission_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of admin_permission_menu
-- ----------------------------
INSERT INTO `admin_permission_menu` VALUES (1, 8, '2021-12-03 15:10:24', '2021-12-03 15:10:24');
INSERT INTO `admin_permission_menu` VALUES (1, 9, '2021-12-03 15:29:46', '2021-12-03 15:29:46');
INSERT INTO `admin_permission_menu` VALUES (1, 10, '2021-12-03 15:31:28', '2021-12-03 15:31:28');
INSERT INTO `admin_permission_menu` VALUES (1, 11, '2021-12-03 15:36:18', '2021-12-03 15:36:18');
INSERT INTO `admin_permission_menu` VALUES (1, 12, '2021-12-03 15:49:39', '2021-12-03 15:49:39');
INSERT INTO `admin_permission_menu` VALUES (1, 13, '2021-12-20 15:30:15', '2021-12-20 15:30:15');
INSERT INTO `admin_permission_menu` VALUES (1, 14, '2021-12-20 15:38:39', '2021-12-20 15:38:39');
INSERT INTO `admin_permission_menu` VALUES (1, 16, '2021-12-21 11:16:16', '2021-12-21 11:16:16');
INSERT INTO `admin_permission_menu` VALUES (1, 17, '2021-12-21 11:17:08', '2021-12-21 11:17:08');
INSERT INTO `admin_permission_menu` VALUES (1, 18, '2021-12-21 11:18:06', '2021-12-21 11:18:06');
INSERT INTO `admin_permission_menu` VALUES (1, 19, '2021-12-24 17:42:51', '2021-12-24 17:42:51');
INSERT INTO `admin_permission_menu` VALUES (1, 20, '2021-12-28 15:13:48', '2021-12-28 15:13:48');
INSERT INTO `admin_permission_menu` VALUES (1, 21, '2021-12-28 15:14:55', '2021-12-28 15:14:55');
INSERT INTO `admin_permission_menu` VALUES (1, 22, '2021-12-29 18:08:24', '2021-12-29 18:08:24');
INSERT INTO `admin_permission_menu` VALUES (1, 23, '2021-12-30 15:46:35', '2021-12-30 15:46:35');
INSERT INTO `admin_permission_menu` VALUES (1, 24, '2021-12-30 16:40:57', '2021-12-30 16:40:57');
INSERT INTO `admin_permission_menu` VALUES (1, 25, '2021-12-30 17:23:17', '2021-12-30 17:23:17');
INSERT INTO `admin_permission_menu` VALUES (1, 26, '2021-12-31 14:29:42', '2021-12-31 14:29:42');
INSERT INTO `admin_permission_menu` VALUES (1, 27, '2022-01-04 10:48:51', '2022-01-04 10:48:51');
INSERT INTO `admin_permission_menu` VALUES (1, 28, '2022-01-04 10:50:28', '2022-01-04 10:50:28');
INSERT INTO `admin_permission_menu` VALUES (1, 29, '2022-01-19 17:37:44', '2022-01-19 17:37:44');
INSERT INTO `admin_permission_menu` VALUES (2, 8, '2021-12-03 15:10:24', '2021-12-03 15:10:24');
INSERT INTO `admin_permission_menu` VALUES (2, 9, '2021-12-03 15:29:46', '2021-12-03 15:29:46');
INSERT INTO `admin_permission_menu` VALUES (2, 10, '2021-12-03 15:31:28', '2021-12-03 15:31:28');
INSERT INTO `admin_permission_menu` VALUES (2, 11, '2021-12-03 15:36:18', '2021-12-03 15:36:18');
INSERT INTO `admin_permission_menu` VALUES (2, 12, '2021-12-03 15:49:39', '2021-12-03 15:49:39');
INSERT INTO `admin_permission_menu` VALUES (2, 13, '2021-12-20 15:30:15', '2021-12-20 15:30:15');
INSERT INTO `admin_permission_menu` VALUES (2, 14, '2021-12-20 15:38:39', '2021-12-20 15:38:39');
INSERT INTO `admin_permission_menu` VALUES (2, 16, '2021-12-21 11:16:16', '2021-12-21 11:16:16');
INSERT INTO `admin_permission_menu` VALUES (2, 17, '2021-12-21 11:17:08', '2021-12-21 11:17:08');
INSERT INTO `admin_permission_menu` VALUES (2, 18, '2021-12-21 11:18:06', '2021-12-21 11:18:06');
INSERT INTO `admin_permission_menu` VALUES (2, 19, '2021-12-24 17:42:51', '2021-12-24 17:42:51');
INSERT INTO `admin_permission_menu` VALUES (2, 20, '2021-12-28 15:13:48', '2021-12-28 15:13:48');
INSERT INTO `admin_permission_menu` VALUES (2, 21, '2021-12-28 15:14:55', '2021-12-28 15:14:55');
INSERT INTO `admin_permission_menu` VALUES (2, 22, '2021-12-29 18:08:24', '2021-12-29 18:08:24');
INSERT INTO `admin_permission_menu` VALUES (2, 23, '2021-12-30 15:46:35', '2021-12-30 15:46:35');
INSERT INTO `admin_permission_menu` VALUES (2, 24, '2021-12-30 16:40:57', '2021-12-30 16:40:57');
INSERT INTO `admin_permission_menu` VALUES (2, 25, '2021-12-30 17:23:17', '2021-12-30 17:23:17');
INSERT INTO `admin_permission_menu` VALUES (2, 26, '2021-12-31 14:29:42', '2021-12-31 14:29:42');
INSERT INTO `admin_permission_menu` VALUES (2, 27, '2022-01-04 10:48:51', '2022-01-04 10:48:51');
INSERT INTO `admin_permission_menu` VALUES (2, 28, '2022-01-04 10:50:28', '2022-01-04 10:50:28');
INSERT INTO `admin_permission_menu` VALUES (2, 29, '2022-01-19 17:37:44', '2022-01-19 17:37:44');
INSERT INTO `admin_permission_menu` VALUES (3, 8, '2021-12-03 15:10:24', '2021-12-03 15:10:24');
INSERT INTO `admin_permission_menu` VALUES (3, 9, '2021-12-03 15:29:47', '2021-12-03 15:29:47');
INSERT INTO `admin_permission_menu` VALUES (3, 10, '2021-12-03 15:31:28', '2021-12-03 15:31:28');
INSERT INTO `admin_permission_menu` VALUES (3, 11, '2021-12-03 15:36:18', '2021-12-03 15:36:18');
INSERT INTO `admin_permission_menu` VALUES (3, 12, '2021-12-03 15:49:39', '2021-12-03 15:49:39');
INSERT INTO `admin_permission_menu` VALUES (3, 13, '2021-12-20 15:30:15', '2021-12-20 15:30:15');
INSERT INTO `admin_permission_menu` VALUES (3, 14, '2021-12-20 15:38:39', '2021-12-20 15:38:39');
INSERT INTO `admin_permission_menu` VALUES (3, 16, '2021-12-21 11:16:16', '2021-12-21 11:16:16');
INSERT INTO `admin_permission_menu` VALUES (3, 17, '2021-12-21 11:17:08', '2021-12-21 11:17:08');
INSERT INTO `admin_permission_menu` VALUES (3, 18, '2021-12-21 11:18:06', '2021-12-21 11:18:06');
INSERT INTO `admin_permission_menu` VALUES (3, 19, '2021-12-24 17:42:51', '2021-12-24 17:42:51');
INSERT INTO `admin_permission_menu` VALUES (3, 20, '2021-12-28 15:13:48', '2021-12-28 15:13:48');
INSERT INTO `admin_permission_menu` VALUES (3, 21, '2021-12-28 15:14:55', '2021-12-28 15:14:55');
INSERT INTO `admin_permission_menu` VALUES (3, 22, '2021-12-29 18:08:24', '2021-12-29 18:08:24');
INSERT INTO `admin_permission_menu` VALUES (3, 23, '2021-12-30 15:46:35', '2021-12-30 15:46:35');
INSERT INTO `admin_permission_menu` VALUES (3, 24, '2021-12-30 16:40:57', '2021-12-30 16:40:57');
INSERT INTO `admin_permission_menu` VALUES (3, 25, '2021-12-30 17:23:17', '2021-12-30 17:23:17');
INSERT INTO `admin_permission_menu` VALUES (3, 26, '2021-12-31 14:29:42', '2021-12-31 14:29:42');
INSERT INTO `admin_permission_menu` VALUES (3, 27, '2022-01-04 10:48:51', '2022-01-04 10:48:51');
INSERT INTO `admin_permission_menu` VALUES (3, 28, '2022-01-04 10:50:29', '2022-01-04 10:50:29');
INSERT INTO `admin_permission_menu` VALUES (3, 29, '2022-01-19 17:37:44', '2022-01-19 17:37:44');
INSERT INTO `admin_permission_menu` VALUES (4, 8, '2021-12-03 15:10:25', '2021-12-03 15:10:25');
INSERT INTO `admin_permission_menu` VALUES (4, 9, '2021-12-03 15:29:47', '2021-12-03 15:29:47');
INSERT INTO `admin_permission_menu` VALUES (4, 10, '2021-12-03 15:31:28', '2021-12-03 15:31:28');
INSERT INTO `admin_permission_menu` VALUES (4, 11, '2021-12-03 15:36:18', '2021-12-03 15:36:18');
INSERT INTO `admin_permission_menu` VALUES (4, 12, '2021-12-03 15:49:39', '2021-12-03 15:49:39');
INSERT INTO `admin_permission_menu` VALUES (4, 13, '2021-12-20 15:30:15', '2021-12-20 15:30:15');
INSERT INTO `admin_permission_menu` VALUES (4, 14, '2021-12-20 15:38:39', '2021-12-20 15:38:39');
INSERT INTO `admin_permission_menu` VALUES (4, 16, '2021-12-21 11:16:16', '2021-12-21 11:16:16');
INSERT INTO `admin_permission_menu` VALUES (4, 17, '2021-12-21 11:17:08', '2021-12-21 11:17:08');
INSERT INTO `admin_permission_menu` VALUES (4, 18, '2021-12-21 11:18:06', '2021-12-21 11:18:06');
INSERT INTO `admin_permission_menu` VALUES (4, 19, '2021-12-24 17:42:51', '2021-12-24 17:42:51');
INSERT INTO `admin_permission_menu` VALUES (4, 20, '2021-12-28 15:13:48', '2021-12-28 15:13:48');
INSERT INTO `admin_permission_menu` VALUES (4, 21, '2021-12-28 15:14:55', '2021-12-28 15:14:55');
INSERT INTO `admin_permission_menu` VALUES (4, 22, '2021-12-29 18:08:24', '2021-12-29 18:08:24');
INSERT INTO `admin_permission_menu` VALUES (4, 23, '2021-12-30 15:46:35', '2021-12-30 15:46:35');
INSERT INTO `admin_permission_menu` VALUES (4, 24, '2021-12-30 16:40:57', '2021-12-30 16:40:57');
INSERT INTO `admin_permission_menu` VALUES (4, 25, '2021-12-30 17:23:17', '2021-12-30 17:23:17');
INSERT INTO `admin_permission_menu` VALUES (4, 26, '2021-12-31 14:29:42', '2021-12-31 14:29:42');
INSERT INTO `admin_permission_menu` VALUES (4, 27, '2022-01-04 10:48:51', '2022-01-04 10:48:51');
INSERT INTO `admin_permission_menu` VALUES (4, 28, '2022-01-04 10:50:29', '2022-01-04 10:50:29');
INSERT INTO `admin_permission_menu` VALUES (4, 29, '2022-01-19 17:37:44', '2022-01-19 17:37:44');
INSERT INTO `admin_permission_menu` VALUES (5, 8, '2021-12-03 15:10:25', '2021-12-03 15:10:25');
INSERT INTO `admin_permission_menu` VALUES (5, 9, '2021-12-03 15:29:47', '2021-12-03 15:29:47');
INSERT INTO `admin_permission_menu` VALUES (5, 10, '2021-12-03 15:31:28', '2021-12-03 15:31:28');
INSERT INTO `admin_permission_menu` VALUES (5, 11, '2021-12-03 15:36:18', '2021-12-03 15:36:18');
INSERT INTO `admin_permission_menu` VALUES (5, 12, '2021-12-03 15:49:39', '2021-12-03 15:49:39');
INSERT INTO `admin_permission_menu` VALUES (5, 13, '2021-12-20 15:30:15', '2021-12-20 15:30:15');
INSERT INTO `admin_permission_menu` VALUES (5, 14, '2021-12-20 15:38:39', '2021-12-20 15:38:39');
INSERT INTO `admin_permission_menu` VALUES (5, 16, '2021-12-21 11:16:17', '2021-12-21 11:16:17');
INSERT INTO `admin_permission_menu` VALUES (5, 17, '2021-12-21 11:17:08', '2021-12-21 11:17:08');
INSERT INTO `admin_permission_menu` VALUES (5, 18, '2021-12-21 11:18:07', '2021-12-21 11:18:07');
INSERT INTO `admin_permission_menu` VALUES (5, 19, '2021-12-24 17:42:51', '2021-12-24 17:42:51');
INSERT INTO `admin_permission_menu` VALUES (5, 20, '2021-12-28 15:13:48', '2021-12-28 15:13:48');
INSERT INTO `admin_permission_menu` VALUES (5, 21, '2021-12-28 15:14:55', '2021-12-28 15:14:55');
INSERT INTO `admin_permission_menu` VALUES (5, 22, '2021-12-29 18:08:24', '2021-12-29 18:08:24');
INSERT INTO `admin_permission_menu` VALUES (5, 23, '2021-12-30 15:46:35', '2021-12-30 15:46:35');
INSERT INTO `admin_permission_menu` VALUES (5, 24, '2021-12-30 16:40:57', '2021-12-30 16:40:57');
INSERT INTO `admin_permission_menu` VALUES (5, 25, '2021-12-30 17:23:17', '2021-12-30 17:23:17');
INSERT INTO `admin_permission_menu` VALUES (5, 26, '2021-12-31 14:29:42', '2021-12-31 14:29:42');
INSERT INTO `admin_permission_menu` VALUES (5, 27, '2022-01-04 10:48:51', '2022-01-04 10:48:51');
INSERT INTO `admin_permission_menu` VALUES (5, 28, '2022-01-04 10:50:29', '2022-01-04 10:50:29');
INSERT INTO `admin_permission_menu` VALUES (5, 29, '2022-01-19 17:37:44', '2022-01-19 17:37:44');
INSERT INTO `admin_permission_menu` VALUES (6, 8, '2021-12-03 15:10:25', '2021-12-03 15:10:25');
INSERT INTO `admin_permission_menu` VALUES (6, 9, '2021-12-03 15:29:47', '2021-12-03 15:29:47');
INSERT INTO `admin_permission_menu` VALUES (6, 10, '2021-12-03 15:31:28', '2021-12-03 15:31:28');
INSERT INTO `admin_permission_menu` VALUES (6, 11, '2021-12-03 15:36:18', '2021-12-03 15:36:18');
INSERT INTO `admin_permission_menu` VALUES (6, 12, '2021-12-03 15:49:40', '2021-12-03 15:49:40');
INSERT INTO `admin_permission_menu` VALUES (6, 13, '2021-12-20 15:30:15', '2021-12-20 15:30:15');
INSERT INTO `admin_permission_menu` VALUES (6, 14, '2021-12-20 15:38:39', '2021-12-20 15:38:39');
INSERT INTO `admin_permission_menu` VALUES (6, 16, '2021-12-21 11:16:17', '2021-12-21 11:16:17');
INSERT INTO `admin_permission_menu` VALUES (6, 17, '2021-12-21 11:17:08', '2021-12-21 11:17:08');
INSERT INTO `admin_permission_menu` VALUES (6, 18, '2021-12-21 11:18:07', '2021-12-21 11:18:07');
INSERT INTO `admin_permission_menu` VALUES (6, 19, '2021-12-24 17:42:51', '2021-12-24 17:42:51');
INSERT INTO `admin_permission_menu` VALUES (6, 20, '2021-12-28 15:13:48', '2021-12-28 15:13:48');
INSERT INTO `admin_permission_menu` VALUES (6, 21, '2021-12-28 15:14:55', '2021-12-28 15:14:55');
INSERT INTO `admin_permission_menu` VALUES (6, 22, '2021-12-29 18:08:24', '2021-12-29 18:08:24');
INSERT INTO `admin_permission_menu` VALUES (6, 23, '2021-12-30 15:46:36', '2021-12-30 15:46:36');
INSERT INTO `admin_permission_menu` VALUES (6, 24, '2021-12-30 16:40:57', '2021-12-30 16:40:57');
INSERT INTO `admin_permission_menu` VALUES (6, 25, '2021-12-30 17:23:17', '2021-12-30 17:23:17');
INSERT INTO `admin_permission_menu` VALUES (6, 26, '2021-12-31 14:29:42', '2021-12-31 14:29:42');
INSERT INTO `admin_permission_menu` VALUES (6, 27, '2022-01-04 10:48:51', '2022-01-04 10:48:51');
INSERT INTO `admin_permission_menu` VALUES (6, 28, '2022-01-04 10:50:29', '2022-01-04 10:50:29');
INSERT INTO `admin_permission_menu` VALUES (6, 29, '2022-01-19 17:37:45', '2022-01-19 17:37:45');

-- ----------------------------
-- Table structure for admin_permissions
-- ----------------------------
DROP TABLE IF EXISTS `admin_permissions`;
CREATE TABLE `admin_permissions`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `http_method` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `http_path` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL,
  `order` int(11) NOT NULL DEFAULT 0,
  `parent_id` bigint(20) NOT NULL DEFAULT 0,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `admin_permissions_slug_unique`(`slug`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of admin_permissions
-- ----------------------------
INSERT INTO `admin_permissions` VALUES (1, 'Auth management', 'auth-management', '', '', 1, 0, '2021-11-09 13:05:15', NULL);
INSERT INTO `admin_permissions` VALUES (2, 'Users', 'users', '', '/auth/users*', 2, 1, '2021-11-09 13:05:15', NULL);
INSERT INTO `admin_permissions` VALUES (3, 'Roles', 'roles', '', '/auth/roles*', 3, 1, '2021-11-09 13:05:15', NULL);
INSERT INTO `admin_permissions` VALUES (4, 'Permissions', 'permissions', '', '/auth/permissions*', 4, 1, '2021-11-09 13:05:15', NULL);
INSERT INTO `admin_permissions` VALUES (5, 'Menu', 'menu', '', '/auth/menu*', 5, 1, '2021-11-09 13:05:15', NULL);
INSERT INTO `admin_permissions` VALUES (6, 'Extension', 'extension', '', '/auth/extensions*', 6, 1, '2021-11-09 13:05:15', NULL);

-- ----------------------------
-- Table structure for admin_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `admin_role_menu`;
CREATE TABLE `admin_role_menu`  (
  `role_id` bigint(20) NOT NULL,
  `menu_id` bigint(20) NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  UNIQUE INDEX `admin_role_menu_role_id_menu_id_unique`(`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for admin_role_permissions
-- ----------------------------
DROP TABLE IF EXISTS `admin_role_permissions`;
CREATE TABLE `admin_role_permissions`  (
  `role_id` bigint(20) NOT NULL,
  `permission_id` bigint(20) NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  UNIQUE INDEX `admin_role_permissions_role_id_permission_id_unique`(`role_id`, `permission_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for admin_role_users
-- ----------------------------
DROP TABLE IF EXISTS `admin_role_users`;
CREATE TABLE `admin_role_users`  (
  `role_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  UNIQUE INDEX `admin_role_users_role_id_user_id_unique`(`role_id`, `user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of admin_role_users
-- ----------------------------
INSERT INTO `admin_role_users` VALUES (1, 1, '2021-11-09 13:05:15', '2021-11-09 13:05:15');

-- ----------------------------
-- Table structure for admin_roles
-- ----------------------------
DROP TABLE IF EXISTS `admin_roles`;
CREATE TABLE `admin_roles`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `admin_roles_slug_unique`(`slug`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of admin_roles
-- ----------------------------
INSERT INTO `admin_roles` VALUES (1, 'Administrator', 'administrator', '2021-11-09 13:05:15', '2021-11-09 13:05:15');

-- ----------------------------
-- Table structure for admin_settings
-- ----------------------------
DROP TABLE IF EXISTS `admin_settings`;
CREATE TABLE `admin_settings`  (
  `slug` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`slug`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for admin_users
-- ----------------------------
DROP TABLE IF EXISTS `admin_users`;
CREATE TABLE `admin_users`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `username` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `avatar` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `remember_token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `admin_users_username_unique`(`username`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of admin_users
-- ----------------------------
INSERT INTO `admin_users` VALUES (1, 'admin', '$2y$10$GhpMvCiDEbMr73SRHiJ2zeHhRkDHsQlVo6Ir52lFfuuv.lzS/0pmW', 'Administrator', NULL, '1JWqF9yS2VqZI7L3MqwjHtEgqa0sjEW0pN3DruTJk5ag6UyDBla0B8QaHuRW', '2021-11-09 13:05:15', '2022-02-24 07:31:34');

-- ----------------------------
-- Table structure for base_attachments
-- ----------------------------
DROP TABLE IF EXISTS `base_attachments`;
CREATE TABLE `base_attachments`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '附件名称',
  `md5` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'md5码',
  `path` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '附件路径',
  `url` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '附件url',
  `class` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '未分类' COMMENT '分类',
  `size` bigint(20) UNSIGNED NULL DEFAULT NULL,
  `file_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `download` bigint(20) UNSIGNED NOT NULL DEFAULT 0,
  `klass` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '关联模型',
  `objid` int(10) UNSIGNED NULL DEFAULT NULL COMMENT '关联id',
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_md5`(`md5`) USING BTREE,
  INDEX `idx_klass_objid`(`klass`, `objid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 700 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of base_attachments
-- ----------------------------
INSERT INTO `base_attachments` VALUES (1, 'default.jpg', 'eb99f745c1c93ec9632c7e600d394eb2', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/eb99f745c1c93ec9632c7e600d394eb2.jpg', '/upload/avatar/20211213/eb99f745c1c93ec9632c7e600d394eb2.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:00:38', '2021-12-13 10:00:38', NULL);
INSERT INTO `base_attachments` VALUES (2, 'default.jpg', '9a8924125ecb1af2af010c9140095fe5', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/9a8924125ecb1af2af010c9140095fe5.jpg', '/upload/avatar/20211213/9a8924125ecb1af2af010c9140095fe5.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:02:41', '2021-12-13 10:02:41', NULL);
INSERT INTO `base_attachments` VALUES (3, 'default.jpg', '71f1c13c7de9b954ae529a6c413199c9', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/71f1c13c7de9b954ae529a6c413199c9.jpg', '/upload/avatar/20211213/71f1c13c7de9b954ae529a6c413199c9.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:04:42', '2021-12-13 10:04:42', NULL);
INSERT INTO `base_attachments` VALUES (4, 'default.jpg', '1ffbb454cbf1139223c345b590cdc748', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/1ffbb454cbf1139223c345b590cdc748.jpg', '/upload/avatar/20211213/1ffbb454cbf1139223c345b590cdc748.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:11:38', '2021-12-13 10:11:38', NULL);
INSERT INTO `base_attachments` VALUES (5, 'default.jpg', 'f89d91fa95ddd1ddea6e367b9b652b4e', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/f89d91fa95ddd1ddea6e367b9b652b4e.jpg', '/upload/avatar/20211213/f89d91fa95ddd1ddea6e367b9b652b4e.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:11:59', '2021-12-13 10:11:59', NULL);
INSERT INTO `base_attachments` VALUES (6, 'default.jpg', '11f74ea3adc8b93de997125ec67b1842', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/11f74ea3adc8b93de997125ec67b1842.jpg', '/upload/avatar/20211213/11f74ea3adc8b93de997125ec67b1842.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:12:10', '2021-12-13 10:12:10', NULL);
INSERT INTO `base_attachments` VALUES (7, 'default.jpg', 'e86024b643d60761072f6c893701afe1', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/e86024b643d60761072f6c893701afe1.jpg', '/upload/avatar/20211213/e86024b643d60761072f6c893701afe1.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:15:04', '2021-12-13 10:15:04', NULL);
INSERT INTO `base_attachments` VALUES (8, 'default.jpg', 'e5d032fee6e6f3870038ad265fc2017c', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/e5d032fee6e6f3870038ad265fc2017c.jpg', '/upload/avatar/20211213/e5d032fee6e6f3870038ad265fc2017c.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:16:24', '2021-12-13 10:16:24', NULL);
INSERT INTO `base_attachments` VALUES (9, 'default.jpg', '2ad0cda0594a8648e363a865284737c5', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/2ad0cda0594a8648e363a865284737c5.jpg', '/upload/avatar/20211213/2ad0cda0594a8648e363a865284737c5.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:16:31', '2021-12-13 10:16:31', NULL);
INSERT INTO `base_attachments` VALUES (10, 'default.jpg', '9db1a6f67ce481a5fc7aaf28e9a620ef', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/9db1a6f67ce481a5fc7aaf28e9a620ef.jpg', '/upload/avatar/20211213/9db1a6f67ce481a5fc7aaf28e9a620ef.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:16:54', '2021-12-13 10:16:54', NULL);
INSERT INTO `base_attachments` VALUES (11, 'default.jpg', '2c05a29fa8e4c96e3a1ccf371a1a27c4', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/2c05a29fa8e4c96e3a1ccf371a1a27c4.jpg', '/upload/avatar/20211213/2c05a29fa8e4c96e3a1ccf371a1a27c4.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:17:36', '2021-12-13 10:17:36', NULL);
INSERT INTO `base_attachments` VALUES (12, 'default.jpg', 'db5398a7c638e6ab9c82f84a0a157fff', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/db5398a7c638e6ab9c82f84a0a157fff.jpg', '/upload/avatar/20211213/db5398a7c638e6ab9c82f84a0a157fff.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:17:48', '2021-12-13 10:17:48', NULL);
INSERT INTO `base_attachments` VALUES (13, 'default.jpg', '6f6ac0e52f2966d11fbf08f87eb29dc0', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/6f6ac0e52f2966d11fbf08f87eb29dc0.jpg', '/upload/avatar/20211213/6f6ac0e52f2966d11fbf08f87eb29dc0.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:43:55', '2021-12-13 10:43:55', NULL);
INSERT INTO `base_attachments` VALUES (14, 'default.jpg', '9b1e38dbe56801b365fb80b41d43dbee', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/9b1e38dbe56801b365fb80b41d43dbee.jpg', '/upload/avatar/20211213/9b1e38dbe56801b365fb80b41d43dbee.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:44:12', '2021-12-13 10:44:12', NULL);
INSERT INTO `base_attachments` VALUES (15, 'default.jpg', '1d89e08f02c9648ec3311446c9e15c20', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/1d89e08f02c9648ec3311446c9e15c20.jpg', '/upload/avatar/20211213/1d89e08f02c9648ec3311446c9e15c20.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:51:41', '2021-12-13 10:51:41', NULL);
INSERT INTO `base_attachments` VALUES (16, 'default.jpg', 'eb1fa9dd26d5389762c3ebba799cda97', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/eb1fa9dd26d5389762c3ebba799cda97.jpg', '/upload/avatar/20211213/eb1fa9dd26d5389762c3ebba799cda97.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:53:40', '2021-12-13 10:53:40', NULL);
INSERT INTO `base_attachments` VALUES (17, 'default.jpg', 'c7f2518bd3d42b6ab995e88929f87c98', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/c7f2518bd3d42b6ab995e88929f87c98.jpg', '/upload/avatar/20211213/c7f2518bd3d42b6ab995e88929f87c98.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:54:26', '2021-12-13 10:54:26', NULL);
INSERT INTO `base_attachments` VALUES (18, 'default.jpg', 'bd31f6fd2c2457db18fb37312dd290de', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/bd31f6fd2c2457db18fb37312dd290de.jpg', '/upload/avatar/20211213/bd31f6fd2c2457db18fb37312dd290de.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:54:29', '2021-12-13 10:54:29', NULL);
INSERT INTO `base_attachments` VALUES (19, 'default.jpg', 'e8dfa37187c7f7c37c42158cca98a323', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/e8dfa37187c7f7c37c42158cca98a323.jpg', '/upload/avatar/20211213/e8dfa37187c7f7c37c42158cca98a323.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 10:54:46', '2021-12-13 10:54:46', NULL);
INSERT INTO `base_attachments` VALUES (20, 'default.jpg', '882857283417a5593b56226c583c8317', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/882857283417a5593b56226c583c8317.jpg', '/upload/avatar/20211213/882857283417a5593b56226c583c8317.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 11:20:46', '2021-12-13 11:20:46', NULL);
INSERT INTO `base_attachments` VALUES (21, 'default.jpg', '341dfc5a9691456a47ba36fce7fb9ee5', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/341dfc5a9691456a47ba36fce7fb9ee5.jpg', '/upload/avatar/20211213/341dfc5a9691456a47ba36fce7fb9ee5.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 11:44:32', '2021-12-13 11:44:32', NULL);
INSERT INTO `base_attachments` VALUES (22, 'default.jpg', 'afdf49e22bd37d856e3b2fa8dfc62e36', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/afdf49e22bd37d856e3b2fa8dfc62e36.jpg', '/upload/avatar/20211213/afdf49e22bd37d856e3b2fa8dfc62e36.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 13:42:57', '2021-12-13 13:42:57', NULL);
INSERT INTO `base_attachments` VALUES (23, 'default.jpg', 'dcb8455ca611b2d42f1e956cb1a30858', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/dcb8455ca611b2d42f1e956cb1a30858.jpg', '/upload/avatar/20211213/dcb8455ca611b2d42f1e956cb1a30858.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 13:43:04', '2021-12-13 13:43:04', NULL);
INSERT INTO `base_attachments` VALUES (24, 'default.jpg', 'eb4075e941549ab2a4252ec4e7c393f9', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20211213/eb4075e941549ab2a4252ec4e7c393f9.jpg', '/upload/avatar/20211213/eb4075e941549ab2a4252ec4e7c393f9.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-13 13:45:17', '2021-12-13 13:45:17', NULL);
INSERT INTO `base_attachments` VALUES (25, 'I01034010.jpg', 'a32badae194da1ddd3d4a75fe9636738', '/www/wwwroot/golf/public/upload/avatar/20211216/a32badae194da1ddd3d4a75fe9636738.jpg', '/upload/avatar/20211216/a32badae194da1ddd3d4a75fe9636738.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2021-12-16 11:26:05', '2021-12-16 11:26:05', NULL);
INSERT INTO `base_attachments` VALUES (26, 'default.jpg', '9ad19131324845ef1d70188080899b52', '/www/wwwroot/golf/public/upload/avatar/20211216/9ad19131324845ef1d70188080899b52.jpg', '/upload/avatar/20211216/9ad19131324845ef1d70188080899b52.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-16 11:28:46', '2021-12-16 11:28:46', NULL);
INSERT INTO `base_attachments` VALUES (27, 'default.jpg', '991b326b268eabb6f9a6bcece63dca1d', '/www/wwwroot/golf/public/upload/avatar/20211216/991b326b268eabb6f9a6bcece63dca1d.jpg', '/upload/avatar/20211216/991b326b268eabb6f9a6bcece63dca1d.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-16 11:30:39', '2021-12-16 11:30:39', NULL);
INSERT INTO `base_attachments` VALUES (28, '1487296029496.jpg', 'd5ccbbc70c038b4a36a022cfd7b1eec5', '/www/wwwroot/golf/public/upload/avatar/20211216/d5ccbbc70c038b4a36a022cfd7b1eec5.jpg', '/upload/avatar/20211216/d5ccbbc70c038b4a36a022cfd7b1eec5.jpg', '未分类', 116372, 'image/jpeg', 0, NULL, NULL, '2021-12-16 11:49:08', '2021-12-16 11:49:08', NULL);
INSERT INTO `base_attachments` VALUES (29, 'I01034010.jpg', '87853252cdf3340c145e06c44602be74', '/www/wwwroot/golf/public/upload/avatar/20211216/87853252cdf3340c145e06c44602be74.jpg', '/upload/avatar/20211216/87853252cdf3340c145e06c44602be74.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2021-12-16 12:00:53', '2021-12-16 12:00:53', NULL);
INSERT INTO `base_attachments` VALUES (30, 'I01034010.jpg', '8a5b1a4268424836fd68f8a31ad9b637', '/www/wwwroot/golf/public/upload/avatar/20211216/8a5b1a4268424836fd68f8a31ad9b637.jpg', '/upload/avatar/20211216/8a5b1a4268424836fd68f8a31ad9b637.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2021-12-16 12:15:27', '2021-12-16 12:15:27', NULL);
INSERT INTO `base_attachments` VALUES (31, 'default.jpg', '52bb02b0749a038dd841fcf7b15e67c1', '/www/wwwroot/golf/public/upload/avatar/20211216/52bb02b0749a038dd841fcf7b15e67c1.jpg', '/upload/avatar/20211216/52bb02b0749a038dd841fcf7b15e67c1.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-16 12:31:33', '2021-12-16 12:31:33', NULL);
INSERT INTO `base_attachments` VALUES (32, 'default.jpg', '86d41fab5668a5b00e6bec54adde35d7', '/www/wwwroot/golf/public/upload/avatar/20211216/86d41fab5668a5b00e6bec54adde35d7.jpg', '/upload/avatar/20211216/86d41fab5668a5b00e6bec54adde35d7.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-16 12:31:35', '2021-12-16 12:31:35', NULL);
INSERT INTO `base_attachments` VALUES (33, 'default.jpg', '22462bd8ad8e579418248dee7957cc8d', '/www/wwwroot/golf/public/upload/avatar/20211216/22462bd8ad8e579418248dee7957cc8d.jpg', '/upload/avatar/20211216/22462bd8ad8e579418248dee7957cc8d.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2021-12-16 12:31:49', '2021-12-16 12:31:49', NULL);
INSERT INTO `base_attachments` VALUES (34, 'huge01.jpg', '2f4e8ea0a26aa75503a84c5aea7b73de', '/www/wwwroot/golf/public/upload/avatar/20211216/2f4e8ea0a26aa75503a84c5aea7b73de.jpg', '/upload/avatar/20211216/2f4e8ea0a26aa75503a84c5aea7b73de.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2021-12-16 13:41:47', '2021-12-16 13:41:47', NULL);
INSERT INTO `base_attachments` VALUES (35, 'huge01.jpg', 'cd1c81f7cf367e4cd688280fec1a2d80', '/www/wwwroot/golf/public/upload/video/20211216/cd1c81f7cf367e4cd688280fec1a2d80.jpg', '/upload/video/20211216/cd1c81f7cf367e4cd688280fec1a2d80.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2021-12-16 13:41:55', '2021-12-16 13:41:55', NULL);
INSERT INTO `base_attachments` VALUES (36, 'huge01.jpg', '02ad68813d03a1ad0100fea41b020226', '/www/wwwroot/golf/public/upload/files/20211216/02ad68813d03a1ad0100fea41b020226.jpg', '/upload/files/20211216/02ad68813d03a1ad0100fea41b020226.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2021-12-16 13:42:03', '2021-12-16 13:42:03', NULL);
INSERT INTO `base_attachments` VALUES (37, 'huge01.jpg', '32e19b363e3f4619f474ca4b38186262', '/www/wwwroot/golf/public/upload/files/20211216/32e19b363e3f4619f474ca4b38186262.jpg', '/upload/files/20211216/32e19b363e3f4619f474ca4b38186262.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2021-12-16 13:44:07', '2021-12-16 13:44:07', NULL);
INSERT INTO `base_attachments` VALUES (38, 'huge01.jpg', '1145b3fb1e98288e5c43aaf94d68b84d', '/www/wwwroot/golf/public/upload/files/20211216/1145b3fb1e98288e5c43aaf94d68b84d.jpg', '/upload/files/20211216/1145b3fb1e98288e5c43aaf94d68b84d.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2021-12-16 13:49:14', '2021-12-16 13:49:14', NULL);
INSERT INTO `base_attachments` VALUES (39, 'huge01.jpg', 'bfa6611d2155cfd7144350ee613425f6', '/www/wwwroot/golf/public/upload/files/20211216/bfa6611d2155cfd7144350ee613425f6.jpg', '/upload/files/20211216/bfa6611d2155cfd7144350ee613425f6.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2021-12-16 13:51:09', '2021-12-16 13:51:09', NULL);
INSERT INTO `base_attachments` VALUES (40, 'I01034010.jpg', '4f1461cda1c1408223cd03938954b075', '/www/wwwroot/golf/public/upload/avatar/20211216/4f1461cda1c1408223cd03938954b075.jpg', '/upload/avatar/20211216/4f1461cda1c1408223cd03938954b075.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2021-12-16 14:03:10', '2021-12-16 14:03:10', NULL);
INSERT INTO `base_attachments` VALUES (41, 'I01034010.jpg', '6f308e7efa683136101625b553763e81', '/www/wwwroot/golf/public/upload/avatar/20211216/6f308e7efa683136101625b553763e81.jpg', '/upload/avatar/20211216/6f308e7efa683136101625b553763e81.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2021-12-16 14:06:44', '2021-12-16 14:06:44', NULL);
INSERT INTO `base_attachments` VALUES (42, '三柏忌及以上@3x(1).png', '745c5f5f97f37e4d48111d0cc8e147e0', '/www/wwwroot/golf/public/upload/avatar/20211216/745c5f5f97f37e4d48111d0cc8e147e0.png', '/upload/avatar/20211216/745c5f5f97f37e4d48111d0cc8e147e0.png', '未分类', 284, 'image/png', 0, NULL, NULL, '2021-12-16 14:11:18', '2021-12-16 14:11:18', NULL);
INSERT INTO `base_attachments` VALUES (43, 'huge01.jpg', '3b8bb9b476a29eaa6427966514fc42e3', '/www/wwwroot/golf/public/upload/video/20211216/3b8bb9b476a29eaa6427966514fc42e3.jpg', '/upload/video/20211216/3b8bb9b476a29eaa6427966514fc42e3.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2021-12-16 14:12:29', '2021-12-16 14:12:29', NULL);
INSERT INTO `base_attachments` VALUES (44, '三柏忌及以上@3x(1).png', '6d2a5aaac681f77be7f4237bfaf03d3b', '/www/wwwroot/golf/public/upload/video/20211216/6d2a5aaac681f77be7f4237bfaf03d3b.png', '/upload/video/20211216/6d2a5aaac681f77be7f4237bfaf03d3b.png', '未分类', 284, 'image/png', 0, NULL, NULL, '2021-12-16 14:13:08', '2021-12-16 14:13:08', NULL);
INSERT INTO `base_attachments` VALUES (45, 'cont_a.png', '518c979974eec83caa4faadc63ef4544', '/www/wwwroot/golf/public/upload/avatar/20211216/518c979974eec83caa4faadc63ef4544.png', '/upload/avatar/20211216/518c979974eec83caa4faadc63ef4544.png', '未分类', 5027, 'image/png', 0, NULL, NULL, '2021-12-16 14:14:21', '2021-12-16 14:14:21', NULL);
INSERT INTO `base_attachments` VALUES (46, 'WechatIMG737.jpeg', '33413da6541aafd455584455f320b57f', '/www/wwwroot/golf/public/upload/video/20211216/33413da6541aafd455584455f320b57f.jpeg', '/upload/video/20211216/33413da6541aafd455584455f320b57f.jpeg', '未分类', 1267418, 'image/jpeg', 0, NULL, NULL, '2021-12-16 14:16:40', '2021-12-16 14:16:40', NULL);
INSERT INTO `base_attachments` VALUES (47, 'cont_a.png', '50a732e3bff2be803980ff25079df564', '/www/wwwroot/golf/public/upload/avatar/20211216/50a732e3bff2be803980ff25079df564.png', '/upload/avatar/20211216/50a732e3bff2be803980ff25079df564.png', '未分类', 5027, 'image/png', 0, NULL, NULL, '2021-12-16 14:24:17', '2021-12-16 14:24:17', NULL);
INSERT INTO `base_attachments` VALUES (48, 'cont_a.png', 'd9a91757729366be7de75d10f08e8837', '/www/wwwroot/golf/public/upload/files/20211216/d9a91757729366be7de75d10f08e8837.png', '/upload/files/20211216/d9a91757729366be7de75d10f08e8837.png', '未分类', 5027, 'image/png', 0, NULL, NULL, '2021-12-16 14:24:26', '2021-12-16 14:24:26', NULL);
INSERT INTO `base_attachments` VALUES (49, 'cont_a.png', '430582745d1d2e86823cedbf2806e303', '/www/wwwroot/golf/public/upload/files/20211216/430582745d1d2e86823cedbf2806e303.png', '/upload/files/20211216/430582745d1d2e86823cedbf2806e303.png', '未分类', 5027, 'image/png', 0, NULL, NULL, '2021-12-16 14:32:00', '2021-12-16 14:32:00', NULL);
INSERT INTO `base_attachments` VALUES (50, 'I00013103.jpg', 'a2b7d816f502fa14d39e9e3d12cc4fdc', '/www/wwwroot/golf/public/upload/avatar/20211216/a2b7d816f502fa14d39e9e3d12cc4fdc.jpg', '/upload/avatar/20211216/a2b7d816f502fa14d39e9e3d12cc4fdc.jpg', '未分类', 115827, 'image/jpeg', 0, NULL, NULL, '2021-12-16 14:32:34', '2021-12-16 14:32:34', NULL);
INSERT INTO `base_attachments` VALUES (51, 'I01034010.jpg', '0b1932668a3a6540116567a02d661869', '/www/wwwroot/golf/public/upload/avatar/20211216/0b1932668a3a6540116567a02d661869.jpg', '/upload/avatar/20211216/0b1932668a3a6540116567a02d661869.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:16:04', '2021-12-16 15:16:04', NULL);
INSERT INTO `base_attachments` VALUES (52, 'WechatIMG737.jpeg', 'a2d05dc5b332ca19bf15386117f38043', '/www/wwwroot/golf/public/upload/video/20211216/a2d05dc5b332ca19bf15386117f38043.jpeg', '/upload/video/20211216/a2d05dc5b332ca19bf15386117f38043.jpeg', '未分类', 1267418, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:17:54', '2021-12-16 15:17:54', NULL);
INSERT INTO `base_attachments` VALUES (53, 'I01034010.jpg', 'bde9c1360237792392a5a6a860b90e7a', '/www/wwwroot/golf/public/upload/avatar/20211216/bde9c1360237792392a5a6a860b90e7a.jpg', '/upload/avatar/20211216/bde9c1360237792392a5a6a860b90e7a.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:19:03', '2021-12-16 15:19:03', NULL);
INSERT INTO `base_attachments` VALUES (54, 'Screenshot_com.qiyi.video_2015-09-23-13-37-04.jpg', '9eeb853362c5d01a4987431eed06c6aa', '/www/wwwroot/golf/public/upload/avatar/20211216/9eeb853362c5d01a4987431eed06c6aa.jpg', '/upload/avatar/20211216/9eeb853362c5d01a4987431eed06c6aa.jpg', '未分类', 96220, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:28:02', '2021-12-16 15:28:02', NULL);
INSERT INTO `base_attachments` VALUES (55, 'Screenshot_com.qiyi.video_2015-09-23-13-37-04.jpg', 'cdbf1c5f6fbe70e5a937bf4845fe4f36', '/www/wwwroot/golf/public/upload/avatar/20211216/cdbf1c5f6fbe70e5a937bf4845fe4f36.jpg', '/upload/avatar/20211216/cdbf1c5f6fbe70e5a937bf4845fe4f36.jpg', '未分类', 71787, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:28:03', '2021-12-16 15:28:03', NULL);
INSERT INTO `base_attachments` VALUES (56, 'Screenshot_com.qiyi.video_2015-09-23-13-37-04.jpg', 'f0c73f4775b6edce2eba191e09c5d263', '/www/wwwroot/golf/public/upload/avatar/20211216/f0c73f4775b6edce2eba191e09c5d263.jpg', '/upload/avatar/20211216/f0c73f4775b6edce2eba191e09c5d263.jpg', '未分类', 96342, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:28:04', '2021-12-16 15:28:04', NULL);
INSERT INTO `base_attachments` VALUES (57, 'Screenshot_com.qiyi.video_2015-09-23-13-37-04.jpg', 'f0c73f4775b6edce2eba191e09c5d263', '/www/wwwroot/golf/public/upload/avatar/20211216/f0c73f4775b6edce2eba191e09c5d263.jpg', '/upload/avatar/20211216/f0c73f4775b6edce2eba191e09c5d263.jpg', '未分类', 101734, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:28:04', '2021-12-16 15:28:04', NULL);
INSERT INTO `base_attachments` VALUES (58, 'Screenshot_com.qiyi.video_2015-09-23-13-23-28.jpg', '2ec52df70729e5e0cbfeaa3cb7571ed1', '/www/wwwroot/golf/public/upload/avatar/20211216/2ec52df70729e5e0cbfeaa3cb7571ed1.jpg', '/upload/avatar/20211216/2ec52df70729e5e0cbfeaa3cb7571ed1.jpg', '未分类', 101734, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:32:43', '2021-12-16 15:32:43', NULL);
INSERT INTO `base_attachments` VALUES (59, 'Screenshot_com.qiyi.video_2015-09-23-13-23-28.jpg', 'ea56be866742ca5faa0605b977cc3986', '/www/wwwroot/golf/public/upload/avatar/20211216/ea56be866742ca5faa0605b977cc3986.jpg', '/upload/avatar/20211216/ea56be866742ca5faa0605b977cc3986.jpg', '未分类', 96342, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:32:44', '2021-12-16 15:32:44', NULL);
INSERT INTO `base_attachments` VALUES (60, 'Screenshot_com.qiyi.video_2015-09-23-13-23-28.jpg', '4e9031b3f574cbd5cb2aded0f7ddfb2e', '/www/wwwroot/golf/public/upload/avatar/20211216/4e9031b3f574cbd5cb2aded0f7ddfb2e.jpg', '/upload/avatar/20211216/4e9031b3f574cbd5cb2aded0f7ddfb2e.jpg', '未分类', 101489, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:32:45', '2021-12-16 15:32:45', NULL);
INSERT INTO `base_attachments` VALUES (61, 'Screenshot_com.qiyi.video_2015-09-23-13-23-28.jpg', '24cffa6c3b8772b2b8b77ad1b35d63b9', '/www/wwwroot/golf/public/upload/avatar/20211216/24cffa6c3b8772b2b8b77ad1b35d63b9.jpg', '/upload/avatar/20211216/24cffa6c3b8772b2b8b77ad1b35d63b9.jpg', '未分类', 96220, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:32:46', '2021-12-16 15:32:46', NULL);
INSERT INTO `base_attachments` VALUES (62, 'Screenshot_com.qiyi.video_2015-09-23-13-23-28.jpg', '24cffa6c3b8772b2b8b77ad1b35d63b9', '/www/wwwroot/golf/public/upload/avatar/20211216/24cffa6c3b8772b2b8b77ad1b35d63b9.jpg', '/upload/avatar/20211216/24cffa6c3b8772b2b8b77ad1b35d63b9.jpg', '未分类', 75150, 'image/jpeg', 0, NULL, NULL, '2021-12-16 15:32:46', '2021-12-16 15:32:46', NULL);
INSERT INTO `base_attachments` VALUES (63, '1640276027958_share.png', '789c8ad72a14614cabe7ad6465941db0', '/www/wwwroot/golf/public/upload/avatar/20211224/789c8ad72a14614cabe7ad6465941db0.png', '/upload/avatar/20211224/789c8ad72a14614cabe7ad6465941db0.png', '未分类', 1965313, 'image/png', 0, NULL, NULL, '2021-12-24 23:00:37', '2021-12-24 23:00:37', NULL);
INSERT INTO `base_attachments` VALUES (64, 'img-1640213296847293134141fdad14813098ad04d9a230d.jpg', '36b959b6f988472bcbb1e664e7be39cd', '/www/wwwroot/golf/public/upload/avatar/20211225/36b959b6f988472bcbb1e664e7be39cd.jpg', '/upload/avatar/20211225/36b959b6f988472bcbb1e664e7be39cd.jpg', '未分类', 16558, 'image/jpeg', 0, NULL, NULL, '2021-12-25 11:26:10', '2021-12-25 11:26:10', NULL);
INSERT INTO `base_attachments` VALUES (65, 'img-1640213296847293134141fdad14813098ad04d9a230d.jpg', '90079c11cb5a0cd0d297b48027bb0b44', '/www/wwwroot/golf/public/upload/avatar/20211225/90079c11cb5a0cd0d297b48027bb0b44.jpg', '/upload/avatar/20211225/90079c11cb5a0cd0d297b48027bb0b44.jpg', '未分类', 2670354, 'image/jpeg', 0, NULL, NULL, '2021-12-25 11:26:13', '2021-12-25 11:26:13', NULL);
INSERT INTO `base_attachments` VALUES (66, 'img-1640213296847293134141fdad14813098ad04d9a230d.jpg', '1e6a9dc17cf3098696d240cc3c39ae18', '/www/wwwroot/golf/public/upload/avatar/20211225/1e6a9dc17cf3098696d240cc3c39ae18.jpg', '/upload/avatar/20211225/1e6a9dc17cf3098696d240cc3c39ae18.jpg', '未分类', 2755470, 'image/jpeg', 0, NULL, NULL, '2021-12-25 11:26:17', '2021-12-25 11:26:17', NULL);
INSERT INTO `base_attachments` VALUES (67, 'img-1640213296847293134141fdad14813098ad04d9a230d.jpg', 'b41accce28308b2fd8a62339cadfb177', '/www/wwwroot/golf/public/upload/avatar/20211225/b41accce28308b2fd8a62339cadfb177.jpg', '/upload/avatar/20211225/b41accce28308b2fd8a62339cadfb177.jpg', '未分类', 16558, 'image/jpeg', 0, NULL, NULL, '2021-12-25 11:26:25', '2021-12-25 11:26:25', NULL);
INSERT INTO `base_attachments` VALUES (68, 'img-1640213296847293134141fdad14813098ad04d9a230d.jpg', 'fc1ab34554b91b52080baaf77a36cf6c', '/www/wwwroot/golf/public/upload/avatar/20211225/fc1ab34554b91b52080baaf77a36cf6c.jpg', '/upload/avatar/20211225/fc1ab34554b91b52080baaf77a36cf6c.jpg', '未分类', 2670354, 'image/jpeg', 0, NULL, NULL, '2021-12-25 11:26:29', '2021-12-25 11:26:29', NULL);
INSERT INTO `base_attachments` VALUES (69, 'img-1640213296847293134141fdad14813098ad04d9a230d.jpg', 'c62d3b62df04af6e2c7447f65943b2cb', '/www/wwwroot/golf/public/upload/avatar/20211225/c62d3b62df04af6e2c7447f65943b2cb.jpg', '/upload/avatar/20211225/c62d3b62df04af6e2c7447f65943b2cb.jpg', '未分类', 2755470, 'image/jpeg', 0, NULL, NULL, '2021-12-25 11:26:33', '2021-12-25 11:26:33', NULL);
INSERT INTO `base_attachments` VALUES (70, 'IMG_20211223_181253.jpg', 'd5f8b61f402e584ee06348da35a53c1b', '/www/wwwroot/golf/public/upload/avatar/20211227/d5f8b61f402e584ee06348da35a53c1b.jpg', '/upload/avatar/20211227/d5f8b61f402e584ee06348da35a53c1b.jpg', '未分类', 2755470, 'image/jpeg', 0, NULL, NULL, '2021-12-27 13:51:36', '2021-12-27 13:51:36', NULL);
INSERT INTO `base_attachments` VALUES (71, 'IMG_20211223_181253.jpg', 'd39c4332a2bb2331468d0ca0936a3ff5', '/www/wwwroot/golf/public/upload/avatar/20211227/d39c4332a2bb2331468d0ca0936a3ff5.jpg', '/upload/avatar/20211227/d39c4332a2bb2331468d0ca0936a3ff5.jpg', '未分类', 857184, 'image/jpeg', 0, NULL, NULL, '2021-12-27 13:51:38', '2021-12-27 13:51:38', NULL);
INSERT INTO `base_attachments` VALUES (72, 'IMG_20211223_181253.jpg', '6841ef5d393fe2d44b2e7c0e660ab7f3', '/www/wwwroot/golf/public/upload/avatar/20211227/6841ef5d393fe2d44b2e7c0e660ab7f3.jpg', '/upload/avatar/20211227/6841ef5d393fe2d44b2e7c0e660ab7f3.jpg', '未分类', 35561, 'image/jpeg', 0, NULL, NULL, '2021-12-27 13:51:39', '2021-12-27 13:51:39', NULL);
INSERT INTO `base_attachments` VALUES (73, 'v2-a5210537aa779b4c851502fd767bc9fd.jpg', '3e9bee7a103da69e7cac74ec6f92b8a6', '/www/wwwroot/golf/public/upload/avatar/20211227/3e9bee7a103da69e7cac74ec6f92b8a6.jpg', '/upload/avatar/20211227/3e9bee7a103da69e7cac74ec6f92b8a6.jpg', '未分类', 13697, 'image/jpeg', 0, NULL, NULL, '2021-12-27 15:46:13', '2021-12-27 15:46:13', NULL);
INSERT INTO `base_attachments` VALUES (74, 'v2-a5210537aa779b4c851502fd767bc9fd.jpg', 'dd6951e055eeae723e8df502ce38d67a', '/www/wwwroot/golf/public/upload/avatar/20211227/dd6951e055eeae723e8df502ce38d67a.jpg', '/upload/avatar/20211227/dd6951e055eeae723e8df502ce38d67a.jpg', '未分类', 13697, 'image/jpeg', 0, NULL, NULL, '2021-12-27 15:46:31', '2021-12-27 15:46:31', NULL);
INSERT INTO `base_attachments` VALUES (75, 'IMG_20190403_144816.jpg', 'dd2acbe1b1677fe407d948886b26975b', '/www/wwwroot/golf/public/upload/avatar/20211228/dd2acbe1b1677fe407d948886b26975b.jpg', '/upload/avatar/20211228/dd2acbe1b1677fe407d948886b26975b.jpg', '未分类', 4946380, 'image/jpeg', 0, NULL, NULL, '2021-12-28 10:30:26', '2021-12-28 10:30:26', NULL);
INSERT INTO `base_attachments` VALUES (76, 'IMG_20190403_144816.jpg', 'dd2acbe1b1677fe407d948886b26975b', '/www/wwwroot/golf/public/upload/avatar/20211228/dd2acbe1b1677fe407d948886b26975b.jpg', '/upload/avatar/20211228/dd2acbe1b1677fe407d948886b26975b.jpg', '未分类', 4946380, 'image/jpeg', 0, NULL, NULL, '2021-12-28 10:30:26', '2021-12-28 10:30:26', NULL);
INSERT INTO `base_attachments` VALUES (77, 'IMG_20190403_144816.jpg', 'e73657726fda42d8f45d7bbc94062fa4', '/www/wwwroot/golf/public/upload/avatar/20211228/e73657726fda42d8f45d7bbc94062fa4.jpg', '/upload/avatar/20211228/e73657726fda42d8f45d7bbc94062fa4.jpg', '未分类', 4946380, 'image/jpeg', 0, NULL, NULL, '2021-12-28 10:30:38', '2021-12-28 10:30:38', NULL);
INSERT INTO `base_attachments` VALUES (78, 'IMG_20190129_202614.jpg', '765dea7602ddb1a8b40d14168c866d0d', '/www/wwwroot/golf/public/upload/avatar/20211228/765dea7602ddb1a8b40d14168c866d0d.jpg', '/upload/avatar/20211228/765dea7602ddb1a8b40d14168c866d0d.jpg', '未分类', 4209663, 'image/jpeg', 0, NULL, NULL, '2021-12-28 11:01:02', '2021-12-28 11:01:02', NULL);
INSERT INTO `base_attachments` VALUES (79, 'Screenshot_com.qiyi.video_2015-09-23-13-37-04.jpg', '51985dc7b068210375c3060d9d0c8ed4', '/www/wwwroot/golf/public/upload/avatar/20211229/51985dc7b068210375c3060d9d0c8ed4.jpg', '/upload/avatar/20211229/51985dc7b068210375c3060d9d0c8ed4.jpg', '未分类', 96220, 'image/jpeg', 0, NULL, NULL, '2021-12-29 21:28:44', '2021-12-29 21:28:44', NULL);
INSERT INTO `base_attachments` VALUES (80, '5396.jpg', '966b14f20199cce82035052575b36f6c', '/www/wwwroot/golf/public/upload/avatar/20211229/966b14f20199cce82035052575b36f6c.jpg', '/upload/avatar/20211229/966b14f20199cce82035052575b36f6c.jpg', '未分类', 225124, 'image/jpeg', 0, NULL, NULL, '2021-12-29 21:41:42', '2021-12-29 21:41:42', NULL);
INSERT INTO `base_attachments` VALUES (81, '1640276036673_share.png', '6e9224c0a3667a4d0eaf9fc1dfe47df6', '/www/wwwroot/golf/public/upload/avatar/20211230/6e9224c0a3667a4d0eaf9fc1dfe47df6.png', '/upload/avatar/20211230/6e9224c0a3667a4d0eaf9fc1dfe47df6.png', '未分类', 1965313, 'image/png', 0, NULL, NULL, '2021-12-30 22:07:51', '2021-12-30 22:07:51', NULL);
INSERT INTO `base_attachments` VALUES (82, 'lz-754-1635755448174.png', '5e6f679b8a84706d9e54191ec52db6d9', '/www/wwwroot/golf/public/upload/avatar/20211231/5e6f679b8a84706d9e54191ec52db6d9.png', '/upload/avatar/20211231/5e6f679b8a84706d9e54191ec52db6d9.png', '未分类', 356552, 'image/png', 0, NULL, NULL, '2021-12-31 14:56:12', '2021-12-31 14:56:12', NULL);
INSERT INTO `base_attachments` VALUES (83, 'Screenshot_2021-12-30-16-45-04-88_67c9ac5d869b6dcaacd3171430c58d31.jpg', 'f5c38471aff798f84ab48dada560e408', '/www/wwwroot/golf/public/upload/avatar/20211231/f5c38471aff798f84ab48dada560e408.jpg', '/upload/avatar/20211231/f5c38471aff798f84ab48dada560e408.jpg', '未分类', 497164, 'image/jpeg', 0, NULL, NULL, '2021-12-31 15:26:45', '2021-12-31 15:26:45', NULL);
INSERT INTO `base_attachments` VALUES (84, 'Screenshot_2021-12-30-16-45-04-88_67c9ac5d869b6dcaacd3171430c58d31.jpg', 'd09d76c1a32ed1e86370912f7e7b428d', '/www/wwwroot/golf/public/upload/avatar/20211231/d09d76c1a32ed1e86370912f7e7b428d.jpg', '/upload/avatar/20211231/d09d76c1a32ed1e86370912f7e7b428d.jpg', '未分类', 497164, 'image/jpeg', 0, NULL, NULL, '2021-12-31 15:26:52', '2021-12-31 15:26:52', NULL);
INSERT INTO `base_attachments` VALUES (85, 'mmexport1640180341924.jpg', '9802d70d8e8403592f4055a1797e1382', '/www/wwwroot/golf/public/upload/avatar/20211231/9802d70d8e8403592f4055a1797e1382.jpg', '/upload/avatar/20211231/9802d70d8e8403592f4055a1797e1382.jpg', '未分类', 7219251, 'image/jpeg', 0, NULL, NULL, '2021-12-31 17:06:03', '2021-12-31 17:06:03', NULL);
INSERT INTO `base_attachments` VALUES (86, 'mmexport1640180341924.jpg', '428646815494ddc26619ef2719156582', '/www/wwwroot/golf/public/upload/avatar/20211231/428646815494ddc26619ef2719156582.jpg', '/upload/avatar/20211231/428646815494ddc26619ef2719156582.jpg', '未分类', 7219251, 'image/jpeg', 0, NULL, NULL, '2021-12-31 17:06:22', '2021-12-31 17:06:22', NULL);
INSERT INTO `base_attachments` VALUES (87, 'img-1640256116587a93e3fdb58de9f2ac86abfb21d260a5a.jpg', '7c81923e07434931e8963075927ab9b0', '/www/wwwroot/golf/public/upload/avatar/20211231/7c81923e07434931e8963075927ab9b0.jpg', '/upload/avatar/20211231/7c81923e07434931e8963075927ab9b0.jpg', '未分类', 3964, 'image/jpeg', 0, NULL, NULL, '2021-12-31 17:13:05', '2021-12-31 17:13:05', NULL);
INSERT INTO `base_attachments` VALUES (88, 'img-1640256116587a93e3fdb58de9f2ac86abfb21d260a5a.jpg', '30931bfcc53fd015ba1f3ba19e07d74e', '/www/wwwroot/golf/public/upload/avatar/20211231/30931bfcc53fd015ba1f3ba19e07d74e.jpg', '/upload/avatar/20211231/30931bfcc53fd015ba1f3ba19e07d74e.jpg', '未分类', 3964, 'image/jpeg', 0, NULL, NULL, '2021-12-31 17:13:23', '2021-12-31 17:13:23', NULL);
INSERT INTO `base_attachments` VALUES (89, 'mmexport1640180341924.jpg', 'aac2b5a35263f5f2cc99e2169fc5853f', '/www/wwwroot/golf/public/upload/avatar/20211231/aac2b5a35263f5f2cc99e2169fc5853f.jpg', '/upload/avatar/20211231/aac2b5a35263f5f2cc99e2169fc5853f.jpg', '未分类', 7219251, 'image/jpeg', 0, NULL, NULL, '2021-12-31 17:16:36', '2021-12-31 17:16:36', NULL);
INSERT INTO `base_attachments` VALUES (90, 'mmexport1640180341924.jpg', '113be8f5d7493dccb138082cd0edc681', '/www/wwwroot/golf/public/upload/avatar/20211231/113be8f5d7493dccb138082cd0edc681.jpg', '/upload/avatar/20211231/113be8f5d7493dccb138082cd0edc681.jpg', '未分类', 7219251, 'image/jpeg', 0, NULL, NULL, '2021-12-31 17:16:39', '2021-12-31 17:16:39', NULL);
INSERT INTO `base_attachments` VALUES (91, 'IMG_20211005_071456.jpg', '097993f01933aa08b6d2b9df7a33bd1b', '/www/wwwroot/golf/public/upload/avatar/20220105/097993f01933aa08b6d2b9df7a33bd1b.jpg', '/upload/avatar/20220105/097993f01933aa08b6d2b9df7a33bd1b.jpg', '未分类', 1415666, 'image/jpeg', 0, NULL, NULL, '2022-01-05 14:30:49', '2022-01-05 14:30:49', NULL);
INSERT INTO `base_attachments` VALUES (92, 'ab6be2da70c559faf2aabfb742fafd76.jpg', 'cbb8fdf8170a978952f7d64b46c9ee41', '/www/wwwroot/golf/public/upload/avatar/20220105/cbb8fdf8170a978952f7d64b46c9ee41.jpg', '/upload/avatar/20220105/cbb8fdf8170a978952f7d64b46c9ee41.jpg', '未分类', 7175, 'image/jpeg', 0, NULL, NULL, '2022-01-05 14:34:41', '2022-01-05 14:34:41', NULL);
INSERT INTO `base_attachments` VALUES (93, 'IMG_20211016_150132.jpg', '5d8efa298a1107a617a83a60b8665db0', '/www/wwwroot/golf/public/upload/avatar/20220105/5d8efa298a1107a617a83a60b8665db0.jpg', '/upload/avatar/20220105/5d8efa298a1107a617a83a60b8665db0.jpg', '未分类', 920563, 'image/jpeg', 0, NULL, NULL, '2022-01-05 16:48:52', '2022-01-05 16:48:52', NULL);
INSERT INTO `base_attachments` VALUES (94, 'mmexport1261fbac30a4e41d5d2507cee133fbb2_1626491088889.png', '9378b0f8202fee7c02133122f97156cd', '/www/wwwroot/golf/public/upload/avatar/20220107/9378b0f8202fee7c02133122f97156cd.png', '/upload/avatar/20220107/9378b0f8202fee7c02133122f97156cd.png', '未分类', 710858, 'image/png', 0, NULL, NULL, '2022-01-07 08:56:49', '2022-01-07 08:56:49', NULL);
INSERT INTO `base_attachments` VALUES (95, 'default.jpg', 'ce57b5e19297d699413115d77d1ff7b9', '/www/wwwroot/golf/public/upload/avatar/20220107/ce57b5e19297d699413115d77d1ff7b9.jpg', '/upload/avatar/20220107/ce57b5e19297d699413115d77d1ff7b9.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2022-01-07 10:02:48', '2022-01-07 10:02:48', NULL);
INSERT INTO `base_attachments` VALUES (96, 'default.jpg', '828a66418e1006d849548f052efda06a', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20220107/828a66418e1006d849548f052efda06a.jpg', '/upload/avatar/20220107/828a66418e1006d849548f052efda06a.jpg', '未分类', 6585, 'image/jpeg', 0, NULL, NULL, '2022-01-07 10:02:56', '2022-01-07 10:02:56', NULL);
INSERT INTO `base_attachments` VALUES (97, '1640275997126_share.png', 'e422e9fd9dcf6ec9052c970c7903cf30', '/www/wwwroot/golf/public/upload/avatar/20220108/e422e9fd9dcf6ec9052c970c7903cf30.png', '/upload/avatar/20220108/e422e9fd9dcf6ec9052c970c7903cf30.png', '未分类', 1965313, 'image/png', 0, NULL, NULL, '2022-01-08 22:26:12', '2022-01-08 22:26:12', NULL);
INSERT INTO `base_attachments` VALUES (98, 'IMG_0969.PNG', '09459f6d695a6bda0a3d3510fc67a84b', '/www/wwwroot/golf/public/upload/avatar/20220110/09459f6d695a6bda0a3d3510fc67a84b.PNG', '/upload/avatar/20220110/09459f6d695a6bda0a3d3510fc67a84b.PNG', '未分类', 301263, 'image/jpeg', 0, NULL, NULL, '2022-01-10 03:49:36', '2022-01-10 03:49:36', NULL);
INSERT INTO `base_attachments` VALUES (99, 'IMG_0945.PNG', 'b664a5e5cf0cbb1b76afe9e9dda88a80', '/www/wwwroot/golf/public/upload/avatar/20220110/b664a5e5cf0cbb1b76afe9e9dda88a80.PNG', '/upload/avatar/20220110/b664a5e5cf0cbb1b76afe9e9dda88a80.PNG', '未分类', 583668, 'image/jpeg', 0, NULL, NULL, '2022-01-10 03:54:04', '2022-01-10 03:54:04', NULL);
INSERT INTO `base_attachments` VALUES (100, 'img-16412153911749c72036ae559ab981fccccba289a39fe.jpg', '6f7ea28adcbd0b8937a168925c86f06e', '/www/wwwroot/golf/public/upload/avatar/20220110/6f7ea28adcbd0b8937a168925c86f06e.jpg', '/upload/avatar/20220110/6f7ea28adcbd0b8937a168925c86f06e.jpg', '未分类', 69540, 'image/jpeg', 0, NULL, NULL, '2022-01-10 10:53:21', '2022-01-10 10:53:21', NULL);
INSERT INTO `base_attachments` VALUES (101, '1640276036673_share.png', 'c9b1f86bb8b75e1ca7b2b1b98b524986', '/www/wwwroot/golf/public/upload/avatar/20220110/c9b1f86bb8b75e1ca7b2b1b98b524986.png', '/upload/avatar/20220110/c9b1f86bb8b75e1ca7b2b1b98b524986.png', '未分类', 1965313, 'image/png', 0, NULL, NULL, '2022-01-10 22:18:26', '2022-01-10 22:18:26', NULL);
INSERT INTO `base_attachments` VALUES (102, '1640950485593_2278540505716130.jpg', '9a10de9845d2efd6c59bf72be0a0a156', '/www/wwwroot/golf/public/upload/avatar/20220110/9a10de9845d2efd6c59bf72be0a0a156.jpg', '/upload/avatar/20220110/9a10de9845d2efd6c59bf72be0a0a156.jpg', '未分类', 214920, 'image/jpeg', 0, NULL, NULL, '2022-01-10 23:22:01', '2022-01-10 23:22:01', NULL);
INSERT INTO `base_attachments` VALUES (103, '1640950485593_2278540505716130.jpg', 'd45cd0a9fcac3438f133bdcd4e5f5708', '/www/wwwroot/golf/public/upload/avatar/20220110/d45cd0a9fcac3438f133bdcd4e5f5708.jpg', '/upload/avatar/20220110/d45cd0a9fcac3438f133bdcd4e5f5708.jpg', '未分类', 214920, 'image/jpeg', 0, NULL, NULL, '2022-01-10 23:45:01', '2022-01-10 23:45:01', NULL);
INSERT INTO `base_attachments` VALUES (104, 'I01034010.jpg', '69f0032ced937e105a8df0c122efc880', '/www/wwwroot/golf/public/upload/avatar/20220110/69f0032ced937e105a8df0c122efc880.jpg', '/upload/avatar/20220110/69f0032ced937e105a8df0c122efc880.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2022-01-10 23:45:02', '2022-01-10 23:45:02', NULL);
INSERT INTO `base_attachments` VALUES (105, 'I00013103.jpg', '604d1d6526cb1b40efca21e1333fad27', '/www/wwwroot/golf/public/upload/avatar/20220110/604d1d6526cb1b40efca21e1333fad27.jpg', '/upload/avatar/20220110/604d1d6526cb1b40efca21e1333fad27.jpg', '未分类', 115827, 'image/jpeg', 0, NULL, NULL, '2022-01-10 23:45:03', '2022-01-10 23:45:03', NULL);
INSERT INTO `base_attachments` VALUES (106, '1487296029496.jpg', '1dbac4c43802d2191430cefa20456d46', '/www/wwwroot/golf/public/upload/avatar/20220110/1dbac4c43802d2191430cefa20456d46.jpg', '/upload/avatar/20220110/1dbac4c43802d2191430cefa20456d46.jpg', '未分类', 116372, 'image/jpeg', 0, NULL, NULL, '2022-01-10 23:45:04', '2022-01-10 23:45:04', NULL);
INSERT INTO `base_attachments` VALUES (107, '1640950485593_2278540505716130.jpg', '55fd5531f937de48e3a9fc964b72ac39', '/www/wwwroot/golf/public/upload/avatar/20220110/55fd5531f937de48e3a9fc964b72ac39.jpg', '/upload/avatar/20220110/55fd5531f937de48e3a9fc964b72ac39.jpg', '未分类', 214920, 'image/jpeg', 0, NULL, NULL, '2022-01-10 23:54:39', '2022-01-10 23:54:39', NULL);
INSERT INTO `base_attachments` VALUES (108, '1487296029496.jpg', 'f444513a6f97aefaf32055aa9ffc9f45', '/www/wwwroot/golf/public/upload/avatar/20220110/f444513a6f97aefaf32055aa9ffc9f45.jpg', '/upload/avatar/20220110/f444513a6f97aefaf32055aa9ffc9f45.jpg', '未分类', 116372, 'image/jpeg', 0, NULL, NULL, '2022-01-10 23:54:40', '2022-01-10 23:54:40', NULL);
INSERT INTO `base_attachments` VALUES (109, 'huge01.jpg', '7268218d9e62c480828e70ccb9831294', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20220111/7268218d9e62c480828e70ccb9831294.jpg', '/upload/avatar/20220111/7268218d9e62c480828e70ccb9831294.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2022-01-11 11:00:58', '2022-01-11 11:00:58', NULL);
INSERT INTO `base_attachments` VALUES (110, 'huge01.jpg', 'c2fc602c1dcb6f9de0b72680b7e51725', 'https://S4Tp2eNVKHROuNOLjTvAICTnjqXFFR.zhengda/golf/2022-01/11/c2fc602c1dcb6f9de0b72680b7e51725.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/https://S4Tp2eNVKHROuNOLjTvAICTnjqXFFR.zhengda/golf/2022-01/11/c2fc602c1dcb6f9de0b72680b7e51725.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2022-01-11 11:20:20', '2022-01-11 11:20:20', NULL);
INSERT INTO `base_attachments` VALUES (111, 'huge01.jpg', '06fa5908114e35706a22c91d2bc73309', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/11/06fa5908114e35706a22c91d2bc73309.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/11/06fa5908114e35706a22c91d2bc73309.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2022-01-11 11:21:20', '2022-01-11 11:21:20', NULL);
INSERT INTO `base_attachments` VALUES (112, 'huge01.jpg', '1cfdfd1b26e1e5fdcaf115c536e6a336', '/golf/2022-01/11/1cfdfd1b26e1e5fdcaf115c536e6a336.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/11/1cfdfd1b26e1e5fdcaf115c536e6a336.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2022-01-11 11:22:05', '2022-01-11 11:22:05', NULL);
INSERT INTO `base_attachments` VALUES (113, 'huge01.jpg', '8a00a575bdc94eddeb272c8fc6a92bca', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/11/8a00a575bdc94eddeb272c8fc6a92bca.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/11/8a00a575bdc94eddeb272c8fc6a92bca.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2022-01-11 11:24:00', '2022-01-11 11:24:00', NULL);
INSERT INTO `base_attachments` VALUES (114, 'huge01.jpg', '0ad550ef331bd2a0d34b8ac4713dc0ab', 'D:\\XG\\demo_api\\api\\public/upload/avatar/20220111/0ad550ef331bd2a0d34b8ac4713dc0ab.jpg', '/upload/avatar/20220111/0ad550ef331bd2a0d34b8ac4713dc0ab.jpg', '未分类', 38736, 'image/jpeg', 0, NULL, NULL, '2022-01-11 11:26:52', '2022-01-11 11:26:52', NULL);
INSERT INTO `base_attachments` VALUES (115, 'ab6be2da70c559faf2aabfb742fafd76.jpg', 'd39af1aae4cfbb9400df97ba03b7618d', '/www/wwwroot/golf/public/upload/avatar/20220111/d39af1aae4cfbb9400df97ba03b7618d.jpg', '/upload/avatar/20220111/d39af1aae4cfbb9400df97ba03b7618d.jpg', '未分类', 7175, 'image/jpeg', 0, NULL, NULL, '2022-01-11 17:40:08', '2022-01-11 17:40:08', NULL);
INSERT INTO `base_attachments` VALUES (116, '39061c2824bac0d2.jpg', '12bac956486bc72bfd795bca8bc1bb14', '/www/wwwroot/golf/public/upload/avatar/20220112/12bac956486bc72bfd795bca8bc1bb14.jpg', '/upload/avatar/20220112/12bac956486bc72bfd795bca8bc1bb14.jpg', '未分类', 5325, 'image/jpeg', 0, NULL, NULL, '2022-01-12 10:29:47', '2022-01-12 10:29:47', NULL);
INSERT INTO `base_attachments` VALUES (117, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', '26b58c04e3e7079a5de4ecbb276ffa01', '/www/wwwroot/golf/public/upload/avatar/20220113/26b58c04e3e7079a5de4ecbb276ffa01.jpeg', '/upload/avatar/20220113/26b58c04e3e7079a5de4ecbb276ffa01.jpeg', '未分类', 87922, 'image/jpeg', 0, NULL, NULL, '2022-01-13 08:20:09', '2022-01-13 08:20:09', NULL);
INSERT INTO `base_attachments` VALUES (118, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', '790de437a1d96c5151ca912af17e7743', '/www/wwwroot/golf/public/upload/avatar/20220113/790de437a1d96c5151ca912af17e7743.jpeg', '/upload/avatar/20220113/790de437a1d96c5151ca912af17e7743.jpeg', '未分类', 87922, 'image/jpeg', 0, NULL, NULL, '2022-01-13 08:23:07', '2022-01-13 08:23:07', NULL);
INSERT INTO `base_attachments` VALUES (119, 'IMG_2675.JPG', 'aed92d8630a6db542f689797fa5af48d', '/www/wwwroot/golf/public/upload/avatar/20220114/aed92d8630a6db542f689797fa5af48d.JPG', '/upload/avatar/20220114/aed92d8630a6db542f689797fa5af48d.JPG', '未分类', 994725, 'image/jpeg', 0, NULL, NULL, '2022-01-14 15:44:20', '2022-01-14 15:44:20', NULL);
INSERT INTO `base_attachments` VALUES (120, 'IMG_2626.HEIC', '00b28d54aa2001e9b4fca9a299f76559', '/www/wwwroot/golf/public/upload/avatar/20220114/00b28d54aa2001e9b4fca9a299f76559.HEIC', '/upload/avatar/20220114/00b28d54aa2001e9b4fca9a299f76559.HEIC', '未分类', 6343077, 'image/jpeg', 0, NULL, NULL, '2022-01-14 15:50:05', '2022-01-14 15:50:05', NULL);
INSERT INTO `base_attachments` VALUES (121, 'IMG_2827.JPG', '24b0b40d3ccd9e994a8d0c0d1d812511', '/www/wwwroot/golf/public/upload/avatar/20220114/24b0b40d3ccd9e994a8d0c0d1d812511.JPG', '/upload/avatar/20220114/24b0b40d3ccd9e994a8d0c0d1d812511.JPG', '未分类', 1085837, 'image/jpeg', 0, NULL, NULL, '2022-01-14 15:56:26', '2022-01-14 15:56:26', NULL);
INSERT INTO `base_attachments` VALUES (122, 'IMG_2678.JPG', 'fc2b9b95f985d907cc4b3d23e335bb2c', '/www/wwwroot/golf/public/upload/avatar/20220114/fc2b9b95f985d907cc4b3d23e335bb2c.JPG', '/upload/avatar/20220114/fc2b9b95f985d907cc4b3d23e335bb2c.JPG', '未分类', 835280, 'image/jpeg', 0, NULL, NULL, '2022-01-14 16:04:32', '2022-01-14 16:04:32', NULL);
INSERT INTO `base_attachments` VALUES (123, 'IMG_3385.JPG', '8475bb2cf3fa601d84aff28a61e755e3', '/www/wwwroot/golf/public/upload/avatar/20220114/8475bb2cf3fa601d84aff28a61e755e3.JPG', '/upload/avatar/20220114/8475bb2cf3fa601d84aff28a61e755e3.JPG', '未分类', 7015558, 'image/jpeg', 0, NULL, NULL, '2022-01-14 17:06:41', '2022-01-14 17:06:41', NULL);
INSERT INTO `base_attachments` VALUES (124, 'IMG_3385.JPG', '7108417e3d67a0dd3fb0f848713d8569', '/www/wwwroot/golf/public/upload/avatar/20220114/7108417e3d67a0dd3fb0f848713d8569.JPG', '/upload/avatar/20220114/7108417e3d67a0dd3fb0f848713d8569.JPG', '未分类', 7015558, 'image/jpeg', 0, NULL, NULL, '2022-01-14 17:06:48', '2022-01-14 17:06:48', NULL);
INSERT INTO `base_attachments` VALUES (125, 'IMG_3385.JPG', '5631550fa779a34e4e884d843182dad3', '/www/wwwroot/golf/public/upload/avatar/20220114/5631550fa779a34e4e884d843182dad3.JPG', '/upload/avatar/20220114/5631550fa779a34e4e884d843182dad3.JPG', '未分类', 7015558, 'image/jpeg', 0, NULL, NULL, '2022-01-14 17:06:58', '2022-01-14 17:06:58', NULL);
INSERT INTO `base_attachments` VALUES (126, 'IMG_3385.JPG', '3350acf92cec62b4c56de57e0e04b2c8', '/www/wwwroot/golf/public/upload/avatar/20220114/3350acf92cec62b4c56de57e0e04b2c8.JPG', '/upload/avatar/20220114/3350acf92cec62b4c56de57e0e04b2c8.JPG', '未分类', 7015558, 'image/jpeg', 0, NULL, NULL, '2022-01-14 17:07:15', '2022-01-14 17:07:15', NULL);
INSERT INTO `base_attachments` VALUES (127, 'IMG_2334.HEIC', '19ff3b79ed8ab33aae2b8eb4d746c2ac', '/www/wwwroot/golf/public/upload/avatar/20220114/19ff3b79ed8ab33aae2b8eb4d746c2ac.HEIC', '/upload/avatar/20220114/19ff3b79ed8ab33aae2b8eb4d746c2ac.HEIC', '未分类', 1064002, 'image/jpeg', 0, NULL, NULL, '2022-01-14 17:09:14', '2022-01-14 17:09:14', NULL);
INSERT INTO `base_attachments` VALUES (128, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', '1d009174272b84898203a32c8dd3ee7c', '/www/wwwroot/golf/public/upload/avatar/20220115/1d009174272b84898203a32c8dd3ee7c.jpeg', '/upload/avatar/20220115/1d009174272b84898203a32c8dd3ee7c.jpeg', '未分类', 87922, 'image/jpeg', 0, NULL, NULL, '2022-01-15 09:35:03', '2022-01-15 09:35:03', NULL);
INSERT INTO `base_attachments` VALUES (129, 'IMG_1152.HEIC', '9e944445bb35b756252169fe18df1bc0', '/www/wwwroot/golf/public/upload/avatar/20220117/9e944445bb35b756252169fe18df1bc0.HEIC', '/upload/avatar/20220117/9e944445bb35b756252169fe18df1bc0.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-17 04:53:00', '2022-01-17 04:53:00', NULL);
INSERT INTO `base_attachments` VALUES (130, 'IMG_1152.HEIC', '3d8dfb7410901d6685e6fc38f6c2da1d', '/www/wwwroot/golf/public/upload/avatar/20220117/3d8dfb7410901d6685e6fc38f6c2da1d.HEIC', '/upload/avatar/20220117/3d8dfb7410901d6685e6fc38f6c2da1d.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-17 04:54:10', '2022-01-17 04:54:10', NULL);
INSERT INTO `base_attachments` VALUES (131, 'IMG_1152.HEIC', 'e5d00c8eb161829c3a0b7ffc898dfcc7', '/www/wwwroot/golf/public/upload/avatar/20220117/e5d00c8eb161829c3a0b7ffc898dfcc7.HEIC', '/upload/avatar/20220117/e5d00c8eb161829c3a0b7ffc898dfcc7.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-17 04:54:35', '2022-01-17 04:54:35', NULL);
INSERT INTO `base_attachments` VALUES (132, 'ab6be2da70c559faf2aabfb742fafd76.jpg', '488e3650bcf1bff75e007eeb60fa3645', '/www/wwwroot/golf/public/upload/avatar/20220117/488e3650bcf1bff75e007eeb60fa3645.jpg', '/upload/avatar/20220117/488e3650bcf1bff75e007eeb60fa3645.jpg', '未分类', 7175, 'image/jpeg', 0, NULL, NULL, '2022-01-17 10:50:46', '2022-01-17 10:50:46', NULL);
INSERT INTO `base_attachments` VALUES (133, 'ab6be2da70c559faf2aabfb742fafd76.jpg', 'b766259f727581bb75513e126e31a147', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/b766259f727581bb75513e126e31a147.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/b766259f727581bb75513e126e31a147.jpg', '未分类', 7175, 'image/jpeg', 0, NULL, NULL, '2022-01-17 10:52:10', '2022-01-17 10:52:10', NULL);
INSERT INTO `base_attachments` VALUES (134, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', 'b6483847a985dee1947790389fb50756', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/b6483847a985dee1947790389fb50756.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/b6483847a985dee1947790389fb50756.jpeg', '未分类', 87922, 'image/jpeg', 0, NULL, NULL, '2022-01-17 15:03:40', '2022-01-17 15:03:40', NULL);
INSERT INTO `base_attachments` VALUES (135, 'mmexportbb1dd5db936ca85507bd5cd551ad9704_1641876204180.jpeg', '970efe8158c433901fe529d9381b1cc7', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/970efe8158c433901fe529d9381b1cc7.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/970efe8158c433901fe529d9381b1cc7.jpeg', '未分类', 6027, 'image/jpeg', 0, NULL, NULL, '2022-01-17 15:38:08', '2022-01-17 15:38:08', NULL);
INSERT INTO `base_attachments` VALUES (136, '68d0443a717a12a2.jpg', '658766f85021cb855d8d5dc5c865e339', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/658766f85021cb855d8d5dc5c865e339.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/658766f85021cb855d8d5dc5c865e339.jpg', '未分类', 59852, 'image/jpeg', 0, NULL, NULL, '2022-01-17 15:43:57', '2022-01-17 15:43:57', NULL);
INSERT INTO `base_attachments` VALUES (137, 'Screenshot_2022-01-15-10-08-48-389_com.eg.android.AlipayGphone.jpg', '884f419c62d3af4069915848c3513db2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/884f419c62d3af4069915848c3513db2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/884f419c62d3af4069915848c3513db2.jpg', '未分类', 1049675, 'image/jpeg', 0, NULL, NULL, '2022-01-17 15:44:14', '2022-01-17 15:44:14', NULL);
INSERT INTO `base_attachments` VALUES (138, 'IMG_4126.JPG', '05c3ae93855613df40d0f6538ece5cf3', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/05c3ae93855613df40d0f6538ece5cf3.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/05c3ae93855613df40d0f6538ece5cf3.JPG', '未分类', 473462, 'image/jpeg', 0, NULL, NULL, '2022-01-17 16:27:22', '2022-01-17 16:27:22', NULL);
INSERT INTO `base_attachments` VALUES (139, 'CAP9029467390084635548.jpg', 'dfa4b21b5e37b1f9d46a349cea4fbae5', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/dfa4b21b5e37b1f9d46a349cea4fbae5.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/dfa4b21b5e37b1f9d46a349cea4fbae5.jpg', '未分类', 4067952, 'image/jpeg', 0, NULL, NULL, '2022-01-17 17:41:12', '2022-01-17 17:41:12', NULL);
INSERT INTO `base_attachments` VALUES (140, '68d0443a717a12a2.jpg', 'a8e1d421c599ccca2897a10a5bb0e37b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/a8e1d421c599ccca2897a10a5bb0e37b.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/a8e1d421c599ccca2897a10a5bb0e37b.jpg', '未分类', 59852, 'image/jpeg', 0, NULL, NULL, '2022-01-17 17:43:51', '2022-01-17 17:43:51', NULL);
INSERT INTO `base_attachments` VALUES (141, 'Screenshot_2022-01-15-10-08-48-389_com.eg.android.AlipayGphone.jpg', 'c475bf890f83fda605c6d9a21da6a554', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/c475bf890f83fda605c6d9a21da6a554.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/17/c475bf890f83fda605c6d9a21da6a554.jpg', '未分类', 1049675, 'image/jpeg', 0, NULL, NULL, '2022-01-17 17:46:15', '2022-01-17 17:46:15', NULL);
INSERT INTO `base_attachments` VALUES (142, 'mmexport1642472152332.jpg', '86e125779b2437060326f51e87f908e7', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/86e125779b2437060326f51e87f908e7.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/86e125779b2437060326f51e87f908e7.jpg', '未分类', 128322, 'image/jpeg', 0, NULL, NULL, '2022-01-18 10:16:40', '2022-01-18 10:16:40', NULL);
INSERT INTO `base_attachments` VALUES (143, 'mmexport7e6bdefc8955ed041c1fc9c25d89be3f_1641876201437.jpeg', 'd843fce940d7b00dab7856adfbee76a9', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/d843fce940d7b00dab7856adfbee76a9.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/d843fce940d7b00dab7856adfbee76a9.jpeg', '未分类', 39849, 'image/jpeg', 0, NULL, NULL, '2022-01-18 10:30:09', '2022-01-18 10:30:09', NULL);
INSERT INTO `base_attachments` VALUES (144, 'IMG_20211101_083300.jpg', 'aec71de9ce29ec3747a9c37ff4a0e897', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/aec71de9ce29ec3747a9c37ff4a0e897.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/aec71de9ce29ec3747a9c37ff4a0e897.jpg', '未分类', 1484601, 'image/jpeg', 0, NULL, NULL, '2022-01-18 11:01:21', '2022-01-18 11:01:21', NULL);
INSERT INTO `base_attachments` VALUES (145, 'Screenshot_2022-01-17-05-48-15-69_e39d2c7de19156b0683cd93e8735f348.jpg', '8e0417b2a32faac678a5beef9b3affd1', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/8e0417b2a32faac678a5beef9b3affd1.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/8e0417b2a32faac678a5beef9b3affd1.jpg', '未分类', 77341, 'image/jpeg', 0, NULL, NULL, '2022-01-18 14:24:43', '2022-01-18 14:24:43', NULL);
INSERT INTO `base_attachments` VALUES (146, '5396.jpg', '82bc9fe8b10422e18b3f8431650fea36', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/82bc9fe8b10422e18b3f8431650fea36.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/82bc9fe8b10422e18b3f8431650fea36.jpg', '未分类', 225124, 'image/jpeg', 0, NULL, NULL, '2022-01-18 15:01:51', '2022-01-18 15:01:51', NULL);
INSERT INTO `base_attachments` VALUES (147, 'I00013103.jpg', '55dc28be686f166bc0c818a90e503cb4', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/55dc28be686f166bc0c818a90e503cb4.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/55dc28be686f166bc0c818a90e503cb4.jpg', '未分类', 115827, 'image/jpeg', 0, NULL, NULL, '2022-01-18 15:01:53', '2022-01-18 15:01:53', NULL);
INSERT INTO `base_attachments` VALUES (148, '5396.jpg', '694df5eb2ecd317543c02a19cba38efb', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/694df5eb2ecd317543c02a19cba38efb.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/694df5eb2ecd317543c02a19cba38efb.jpg', '未分类', 225124, 'image/jpeg', 0, NULL, NULL, '2022-01-18 15:51:49', '2022-01-18 15:51:49', NULL);
INSERT INTO `base_attachments` VALUES (149, 'IMG_20211216_211938.jpg', '38ad4b3796c2048f8b63edc87ce883b4', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/38ad4b3796c2048f8b63edc87ce883b4.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/38ad4b3796c2048f8b63edc87ce883b4.jpg', '未分类', 4701571, 'image/jpeg', 0, NULL, NULL, '2022-01-18 15:52:28', '2022-01-18 15:52:28', NULL);
INSERT INTO `base_attachments` VALUES (150, '1640950485593_2278540505716130.jpg', 'eeb01f83cebd45ae7d383ed802ab2068', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/eeb01f83cebd45ae7d383ed802ab2068.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/eeb01f83cebd45ae7d383ed802ab2068.jpg', '未分类', 214920, 'image/jpeg', 0, NULL, NULL, '2022-01-18 15:53:07', '2022-01-18 15:53:07', NULL);
INSERT INTO `base_attachments` VALUES (151, 'I01034010.jpg', 'f49e0ccdedfa2a1ebef1e93fdaa3fa6d', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/f49e0ccdedfa2a1ebef1e93fdaa3fa6d.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/f49e0ccdedfa2a1ebef1e93fdaa3fa6d.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2022-01-18 15:54:39', '2022-01-18 15:54:39', NULL);
INSERT INTO `base_attachments` VALUES (152, 'I00013103.jpg', '27cad2f4d101e4b4b7fd5692688d484a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/27cad2f4d101e4b4b7fd5692688d484a.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/27cad2f4d101e4b4b7fd5692688d484a.jpg', '未分类', 115827, 'image/jpeg', 0, NULL, NULL, '2022-01-18 15:54:41', '2022-01-18 15:54:41', NULL);
INSERT INTO `base_attachments` VALUES (153, 'I00013103.jpg', '45fe026357deae3c789346f54b87ffb2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/45fe026357deae3c789346f54b87ffb2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/45fe026357deae3c789346f54b87ffb2.jpg', '未分类', 115827, 'image/jpeg', 0, NULL, NULL, '2022-01-18 15:55:45', '2022-01-18 15:55:45', NULL);
INSERT INTO `base_attachments` VALUES (154, 'I01034010.jpg', '53bc98699e84324dfa5bab474096ced8', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/53bc98699e84324dfa5bab474096ced8.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/53bc98699e84324dfa5bab474096ced8.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2022-01-18 15:55:47', '2022-01-18 15:55:47', NULL);
INSERT INTO `base_attachments` VALUES (155, 'I00013103.jpg', '16204f261eecc06e1ef01b2c9774f0d0', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/16204f261eecc06e1ef01b2c9774f0d0.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/16204f261eecc06e1ef01b2c9774f0d0.jpg', '未分类', 115827, 'image/jpeg', 0, NULL, NULL, '2022-01-18 16:00:27', '2022-01-18 16:00:27', NULL);
INSERT INTO `base_attachments` VALUES (156, 'I01034010.jpg', 'cca93cdb10c523a0e3c48e3131dfa337', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/cca93cdb10c523a0e3c48e3131dfa337.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/cca93cdb10c523a0e3c48e3131dfa337.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2022-01-18 16:00:29', '2022-01-18 16:00:29', NULL);
INSERT INTO `base_attachments` VALUES (157, 'IMG_20141024_160031.jpg', '8abcec71e51a5b627ed31b83405032e9', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/8abcec71e51a5b627ed31b83405032e9.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/8abcec71e51a5b627ed31b83405032e9.jpg', '未分类', 145083, 'image/jpeg', 0, NULL, NULL, '2022-01-18 16:00:31', '2022-01-18 16:00:31', NULL);
INSERT INTO `base_attachments` VALUES (158, 'I00013103.jpg', '41c4cba0ed77a0c0e3a22c059c703214', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/41c4cba0ed77a0c0e3a22c059c703214.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/41c4cba0ed77a0c0e3a22c059c703214.jpg', '未分类', 115827, 'image/jpeg', 0, NULL, NULL, '2022-01-18 16:10:17', '2022-01-18 16:10:17', NULL);
INSERT INTO `base_attachments` VALUES (159, 'I01034010.jpg', '848a2e2b2960d05e960d00e625e5b66b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/848a2e2b2960d05e960d00e625e5b66b.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/848a2e2b2960d05e960d00e625e5b66b.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2022-01-18 16:10:19', '2022-01-18 16:10:19', NULL);
INSERT INTO `base_attachments` VALUES (160, 'I01034010.jpg', '076cfded4ae8b814683f56208cbf6d46', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/076cfded4ae8b814683f56208cbf6d46.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/076cfded4ae8b814683f56208cbf6d46.jpg', '未分类', 197298, 'image/jpeg', 0, NULL, NULL, '2022-01-18 16:19:25', '2022-01-18 16:19:25', NULL);
INSERT INTO `base_attachments` VALUES (161, 'I00013103.jpg', '36770dc24281017961fecfbfb2191726', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/36770dc24281017961fecfbfb2191726.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/36770dc24281017961fecfbfb2191726.jpg', '未分类', 115827, 'image/jpeg', 0, NULL, NULL, '2022-01-18 16:19:38', '2022-01-18 16:19:38', NULL);
INSERT INTO `base_attachments` VALUES (162, 'IMG_1150.HEIC', '6c3a2e6fc822bff56bc5516f4ff0f053', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/6c3a2e6fc822bff56bc5516f4ff0f053.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/6c3a2e6fc822bff56bc5516f4ff0f053.HEIC', '未分类', 9765271, 'image/jpeg', 0, NULL, NULL, '2022-01-18 18:15:20', '2022-01-18 18:15:20', NULL);
INSERT INTO `base_attachments` VALUES (163, 'IMG_1152.HEIC', 'a382eb54ee60dab60d34840a36b3797f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/a382eb54ee60dab60d34840a36b3797f.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/a382eb54ee60dab60d34840a36b3797f.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-18 20:35:18', '2022-01-18 20:35:18', NULL);
INSERT INTO `base_attachments` VALUES (164, 'IMG_1148.HEIC', '681537f7b060906b7fe49f4091753d97', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/681537f7b060906b7fe49f4091753d97.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/681537f7b060906b7fe49f4091753d97.HEIC', '未分类', 6239778, 'image/jpeg', 0, NULL, NULL, '2022-01-18 20:37:09', '2022-01-18 20:37:09', NULL);
INSERT INTO `base_attachments` VALUES (165, 'Screenshot_2022-01-17-05-48-15-69_e39d2c7de19156b0683cd93e8735f348.jpg', '146393ffa465b6edf69edb1610f309c5', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/146393ffa465b6edf69edb1610f309c5.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/146393ffa465b6edf69edb1610f309c5.jpg', '未分类', 77341, 'image/jpeg', 0, NULL, NULL, '2022-01-18 21:08:05', '2022-01-18 21:08:05', NULL);
INSERT INTO `base_attachments` VALUES (166, 'IMG_1148.HEIC', '64d9d8924570180199cbb30ab0d90a6f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/64d9d8924570180199cbb30ab0d90a6f.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/64d9d8924570180199cbb30ab0d90a6f.HEIC', '未分类', 6239778, 'image/jpeg', 0, NULL, NULL, '2022-01-18 21:08:38', '2022-01-18 21:08:38', NULL);
INSERT INTO `base_attachments` VALUES (167, 'Screenshot_2022-01-17-05-48-15-69_e39d2c7de19156b0683cd93e8735f348.jpg', 'e87222697d5d57279b037d3dc614a88e', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/e87222697d5d57279b037d3dc614a88e.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/e87222697d5d57279b037d3dc614a88e.jpg', '未分类', 77341, 'image/jpeg', 0, NULL, NULL, '2022-01-18 21:09:01', '2022-01-18 21:09:01', NULL);
INSERT INTO `base_attachments` VALUES (168, 'Screenshot_2022-01-17-05-48-15-69_e39d2c7de19156b0683cd93e8735f348.jpg', '42cb5694728a4b97a10636ea9950ea77', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/42cb5694728a4b97a10636ea9950ea77.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/42cb5694728a4b97a10636ea9950ea77.jpg', '未分类', 77341, 'image/jpeg', 0, NULL, NULL, '2022-01-18 21:10:09', '2022-01-18 21:10:09', NULL);
INSERT INTO `base_attachments` VALUES (169, 'IMG_1152.HEIC', 'f5533bd32c8c4e8e381196e7f08e4d39', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/f5533bd32c8c4e8e381196e7f08e4d39.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/18/f5533bd32c8c4e8e381196e7f08e4d39.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-18 21:33:39', '2022-01-18 21:33:39', NULL);
INSERT INTO `base_attachments` VALUES (170, 'IMG_1152.HEIC', '305ed20501ea94b7768347cdc462d109', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/305ed20501ea94b7768347cdc462d109.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/305ed20501ea94b7768347cdc462d109.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-19 06:22:26', '2022-01-19 06:22:26', NULL);
INSERT INTO `base_attachments` VALUES (171, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', '6f1fcd014953e8b83c3c9bd53ecea87e', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/6f1fcd014953e8b83c3c9bd53ecea87e.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/6f1fcd014953e8b83c3c9bd53ecea87e.jpeg', '未分类', 87922, 'image/jpeg', 0, NULL, NULL, '2022-01-19 08:15:30', '2022-01-19 08:15:30', NULL);
INSERT INTO `base_attachments` VALUES (172, 'CAP9029467390084635548.jpg', '081fb81f701ad71bd9748c0fa250e47a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/081fb81f701ad71bd9748c0fa250e47a.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/081fb81f701ad71bd9748c0fa250e47a.jpg', '未分类', 4067952, 'image/jpeg', 0, NULL, NULL, '2022-01-19 10:28:40', '2022-01-19 10:28:40', NULL);
INSERT INTO `base_attachments` VALUES (173, 'IMG_20220114_203541.jpg', '394dab3c1d20da7f719db2d0d0c7d8e2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/394dab3c1d20da7f719db2d0d0c7d8e2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/394dab3c1d20da7f719db2d0d0c7d8e2.jpg', '未分类', 5253973, 'image/jpeg', 0, NULL, NULL, '2022-01-19 10:31:03', '2022-01-19 10:31:03', NULL);
INSERT INTO `base_attachments` VALUES (174, 'mmexport1642084327600.jpg', '16bbc64dd81ffa6b52dbf1ccb61ba1d1', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/16bbc64dd81ffa6b52dbf1ccb61ba1d1.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/16bbc64dd81ffa6b52dbf1ccb61ba1d1.jpg', '未分类', 1634045, 'image/jpeg', 0, NULL, NULL, '2022-01-19 14:05:51', '2022-01-19 14:05:51', NULL);
INSERT INTO `base_attachments` VALUES (175, 'mmexport1642573426116.png', '8a274d383cbeef696ecc79d3230e27c1', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/8a274d383cbeef696ecc79d3230e27c1.png', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/8a274d383cbeef696ecc79d3230e27c1.png', '未分类', 919612, 'image/png', 0, NULL, NULL, '2022-01-19 14:29:13', '2022-01-19 14:29:13', NULL);
INSERT INTO `base_attachments` VALUES (176, 'CAP9029467390084635548.jpg', '5f4e6658059c9e8573c0aa85a4ec59b9', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/5f4e6658059c9e8573c0aa85a4ec59b9.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/5f4e6658059c9e8573c0aa85a4ec59b9.jpg', '未分类', 4067952, 'image/jpeg', 0, NULL, NULL, '2022-01-19 14:30:00', '2022-01-19 14:30:00', NULL);
INSERT INTO `base_attachments` VALUES (177, 'mmexport1642084327600.jpg', '55cb9c8e16100d0752212bf6fd171714', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/55cb9c8e16100d0752212bf6fd171714.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/55cb9c8e16100d0752212bf6fd171714.jpg', '未分类', 1634045, 'image/jpeg', 0, NULL, NULL, '2022-01-19 14:30:14', '2022-01-19 14:30:14', NULL);
INSERT INTO `base_attachments` VALUES (178, 'IMG_20220109_102612.jpg', '9ec5ac2893a45f893032b7527625bc28', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/9ec5ac2893a45f893032b7527625bc28.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/9ec5ac2893a45f893032b7527625bc28.jpg', '未分类', 3818280, 'image/jpeg', 0, NULL, NULL, '2022-01-19 14:30:46', '2022-01-19 14:30:46', NULL);
INSERT INTO `base_attachments` VALUES (179, 'CAP9029467390084635548.jpg', 'e11f996dd804d3ec6f689e19e5a341a8', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/e11f996dd804d3ec6f689e19e5a341a8.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/e11f996dd804d3ec6f689e19e5a341a8.jpg', '未分类', 4067952, 'image/jpeg', 0, NULL, NULL, '2022-01-19 15:19:54', '2022-01-19 15:19:54', NULL);
INSERT INTO `base_attachments` VALUES (180, 'IMG_20220114_200424.jpg', 'ce49d56fdf605d0cf788ad86cf04e3ae', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/ce49d56fdf605d0cf788ad86cf04e3ae.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/ce49d56fdf605d0cf788ad86cf04e3ae.jpg', '未分类', 4567456, 'image/jpeg', 0, NULL, NULL, '2022-01-19 15:23:11', '2022-01-19 15:23:11', NULL);
INSERT INTO `base_attachments` VALUES (181, 'IMG_20220114_200424.jpg', '7a1da9085369d163be8659dd1a8f7e9a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/7a1da9085369d163be8659dd1a8f7e9a.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/7a1da9085369d163be8659dd1a8f7e9a.jpg', '未分类', 4567456, 'image/jpeg', 0, NULL, NULL, '2022-01-19 15:25:18', '2022-01-19 15:25:18', NULL);
INSERT INTO `base_attachments` VALUES (182, '39061c2824bac0d2.jpg', '3503aab8309fc15c1fed2262ddf2a181', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/3503aab8309fc15c1fed2262ddf2a181.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/3503aab8309fc15c1fed2262ddf2a181.jpg', '未分类', 5325, 'image/jpeg', 0, NULL, NULL, '2022-01-19 15:46:38', '2022-01-19 15:46:38', NULL);
INSERT INTO `base_attachments` VALUES (183, '39061c2824bac0d2.jpg', '2825982d6046ec339556416004772fe0', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/2825982d6046ec339556416004772fe0.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/2825982d6046ec339556416004772fe0.jpg', '未分类', 5325, 'image/jpeg', 0, NULL, NULL, '2022-01-19 15:50:40', '2022-01-19 15:50:40', NULL);
INSERT INTO `base_attachments` VALUES (184, 'Screenshot_2022-01-19-14-58-48-90_67c9ac5d869b6dcaacd3171430c58d31.jpg', '6e25dcd473cc3a32b2b9099ffb0adb3d', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/6e25dcd473cc3a32b2b9099ffb0adb3d.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/6e25dcd473cc3a32b2b9099ffb0adb3d.jpg', '未分类', 170493, 'image/jpeg', 0, NULL, NULL, '2022-01-19 15:51:33', '2022-01-19 15:51:33', NULL);
INSERT INTO `base_attachments` VALUES (185, 'IMG_20220109_102612.jpg', 'e997a43c5f536898126470251e057963', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/e997a43c5f536898126470251e057963.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/e997a43c5f536898126470251e057963.jpg', '未分类', 3818280, 'image/jpeg', 0, NULL, NULL, '2022-01-19 17:48:07', '2022-01-19 17:48:07', NULL);
INSERT INTO `base_attachments` VALUES (186, 'icon?id=4043902309654632418&size=567*547&fmt=00-58-32-.jpeg', 'f8a1ef1afba75b029d744df93b05fa5a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/f8a1ef1afba75b029d744df93b05fa5a.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/19/f8a1ef1afba75b029d744df93b05fa5a.jpeg', '未分类', 34497, 'image/jpeg', 0, NULL, NULL, '2022-01-19 22:05:45', '2022-01-19 22:05:45', NULL);
INSERT INTO `base_attachments` VALUES (187, 'IMG_20220109_102612.jpg', '33e9cc3bc027dd8f0226170bedee3799', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/33e9cc3bc027dd8f0226170bedee3799.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/33e9cc3bc027dd8f0226170bedee3799.jpg', '未分类', 3818280, 'image/jpeg', 0, NULL, NULL, '2022-01-20 11:15:43', '2022-01-20 11:15:43', NULL);
INSERT INTO `base_attachments` VALUES (188, 'IMG20200801170054.jpg', 'b2aca4ce75acb2d7708857f3b4616365', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/b2aca4ce75acb2d7708857f3b4616365.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/b2aca4ce75acb2d7708857f3b4616365.jpg', '未分类', 2763035, 'image/jpeg', 0, NULL, NULL, '2022-01-20 13:39:06', '2022-01-20 13:39:06', NULL);
INSERT INTO `base_attachments` VALUES (189, 'Screenshot_2022-01-19-15-00-10-76_e39d2c7de19156b0683cd93e8735f348.jpg', 'fc9dce7baff1094295e5e9de1fc79e11', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/fc9dce7baff1094295e5e9de1fc79e11.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/fc9dce7baff1094295e5e9de1fc79e11.jpg', '未分类', 243054, 'image/jpeg', 0, NULL, NULL, '2022-01-20 15:04:01', '2022-01-20 15:04:01', NULL);
INSERT INTO `base_attachments` VALUES (190, 'Screenshot_2022-01-19-14-58-48-90_67c9ac5d869b6dcaacd3171430c58d31.jpg', 'a0e593c22e690f9dea7774d8946d8231', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/a0e593c22e690f9dea7774d8946d8231.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/a0e593c22e690f9dea7774d8946d8231.jpg', '未分类', 170493, 'image/jpeg', 0, NULL, NULL, '2022-01-20 15:09:14', '2022-01-20 15:09:14', NULL);
INSERT INTO `base_attachments` VALUES (191, 'Screenshot_2022-01-19-14-58-48-90_67c9ac5d869b6dcaacd3171430c58d31.jpg', 'ac2bcadc93e1bc058377201ba38f2773', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/ac2bcadc93e1bc058377201ba38f2773.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/ac2bcadc93e1bc058377201ba38f2773.jpg', '未分类', 170493, 'image/jpeg', 0, NULL, NULL, '2022-01-20 15:09:18', '2022-01-20 15:09:18', NULL);
INSERT INTO `base_attachments` VALUES (192, 'IMG_1152.HEIC', 'd080636835c30c371a8d3f653e077b82', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/d080636835c30c371a8d3f653e077b82.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/d080636835c30c371a8d3f653e077b82.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-20 15:33:18', '2022-01-20 15:33:18', NULL);
INSERT INTO `base_attachments` VALUES (193, 'IMG_20211005_071449.jpg', '349ffa777fd9a77e2256ed9df63fcb5e', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/349ffa777fd9a77e2256ed9df63fcb5e.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/20/349ffa777fd9a77e2256ed9df63fcb5e.jpg', '未分类', 1838762, 'image/jpeg', 0, NULL, NULL, '2022-01-20 20:58:06', '2022-01-20 20:58:06', NULL);
INSERT INTO `base_attachments` VALUES (194, 'IMG_1152.HEIC', '252c0e152c930fa7bdfe640d67c5cd59', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/252c0e152c930fa7bdfe640d67c5cd59.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/252c0e152c930fa7bdfe640d67c5cd59.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-21 08:05:03', '2022-01-21 08:05:03', NULL);
INSERT INTO `base_attachments` VALUES (195, 'Screenshot_2022-01-19-14-58-48-90_67c9ac5d869b6dcaacd3171430c58d31.jpg', 'fc3496bffbdb6a643f91bd253188e8e8', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/fc3496bffbdb6a643f91bd253188e8e8.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/fc3496bffbdb6a643f91bd253188e8e8.jpg', '未分类', 170493, 'image/jpeg', 0, NULL, NULL, '2022-01-21 09:25:39', '2022-01-21 09:25:39', NULL);
INSERT INTO `base_attachments` VALUES (196, 'Screenshot_2022-01-19-14-58-48-90_67c9ac5d869b6dcaacd3171430c58d31.jpg', 'bad5171351551746e018ffa92086a273', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/bad5171351551746e018ffa92086a273.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/bad5171351551746e018ffa92086a273.jpg', '未分类', 170493, 'image/jpeg', 0, NULL, NULL, '2022-01-21 09:26:21', '2022-01-21 09:26:21', NULL);
INSERT INTO `base_attachments` VALUES (197, 'Screenshot_2022-01-19-14-58-48-90_67c9ac5d869b6dcaacd3171430c58d31.jpg', '2d823bb4295256cde15cae635a5b36f8', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/2d823bb4295256cde15cae635a5b36f8.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/2d823bb4295256cde15cae635a5b36f8.jpg', '未分类', 170493, 'image/jpeg', 0, NULL, NULL, '2022-01-21 09:32:20', '2022-01-21 09:32:20', NULL);
INSERT INTO `base_attachments` VALUES (198, 'Screenshot_2022-01-19-14-58-48-90_67c9ac5d869b6dcaacd3171430c58d31.jpg', '4d984089eded9f9524d1fec42dcc6a66', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/4d984089eded9f9524d1fec42dcc6a66.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/4d984089eded9f9524d1fec42dcc6a66.jpg', '未分类', 170493, 'image/jpeg', 0, NULL, NULL, '2022-01-21 09:32:25', '2022-01-21 09:32:25', NULL);
INSERT INTO `base_attachments` VALUES (199, 'Screenshot_2022-01-18-15-33-58-91_67c9ac5d869b6dcaacd3171430c58d31.jpg', 'ae2b27a821f9e5a65aab187b442a3fe1', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/ae2b27a821f9e5a65aab187b442a3fe1.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/ae2b27a821f9e5a65aab187b442a3fe1.jpg', '未分类', 501237, 'image/jpeg', 0, NULL, NULL, '2022-01-21 09:32:58', '2022-01-21 09:32:58', NULL);
INSERT INTO `base_attachments` VALUES (200, 'Screenshot_2022-01-18-15-33-58-91_67c9ac5d869b6dcaacd3171430c58d31.jpg', 'af09ef6e19d7ac0152d4f55582561ecd', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/af09ef6e19d7ac0152d4f55582561ecd.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/af09ef6e19d7ac0152d4f55582561ecd.jpg', '未分类', 501237, 'image/jpeg', 0, NULL, NULL, '2022-01-21 09:33:04', '2022-01-21 09:33:04', NULL);
INSERT INTO `base_attachments` VALUES (201, 'CAP1444337699717625507.jpg', '03f87f796e1ca770b1ce7bf92a18c01b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/03f87f796e1ca770b1ce7bf92a18c01b.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/03f87f796e1ca770b1ce7bf92a18c01b.jpg', '未分类', 3801752, 'image/jpeg', 0, NULL, NULL, '2022-01-21 15:38:37', '2022-01-21 15:38:37', NULL);
INSERT INTO `base_attachments` VALUES (202, 'CAP1444337699717625507.jpg', 'c008e3af8cd04a93deb7d2310799769e', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/c008e3af8cd04a93deb7d2310799769e.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/c008e3af8cd04a93deb7d2310799769e.jpg', '未分类', 3801752, 'image/jpeg', 0, NULL, NULL, '2022-01-21 17:41:08', '2022-01-21 17:41:08', NULL);
INSERT INTO `base_attachments` VALUES (203, 'Screenshot_20220121_164516_com.easygogolf.app.jpg', 'b1b4c301bc99fc1995c4f7e29ba0c595', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/b1b4c301bc99fc1995c4f7e29ba0c595.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/b1b4c301bc99fc1995c4f7e29ba0c595.jpg', '未分类', 130569, 'image/jpeg', 0, NULL, NULL, '2022-01-21 18:04:26', '2022-01-21 18:04:26', NULL);
INSERT INTO `base_attachments` VALUES (204, 'Screenshot_20220121_164516_com.easygogolf.app.jpg', '1f263d3a949b1e533d2c9f7578c0ce51', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/1f263d3a949b1e533d2c9f7578c0ce51.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/21/1f263d3a949b1e533d2c9f7578c0ce51.jpg', '未分类', 130787, 'image/jpeg', 0, NULL, NULL, '2022-01-21 18:04:27', '2022-01-21 18:04:27', NULL);
INSERT INTO `base_attachments` VALUES (205, 'IMG_1152.HEIC', 'a97fcbf94d299381da5107e0bb7184c2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/a97fcbf94d299381da5107e0bb7184c2.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/a97fcbf94d299381da5107e0bb7184c2.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-22 10:43:38', '2022-01-22 10:43:38', NULL);
INSERT INTO `base_attachments` VALUES (206, 'IMG_1152.HEIC', 'b23cdfce7fcc265738ca283e562ac508', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/b23cdfce7fcc265738ca283e562ac508.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/b23cdfce7fcc265738ca283e562ac508.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-22 11:11:49', '2022-01-22 11:11:49', NULL);
INSERT INTO `base_attachments` VALUES (207, 'CAP2165011277395111684.jpg', '192addc1cd8c45087b5a0dfed8aa9dca', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/192addc1cd8c45087b5a0dfed8aa9dca.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/192addc1cd8c45087b5a0dfed8aa9dca.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-22 11:41:58', '2022-01-22 11:41:58', NULL);
INSERT INTO `base_attachments` VALUES (208, 'CAP4926295837807710608.jpg', 'b943c896e9d190c1796eb35bbacb4646', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/b943c896e9d190c1796eb35bbacb4646.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/b943c896e9d190c1796eb35bbacb4646.jpg', '未分类', 1198219, 'image/jpeg', 0, NULL, NULL, '2022-01-22 13:54:53', '2022-01-22 13:54:53', NULL);
INSERT INTO `base_attachments` VALUES (209, 'CAP4926295837807710608.jpg', '650da94187cc5b8a5c0fb6950f241ec0', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/650da94187cc5b8a5c0fb6950f241ec0.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/650da94187cc5b8a5c0fb6950f241ec0.jpg', '未分类', 1198219, 'image/jpeg', 0, NULL, NULL, '2022-01-22 13:55:49', '2022-01-22 13:55:49', NULL);
INSERT INTO `base_attachments` VALUES (210, 'hdImg_da527d977280fe328ae8a1b55490dc5f1628179405473.jpg', '5563ab1714da86f524e93f0a8e4424b9', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/5563ab1714da86f524e93f0a8e4424b9.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/22/5563ab1714da86f524e93f0a8e4424b9.jpg', '未分类', 48231, 'image/jpeg', 0, NULL, NULL, '2022-01-22 16:18:16', '2022-01-22 16:18:16', NULL);
INSERT INTO `base_attachments` VALUES (211, 'IMG_1152.HEIC', '3760489e6fecc5fff808eee0a24afedf', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/3760489e6fecc5fff808eee0a24afedf.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/3760489e6fecc5fff808eee0a24afedf.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-23 09:08:21', '2022-01-23 09:08:21', NULL);
INSERT INTO `base_attachments` VALUES (212, 'IMG_1152.HEIC', 'e404e11c18f02a6ba2d36cd19a6e2198', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/e404e11c18f02a6ba2d36cd19a6e2198.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/e404e11c18f02a6ba2d36cd19a6e2198.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-23 09:11:18', '2022-01-23 09:11:18', NULL);
INSERT INTO `base_attachments` VALUES (213, 'Screenshot_2022-01-21-20-27-13-07_e39d2c7de19156b0683cd93e8735f348.jpg', '9530099fde5be11a0de2b6b163226389', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/9530099fde5be11a0de2b6b163226389.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/9530099fde5be11a0de2b6b163226389.jpg', '未分类', 508122, 'image/jpeg', 0, NULL, NULL, '2022-01-23 09:17:43', '2022-01-23 09:17:43', NULL);
INSERT INTO `base_attachments` VALUES (214, 'Screenshot_2022-01-21-20-27-13-07_e39d2c7de19156b0683cd93e8735f348.jpg', 'fbee2bee580cf85c2c792c4c3480a81c', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/fbee2bee580cf85c2c792c4c3480a81c.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/fbee2bee580cf85c2c792c4c3480a81c.jpg', '未分类', 508122, 'image/jpeg', 0, NULL, NULL, '2022-01-23 09:18:06', '2022-01-23 09:18:06', NULL);
INSERT INTO `base_attachments` VALUES (215, 'CAP4926295837807710608.jpg', 'aa5ec5290bb419ab30ef1a438c6292b2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/aa5ec5290bb419ab30ef1a438c6292b2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/aa5ec5290bb419ab30ef1a438c6292b2.jpg', '未分类', 1198219, 'image/jpeg', 0, NULL, NULL, '2022-01-23 11:48:55', '2022-01-23 11:48:55', NULL);
INSERT INTO `base_attachments` VALUES (216, 'CAP4926295837807710608.jpg', '9817b8c5dc10e86c74498363b3bd595b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/9817b8c5dc10e86c74498363b3bd595b.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/9817b8c5dc10e86c74498363b3bd595b.jpg', '未分类', 1198219, 'image/jpeg', 0, NULL, NULL, '2022-01-23 11:49:50', '2022-01-23 11:49:50', NULL);
INSERT INTO `base_attachments` VALUES (217, 'CAP4926295837807710608.jpg', '99b9b37435fcfa5cb3670a9898c55310', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/99b9b37435fcfa5cb3670a9898c55310.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/99b9b37435fcfa5cb3670a9898c55310.jpg', '未分类', 1198219, 'image/jpeg', 0, NULL, NULL, '2022-01-23 11:50:58', '2022-01-23 11:50:58', NULL);
INSERT INTO `base_attachments` VALUES (218, 'IMG_20210820_182912.jpg', '6bc762939e96c60fb6d5e8030daa2e27', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/6bc762939e96c60fb6d5e8030daa2e27.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/6bc762939e96c60fb6d5e8030daa2e27.jpg', '未分类', 3050166, 'image/jpeg', 0, NULL, NULL, '2022-01-23 11:52:25', '2022-01-23 11:52:25', NULL);
INSERT INTO `base_attachments` VALUES (219, 'Screenshot_2022-01-14-17-37-24-38_e39d2c7de19156b0683cd93e8735f348.jpg', 'ad9a0346f1bd1f4e5f7893c544a1ab20', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/ad9a0346f1bd1f4e5f7893c544a1ab20.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/23/ad9a0346f1bd1f4e5f7893c544a1ab20.jpg', '未分类', 15837, 'image/jpeg', 0, NULL, NULL, '2022-01-23 13:50:04', '2022-01-23 13:50:04', NULL);
INSERT INTO `base_attachments` VALUES (220, 'mmexport1642472152332.jpg', '81732b4f62739c26d9aa826bdd5eaa73', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/81732b4f62739c26d9aa826bdd5eaa73.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/81732b4f62739c26d9aa826bdd5eaa73.jpg', '未分类', 128322, 'image/jpeg', 0, NULL, NULL, '2022-01-24 09:05:48', '2022-01-24 09:05:48', NULL);
INSERT INTO `base_attachments` VALUES (221, '68d0443a717a12a2.jpg', '6a88fc627debd5d3952df0a572056618', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/6a88fc627debd5d3952df0a572056618.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/6a88fc627debd5d3952df0a572056618.jpg', '未分类', 59852, 'image/jpeg', 0, NULL, NULL, '2022-01-24 09:24:45', '2022-01-24 09:24:45', NULL);
INSERT INTO `base_attachments` VALUES (222, 'mmexport1642472152332.jpg', '59873b4c7dba8a86a0b558d6763976b5', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/59873b4c7dba8a86a0b558d6763976b5.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/59873b4c7dba8a86a0b558d6763976b5.jpg', '未分类', 128322, 'image/jpeg', 0, NULL, NULL, '2022-01-24 09:24:46', '2022-01-24 09:24:46', NULL);
INSERT INTO `base_attachments` VALUES (223, 'mmexport1642084327600.jpg', '1176bd4966db879523d1159cb83abe61', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/1176bd4966db879523d1159cb83abe61.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/1176bd4966db879523d1159cb83abe61.jpg', '未分类', 1634045, 'image/jpeg', 0, NULL, NULL, '2022-01-24 09:44:36', '2022-01-24 09:44:36', NULL);
INSERT INTO `base_attachments` VALUES (224, 'CAP4926295837807710608.jpg', '77ecd8a2ca6a1cd477d1ca5277197538', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/77ecd8a2ca6a1cd477d1ca5277197538.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/77ecd8a2ca6a1cd477d1ca5277197538.jpg', '未分类', 1198219, 'image/jpeg', 0, NULL, NULL, '2022-01-24 09:50:47', '2022-01-24 09:50:47', NULL);
INSERT INTO `base_attachments` VALUES (225, 'CAP1444337699717625507.jpg', 'ed94637af131634e5aceba77f4e07f34', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/ed94637af131634e5aceba77f4e07f34.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/ed94637af131634e5aceba77f4e07f34.jpg', '未分类', 3801752, 'image/jpeg', 0, NULL, NULL, '2022-01-24 09:51:27', '2022-01-24 09:51:27', NULL);
INSERT INTO `base_attachments` VALUES (226, 'IMG_2678.JPG', '4b4f40a0b4ae21e50829e52c3cc75337', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/4b4f40a0b4ae21e50829e52c3cc75337.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/4b4f40a0b4ae21e50829e52c3cc75337.JPG', '未分类', 835280, 'image/jpeg', 0, NULL, NULL, '2022-01-24 10:28:36', '2022-01-24 10:28:36', NULL);
INSERT INTO `base_attachments` VALUES (227, 'CAP2165011277395111684.jpg', 'd88b1ade4ff54255429701c8b12384e1', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/d88b1ade4ff54255429701c8b12384e1.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/d88b1ade4ff54255429701c8b12384e1.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-24 10:40:02', '2022-01-24 10:40:02', NULL);
INSERT INTO `base_attachments` VALUES (228, 'IMG_3704.JPG', '859285715630f77dbfd1a6d4e0a061e4', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/859285715630f77dbfd1a6d4e0a061e4.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/859285715630f77dbfd1a6d4e0a061e4.JPG', '未分类', 6274966, 'image/jpeg', 0, NULL, NULL, '2022-01-24 11:34:01', '2022-01-24 11:34:01', NULL);
INSERT INTO `base_attachments` VALUES (229, 'mmexport1642929340425.jpg', '0b236c8b03b91c7eddd81b181396938a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/0b236c8b03b91c7eddd81b181396938a.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/0b236c8b03b91c7eddd81b181396938a.jpg', '未分类', 20237, 'image/jpeg', 0, NULL, NULL, '2022-01-24 11:34:10', '2022-01-24 11:34:10', NULL);
INSERT INTO `base_attachments` VALUES (230, 'IMG_3704.JPG', '3ae236c265d084feeea110dd9d590dac', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/3ae236c265d084feeea110dd9d590dac.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/3ae236c265d084feeea110dd9d590dac.JPG', '未分类', 6274966, 'image/jpeg', 0, NULL, NULL, '2022-01-24 11:35:08', '2022-01-24 11:35:08', NULL);
INSERT INTO `base_attachments` VALUES (231, 'IMG_1152.HEIC', '50f4b3f51665d8467c89a9227317b563', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/50f4b3f51665d8467c89a9227317b563.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/50f4b3f51665d8467c89a9227317b563.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-24 12:56:18', '2022-01-24 12:56:18', NULL);
INSERT INTO `base_attachments` VALUES (232, 'Screenshot_2022-01-23-17-51-33-07_282d022627b3c6a616b39ea68b467221.jpg', 'afa0985d01a395bab888180f7e531b55', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/afa0985d01a395bab888180f7e531b55.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/afa0985d01a395bab888180f7e531b55.jpg', '未分类', 450644, 'image/jpeg', 0, NULL, NULL, '2022-01-24 13:36:53', '2022-01-24 13:36:53', NULL);
INSERT INTO `base_attachments` VALUES (233, 'mmexport1642929340425.jpg', 'ba16a1d6f68e40609a94aaf18058e763', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/ba16a1d6f68e40609a94aaf18058e763.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/ba16a1d6f68e40609a94aaf18058e763.jpg', '未分类', 20237, 'image/jpeg', 0, NULL, NULL, '2022-01-24 14:32:54', '2022-01-24 14:32:54', NULL);
INSERT INTO `base_attachments` VALUES (234, 'IMG_1152.HEIC', '23625302b8325e377fafe5b984708e7c', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/23625302b8325e377fafe5b984708e7c.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/23625302b8325e377fafe5b984708e7c.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-24 14:34:16', '2022-01-24 14:34:16', NULL);
INSERT INTO `base_attachments` VALUES (235, 'IMG_1152.HEIC', '5794102ba7e58a04b3759de4a348bce3', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/5794102ba7e58a04b3759de4a348bce3.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/5794102ba7e58a04b3759de4a348bce3.HEIC', '未分类', 10023169, 'image/jpeg', 0, NULL, NULL, '2022-01-24 14:59:58', '2022-01-24 14:59:58', NULL);
INSERT INTO `base_attachments` VALUES (236, 'mmexport1642929340425.jpg', 'cca8a1cf9fe4d8d63104678ceb1ccb72', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/cca8a1cf9fe4d8d63104678ceb1ccb72.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/cca8a1cf9fe4d8d63104678ceb1ccb72.jpg', '未分类', 20237, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:17:29', '2022-01-24 16:17:29', NULL);
INSERT INTO `base_attachments` VALUES (237, 'mmexport1642929340425.jpg', '9bdd575deef025fe52e115d40468dc60', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/9bdd575deef025fe52e115d40468dc60.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/9bdd575deef025fe52e115d40468dc60.jpg', '未分类', 450644, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:17:32', '2022-01-24 16:17:32', NULL);
INSERT INTO `base_attachments` VALUES (238, 'CAP1444337699717625507.jpg', '2197ff4006aa9d8005eddfe69fa41ecd', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/2197ff4006aa9d8005eddfe69fa41ecd.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/2197ff4006aa9d8005eddfe69fa41ecd.jpg', '未分类', 3801752, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:20:58', '2022-01-24 16:20:58', NULL);
INSERT INTO `base_attachments` VALUES (239, 'CAP1444337699717625507.jpg', 'a81343915d269b35ba850010d4abec03', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/a81343915d269b35ba850010d4abec03.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/a81343915d269b35ba850010d4abec03.jpg', '未分类', 1634045, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:21:13', '2022-01-24 16:21:13', NULL);
INSERT INTO `base_attachments` VALUES (240, 'CAP1444337699717625507.jpg', '38324d71425f1869aa5406005f301439', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/38324d71425f1869aa5406005f301439.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/38324d71425f1869aa5406005f301439.jpg', '未分类', 3818280, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:21:43', '2022-01-24 16:21:43', NULL);
INSERT INTO `base_attachments` VALUES (241, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', 'c83e3796edcfba41d0abcc179cc4b434', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/c83e3796edcfba41d0abcc179cc4b434.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/c83e3796edcfba41d0abcc179cc4b434.jpg', '未分类', 66462, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:51:54', '2022-01-24 16:51:54', NULL);
INSERT INTO `base_attachments` VALUES (242, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', '0e16c96544c33606e3585ed80cc0cb12', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/0e16c96544c33606e3585ed80cc0cb12.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/0e16c96544c33606e3585ed80cc0cb12.jpg', '未分类', 62889, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:51:55', '2022-01-24 16:51:55', NULL);
INSERT INTO `base_attachments` VALUES (243, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', '8fb342c6fabc5115265b21cfe37781d2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/8fb342c6fabc5115265b21cfe37781d2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/8fb342c6fabc5115265b21cfe37781d2.jpg', '未分类', 69540, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:51:56', '2022-01-24 16:51:56', NULL);
INSERT INTO `base_attachments` VALUES (244, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', 'e3d3c1c43d473cc5eb7dbd42d9afb55e', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/e3d3c1c43d473cc5eb7dbd42d9afb55e.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/e3d3c1c43d473cc5eb7dbd42d9afb55e.jpg', '未分类', 64602, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:51:57', '2022-01-24 16:51:57', NULL);
INSERT INTO `base_attachments` VALUES (245, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', 'c8b5839dcabdf167320684bcd6fefb80', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/c8b5839dcabdf167320684bcd6fefb80.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/24/c8b5839dcabdf167320684bcd6fefb80.jpg', '未分类', 76781, 'image/jpeg', 0, NULL, NULL, '2022-01-24 16:51:58', '2022-01-24 16:51:58', NULL);
INSERT INTO `base_attachments` VALUES (246, 'IMG_3750.JPG', '560529413fc26b7caafb55135ea8a982', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/560529413fc26b7caafb55135ea8a982.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/560529413fc26b7caafb55135ea8a982.JPG', '未分类', 882625, 'image/jpeg', 0, NULL, NULL, '2022-01-25 14:40:02', '2022-01-25 14:40:02', NULL);
INSERT INTO `base_attachments` VALUES (247, 'CAP2165011277395111684.jpg', '85b53d9050202abda26a42ceef967d1f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/85b53d9050202abda26a42ceef967d1f.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/85b53d9050202abda26a42ceef967d1f.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-25 17:11:15', '2022-01-25 17:11:15', NULL);
INSERT INTO `base_attachments` VALUES (248, 'CAP2165011277395111684.jpg', '3cc038c0dd958a35b761b027a2f4584b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/3cc038c0dd958a35b761b027a2f4584b.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/3cc038c0dd958a35b761b027a2f4584b.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-25 17:11:24', '2022-01-25 17:11:24', NULL);
INSERT INTO `base_attachments` VALUES (249, 'ab6be2da70c559faf2aabfb742fafd76.jpg', 'c993b2f4c7158dcb85ee6bad52df8608', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/c993b2f4c7158dcb85ee6bad52df8608.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/c993b2f4c7158dcb85ee6bad52df8608.jpg', '未分类', 7175, 'image/jpeg', 0, NULL, NULL, '2022-01-25 17:54:46', '2022-01-25 17:54:46', NULL);
INSERT INTO `base_attachments` VALUES (250, 'mmexport1643101029696.jpg', 'a4e81b242b5c18667668dd291bfeb1a2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/a4e81b242b5c18667668dd291bfeb1a2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/a4e81b242b5c18667668dd291bfeb1a2.jpg', '未分类', 37027, 'image/jpeg', 0, NULL, NULL, '2022-01-25 20:03:33', '2022-01-25 20:03:33', NULL);
INSERT INTO `base_attachments` VALUES (251, 'mmexport1643101029696.jpg', 'affec34aa45181f37959cefba4dfbafc', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/affec34aa45181f37959cefba4dfbafc.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/affec34aa45181f37959cefba4dfbafc.jpg', '未分类', 37027, 'image/jpeg', 0, NULL, NULL, '2022-01-25 20:04:25', '2022-01-25 20:04:25', NULL);
INSERT INTO `base_attachments` VALUES (252, 'mmexport1643101029696.jpg', '90ea464af1f80a382da4ccee300df136', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/90ea464af1f80a382da4ccee300df136.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/90ea464af1f80a382da4ccee300df136.jpg', '未分类', 37027, 'image/jpeg', 0, NULL, NULL, '2022-01-25 20:26:51', '2022-01-25 20:26:51', NULL);
INSERT INTO `base_attachments` VALUES (253, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', '6c51f0d4399e96f1ad985b00f9d2a8b2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/6c51f0d4399e96f1ad985b00f9d2a8b2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/6c51f0d4399e96f1ad985b00f9d2a8b2.jpg', '未分类', 66462, 'image/jpeg', 0, NULL, NULL, '2022-01-25 20:29:26', '2022-01-25 20:29:26', NULL);
INSERT INTO `base_attachments` VALUES (254, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', 'a3ee086bd482ab297446a07a856ec742', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/a3ee086bd482ab297446a07a856ec742.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/a3ee086bd482ab297446a07a856ec742.jpg', '未分类', 71638, 'image/jpeg', 0, NULL, NULL, '2022-01-25 20:29:27', '2022-01-25 20:29:27', NULL);
INSERT INTO `base_attachments` VALUES (255, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', '5e1a5aa07a1fb5445f20b42a71e790b4', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/5e1a5aa07a1fb5445f20b42a71e790b4.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/5e1a5aa07a1fb5445f20b42a71e790b4.jpg', '未分类', 62889, 'image/jpeg', 0, NULL, NULL, '2022-01-25 20:29:28', '2022-01-25 20:29:28', NULL);
INSERT INTO `base_attachments` VALUES (256, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', '79d8d5aa719fb7273da6d1cfb571ecec', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/79d8d5aa719fb7273da6d1cfb571ecec.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/79d8d5aa719fb7273da6d1cfb571ecec.jpg', '未分类', 64602, 'image/jpeg', 0, NULL, NULL, '2022-01-25 20:29:29', '2022-01-25 20:29:29', NULL);
INSERT INTO `base_attachments` VALUES (257, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', '88ab83cd2ddfdd2b565ec897eb2f4f5e', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/88ab83cd2ddfdd2b565ec897eb2f4f5e.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/88ab83cd2ddfdd2b565ec897eb2f4f5e.jpg', '未分类', 69540, 'image/jpeg', 0, NULL, NULL, '2022-01-25 20:29:30', '2022-01-25 20:29:30', NULL);
INSERT INTO `base_attachments` VALUES (258, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', 'ad3105c7138976a53d0af62d2e6dc8ef', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/ad3105c7138976a53d0af62d2e6dc8ef.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/25/ad3105c7138976a53d0af62d2e6dc8ef.jpg', '未分类', 76781, 'image/jpeg', 0, NULL, NULL, '2022-01-25 20:29:31', '2022-01-25 20:29:31', NULL);
INSERT INTO `base_attachments` VALUES (259, 'IMG_1152.HEIC', 'fb7db16ae1a4b8ffbc1cd1234b08def8', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/fb7db16ae1a4b8ffbc1cd1234b08def8.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/fb7db16ae1a4b8ffbc1cd1234b08def8.HEIC', '未分类', 4529577, 'image/jpeg', 0, NULL, NULL, '2022-01-26 00:14:04', '2022-01-26 00:14:04', NULL);
INSERT INTO `base_attachments` VALUES (260, 'IMG_1197.JPG', '5bfc56ffc78bbad836c53f6ed1618693', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/5bfc56ffc78bbad836c53f6ed1618693.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/5bfc56ffc78bbad836c53f6ed1618693.JPG', '未分类', 169545, 'image/jpeg', 0, NULL, NULL, '2022-01-26 00:16:02', '2022-01-26 00:16:02', NULL);
INSERT INTO `base_attachments` VALUES (261, 'IMG_1197.JPG', 'ec5c7c60907008e0c993f7cc4e0b682c', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/ec5c7c60907008e0c993f7cc4e0b682c.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/ec5c7c60907008e0c993f7cc4e0b682c.JPG', '未分类', 169545, 'image/jpeg', 0, NULL, NULL, '2022-01-26 00:16:10', '2022-01-26 00:16:10', NULL);
INSERT INTO `base_attachments` VALUES (262, 'IMG_1197.JPG', 'fb9a436bc5fd8198347f135ebd9b1ad7', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/fb9a436bc5fd8198347f135ebd9b1ad7.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/fb9a436bc5fd8198347f135ebd9b1ad7.JPG', '未分类', 169545, 'image/jpeg', 0, NULL, NULL, '2022-01-26 00:17:07', '2022-01-26 00:17:07', NULL);
INSERT INTO `base_attachments` VALUES (263, 'mmexport1643186093051.jpg', '05a830f2a6ba4a68f2326756b188c790', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/05a830f2a6ba4a68f2326756b188c790.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/05a830f2a6ba4a68f2326756b188c790.jpg', '未分类', 63378, 'image/jpeg', 0, NULL, NULL, '2022-01-26 16:35:13', '2022-01-26 16:35:13', NULL);
INSERT INTO `base_attachments` VALUES (264, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', '10babf77be2f90fa4646f5f0da1a3dc0', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/10babf77be2f90fa4646f5f0da1a3dc0.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/10babf77be2f90fa4646f5f0da1a3dc0.jpeg', '未分类', 87922, 'image/jpeg', 0, NULL, NULL, '2022-01-26 16:37:03', '2022-01-26 16:37:03', NULL);
INSERT INTO `base_attachments` VALUES (265, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', '480287fe06eab2ecb19f573c74b3d9ac', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/480287fe06eab2ecb19f573c74b3d9ac.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/480287fe06eab2ecb19f573c74b3d9ac.jpeg', '未分类', 59852, 'image/jpeg', 0, NULL, NULL, '2022-01-26 16:37:04', '2022-01-26 16:37:04', NULL);
INSERT INTO `base_attachments` VALUES (266, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', 'ef974a14a08974235d1155d828988ea8', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/ef974a14a08974235d1155d828988ea8.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/ef974a14a08974235d1155d828988ea8.jpeg', '未分类', 128322, 'image/jpeg', 0, NULL, NULL, '2022-01-26 16:37:06', '2022-01-26 16:37:06', NULL);
INSERT INTO `base_attachments` VALUES (267, '19-42-02-002.jpg', '40b81082eda75e9b6e41ac8da61b4fba', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/40b81082eda75e9b6e41ac8da61b4fba.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/40b81082eda75e9b6e41ac8da61b4fba.jpg', '未分类', 643487, 'image/png', 0, NULL, NULL, '2022-01-26 16:44:27', '2022-01-26 16:44:27', NULL);
INSERT INTO `base_attachments` VALUES (268, 'mmexport1643186773142.jpg', '6ad89e3026bf086fe92ec2c4f035b908', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/6ad89e3026bf086fe92ec2c4f035b908.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/6ad89e3026bf086fe92ec2c4f035b908.jpg', '未分类', 54359, 'image/jpeg', 0, NULL, NULL, '2022-01-26 16:47:56', '2022-01-26 16:47:56', NULL);
INSERT INTO `base_attachments` VALUES (269, 'mmexport1643186773142.jpg', '97e4fcbd08f7fb1eb1ed34735c115651', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/97e4fcbd08f7fb1eb1ed34735c115651.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/97e4fcbd08f7fb1eb1ed34735c115651.jpg', '未分类', 50324, 'image/jpeg', 0, NULL, NULL, '2022-01-26 16:47:57', '2022-01-26 16:47:57', NULL);
INSERT INTO `base_attachments` VALUES (270, 'mmexport1643186773142.jpg', '5f7a63454cd36b3351173058490e97fa', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/5f7a63454cd36b3351173058490e97fa.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/5f7a63454cd36b3351173058490e97fa.jpg', '未分类', 103713, 'image/jpeg', 0, NULL, NULL, '2022-01-26 16:47:58', '2022-01-26 16:47:58', NULL);
INSERT INTO `base_attachments` VALUES (271, 'mmexport1643186773142.jpg', '72ba6f42c943d05e8488aada2fd5fc92', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/72ba6f42c943d05e8488aada2fd5fc92.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/72ba6f42c943d05e8488aada2fd5fc92.jpg', '未分类', 230529, 'image/jpeg', 0, NULL, NULL, '2022-01-26 16:47:59', '2022-01-26 16:47:59', NULL);
INSERT INTO `base_attachments` VALUES (272, 'mmexport1643187388166.jpg', 'd08c067ae8367868b3877d7529cc6065', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/d08c067ae8367868b3877d7529cc6065.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/d08c067ae8367868b3877d7529cc6065.jpg', '未分类', 49903, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:02:24', '2022-01-26 17:02:24', NULL);
INSERT INTO `base_attachments` VALUES (273, 'IMG_20220126_171741.jpg', '027c4b2109a7cdebf6eee5c1c51e27a2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/027c4b2109a7cdebf6eee5c1c51e27a2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/027c4b2109a7cdebf6eee5c1c51e27a2.jpg', '未分类', 1663261, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:16:39', '2022-01-26 17:16:39', NULL);
INSERT INTO `base_attachments` VALUES (274, 'IMG_20220126_171741.jpg', 'efcf16f20ecd9ba823d6738e18030a19', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/efcf16f20ecd9ba823d6738e18030a19.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/efcf16f20ecd9ba823d6738e18030a19.jpg', '未分类', 2694020, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:17:00', '2022-01-26 17:17:00', NULL);
INSERT INTO `base_attachments` VALUES (275, 'IMG_20220126_171741.jpg', 'e0a3095d5424776c58b73e151bd2eaca', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/e0a3095d5424776c58b73e151bd2eaca.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/e0a3095d5424776c58b73e151bd2eaca.jpg', '未分类', 2645545, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:17:20', '2022-01-26 17:17:20', NULL);
INSERT INTO `base_attachments` VALUES (276, 'IMG_20220126_171741.jpg', 'fbbb0f57412f905ef5479c1b84687db2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/fbbb0f57412f905ef5479c1b84687db2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/fbbb0f57412f905ef5479c1b84687db2.jpg', '未分类', 2241944, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:17:38', '2022-01-26 17:17:38', NULL);
INSERT INTO `base_attachments` VALUES (277, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', '0b16a0ba611785227827f93557e67547', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/0b16a0ba611785227827f93557e67547.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/0b16a0ba611785227827f93557e67547.jpeg', '未分类', 87922, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:20:21', '2022-01-26 17:20:21', NULL);
INSERT INTO `base_attachments` VALUES (278, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', '6006c457b22b077c512abd075906aad5', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/6006c457b22b077c512abd075906aad5.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/6006c457b22b077c512abd075906aad5.jpeg', '未分类', 15375, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:20:23', '2022-01-26 17:20:23', NULL);
INSERT INTO `base_attachments` VALUES (279, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', 'a5f86c989369bb7b865f7ba63ab6b8eb', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/a5f86c989369bb7b865f7ba63ab6b8eb.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/a5f86c989369bb7b865f7ba63ab6b8eb.jpeg', '未分类', 87922, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:21:36', '2022-01-26 17:21:36', NULL);
INSERT INTO `base_attachments` VALUES (280, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', '2c395bbff0eb951912df3e75971d6915', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/2c395bbff0eb951912df3e75971d6915.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/2c395bbff0eb951912df3e75971d6915.jpeg', '未分类', 128322, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:21:39', '2022-01-26 17:21:39', NULL);
INSERT INTO `base_attachments` VALUES (281, 'mmexport1643186866664.jpg', '5c25ff8ff826fc4f00c2a7b0a3900bf6', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/5c25ff8ff826fc4f00c2a7b0a3900bf6.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/5c25ff8ff826fc4f00c2a7b0a3900bf6.jpg', '未分类', 230529, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:22:44', '2022-01-26 17:22:44', NULL);
INSERT INTO `base_attachments` VALUES (282, 'mmexport1643186866664.jpg', '84f64bf651740e67ff928808fec18a39', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/84f64bf651740e67ff928808fec18a39.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/84f64bf651740e67ff928808fec18a39.jpg', '未分类', 103713, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:22:46', '2022-01-26 17:22:46', NULL);
INSERT INTO `base_attachments` VALUES (283, 'mmexport1642084327600.jpg', 'f93d2b778e0ad3ca71eca9f8d345424e', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/f93d2b778e0ad3ca71eca9f8d345424e.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/f93d2b778e0ad3ca71eca9f8d345424e.jpg', '未分类', 1634045, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:23:28', '2022-01-26 17:23:28', NULL);
INSERT INTO `base_attachments` VALUES (284, 'mmexport1642084327600.jpg', '80ecd07f40742380c610c6ca60757fe2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/80ecd07f40742380c610c6ca60757fe2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/80ecd07f40742380c610c6ca60757fe2.jpg', '未分类', 3818280, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:24:04', '2022-01-26 17:24:04', NULL);
INSERT INTO `base_attachments` VALUES (285, 'mmexport1642084327600.jpg', '64a95caa78a2fc3bfb27158b662722b2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/64a95caa78a2fc3bfb27158b662722b2.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/64a95caa78a2fc3bfb27158b662722b2.jpg', '未分类', 2755470, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:24:33', '2022-01-26 17:24:33', NULL);
INSERT INTO `base_attachments` VALUES (286, 'mmexport1642084327600.jpg', '7a81948b511a134a21f5297f39656379', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/7a81948b511a134a21f5297f39656379.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/7a81948b511a134a21f5297f39656379.jpg', '未分类', 2670354, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:24:54', '2022-01-26 17:24:54', NULL);
INSERT INTO `base_attachments` VALUES (287, 'mmexport1642084327600.jpg', '4d2280c762daf8b75eed43c25ed26391', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/4d2280c762daf8b75eed43c25ed26391.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/4d2280c762daf8b75eed43c25ed26391.jpg', '未分类', 16558, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:24:55', '2022-01-26 17:24:55', NULL);
INSERT INTO `base_attachments` VALUES (288, 'mmexport1642084327600.jpg', '7bb1d6dbda1e6cf9e768328b6cb90bde', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/7bb1d6dbda1e6cf9e768328b6cb90bde.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/7bb1d6dbda1e6cf9e768328b6cb90bde.jpg', '未分类', 1485969, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:25:06', '2022-01-26 17:25:06', NULL);
INSERT INTO `base_attachments` VALUES (289, 'IMG_20211223_181253.jpg', 'dd118ae029f37779b71855221cd3f136', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/dd118ae029f37779b71855221cd3f136.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/dd118ae029f37779b71855221cd3f136.jpg', '未分类', 2755470, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:39:07', '2022-01-26 17:39:07', NULL);
INSERT INTO `base_attachments` VALUES (290, 'IMG_20211223_181250.jpg', 'a0856841f5873ff54cd679ba7062a321', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/a0856841f5873ff54cd679ba7062a321.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/a0856841f5873ff54cd679ba7062a321.jpg', '未分类', 2670354, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:40:46', '2022-01-26 17:40:46', NULL);
INSERT INTO `base_attachments` VALUES (291, 'IMG_20211223_181250.jpg', 'ada3363908bc45799673d6faf2034631', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/ada3363908bc45799673d6faf2034631.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/ada3363908bc45799673d6faf2034631.jpg', '未分类', 2755470, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:41:08', '2022-01-26 17:41:08', NULL);
INSERT INTO `base_attachments` VALUES (292, 'mmexport1643187389491.jpg', 'aa78cece3e8cc33abc09112d6cd48ca3', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/aa78cece3e8cc33abc09112d6cd48ca3.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/aa78cece3e8cc33abc09112d6cd48ca3.jpg', '未分类', 21374, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:42:22', '2022-01-26 17:42:22', NULL);
INSERT INTO `base_attachments` VALUES (293, 'IMG_20220126_171741.jpg', '4cd36ace9be15f419e36e4fbc251bf2b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/4cd36ace9be15f419e36e4fbc251bf2b.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/4cd36ace9be15f419e36e4fbc251bf2b.jpg', '未分类', 1663261, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:45:33', '2022-01-26 17:45:33', NULL);
INSERT INTO `base_attachments` VALUES (294, '1640950485593_2278540505716130.jpg', '5063dc7c07f1d236aafff6b8a9286835', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/5063dc7c07f1d236aafff6b8a9286835.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/5063dc7c07f1d236aafff6b8a9286835.jpg', '未分类', 214920, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:48:15', '2022-01-26 17:48:15', NULL);
INSERT INTO `base_attachments` VALUES (295, 'img-1641215383786d55af349e1a7567c66f82b385c1f1d72.jpg', '21151cf9fe8a13a4517e0901e81d9967', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/21151cf9fe8a13a4517e0901e81d9967.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/21151cf9fe8a13a4517e0901e81d9967.jpg', '未分类', 66462, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:55:44', '2022-01-26 17:55:44', NULL);
INSERT INTO `base_attachments` VALUES (296, 'IMG_20211216_211938.jpg', 'fea37ed99597e89782dcd19d65d85b54', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/fea37ed99597e89782dcd19d65d85b54.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/fea37ed99597e89782dcd19d65d85b54.jpg', '未分类', 430593, 'image/jpeg', 0, NULL, NULL, '2022-01-26 17:57:30', '2022-01-26 17:57:30', NULL);
INSERT INTO `base_attachments` VALUES (297, 'IMG_20141123_170408.jpg', '486def5397f9795f7b5e0b382354f2f6', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/486def5397f9795f7b5e0b382354f2f6.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/486def5397f9795f7b5e0b382354f2f6.jpg', '未分类', 152524, 'image/jpeg', 0, NULL, NULL, '2022-01-26 18:06:31', '2022-01-26 18:06:31', NULL);
INSERT INTO `base_attachments` VALUES (298, '1487296029496.jpg', '8445ed6ec3ec555b2faa37cd3fafe99b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/8445ed6ec3ec555b2faa37cd3fafe99b.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/26/8445ed6ec3ec555b2faa37cd3fafe99b.jpg', '未分类', 116372, 'image/jpeg', 0, NULL, NULL, '2022-01-26 18:07:44', '2022-01-26 18:07:44', NULL);
INSERT INTO `base_attachments` VALUES (299, 'IMG_2675.JPG', 'befbec096bfa7e8fd8acbc0e6c253e5b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/befbec096bfa7e8fd8acbc0e6c253e5b.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/befbec096bfa7e8fd8acbc0e6c253e5b.JPG', '未分类', 516706, 'image/jpeg', 0, NULL, NULL, '2022-01-27 09:14:46', '2022-01-27 09:14:46', NULL);
INSERT INTO `base_attachments` VALUES (300, 'IMG_3750.JPG', '0dd57cf504787c82558b6177a74da4e0', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/0dd57cf504787c82558b6177a74da4e0.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/0dd57cf504787c82558b6177a74da4e0.JPG', '未分类', 882625, 'image/jpeg', 0, NULL, NULL, '2022-01-27 09:15:20', '2022-01-27 09:15:20', NULL);
INSERT INTO `base_attachments` VALUES (301, 'IMG_3751.JPG', '47ac11d54166d56dacbc9356bb7cdd1d', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/47ac11d54166d56dacbc9356bb7cdd1d.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/47ac11d54166d56dacbc9356bb7cdd1d.JPG', '未分类', 554959, 'image/jpeg', 0, NULL, NULL, '2022-01-27 09:20:04', '2022-01-27 09:20:04', NULL);
INSERT INTO `base_attachments` VALUES (302, 'IMG_3747.PNG', 'f4eff713f5acd0cdb2219ecb857d18a9', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/f4eff713f5acd0cdb2219ecb857d18a9.PNG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/f4eff713f5acd0cdb2219ecb857d18a9.PNG', '未分类', 1498076, 'image/jpeg', 0, NULL, NULL, '2022-01-27 09:20:35', '2022-01-27 09:20:35', NULL);
INSERT INTO `base_attachments` VALUES (303, 'IMG_3754.JPG', 'afecc2cf740a3b7e9c32bf3798bc0575', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/afecc2cf740a3b7e9c32bf3798bc0575.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/afecc2cf740a3b7e9c32bf3798bc0575.JPG', '未分类', 555260, 'image/jpeg', 0, NULL, NULL, '2022-01-27 09:22:19', '2022-01-27 09:22:19', NULL);
INSERT INTO `base_attachments` VALUES (304, 'IMG_3048.JPG', 'a0badc50de1ffa1063a91b43c32e4f4a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/a0badc50de1ffa1063a91b43c32e4f4a.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/a0badc50de1ffa1063a91b43c32e4f4a.JPG', '未分类', 795864, 'image/jpeg', 0, NULL, NULL, '2022-01-27 09:51:16', '2022-01-27 09:51:16', NULL);
INSERT INTO `base_attachments` VALUES (305, 'IMG_2624.HEIC', '92a26bc458c4c244e39008061ea26ebe', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/92a26bc458c4c244e39008061ea26ebe.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/92a26bc458c4c244e39008061ea26ebe.HEIC', '未分类', 6282602, 'image/jpeg', 0, NULL, NULL, '2022-01-27 09:52:04', '2022-01-27 09:52:04', NULL);
INSERT INTO `base_attachments` VALUES (306, 'CAP2165011277395111684.jpg', 'ebac0287e81413456f7808daaf7177da', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/ebac0287e81413456f7808daaf7177da.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/ebac0287e81413456f7808daaf7177da.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-27 10:30:50', '2022-01-27 10:30:50', NULL);
INSERT INTO `base_attachments` VALUES (307, 'CAP2165011277395111684.jpg', 'd0e81b4a3a794927e0c808eaae3c5b32', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/d0e81b4a3a794927e0c808eaae3c5b32.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/d0e81b4a3a794927e0c808eaae3c5b32.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-27 10:38:11', '2022-01-27 10:38:11', NULL);
INSERT INTO `base_attachments` VALUES (308, 'IMG_2164.HEIC', 'a8116769db903585721d3e44eefc1e3b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/a8116769db903585721d3e44eefc1e3b.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/a8116769db903585721d3e44eefc1e3b.HEIC', '未分类', 4980148, 'image/jpeg', 0, NULL, NULL, '2022-01-27 15:10:46', '2022-01-27 15:10:46', NULL);
INSERT INTO `base_attachments` VALUES (309, 'IMG_3843.PNG', '585291318b82be51f7ec5255b3d6b343', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/585291318b82be51f7ec5255b3d6b343.PNG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/585291318b82be51f7ec5255b3d6b343.PNG', '未分类', 476626, 'image/jpeg', 0, NULL, NULL, '2022-01-27 15:34:06', '2022-01-27 15:34:06', NULL);
INSERT INTO `base_attachments` VALUES (310, 'CAP2165011277395111684.jpg', 'af5bbcbc562a0aa5583530a6612244bf', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/af5bbcbc562a0aa5583530a6612244bf.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/af5bbcbc562a0aa5583530a6612244bf.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-27 15:47:24', '2022-01-27 15:47:24', NULL);
INSERT INTO `base_attachments` VALUES (311, 'CAP2165011277395111684.jpg', '70051e7626edc9f2ab07cd7cdd7a2ad6', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/70051e7626edc9f2ab07cd7cdd7a2ad6.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/70051e7626edc9f2ab07cd7cdd7a2ad6.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-27 15:47:39', '2022-01-27 15:47:39', NULL);
INSERT INTO `base_attachments` VALUES (312, 'CAP2165011277395111684.jpg', '3cdd3c19253084aed02856e6d8bb51e4', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/3cdd3c19253084aed02856e6d8bb51e4.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/3cdd3c19253084aed02856e6d8bb51e4.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-27 16:09:03', '2022-01-27 16:09:03', NULL);
INSERT INTO `base_attachments` VALUES (313, 'CAP2165011277395111684.jpg', '243600a5d1e1d08be2c581ff1ed0ffe0', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/243600a5d1e1d08be2c581ff1ed0ffe0.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/243600a5d1e1d08be2c581ff1ed0ffe0.jpg', '未分类', 83896, 'image/jpeg', 0, NULL, NULL, '2022-01-27 16:09:15', '2022-01-27 16:09:15', NULL);
INSERT INTO `base_attachments` VALUES (314, 'IMG_3863.JPG', '11dd2cf894ab358bfe3d0f6bb863bc7a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/11dd2cf894ab358bfe3d0f6bb863bc7a.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/11dd2cf894ab358bfe3d0f6bb863bc7a.JPG', '未分类', 50307, 'image/jpeg', 0, NULL, NULL, '2022-01-27 16:44:14', '2022-01-27 16:44:14', NULL);
INSERT INTO `base_attachments` VALUES (315, 'IMG_3863.JPG', '7fd42358a25d3fcbdceed8a3ac0081e2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/7fd42358a25d3fcbdceed8a3ac0081e2.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/27/7fd42358a25d3fcbdceed8a3ac0081e2.JPG', '未分类', 50307, 'image/jpeg', 0, NULL, NULL, '2022-01-27 16:44:37', '2022-01-27 16:44:37', NULL);
INSERT INTO `base_attachments` VALUES (316, 'mmexport1643186866664.jpg', '66ca243e16384d8871dbe010e35199ee', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/66ca243e16384d8871dbe010e35199ee.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/66ca243e16384d8871dbe010e35199ee.jpg', '未分类', 230529, 'image/jpeg', 0, NULL, NULL, '2022-01-28 09:37:15', '2022-01-28 09:37:15', NULL);
INSERT INTO `base_attachments` VALUES (317, 'IMG_3749.JPG', 'c4191c11f825024218fc92a83863a7f6', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/c4191c11f825024218fc92a83863a7f6.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/c4191c11f825024218fc92a83863a7f6.JPG', '未分类', 308433, 'image/jpeg', 0, NULL, NULL, '2022-01-28 09:51:48', '2022-01-28 09:51:48', NULL);
INSERT INTO `base_attachments` VALUES (318, 'IMG_3749.JPG', 'e13a1f987c5ec737da67a11763703dc1', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/e13a1f987c5ec737da67a11763703dc1.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/e13a1f987c5ec737da67a11763703dc1.JPG', '未分类', 308433, 'image/jpeg', 0, NULL, NULL, '2022-01-28 10:12:44', '2022-01-28 10:12:44', NULL);
INSERT INTO `base_attachments` VALUES (319, 'IMG_3749.JPG', '049d32796d2e9aee24a60c459260d664', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/049d32796d2e9aee24a60c459260d664.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/049d32796d2e9aee24a60c459260d664.JPG', '未分类', 308433, 'image/jpeg', 0, NULL, NULL, '2022-01-28 10:12:50', '2022-01-28 10:12:50', NULL);
INSERT INTO `base_attachments` VALUES (320, 'IMG_3749.JPG', '718a2bbe61014017fa627d8fdf8978dd', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/718a2bbe61014017fa627d8fdf8978dd.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/718a2bbe61014017fa627d8fdf8978dd.JPG', '未分类', 308433, 'image/jpeg', 0, NULL, NULL, '2022-01-28 10:13:21', '2022-01-28 10:13:21', NULL);
INSERT INTO `base_attachments` VALUES (321, 'IMG_3749.JPG', '82f0375deb239dd35bf9be22342b29c0', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/82f0375deb239dd35bf9be22342b29c0.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/82f0375deb239dd35bf9be22342b29c0.JPG', '未分类', 308433, 'image/jpeg', 0, NULL, NULL, '2022-01-28 10:14:39', '2022-01-28 10:14:39', NULL);
INSERT INTO `base_attachments` VALUES (322, 'IMG_3749.JPG', '6b4cbe796e381d7e321a380cffc504c4', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/6b4cbe796e381d7e321a380cffc504c4.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/6b4cbe796e381d7e321a380cffc504c4.JPG', '未分类', 308433, 'image/jpeg', 0, NULL, NULL, '2022-01-28 10:17:17', '2022-01-28 10:17:17', NULL);
INSERT INTO `base_attachments` VALUES (323, 'IMG_3704.JPG', '92788b6d330919e3b62abc992b8097ec', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/92788b6d330919e3b62abc992b8097ec.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/92788b6d330919e3b62abc992b8097ec.JPG', '未分类', 2724475, 'image/jpeg', 0, NULL, NULL, '2022-01-28 10:19:22', '2022-01-28 10:19:22', NULL);
INSERT INTO `base_attachments` VALUES (324, 'IMG_3749.JPG', 'a7947a9bab0df9cd7039d2b3d796130a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/a7947a9bab0df9cd7039d2b3d796130a.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/a7947a9bab0df9cd7039d2b3d796130a.JPG', '未分类', 702622, 'image/jpeg', 0, NULL, NULL, '2022-01-28 10:52:22', '2022-01-28 10:52:22', NULL);
INSERT INTO `base_attachments` VALUES (325, 'IMG_4145.JPG', '1fcf4f339fb9db03975dd8da71faef1e', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/1fcf4f339fb9db03975dd8da71faef1e.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/1fcf4f339fb9db03975dd8da71faef1e.JPG', '未分类', 1931433, 'image/jpeg', 0, NULL, NULL, '2022-01-28 10:54:00', '2022-01-28 10:54:00', NULL);
INSERT INTO `base_attachments` VALUES (326, 'IMG_4145.JPG', '6affc157347e7b98ea1c7fc596ae0525', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/6affc157347e7b98ea1c7fc596ae0525.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/6affc157347e7b98ea1c7fc596ae0525.JPG', '未分类', 1931433, 'image/jpeg', 0, NULL, NULL, '2022-01-28 10:54:44', '2022-01-28 10:54:44', NULL);
INSERT INTO `base_attachments` VALUES (327, 'mmexport1643186825824.jpg', 'ca812d5adffbc9588ff4c9daf9eb1362', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/ca812d5adffbc9588ff4c9daf9eb1362.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/ca812d5adffbc9588ff4c9daf9eb1362.jpg', '未分类', 103713, 'image/jpeg', 0, NULL, NULL, '2022-01-28 13:59:26', '2022-01-28 13:59:26', NULL);
INSERT INTO `base_attachments` VALUES (328, 'mmexport1643186825824.jpg', '3c5fc929327fbd08001e93ba084ce957', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/3c5fc929327fbd08001e93ba084ce957.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/3c5fc929327fbd08001e93ba084ce957.jpg', '未分类', 230529, 'image/jpeg', 0, NULL, NULL, '2022-01-28 13:59:28', '2022-01-28 13:59:28', NULL);
INSERT INTO `base_attachments` VALUES (329, 'mmexport1643186825824.jpg', '96576146eba713930d45f0f6e6011af6', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/96576146eba713930d45f0f6e6011af6.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/28/96576146eba713930d45f0f6e6011af6.jpg', '未分类', 54359, 'image/jpeg', 0, NULL, NULL, '2022-01-28 13:59:30', '2022-01-28 13:59:30', NULL);
INSERT INTO `base_attachments` VALUES (330, 'IMG_1216.JPG', '3651ece3fa9e958a1b8fd2143c102c2e', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/29/3651ece3fa9e958a1b8fd2143c102c2e.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/29/3651ece3fa9e958a1b8fd2143c102c2e.JPG', '未分类', 5311786, 'image/jpeg', 0, NULL, NULL, '2022-01-29 06:47:49', '2022-01-29 06:47:49', NULL);
INSERT INTO `base_attachments` VALUES (331, 'IMG_1216.JPG', '9b5a3a0d6680032256b0446655cfc477', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/29/9b5a3a0d6680032256b0446655cfc477.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/29/9b5a3a0d6680032256b0446655cfc477.JPG', '未分类', 5311786, 'image/jpeg', 0, NULL, NULL, '2022-01-29 06:48:56', '2022-01-29 06:48:56', NULL);
INSERT INTO `base_attachments` VALUES (332, 'IMG_1251.JPG', '103e860422336ec7b63cbd9ca3cc5b74', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/29/103e860422336ec7b63cbd9ca3cc5b74.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/29/103e860422336ec7b63cbd9ca3cc5b74.JPG', '未分类', 659972, 'image/jpeg', 0, NULL, NULL, '2022-01-29 21:28:38', '2022-01-29 21:28:38', NULL);
INSERT INTO `base_attachments` VALUES (333, 'IMG_20220115_174518.jpg', '2b6d21561c39250e02d5e2cf2c73b706', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/31/2b6d21561c39250e02d5e2cf2c73b706.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/31/2b6d21561c39250e02d5e2cf2c73b706.jpg', '未分类', 21131, 'image/jpeg', 0, NULL, NULL, '2022-01-31 10:04:37', '2022-01-31 10:04:37', NULL);
INSERT INTO `base_attachments` VALUES (334, 'IMG_20220129_133602.jpg', 'ae15886ec958f3db1529f3b5b6274397', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/31/ae15886ec958f3db1529f3b5b6274397.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/31/ae15886ec958f3db1529f3b5b6274397.jpg', '未分类', 5564266, 'image/jpeg', 0, NULL, NULL, '2022-01-31 10:05:36', '2022-01-31 10:05:36', NULL);
INSERT INTO `base_attachments` VALUES (335, 'wx_camera_1643439098242.jpg', '8ae347ec6b2af13b51e756411adfece7', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/31/8ae347ec6b2af13b51e756411adfece7.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/31/8ae347ec6b2af13b51e756411adfece7.jpg', '未分类', 801273, 'image/jpeg', 0, NULL, NULL, '2022-01-31 10:06:09', '2022-01-31 10:06:09', NULL);
INSERT INTO `base_attachments` VALUES (336, 'IMG_20220129_133602.jpg', 'ab4a0b0ec701ae74371e87645cc3d892', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/31/ab4a0b0ec701ae74371e87645cc3d892.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-01/31/ab4a0b0ec701ae74371e87645cc3d892.jpg', '未分类', 42494, 'image/jpeg', 0, NULL, NULL, '2022-01-31 11:26:19', '2022-01-31 11:26:19', NULL);
INSERT INTO `base_attachments` VALUES (337, 'IMG_4343.HEIC', 'cd3fe9f96f1de1416250048afea26a8f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/02/cd3fe9f96f1de1416250048afea26a8f.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/02/cd3fe9f96f1de1416250048afea26a8f.HEIC', '未分类', 6910729, 'image/jpeg', 0, NULL, NULL, '2022-02-02 13:51:04', '2022-02-02 13:51:04', NULL);
INSERT INTO `base_attachments` VALUES (338, 'mmexport1643809430676.jpg', '24ed16ff3fc636470019f9e2d6909266', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/06/24ed16ff3fc636470019f9e2d6909266.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/06/24ed16ff3fc636470019f9e2d6909266.jpg', '未分类', 27649, 'image/jpeg', 0, NULL, NULL, '2022-02-06 17:37:30', '2022-02-06 17:37:30', NULL);
INSERT INTO `base_attachments` VALUES (339, 'v2-c08c1faab2da8fefb89b3ee7dc937a1f.jpg', 'ecca2fccdb426095aa2414714c8cc332', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/07/ecca2fccdb426095aa2414714c8cc332.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/07/ecca2fccdb426095aa2414714c8cc332.jpg', '未分类', 50932, 'image/jpeg', 0, NULL, NULL, '2022-02-07 11:31:15', '2022-02-07 11:31:15', NULL);
INSERT INTO `base_attachments` VALUES (340, 'IMG_3944.JPG', '8a826ab1c0800890e20762f4f1a86d3d', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/8a826ab1c0800890e20762f4f1a86d3d.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/8a826ab1c0800890e20762f4f1a86d3d.JPG', '未分类', 6474855, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:51:31', '2022-02-08 09:51:31', NULL);
INSERT INTO `base_attachments` VALUES (341, 'Screenshot_20211111_170103_com.lrac.ruibao.jpg', 'b1f66c3ad53415de2ed7574a7ef9b4bc', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/b1f66c3ad53415de2ed7574a7ef9b4bc.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/b1f66c3ad53415de2ed7574a7ef9b4bc.jpg', '未分类', 246837, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:51:54', '2022-02-08 09:51:54', NULL);
INSERT INTO `base_attachments` VALUES (342, 'IMG_20211109_211053.jpg', '003f815bf2ad38616ce6398e9ecf1ed4', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/003f815bf2ad38616ce6398e9ecf1ed4.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/003f815bf2ad38616ce6398e9ecf1ed4.jpg', '未分类', 2642960, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:56:52', '2022-02-08 09:56:52', NULL);
INSERT INTO `base_attachments` VALUES (343, 'Screenshot_20210928_163214_com.huawei.browser.jpg', '6f9375c359269cf804ce44fe5c56dfba', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/6f9375c359269cf804ce44fe5c56dfba.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/6f9375c359269cf804ce44fe5c56dfba.jpg', '未分类', 212614, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:56:59', '2022-02-08 09:56:59', NULL);
INSERT INTO `base_attachments` VALUES (344, 'Screenshot_20210928_163214_com.huawei.browser.jpg', 'ded7ded8763fbf56f486b6d43707f1d6', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/ded7ded8763fbf56f486b6d43707f1d6.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/ded7ded8763fbf56f486b6d43707f1d6.jpg', '未分类', 261911, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:57:01', '2022-02-08 09:57:01', NULL);
INSERT INTO `base_attachments` VALUES (345, 'Screenshot_20211111_170113_com.lrac.ruibao.jpg', '2411abd3507b81b42a8a4710c0227ba4', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/2411abd3507b81b42a8a4710c0227ba4.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/2411abd3507b81b42a8a4710c0227ba4.jpg', '未分类', 296927, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:58:08', '2022-02-08 09:58:08', NULL);
INSERT INTO `base_attachments` VALUES (346, 'Screenshot_20211111_170113_com.lrac.ruibao.jpg', '63ab6a37bde07c581ef10bb0c0fc7d91', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/63ab6a37bde07c581ef10bb0c0fc7d91.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/63ab6a37bde07c581ef10bb0c0fc7d91.jpg', '未分类', 246837, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:58:10', '2022-02-08 09:58:10', NULL);
INSERT INTO `base_attachments` VALUES (347, 'Screenshot_20211111_170113_com.lrac.ruibao.jpg', '1b744ced296cab029b6f7b0a46b5f9d8', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/1b744ced296cab029b6f7b0a46b5f9d8.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/1b744ced296cab029b6f7b0a46b5f9d8.jpg', '未分类', 176594, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:58:12', '2022-02-08 09:58:12', NULL);
INSERT INTO `base_attachments` VALUES (348, 'Screenshot_20211111_170113_com.lrac.ruibao.jpg', '132e89a5632da566f770c56b639e5e0f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/132e89a5632da566f770c56b639e5e0f.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/132e89a5632da566f770c56b639e5e0f.jpg', '未分类', 92996, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:58:13', '2022-02-08 09:58:13', NULL);
INSERT INTO `base_attachments` VALUES (349, 'Screenshot_20211111_170113_com.lrac.ruibao.jpg', 'd7dc8ae5527b86d4ec0cc7a6456ea2d1', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/d7dc8ae5527b86d4ec0cc7a6456ea2d1.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/d7dc8ae5527b86d4ec0cc7a6456ea2d1.jpg', '未分类', 185656, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:58:14', '2022-02-08 09:58:14', NULL);
INSERT INTO `base_attachments` VALUES (350, 'Screenshot_20211111_170113_com.lrac.ruibao.jpg', '6d7d1d0a1a0bb5081ced8d43771e2087', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/6d7d1d0a1a0bb5081ced8d43771e2087.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/6d7d1d0a1a0bb5081ced8d43771e2087.jpg', '未分类', 175064, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:58:15', '2022-02-08 09:58:15', NULL);
INSERT INTO `base_attachments` VALUES (351, 'Screenshot_20211111_170113_com.lrac.ruibao.jpg', 'e60f715c9a7be0b6c3b820646fd151af', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/e60f715c9a7be0b6c3b820646fd151af.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/e60f715c9a7be0b6c3b820646fd151af.jpg', '未分类', 178989, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:58:16', '2022-02-08 09:58:16', NULL);
INSERT INTO `base_attachments` VALUES (352, 'Screenshot_20211111_170113_com.lrac.ruibao.jpg', 'b0797ef3545c6dbb3b3052d339cbefe6', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/b0797ef3545c6dbb3b3052d339cbefe6.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/b0797ef3545c6dbb3b3052d339cbefe6.jpg', '未分类', 211048, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:58:18', '2022-02-08 09:58:18', NULL);
INSERT INTO `base_attachments` VALUES (353, 'Screenshot_20211111_170113_com.lrac.ruibao.jpg', '02ce5cb94022890ee8d91d876b184b82', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/02ce5cb94022890ee8d91d876b184b82.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/02ce5cb94022890ee8d91d876b184b82.jpg', '未分类', 235900, 'image/jpeg', 0, NULL, NULL, '2022-02-08 09:58:20', '2022-02-08 09:58:20', NULL);
INSERT INTO `base_attachments` VALUES (354, 'mmexport1643187389491.jpg', '6abdfdf1fa8c3f22688af5161b40c0c7', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/6abdfdf1fa8c3f22688af5161b40c0c7.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/6abdfdf1fa8c3f22688af5161b40c0c7.jpg', '未分类', 21374, 'image/jpeg', 0, NULL, NULL, '2022-02-08 10:03:37', '2022-02-08 10:03:37', NULL);
INSERT INTO `base_attachments` VALUES (355, 'mmexport1643187388166.jpg', 'f48f0369571285280c0ec6301c5b0391', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/f48f0369571285280c0ec6301c5b0391.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/f48f0369571285280c0ec6301c5b0391.jpg', '未分类', 49903, 'image/jpeg', 0, NULL, NULL, '2022-02-08 10:10:49', '2022-02-08 10:10:49', NULL);
INSERT INTO `base_attachments` VALUES (356, 'IMG_20220204_130856.jpg', '9b217a3ef956eda5d08b0ec6fb111f51', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/9b217a3ef956eda5d08b0ec6fb111f51.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/9b217a3ef956eda5d08b0ec6fb111f51.jpg', '未分类', 4863025, 'image/jpeg', 0, NULL, NULL, '2022-02-08 10:41:37', '2022-02-08 10:41:37', NULL);
INSERT INTO `base_attachments` VALUES (357, 'v2-c08c1faab2da8fefb89b3ee7dc937a1f.jpg', '36a5484f574d0017fda08092ef5dd1c9', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/36a5484f574d0017fda08092ef5dd1c9.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/36a5484f574d0017fda08092ef5dd1c9.jpg', '未分类', 386287, 'image/jpeg', 0, NULL, NULL, '2022-02-08 13:46:46', '2022-02-08 13:46:46', NULL);
INSERT INTO `base_attachments` VALUES (358, 'mmexport176e0d136a197b6b38de35da510a4059_1642394317490.jpeg', '701855fe33e62d2060bf2adb463474a2', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/701855fe33e62d2060bf2adb463474a2.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/701855fe33e62d2060bf2adb463474a2.jpeg', '未分类', 40123, 'image/jpeg', 0, NULL, NULL, '2022-02-08 14:39:30', '2022-02-08 14:39:30', NULL);
INSERT INTO `base_attachments` VALUES (359, 'mmexport1642472152332.jpg', '07485ac89fbd084a6ad86bc641a739ab', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/07485ac89fbd084a6ad86bc641a739ab.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/07485ac89fbd084a6ad86bc641a739ab.jpg', '未分类', 128322, 'image/jpeg', 0, NULL, NULL, '2022-02-08 14:39:32', '2022-02-08 14:39:32', NULL);
INSERT INTO `base_attachments` VALUES (360, 'v2-d50ea2b8a862f3632fae5af38835deca.jpg', '6d73bd7853104517f77a012c5542742d', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/6d73bd7853104517f77a012c5542742d.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/6d73bd7853104517f77a012c5542742d.jpg', '未分类', 68436, 'image/jpeg', 0, NULL, NULL, '2022-02-08 14:40:56', '2022-02-08 14:40:56', NULL);
INSERT INTO `base_attachments` VALUES (361, 'v2-d50ea2b8a862f3632fae5af38835deca.jpg', '637497587d0db065411e00b0e46b9eb1', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/637497587d0db065411e00b0e46b9eb1.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/637497587d0db065411e00b0e46b9eb1.jpg', '未分类', 87922, 'image/jpeg', 0, NULL, NULL, '2022-02-08 14:40:57', '2022-02-08 14:40:57', NULL);
INSERT INTO `base_attachments` VALUES (362, 'v2-d50ea2b8a862f3632fae5af38835deca.jpg', 'c6f76f0bf26a72fcfe8d192f899f4692', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/c6f76f0bf26a72fcfe8d192f899f4692.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/c6f76f0bf26a72fcfe8d192f899f4692.jpg', '未分类', 6027, 'image/jpeg', 0, NULL, NULL, '2022-02-08 14:40:59', '2022-02-08 14:40:59', NULL);
INSERT INTO `base_attachments` VALUES (363, 'IMG_20220204_134117.jpg', '2d064a4ace3a55b9a04aca8323b10736', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/2d064a4ace3a55b9a04aca8323b10736.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/2d064a4ace3a55b9a04aca8323b10736.jpg', '未分类', 1262984, 'image/jpeg', 0, NULL, NULL, '2022-02-08 20:40:33', '2022-02-08 20:40:33', NULL);
INSERT INTO `base_attachments` VALUES (364, 'IMG_20220204_134117.jpg', '93db6a04c98f046e3e1aa8596adc4a19', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/93db6a04c98f046e3e1aa8596adc4a19.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/93db6a04c98f046e3e1aa8596adc4a19.jpg', '未分类', 1434097, 'image/jpeg', 0, NULL, NULL, '2022-02-08 20:40:44', '2022-02-08 20:40:44', NULL);
INSERT INTO `base_attachments` VALUES (365, 'IMG_20220204_134117.jpg', '232deb2c7a5f7a30cfb9504739a0494f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/232deb2c7a5f7a30cfb9504739a0494f.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/232deb2c7a5f7a30cfb9504739a0494f.jpg', '未分类', 1262984, 'image/jpeg', 0, NULL, NULL, '2022-02-08 20:55:44', '2022-02-08 20:55:44', NULL);
INSERT INTO `base_attachments` VALUES (366, 'IMG_20220204_134117.jpg', 'a97cfa1df98a973bd9fb9c6c7bad9e5f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/a97cfa1df98a973bd9fb9c6c7bad9e5f.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/a97cfa1df98a973bd9fb9c6c7bad9e5f.jpg', '未分类', 1434097, 'image/jpeg', 0, NULL, NULL, '2022-02-08 20:55:55', '2022-02-08 20:55:55', NULL);
INSERT INTO `base_attachments` VALUES (367, 'IMG_20220204_134117.jpg', '2bacb196d12af10ba37a3da96ffecddc', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/2bacb196d12af10ba37a3da96ffecddc.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/08/2bacb196d12af10ba37a3da96ffecddc.jpg', '未分类', 1886511, 'image/jpeg', 0, NULL, NULL, '2022-02-08 20:56:10', '2022-02-08 20:56:10', NULL);
INSERT INTO `base_attachments` VALUES (368, 'IMG_20220205_202435.jpg', 'f48b1ac8b2cb69c9e4ee351f7b36dabf', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/f48b1ac8b2cb69c9e4ee351f7b36dabf.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/f48b1ac8b2cb69c9e4ee351f7b36dabf.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:53:59', '2022-02-09 16:53:59', NULL);
INSERT INTO `base_attachments` VALUES (369, 'IMG_20220205_202435.jpg', '071a1df0329e744af05bcdcf5d58ddab', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/071a1df0329e744af05bcdcf5d58ddab.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/071a1df0329e744af05bcdcf5d58ddab.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:54:13', '2022-02-09 16:54:13', NULL);
INSERT INTO `base_attachments` VALUES (370, 'IMG_20220205_202435.jpg', '49f5dde4f8612ae43a14306f4af6bfcf', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/49f5dde4f8612ae43a14306f4af6bfcf.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/49f5dde4f8612ae43a14306f4af6bfcf.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:54:19', '2022-02-09 16:54:19', NULL);
INSERT INTO `base_attachments` VALUES (371, 'IMG_20220205_202435.jpg', '33bb08a031a7d8b7cd7eb6373d67e95a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/33bb08a031a7d8b7cd7eb6373d67e95a.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/33bb08a031a7d8b7cd7eb6373d67e95a.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:54:24', '2022-02-09 16:54:24', NULL);
INSERT INTO `base_attachments` VALUES (372, 'IMG_20220205_202435.jpg', '1451ae68c704404d9c71bfd71f4c1742', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/1451ae68c704404d9c71bfd71f4c1742.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/1451ae68c704404d9c71bfd71f4c1742.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:54:29', '2022-02-09 16:54:29', NULL);
INSERT INTO `base_attachments` VALUES (373, 'IMG_20220205_202435.jpg', '462420bd0ce4522e05bda891788ff7ce', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/462420bd0ce4522e05bda891788ff7ce.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/462420bd0ce4522e05bda891788ff7ce.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:57:56', '2022-02-09 16:57:56', NULL);
INSERT INTO `base_attachments` VALUES (374, 'IMG_20220205_202435.jpg', 'fde277232130be288819e9320e7f2746', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/fde277232130be288819e9320e7f2746.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/fde277232130be288819e9320e7f2746.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:57:59', '2022-02-09 16:57:59', NULL);
INSERT INTO `base_attachments` VALUES (375, 'IMG_20220205_202435.jpg', '2b884a8e8cc83cd71ca62c6f00a8a406', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/2b884a8e8cc83cd71ca62c6f00a8a406.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/2b884a8e8cc83cd71ca62c6f00a8a406.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:58:03', '2022-02-09 16:58:03', NULL);
INSERT INTO `base_attachments` VALUES (376, 'IMG_20220205_202435.jpg', '263f382f83c587b4f7418179c062f774', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/263f382f83c587b4f7418179c062f774.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/263f382f83c587b4f7418179c062f774.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:58:03', '2022-02-09 16:58:03', NULL);
INSERT INTO `base_attachments` VALUES (377, 'IMG_20220205_202435.jpg', 'c6abd5e1a6de181fe62ecfc6a0784081', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/c6abd5e1a6de181fe62ecfc6a0784081.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/c6abd5e1a6de181fe62ecfc6a0784081.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:58:11', '2022-02-09 16:58:11', NULL);
INSERT INTO `base_attachments` VALUES (378, 'IMG_20220205_202435.jpg', '629e13fa05a73111031a30561851f1b8', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/629e13fa05a73111031a30561851f1b8.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/629e13fa05a73111031a30561851f1b8.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:58:17', '2022-02-09 16:58:17', NULL);
INSERT INTO `base_attachments` VALUES (379, 'IMG_20220205_202435.jpg', 'd7dd1f1bacbf879b87b84c8f9411b32b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/d7dd1f1bacbf879b87b84c8f9411b32b.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/d7dd1f1bacbf879b87b84c8f9411b32b.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 16:58:31', '2022-02-09 16:58:31', NULL);
INSERT INTO `base_attachments` VALUES (380, 'IMG_20220205_202435.jpg', 'ef489e7ecad3247c4609b824bb55220b', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/ef489e7ecad3247c4609b824bb55220b.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/09/ef489e7ecad3247c4609b824bb55220b.jpg', '未分类', 29955, 'image/jpeg', 0, NULL, NULL, '2022-02-09 17:01:21', '2022-02-09 17:01:21', NULL);
INSERT INTO `base_attachments` VALUES (381, 'Screenshot_20220208_121217_com.cctv.yangshipin.app.androidp.jpg', 'd4de6181926cdc4b549dd0dd21115d43', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/10/d4de6181926cdc4b549dd0dd21115d43.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/10/d4de6181926cdc4b549dd0dd21115d43.jpg', '未分类', 733411, 'image/jpeg', 0, NULL, NULL, '2022-02-10 10:22:42', '2022-02-10 10:22:42', NULL);
INSERT INTO `base_attachments` VALUES (382, 'mmexport1642472152332.jpg', '8dfa9b74c1297e760a03ab4fafbeccaa', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/10/8dfa9b74c1297e760a03ab4fafbeccaa.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/10/8dfa9b74c1297e760a03ab4fafbeccaa.jpg', '未分类', 128322, 'image/jpeg', 0, NULL, NULL, '2022-02-10 10:58:01', '2022-02-10 10:58:01', NULL);
INSERT INTO `base_attachments` VALUES (383, 'IMG_1339.JPG', '3791bd3c803a266724053ec628664328', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/10/3791bd3c803a266724053ec628664328.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/10/3791bd3c803a266724053ec628664328.JPG', '未分类', 22697, 'image/jpeg', 0, NULL, NULL, '2022-02-10 16:34:19', '2022-02-10 16:34:19', NULL);
INSERT INTO `base_attachments` VALUES (384, 'mmexport1644550062300.jpg', '5da447f96d3889c12a2a50bd511356ac', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/11/5da447f96d3889c12a2a50bd511356ac.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/11/5da447f96d3889c12a2a50bd511356ac.jpg', '未分类', 31472, 'image/jpeg', 0, NULL, NULL, '2022-02-11 11:28:15', '2022-02-11 11:28:15', NULL);
INSERT INTO `base_attachments` VALUES (385, 'IMG_20220204_130856.jpg', '96f63c94402a95064291e0556f018f39', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/12/96f63c94402a95064291e0556f018f39.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/12/96f63c94402a95064291e0556f018f39.jpg', '未分类', 4863025, 'image/jpeg', 0, NULL, NULL, '2022-02-12 10:01:45', '2022-02-12 10:01:45', NULL);
INSERT INTO `base_attachments` VALUES (386, 'mmexport7ce54006047e9958eaa34f0ad6a6264c_1641910349652.webp', '6db90aa2094d54ad9f7fc740a69c20ec', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/14/6db90aa2094d54ad9f7fc740a69c20ec.webp', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/14/6db90aa2094d54ad9f7fc740a69c20ec.webp', '未分类', 15786, 'image/jpeg', 0, NULL, NULL, '2022-02-14 16:15:51', '2022-02-14 16:15:51', NULL);
INSERT INTO `base_attachments` VALUES (387, '5396.jpg', '2639af49acf374f9da98ac5ba2d45c72', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/14/2639af49acf374f9da98ac5ba2d45c72.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/14/2639af49acf374f9da98ac5ba2d45c72.jpg', '未分类', 225124, 'image/jpeg', 0, NULL, NULL, '2022-02-14 22:09:34', '2022-02-14 22:09:34', NULL);
INSERT INTO `base_attachments` VALUES (388, 'IMG_4868.HEIC', '5db09c8584156c7d73cc52b7ac5a2285', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/15/5db09c8584156c7d73cc52b7ac5a2285.HEIC', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/15/5db09c8584156c7d73cc52b7ac5a2285.HEIC', '未分类', 8043693, 'image/jpeg', 0, NULL, NULL, '2022-02-15 00:58:00', '2022-02-15 00:58:00', NULL);
INSERT INTO `base_attachments` VALUES (389, 'IMG_4125.JPG', '4dfae090b4c83645ab491af942141fc7', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/15/4dfae090b4c83645ab491af942141fc7.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/15/4dfae090b4c83645ab491af942141fc7.JPG', '未分类', 826870, 'image/jpeg', 0, NULL, NULL, '2022-02-15 00:59:09', '2022-02-15 00:59:09', NULL);
INSERT INTO `base_attachments` VALUES (390, 'CAP7714095663527132341.jpg', '02a47c3cf9522aadf9c8ed176c168e7f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/15/02a47c3cf9522aadf9c8ed176c168e7f.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/15/02a47c3cf9522aadf9c8ed176c168e7f.jpg', '未分类', 4034053, 'image/jpeg', 0, NULL, NULL, '2022-02-15 17:05:09', '2022-02-15 17:05:09', NULL);
INSERT INTO `base_attachments` VALUES (391, 'IMG_3605.JPG', '553db2ce6261409b71d9eadbd7a2e4ee', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/15/553db2ce6261409b71d9eadbd7a2e4ee.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/15/553db2ce6261409b71d9eadbd7a2e4ee.JPG', '未分类', 205553, 'image/jpeg', 0, NULL, NULL, '2022-02-15 23:11:56', '2022-02-15 23:11:56', NULL);
INSERT INTO `base_attachments` VALUES (392, 'IMG_4048.JPG', '67e5de8ebf59884963ecc627e5896d39', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/16/67e5de8ebf59884963ecc627e5896d39.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/16/67e5de8ebf59884963ecc627e5896d39.JPG', '未分类', 29856, 'image/jpeg', 0, NULL, NULL, '2022-02-16 10:31:54', '2022-02-16 10:31:54', NULL);
INSERT INTO `base_attachments` VALUES (393, 'IMG_4032.JPG', 'd11719492cb1829ff04a081d0c4f5834', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/16/d11719492cb1829ff04a081d0c4f5834.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/16/d11719492cb1829ff04a081d0c4f5834.JPG', '未分类', 362191, 'image/jpeg', 0, NULL, NULL, '2022-02-16 11:59:55', '2022-02-16 11:59:55', NULL);
INSERT INTO `base_attachments` VALUES (394, 'Screenshot_20220216_110025_com.easygogolf.app.jpg', 'f6908e6f8472795b96e4a15977a2f68f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/16/f6908e6f8472795b96e4a15977a2f68f.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/16/f6908e6f8472795b96e4a15977a2f68f.jpg', '未分类', 140086, 'image/jpeg', 0, NULL, NULL, '2022-02-16 12:00:37', '2022-02-16 12:00:37', NULL);
INSERT INTO `base_attachments` VALUES (395, 'IMG_20220213_133428.jpg', '923d59dcf042f0188ec7a6f2ef6e5077', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/16/923d59dcf042f0188ec7a6f2ef6e5077.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/16/923d59dcf042f0188ec7a6f2ef6e5077.jpg', '未分类', 14302, 'image/jpeg', 0, NULL, NULL, '2022-02-16 17:23:19', '2022-02-16 17:23:19', NULL);
INSERT INTO `base_attachments` VALUES (396, 'Screenshot_2022-01-23-19-05-00-469_com.tencent.tmgp.sgame.jpg', '2bbbcbb35f1abc64d058773f5d5bd419', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/17/2bbbcbb35f1abc64d058773f5d5bd419.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/17/2bbbcbb35f1abc64d058773f5d5bd419.jpg', '未分类', 24539, 'image/jpeg', 0, NULL, NULL, '2022-02-17 23:20:41', '2022-02-17 23:20:41', NULL);
INSERT INTO `base_attachments` VALUES (397, 'mmexport1642472152332.jpg', '56eca3053a969846b3e3c40aa80dbe87', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/18/56eca3053a969846b3e3c40aa80dbe87.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/18/56eca3053a969846b3e3c40aa80dbe87.jpg', '未分类', 128322, 'image/jpeg', 0, NULL, NULL, '2022-02-18 09:10:49', '2022-02-18 09:10:49', NULL);
INSERT INTO `base_attachments` VALUES (398, 'IMG_0044.JPG', '03449115d95a15a2c6ada7beec34284a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/18/03449115d95a15a2c6ada7beec34284a.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/18/03449115d95a15a2c6ada7beec34284a.JPG', '未分类', 30684, 'image/jpeg', 0, NULL, NULL, '2022-02-18 15:25:34', '2022-02-18 15:25:34', NULL);
INSERT INTO `base_attachments` VALUES (399, 'IMG_5008.JPG', 'c6d7b7b55f88fe1e953b40e7419a7271', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/19/c6d7b7b55f88fe1e953b40e7419a7271.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/19/c6d7b7b55f88fe1e953b40e7419a7271.JPG', '未分类', 41597, 'image/jpeg', 0, NULL, NULL, '2022-02-19 08:22:11', '2022-02-19 08:22:11', NULL);
INSERT INTO `base_attachments` VALUES (400, 'IMG_3534.JPG', '16e1b53a5b912b473e99c8cd78b0c08a', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/21/16e1b53a5b912b473e99c8cd78b0c08a.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/21/16e1b53a5b912b473e99c8cd78b0c08a.JPG', '未分类', 21012, 'image/jpeg', 0, NULL, NULL, '2022-02-21 20:55:28', '2022-02-21 20:55:28', NULL);
INSERT INTO `base_attachments` VALUES (401, 'IMG_3534.JPG', '7f458d1ae6dbb694dfa49c4383cdc407', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/21/7f458d1ae6dbb694dfa49c4383cdc407.JPG', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/21/7f458d1ae6dbb694dfa49c4383cdc407.JPG', '未分类', 21012, 'image/jpeg', 0, NULL, NULL, '2022-02-21 21:02:37', '2022-02-21 21:02:37', NULL);
INSERT INTO `base_attachments` VALUES (402, 'mmexport1645020067987.jpg', '34107059d7b8a6545256da427ff83982', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/26/34107059d7b8a6545256da427ff83982.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/26/34107059d7b8a6545256da427ff83982.jpg', '未分类', 17047, 'image/jpeg', 0, NULL, NULL, '2022-02-26 15:51:14', '2022-02-26 15:51:14', NULL);
INSERT INTO `base_attachments` VALUES (403, 'IMG_20220223_221301.jpg', '50bb7e4ee6f351193b1ab59eb668142f', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/26/50bb7e4ee6f351193b1ab59eb668142f.jpg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/26/50bb7e4ee6f351193b1ab59eb668142f.jpg', '未分类', 17603, 'image/jpeg', 0, NULL, NULL, '2022-02-26 15:52:10', '2022-02-26 15:52:10', NULL);
INSERT INTO `base_attachments` VALUES (404, 'mmexport9f66ac04f827b1c80f723832ee89b351_1641910317840.jpeg', 'f085532dc843a961d5e0f4d63f7ff3e7', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/26/f085532dc843a961d5e0f4d63f7ff3e7.jpeg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/2022-02/26/f085532dc843a961d5e0f4d63f7ff3e7.jpeg', '未分类', 24653, 'image/jpeg', 0, NULL, NULL, '2022-02-26 16:51:17', '2022-02-26 16:51:17', NULL);
INSERT INTO `base_attachments` VALUES (405, 'idcard11.png', '6c153e478e6494a9cddd002d0de67a38', '/mnt/www/wwwroot/www.easygo.ph/public/upload/avatar/20220303/6c153e478e6494a9cddd002d0de67a38.png', '/upload/avatar/20220303/6c153e478e6494a9cddd002d0de67a38.png', '未分类', 7836, 'image/jpeg', 0, NULL, NULL, '2022-03-03 10:41:46', '2022-03-03 10:41:46', NULL);
INSERT INTO `base_attachments` VALUES (406, 'IMG_5246.JPG', 'd7f4060a34c2914687d2b30a9d969752', '/mnt/www/wwwroot/www.easygo.ph/public/upload/avatar/20220303/d7f4060a34c2914687d2b30a9d969752.JPG', '/upload/avatar/20220303/d7f4060a34c2914687d2b30a9d969752.JPG', '未分类', 699007, 'image/jpeg', 0, NULL, NULL, '2022-03-03 18:47:27', '2022-03-03 18:47:27', NULL);
INSERT INTO `base_attachments` VALUES (407, 'IMG_5522.JPG', 'a9bc7bdcd00790982c716ef2f08fe411', '/mnt/www/wwwroot/www.easygo.ph/public/upload/avatar/20220303/a9bc7bdcd00790982c716ef2f08fe411.JPG', '/upload/avatar/20220303/a9bc7bdcd00790982c716ef2f08fe411.JPG', '未分类', 30754, 'image/jpeg', 0, NULL, NULL, '2022-03-03 19:08:23', '2022-03-03 19:08:23', NULL);
INSERT INTO `base_attachments` VALUES (408, 'IMG_5522.JPG', 'bede386e80ce07057d824d7baa3ac764', '/mnt/www/wwwroot/www.easygo.ph/public/upload/avatar/20220303/bede386e80ce07057d824d7baa3ac764.JPG', '/upload/avatar/20220303/bede386e80ce07057d824d7baa3ac764.JPG', '未分类', 30754, 'image/jpeg', 0, NULL, NULL, '2022-03-03 19:08:29', '2022-03-03 19:08:29', NULL);
INSERT INTO `base_attachments` VALUES (409, 'IMG_5522.JPG', '9c367f3352adb35d39002a9f53adb3ed', '/mnt/www/wwwroot/www.easygo.ph/public/upload/avatar/20220303/9c367f3352adb35d39002a9f53adb3ed.JPG', '/upload/avatar/20220303/9c367f3352adb35d39002a9f53adb3ed.JPG', '未分类', 30754, 'image/jpeg', 0, NULL, NULL, '2022-03-03 19:08:35', '2022-03-03 19:08:35', NULL);
INSERT INTO `base_attachments` VALUES (410, 'IMG_5522.JPG', '8f4f0422927bd5f11ba1f6b41403b3cc', '/mnt/www/wwwroot/www.easygo.ph/public/upload/avatar/20220303/8f4f0422927bd5f11ba1f6b41403b3cc.JPG', '/upload/avatar/20220303/8f4f0422927bd5f11ba1f6b41403b3cc.JPG', '未分类', 30754, 'image/jpeg', 0, NULL, NULL, '2022-03-03 19:08:44', '2022-03-03 19:08:44', NULL);
INSERT INTO `base_attachments` VALUES (411, 'IMG_5522.JPG', 'b223daa4de64b5d2e25948f8a6c7084e', '/mnt/www/wwwroot/www.easygo.ph/public/upload/avatar/20220303/b223daa4de64b5d2e25948f8a6c7084e.JPG', '/upload/avatar/20220303/b223daa4de64b5d2e25948f8a6c7084e.JPG', '未分类', 30754, 'image/jpeg', 0, NULL, NULL, '2022-03-03 19:08:59', '2022-03-03 19:08:59', NULL);
INSERT INTO `base_attachments` VALUES (412, 'idcard11.png', '47830fde5fadc2ef16229b6eb58a654c', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/47830fde5fadc2ef16229b6eb58a654c.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/47830fde5fadc2ef16229b6eb58a654c.png', '未分类', 7836, 'image/jpeg', 0, NULL, NULL, '2022-03-03 19:24:40', '2022-03-03 19:24:40', NULL);
INSERT INTO `base_attachments` VALUES (413, 'IMG_1747.JPG', '707e0229173d18f5ac073b38060d4ab9', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/707e0229173d18f5ac073b38060d4ab9.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/707e0229173d18f5ac073b38060d4ab9.JPG', '未分类', 1795888, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:31:37', '2022-03-03 20:31:37', NULL);
INSERT INTO `base_attachments` VALUES (414, 'idcard11.png', 'c932f43f745f25b484569e8aabd3784b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/c932f43f745f25b484569e8aabd3784b.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/c932f43f745f25b484569e8aabd3784b.png', '未分类', 7836, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:38:12', '2022-03-03 20:38:12', NULL);
INSERT INTO `base_attachments` VALUES (415, '1.png', '8fcd077fceec0291e42c8f0186f642ef', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/8fcd077fceec0291e42c8f0186f642ef.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/8fcd077fceec0291e42c8f0186f642ef.png', '未分类', 11172, 'image/png', 0, NULL, NULL, '2022-03-03 20:41:06', '2022-03-03 20:41:06', NULL);
INSERT INTO `base_attachments` VALUES (416, '1.png', '7895df066ba9bf0be509f96c04362136', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/7895df066ba9bf0be509f96c04362136.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/7895df066ba9bf0be509f96c04362136.png', '未分类', 11172, 'image/png', 0, NULL, NULL, '2022-03-03 20:44:41', '2022-03-03 20:44:41', NULL);
INSERT INTO `base_attachments` VALUES (417, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', 'cb44942a74bf50ac3a99db0893b8987d', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/cb44942a74bf50ac3a99db0893b8987d.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/cb44942a74bf50ac3a99db0893b8987d.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:48:06', '2022-03-03 20:48:06', NULL);
INSERT INTO `base_attachments` VALUES (418, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '991046186c7b78f3f04ae8c1a277c157', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/991046186c7b78f3f04ae8c1a277c157.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/991046186c7b78f3f04ae8c1a277c157.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:48:13', '2022-03-03 20:48:13', NULL);
INSERT INTO `base_attachments` VALUES (419, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '88e3ffa48d98ed2e4c52fb0f8e105f52', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/88e3ffa48d98ed2e4c52fb0f8e105f52.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/88e3ffa48d98ed2e4c52fb0f8e105f52.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:48:22', '2022-03-03 20:48:22', NULL);
INSERT INTO `base_attachments` VALUES (420, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '46d93193434d6ef1b34524e12a1035b5', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/46d93193434d6ef1b34524e12a1035b5.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/46d93193434d6ef1b34524e12a1035b5.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:56:29', '2022-03-03 20:56:29', NULL);
INSERT INTO `base_attachments` VALUES (421, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '1e53568ff5242627ab44361832ed4bef', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/1e53568ff5242627ab44361832ed4bef.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/1e53568ff5242627ab44361832ed4bef.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:56:39', '2022-03-03 20:56:39', NULL);
INSERT INTO `base_attachments` VALUES (422, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', 'b8a4e2d473815320c9e8c88c3bc6c29b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/b8a4e2d473815320c9e8c88c3bc6c29b.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/b8a4e2d473815320c9e8c88c3bc6c29b.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:57:54', '2022-03-03 20:57:54', NULL);
INSERT INTO `base_attachments` VALUES (423, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '7b99025da4af81dddd3323699213d4bb', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/7b99025da4af81dddd3323699213d4bb.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/7b99025da4af81dddd3323699213d4bb.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:58:35', '2022-03-03 20:58:35', NULL);
INSERT INTO `base_attachments` VALUES (424, 'mmexport0f448ff9691a9e4e625dffd0cb718aff_1645225660486.webp', '42909c45ac50c7b6a6eb205e68328bb1', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/42909c45ac50c7b6a6eb205e68328bb1.webp', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/42909c45ac50c7b6a6eb205e68328bb1.webp', '未分类', 37535, 'image/jpeg', 0, NULL, NULL, '2022-03-03 20:58:58', '2022-03-03 20:58:58', NULL);
INSERT INTO `base_attachments` VALUES (425, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '571bc97dc0cb591c75fe87a4d5ba8277', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/571bc97dc0cb591c75fe87a4d5ba8277.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/03/571bc97dc0cb591c75fe87a4d5ba8277.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-03 23:18:30', '2022-03-03 23:18:30', NULL);
INSERT INTO `base_attachments` VALUES (426, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', 'f79eecc3746c4c265459307e5cc5aa2d', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/f79eecc3746c4c265459.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/f79eecc3746c4c265459.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-04 09:37:44', '2022-03-04 09:37:44', NULL);
INSERT INTO `base_attachments` VALUES (427, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '70c599bd6fe4cda72c8c027d142e0895', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/70c599bd6fe4cda72c8c.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/70c599bd6fe4cda72c8c.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-04 09:38:18', '2022-03-04 09:38:18', NULL);
INSERT INTO `base_attachments` VALUES (428, '68d0443a717a12a2.jpg', '46d6501a2385f2040ef87b6d5e67661b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/46d6501a2385f2040ef8.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/46d6501a2385f2040ef8.jpg', '未分类', 123365, 'image/jpeg', 0, NULL, NULL, '2022-03-04 16:52:54', '2022-03-04 16:52:54', NULL);
INSERT INTO `base_attachments` VALUES (429, '68d0443a717a12a2.jpg', '4266d2bd6115afeb1c0efc9ff32e7560', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/4266d2bd6115afeb1c0e.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/4266d2bd6115afeb1c0e.jpg', '未分类', 168322, 'image/jpeg', 0, NULL, NULL, '2022-03-04 16:52:57', '2022-03-04 16:52:57', NULL);
INSERT INTO `base_attachments` VALUES (430, '68d0443a717a12a2.jpg', '0c697df1128f37fbf6e2272cd0849fcb', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/0c697df1128f37fbf6e2.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/0c697df1128f37fbf6e2.jpg', '未分类', 166407, 'image/jpeg', 0, NULL, NULL, '2022-03-04 16:53:00', '2022-03-04 16:53:00', NULL);
INSERT INTO `base_attachments` VALUES (431, 'mmexport7e6bdefc8955ed041c1fc9c25d89be3f_1641876201437.jpeg', '1afb147e52b054276ec7d3790297d383', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/1afb147e52b054276ec7.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/1afb147e52b054276ec7.jpeg', '未分类', 20238, 'image/jpeg', 0, NULL, NULL, '2022-03-04 17:25:35', '2022-03-04 17:25:35', NULL);
INSERT INTO `base_attachments` VALUES (432, 'IMG_20220223_221258.jpg', 'faa321bd2203cfa6fc1bc596a1456f2d', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/faa321bd2203cfa6fc1b.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/faa321bd2203cfa6fc1b.jpg', '未分类', 21243, 'image/jpeg', 0, NULL, NULL, '2022-03-04 17:54:56', '2022-03-04 17:54:56', NULL);
INSERT INTO `base_attachments` VALUES (433, 'IMG_7361.JPG', 'b29e85206fc8c38f097a848764fe5384', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/b29e85206fc8c38f097a.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/b29e85206fc8c38f097a.JPG', '未分类', 2335360, 'image/jpeg', 0, NULL, NULL, '2022-03-04 18:21:27', '2022-03-04 18:21:27', NULL);
INSERT INTO `base_attachments` VALUES (434, 'IMG_7361.JPG', 'f9019298c02334c73d4de1d8280aaa4e', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/f9019298c02334c73d4d.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/f9019298c02334c73d4d.JPG', '未分类', 2335360, 'image/jpeg', 0, NULL, NULL, '2022-03-04 18:27:32', '2022-03-04 18:27:32', NULL);
INSERT INTO `base_attachments` VALUES (435, 'idcard11.png', '9744ced62bee4f3e2c48ea973cea2957', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/9744ced62bee4f3e2c48.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/9744ced62bee4f3e2c48.png', '未分类', 7836, 'image/jpeg', 0, NULL, NULL, '2022-03-04 18:42:35', '2022-03-04 18:42:35', NULL);
INSERT INTO `base_attachments` VALUES (436, '1@2x.png', '4a47e8074e63d0b68afe7ef64a507791', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/4a47e8074e63d0b68afe.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/4a47e8074e63d0b68afe.png', '未分类', 28151, 'image/png', 0, NULL, NULL, '2022-03-04 18:43:13', '2022-03-04 18:43:13', NULL);
INSERT INTO `base_attachments` VALUES (437, '1@2x.png', '55d10a8413bb7bd6c5ee202a9d03b7aa', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/55d10a8413bb7bd6c5ee.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/55d10a8413bb7bd6c5ee.png', '未分类', 17199, 'image/png', 0, NULL, NULL, '2022-03-04 18:46:07', '2022-03-04 18:46:07', NULL);
INSERT INTO `base_attachments` VALUES (438, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', '6a9d81845cb0956381cc0fe6a397dcc4', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/6a9d81845cb0956381cc.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/6a9d81845cb0956381cc.jpg', '未分类', 189713, 'image/jpeg', 0, NULL, NULL, '2022-03-18 10:25:05', '2022-03-18 10:25:05', NULL);
INSERT INTO `base_attachments` VALUES (439, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', '93f2613660f2f37593330fa1916e3cac', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/93f2613660f2f3759333.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/93f2613660f2f3759333.jpg', '未分类', 189713, 'image/jpeg', 0, NULL, NULL, '2022-03-18 10:37:24', '2022-03-18 10:37:24', NULL);
INSERT INTO `base_attachments` VALUES (440, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', 'b6b1a7ecc63a769b071be594144f53ac', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b6b1a7ecc63a769b071b.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b6b1a7ecc63a769b071b.jpg', '未分类', 189713, 'image/jpeg', 0, NULL, NULL, '2022-03-18 10:37:38', '2022-03-18 10:37:38', NULL);
INSERT INTO `base_attachments` VALUES (441, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', '9e1880a719fddb898c1c036ee7b71271', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/9e1880a719fddb898c1c.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/9e1880a719fddb898c1c.jpg', '未分类', 189713, 'image/jpeg', 0, NULL, NULL, '2022-03-18 10:38:03', '2022-03-18 10:38:03', NULL);
INSERT INTO `base_attachments` VALUES (442, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', 'de5aa33f0004cf68b341ecf91dc429a8', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/de5aa33f0004cf68b341.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/de5aa33f0004cf68b341.jpg', '未分类', 13483, 'image/jpeg', 0, NULL, NULL, '2022-03-18 10:43:23', '2022-03-18 10:43:23', NULL);
INSERT INTO `base_attachments` VALUES (443, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', '077b3c07aa3d3c991c4d4ba30293c441', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/077b3c07aa3d3c991c4d.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/077b3c07aa3d3c991c4d.jpg', '未分类', 13483, 'image/jpeg', 0, NULL, NULL, '2022-03-18 10:43:32', '2022-03-18 10:43:32', NULL);
INSERT INTO `base_attachments` VALUES (444, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', '4abc5a3f656592a907b2c2a09daf7a95', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/4abc5a3f656592a907b2.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/4abc5a3f656592a907b2.jpg', '未分类', 13483, 'image/jpeg', 0, NULL, NULL, '2022-03-18 10:45:13', '2022-03-18 10:45:13', NULL);
INSERT INTO `base_attachments` VALUES (445, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', '59eb85add4d0785354029ff819bf1a9a', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/59eb85add4d078535402.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/59eb85add4d078535402.jpg', '未分类', 13483, 'image/jpeg', 0, NULL, NULL, '2022-03-18 10:46:23', '2022-03-18 10:46:23', NULL);
INSERT INTO `base_attachments` VALUES (446, 'Screenshot_20220214_205825_com.cctv.yangshipin.app.androidp.jpg', 'a1c850dac5c43355a2f980de7f31b077', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/a1c850dac5c43355a2f9.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/a1c850dac5c43355a2f9.jpg', '未分类', 201846, 'image/jpeg', 0, NULL, NULL, '2022-03-18 11:11:38', '2022-03-18 11:11:38', NULL);
INSERT INTO `base_attachments` VALUES (447, 'Screenshot_20220214_205825_com.cctv.yangshipin.app.androidp.jpg', '9fcd924a5efda7c0c7ddb9327194d8dc', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/9fcd924a5efda7c0c7dd.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/9fcd924a5efda7c0c7dd.jpg', '未分类', 201846, 'image/jpeg', 0, NULL, NULL, '2022-03-18 11:11:45', '2022-03-18 11:11:45', NULL);
INSERT INTO `base_attachments` VALUES (448, 'Screenshot_20220214_205825_com.cctv.yangshipin.app.androidp.jpg', '3d5b7a5ec1385aacc23be243fb69a4f9', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/3d5b7a5ec1385aacc23b.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/3d5b7a5ec1385aacc23b.jpg', '未分类', 201846, 'image/jpeg', 0, NULL, NULL, '2022-03-18 11:12:39', '2022-03-18 11:12:39', NULL);
INSERT INTO `base_attachments` VALUES (449, 'Screenshot_20220214_205825_com.cctv.yangshipin.app.androidp.jpg', '9a8c5547d45936e022ae37d7bf8bfc17', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/9a8c5547d45936e022ae.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/9a8c5547d45936e022ae.jpg', '未分类', 201846, 'image/jpeg', 0, NULL, NULL, '2022-03-18 11:12:50', '2022-03-18 11:12:50', NULL);
INSERT INTO `base_attachments` VALUES (450, 'mmexport1647563078159.jpg', '3084ab68fbeb649eb031d430a2a2ecb8', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/3084ab68fbeb649eb031.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/3084ab68fbeb649eb031.jpg', '未分类', 113622, 'image/jpeg', 0, NULL, NULL, '2022-03-18 11:16:30', '2022-03-18 11:16:30', NULL);
INSERT INTO `base_attachments` VALUES (451, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', 'bdf7b9acfa27a29481e8f3875ec692c6', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/bdf7b9acfa27a29481e8.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/bdf7b9acfa27a29481e8.jpg', '未分类', 189713, 'image/jpeg', 0, NULL, NULL, '2022-03-18 11:17:11', '2022-03-18 11:17:11', NULL);
INSERT INTO `base_attachments` VALUES (452, 'hdImg_ced8c139daab5e7448b6d9595ce5ff4d1627201048436.jpg', '2d391936193bdb0e3fcf117a199b7e3c', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/2d391936193bdb0e3fcf.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/2d391936193bdb0e3fcf.jpg', '未分类', 13641, 'image/jpeg', 0, NULL, NULL, '2022-03-18 11:33:20', '2022-03-18 11:33:20', NULL);
INSERT INTO `base_attachments` VALUES (453, 'default.jpeg', 'b9f7d8b9f1547de396ffc7b1a1f43a09', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b9f7d8b9f1547de396ff.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b9f7d8b9f1547de396ff.jpeg', '未分类', 13814, 'image/png', 0, NULL, NULL, '2022-03-18 13:38:09', '2022-03-18 13:38:09', NULL);
INSERT INTO `base_attachments` VALUES (454, 'IMG_5755.JPG', '77297d5aabf71f9e591898dda1dd340c', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/77297d5aabf71f9e5918.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/77297d5aabf71f9e5918.JPG', '未分类', 426812, 'image/jpeg', 0, NULL, NULL, '2022-03-18 13:38:28', '2022-03-18 13:38:28', NULL);
INSERT INTO `base_attachments` VALUES (455, 'logo.png', 'b92858ba88d3cee765905f5baffbfc97', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b92858ba88d3cee76590.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b92858ba88d3cee76590.png', '未分类', 411543, 'image/png', 0, NULL, NULL, '2022-03-18 13:41:15', '2022-03-18 13:41:15', NULL);
INSERT INTO `base_attachments` VALUES (456, 'IMG_20220317_110458.jpg', '87ef28c3a31c0b7881015e2bbcc4f898', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/87ef28c3a31c0b788101.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/87ef28c3a31c0b788101.jpg', '未分类', 26945, 'image/jpeg', 0, NULL, NULL, '2022-03-18 13:46:08', '2022-03-18 13:46:08', NULL);
INSERT INTO `base_attachments` VALUES (457, 'IMG_20220315_090013.jpg', 'b59f5a185daee33034e4ba3045ffaf1e', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b59f5a185daee33034e4.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b59f5a185daee33034e4.jpg', '未分类', 57331, 'image/jpeg', 0, NULL, NULL, '2022-03-18 14:08:06', '2022-03-18 14:08:06', NULL);
INSERT INTO `base_attachments` VALUES (458, 'IMG_20220317_183847.jpg', '88df7532ff7de229b6173a3488532d7a', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/88df7532ff7de229b617.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/88df7532ff7de229b617.jpg', '未分类', 3871285, 'image/jpeg', 0, NULL, NULL, '2022-03-18 14:33:19', '2022-03-18 14:33:19', NULL);
INSERT INTO `base_attachments` VALUES (459, 'IMG_20220315_090013.jpg', 'ab37cbd176e12cef2f82b589603ee285', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/ab37cbd176e12cef2f82.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/ab37cbd176e12cef2f82.jpg', '未分类', 3501197, 'image/jpeg', 0, NULL, NULL, '2022-03-18 14:33:32', '2022-03-18 14:33:32', NULL);
INSERT INTO `base_attachments` VALUES (460, 'v2-c08c1faab2da8fefb89b3ee7dc937a1f.jpg', 'edb00eb7ad3dbe6e72ae0157624418da', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/edb00eb7ad3dbe6e72ae.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/edb00eb7ad3dbe6e72ae.jpg', '未分类', 386287, 'image/jpeg', 0, NULL, NULL, '2022-03-18 14:33:36', '2022-03-18 14:33:36', NULL);
INSERT INTO `base_attachments` VALUES (461, 'IMG_20220317_183847.jpg', '18b3fb99632ebb21e4a06988562df296', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/18b3fb99632ebb21e4a0.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/18b3fb99632ebb21e4a0.jpg', '未分类', 2889976, 'image/jpeg', 0, NULL, NULL, '2022-03-18 14:39:04', '2022-03-18 14:39:04', NULL);
INSERT INTO `base_attachments` VALUES (462, 'IMG_20220317_183847.jpg', '0cd073d8d882363520642bd0e7b15bb5', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/0cd073d8d88236352064.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/0cd073d8d88236352064.jpg', '未分类', 2734950, 'image/jpeg', 0, NULL, NULL, '2022-03-18 14:39:16', '2022-03-18 14:39:16', NULL);
INSERT INTO `base_attachments` VALUES (463, 'IMG_0046.JPG', '35725131f7df3800e7159e33428d671f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/35725131f7df3800e715.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/35725131f7df3800e715.JPG', '未分类', 254710, 'image/jpeg', 0, NULL, NULL, '2022-03-18 15:24:47', '2022-03-18 15:24:47', NULL);
INSERT INTO `base_attachments` VALUES (464, 'IMG_5824.JPG', '6cb48c27f98cfb2551b0c5fbc1bfd7a2', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/6cb48c27f98cfb2551b0.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/6cb48c27f98cfb2551b0.JPG', '未分类', 541768, 'image/jpeg', 0, NULL, NULL, '2022-03-19 00:17:39', '2022-03-19 00:17:39', NULL);
INSERT INTO `base_attachments` VALUES (465, 'IMG_5675.JPG', '454023b5e1ec7c42a51bec4879b6a80b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/454023b5e1ec7c42a51b.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/454023b5e1ec7c42a51b.JPG', '未分类', 972580, 'image/jpeg', 0, NULL, NULL, '2022-03-19 00:57:24', '2022-03-19 00:57:24', NULL);
INSERT INTO `base_attachments` VALUES (466, 'IMG_5825.JPG', '84254c1585d5d4d31d57a045056f37bb', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/84254c1585d5d4d31d57.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/84254c1585d5d4d31d57.JPG', '未分类', 413175, 'image/jpeg', 0, NULL, NULL, '2022-03-19 00:58:37', '2022-03-19 00:58:37', NULL);
INSERT INTO `base_attachments` VALUES (467, 'IMG_5812.JPG', '187699c7e26429f26f578e9004c9b3e1', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/187699c7e26429f26f57.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/187699c7e26429f26f57.JPG', '未分类', 24457, 'image/jpeg', 0, NULL, NULL, '2022-03-19 01:02:05', '2022-03-19 01:02:05', NULL);
INSERT INTO `base_attachments` VALUES (468, 'IMG_5825.JPG', '86959e4018a30738942645a3854d21fe', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/86959e4018a307389426.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/86959e4018a307389426.JPG', '未分类', 195216, 'image/jpeg', 0, NULL, NULL, '2022-03-19 01:12:00', '2022-03-19 01:12:00', NULL);
INSERT INTO `base_attachments` VALUES (469, 'IMG_20220319_130308.jpg', 'a3247b89471fd0817a4e0a69c6462d66', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/a3247b89471fd0817a4e.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/a3247b89471fd0817a4e.jpg', '未分类', 2229610, 'image/jpeg', 0, NULL, NULL, '2022-03-19 15:44:51', '2022-03-19 15:44:51', NULL);
INSERT INTO `base_attachments` VALUES (470, 'Screenshot_20220319_155247.jpg', '492307a964453da12bf5ecfe51019883', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/492307a964453da12bf5.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/19/492307a964453da12bf5.jpg', '未分类', 16621, 'image/jpeg', 0, NULL, NULL, '2022-03-19 16:03:21', '2022-03-19 16:03:21', NULL);
INSERT INTO `base_attachments` VALUES (471, 'IMG_5811.JPG', '84e634a714d3ae63c547f4d399abd81c', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/84e634a714d3ae63c547.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/84e634a714d3ae63c547.JPG', '未分类', 25437, 'image/jpeg', 0, NULL, NULL, '2022-03-20 00:04:18', '2022-03-20 00:04:18', NULL);
INSERT INTO `base_attachments` VALUES (472, 'IMG_5675.JPG', 'c55aabac0a01373c1de39aedd5ab612e', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/c55aabac0a01373c1de3.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/c55aabac0a01373c1de3.JPG', '未分类', 502632, 'image/jpeg', 0, NULL, NULL, '2022-03-20 09:13:41', '2022-03-20 09:13:41', NULL);
INSERT INTO `base_attachments` VALUES (473, 'IMG_5675.JPG', '6cf7fc084da5a7b4b31504ed717b1299', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/6cf7fc084da5a7b4b315.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/6cf7fc084da5a7b4b315.JPG', '未分类', 1518201, 'image/jpeg', 0, NULL, NULL, '2022-03-20 09:13:43', '2022-03-20 09:13:43', NULL);
INSERT INTO `base_attachments` VALUES (474, 'IMG_5675.JPG', '092a9ea8206bee7bf5da020c9410710f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/092a9ea8206bee7bf5da.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/092a9ea8206bee7bf5da.JPG', '未分类', 1575524, 'image/jpeg', 0, NULL, NULL, '2022-03-20 09:13:46', '2022-03-20 09:13:46', NULL);
INSERT INTO `base_attachments` VALUES (475, 'IMG_5675.JPG', 'b64fe7e3136085a83bdff50f28c1b88f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/b64fe7e3136085a83bdf.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/b64fe7e3136085a83bdf.JPG', '未分类', 234202, 'image/jpeg', 0, NULL, NULL, '2022-03-20 09:13:48', '2022-03-20 09:13:48', NULL);
INSERT INTO `base_attachments` VALUES (476, 'IMG_5675.JPG', '415bd4ab2768f03fcf1ab76348097b27', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/415bd4ab2768f03fcf1a.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/415bd4ab2768f03fcf1a.JPG', '未分类', 551224, 'image/jpeg', 0, NULL, NULL, '2022-03-20 09:13:49', '2022-03-20 09:13:49', NULL);
INSERT INTO `base_attachments` VALUES (477, 'IMG_5675.JPG', '6d6af69cf110aafa6bbac76b2c6fd979', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/6d6af69cf110aafa6bba.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/6d6af69cf110aafa6bba.JPG', '未分类', 95460, 'image/jpeg', 0, NULL, NULL, '2022-03-20 09:13:51', '2022-03-20 09:13:51', NULL);
INSERT INTO `base_attachments` VALUES (478, 'IMG_5675.JPG', '2b2864d29c41c4ba251192d09ead3bee', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/2b2864d29c41c4ba2511.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/2b2864d29c41c4ba2511.JPG', '未分类', 1694479, 'image/jpeg', 0, NULL, NULL, '2022-03-20 09:13:52', '2022-03-20 09:13:52', NULL);
INSERT INTO `base_attachments` VALUES (479, 'IMG_5675.JPG', '1bc63632ff5ad71f04758961e8589518', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/1bc63632ff5ad71f0475.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/1bc63632ff5ad71f0475.JPG', '未分类', 59900, 'image/jpeg', 0, NULL, NULL, '2022-03-20 09:13:54', '2022-03-20 09:13:54', NULL);
INSERT INTO `base_attachments` VALUES (480, 'IMG_20220319_134225.jpg', 'c8e69fb2b2aab2f90f7a0e449661644a', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/c8e69fb2b2aab2f90f7a.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/c8e69fb2b2aab2f90f7a.jpg', '未分类', 2724434, 'image/jpeg', 0, NULL, NULL, '2022-03-20 12:21:01', '2022-03-20 12:21:01', NULL);
INSERT INTO `base_attachments` VALUES (481, 'Screenshot_20220319_153033_com.easygogolf.app.jpg', 'abe01bcffaabd5a1456a2d1685e649f7', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/abe01bcffaabd5a1456a.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/20/abe01bcffaabd5a1456a.jpg', '未分类', 216002, 'image/jpeg', 0, NULL, NULL, '2022-03-20 12:28:32', '2022-03-20 12:28:32', NULL);
INSERT INTO `base_attachments` VALUES (482, 'IMG_20220321_084449.jpg', '27985abfde8484d707809905f5bdf851', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/27985abfde8484d70780.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/27985abfde8484d70780.jpg', '未分类', 1441254, 'image/jpeg', 0, NULL, NULL, '2022-03-21 10:07:44', '2022-03-21 10:07:44', NULL);
INSERT INTO `base_attachments` VALUES (483, 'Screenshot_20220321_103206_com.easygogolf.app.jpg', 'ce5e55493c2d1b1abee4219dbbdb1584', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/ce5e55493c2d1b1abee4.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/ce5e55493c2d1b1abee4.jpg', '未分类', 942615, 'image/jpeg', 0, NULL, NULL, '2022-03-21 15:27:00', '2022-03-21 15:27:00', NULL);
INSERT INTO `base_attachments` VALUES (484, 'IMG_20220321_084410.jpg', '69d86086cd691e191ebbb616115d2f0a', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/69d86086cd691e191ebb.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/69d86086cd691e191ebb.jpg', '未分类', 2041326, 'image/jpeg', 0, NULL, NULL, '2022-03-21 15:28:00', '2022-03-21 15:28:00', NULL);
INSERT INTO `base_attachments` VALUES (485, 'mmexporte56532d0a3806921bef355de1943d871_1647700448131.png', '89fc95484f7e7e4a9241d3a77a83db8b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/89fc95484f7e7e4a9241.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/89fc95484f7e7e4a9241.png', '未分类', 19589, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:02:06', '2022-03-21 17:02:06', NULL);
INSERT INTO `base_attachments` VALUES (486, 'mmexport1647563078159.jpg', 'adf2fc35a4a3819621f943069382fc3f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/adf2fc35a4a3819621f9.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/adf2fc35a4a3819621f9.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:06:00', '2022-03-21 17:06:00', NULL);
INSERT INTO `base_attachments` VALUES (487, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', 'b7d3d152b1c2e4e1529c2eca2060d449', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/b7d3d152b1c2e4e1529c.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/b7d3d152b1c2e4e1529c.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:10:11', '2022-03-21 17:10:11', NULL);
INSERT INTO `base_attachments` VALUES (488, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '638cd9d2fe0b3e6f24c3569893a5b336', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/638cd9d2fe0b3e6f24c3.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/638cd9d2fe0b3e6f24c3.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:10:47', '2022-03-21 17:10:47', NULL);
INSERT INTO `base_attachments` VALUES (489, 'IMG_20220319_211956.jpg', 'c1affc338833f533a62a88a60c94fd51', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/c1affc338833f533a62a.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/c1affc338833f533a62a.jpg', '未分类', 32440, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:18:59', '2022-03-21 17:18:59', NULL);
INSERT INTO `base_attachments` VALUES (490, 'IMG_20220319_211956.jpg', '9cd3861a4909b60f714ad3429ca5b70f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/9cd3861a4909b60f714a.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/9cd3861a4909b60f714a.jpg', '未分类', 32440, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:20:09', '2022-03-21 17:20:09', NULL);
INSERT INTO `base_attachments` VALUES (491, 'IMG_20220319_211956.jpg', 'd83fb3d592edddd97a4ca0c42e08a906', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/d83fb3d592edddd97a4c.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/d83fb3d592edddd97a4c.jpg', '未分类', 32440, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:22:36', '2022-03-21 17:22:36', NULL);
INSERT INTO `base_attachments` VALUES (492, 'IMG_20220319_211956.jpg', '2c4a0b6680ad1efb9bf864098a5fccbd', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/2c4a0b6680ad1efb9bf8.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/2c4a0b6680ad1efb9bf8.jpg', '未分类', 32440, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:23:45', '2022-03-21 17:23:45', NULL);
INSERT INTO `base_attachments` VALUES (493, 'mmexport1647563078159.jpg', '8be0d07d77091ea4994af821e60bf563', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/8be0d07d77091ea4994a.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/8be0d07d77091ea4994a.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:29:36', '2022-03-21 17:29:36', NULL);
INSERT INTO `base_attachments` VALUES (494, 'mmexporte56532d0a3806921bef355de1943d871_1647700448131.png', '91f5654b11ac8d20a082458a318eeb68', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/91f5654b11ac8d20a082.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/91f5654b11ac8d20a082.png', '未分类', 19589, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:30:54', '2022-03-21 17:30:54', NULL);
INSERT INTO `base_attachments` VALUES (495, 'mmexport1647563078159.jpg', '276e12dcf264e6c0f7a2561492e51ee3', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/276e12dcf264e6c0f7a2.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/21/276e12dcf264e6c0f7a2.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-21 17:36:53', '2022-03-21 17:36:53', NULL);
INSERT INTO `base_attachments` VALUES (496, 'Screenshot_20220214_205832_com.cctv.yangshipin.app.androidp.jpg', '4bd269d02967f0381252c4a14615019b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/22/4bd269d02967f0381252.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/22/4bd269d02967f0381252.jpg', '未分类', 189713, 'image/jpeg', 0, NULL, NULL, '2022-03-22 10:17:16', '2022-03-22 10:17:16', NULL);
INSERT INTO `base_attachments` VALUES (497, 'Screenshot_20220321_181034_com.easygogolf.app.jpg', '0f7f10bec39a7fd661f29094a3c6da6b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/22/0f7f10bec39a7fd661f2.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/22/0f7f10bec39a7fd661f2.jpg', '未分类', 475160, 'image/jpeg', 0, NULL, NULL, '2022-03-22 13:40:35', '2022-03-22 13:40:35', NULL);
INSERT INTO `base_attachments` VALUES (498, 'mmexport1647913348482.jpg', 'b2163241591885a378f8f9bf8aca5d46', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/22/b2163241591885a378f8.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/22/b2163241591885a378f8.jpg', '未分类', 313012, 'image/jpeg', 0, NULL, NULL, '2022-03-22 13:41:21', '2022-03-22 13:41:21', NULL);
INSERT INTO `base_attachments` VALUES (499, 'Screenshot_2022-01-19-11-05-24-456_com.cico.rescueonline.jpg', 'f252c48f98ac733a29da5c2f13f5df9f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/22/f252c48f98ac733a29da.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/22/f252c48f98ac733a29da.jpg', '未分类', 47400, 'image/jpeg', 0, NULL, NULL, '2022-03-22 22:42:12', '2022-03-22 22:42:12', NULL);
INSERT INTO `base_attachments` VALUES (500, 'IMG_5836.JPG', '9e862336de6e262366b213ab36d7ac00', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/9e862336de6e262366b2.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/9e862336de6e262366b2.JPG', '未分类', 31357, 'image/jpeg', 0, NULL, NULL, '2022-03-23 01:57:15', '2022-03-23 01:57:15', NULL);
INSERT INTO `base_attachments` VALUES (501, 'IMG_5755.JPG', '1fbd90f28a10572ae4ef8d5f0898d76f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/1fbd90f28a10572ae4ef.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/1fbd90f28a10572ae4ef.JPG', '未分类', 169780, 'image/jpeg', 0, NULL, NULL, '2022-03-23 02:00:08', '2022-03-23 02:00:08', NULL);
INSERT INTO `base_attachments` VALUES (502, 'IMG_20220323_094926.jpg', 'a1722e3b7b727bf96d6ed8a8c9800669', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/a1722e3b7b727bf96d6e.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/a1722e3b7b727bf96d6e.jpg', '未分类', 2542424, 'image/jpeg', 0, NULL, NULL, '2022-03-23 09:50:08', '2022-03-23 09:50:08', NULL);
INSERT INTO `base_attachments` VALUES (503, 'IMG_20220323_094926.jpg', '51e4a896491e7da4c0aa99b42561e7a6', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/51e4a896491e7da4c0aa.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/51e4a896491e7da4c0aa.jpg', '未分类', 1999058, 'image/jpeg', 0, NULL, NULL, '2022-03-23 09:50:12', '2022-03-23 09:50:12', NULL);
INSERT INTO `base_attachments` VALUES (504, 'mmexport1647929387922.jpg', '6ff55e404498f3b5307de6264af793ea', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/6ff55e404498f3b5307d.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/6ff55e404498f3b5307d.jpg', '未分类', 43469, 'image/jpeg', 0, NULL, NULL, '2022-03-23 18:40:14', '2022-03-23 18:40:14', NULL);
INSERT INTO `base_attachments` VALUES (505, 'IMG_5824.JPG', 'e8570588e74a382991eb4e98683bdb96', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/e8570588e74a382991eb.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/23/e8570588e74a382991eb.JPG', '未分类', 541768, 'image/jpeg', 0, NULL, NULL, '2022-03-23 21:59:30', '2022-03-23 21:59:30', NULL);
INSERT INTO `base_attachments` VALUES (506, 'mmexport88dec27a4ed26d4ee6530bafb4ffea45_1647924779100.jpeg', 'e30b20af3a87b77e22d414e5d90f58e9', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/e30b20af3a87b77e22d4.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/e30b20af3a87b77e22d4.jpeg', '未分类', 34763, 'image/jpeg', 0, NULL, NULL, '2022-03-24 21:07:37', '2022-03-24 21:07:37', NULL);
INSERT INTO `base_attachments` VALUES (507, 'mmexport1647563078159.jpg', '949c0dc662ad92ab930665b269b7c7ee', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/949c0dc662ad92ab9306.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/949c0dc662ad92ab9306.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-24 21:09:23', '2022-03-24 21:09:23', NULL);
INSERT INTO `base_attachments` VALUES (508, 'mmexport1647563078159.jpg', '55b772980d55dec8bf9815207b33c8d8', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/55b772980d55dec8bf98.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/55b772980d55dec8bf98.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-24 21:09:38', '2022-03-24 21:09:38', NULL);
INSERT INTO `base_attachments` VALUES (509, 'mmexport1647563078159.jpg', '588222a45772220952d108a1206a7178', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/588222a45772220952d1.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/588222a45772220952d1.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-24 21:09:53', '2022-03-24 21:09:53', NULL);
INSERT INTO `base_attachments` VALUES (510, 'mmexport1647563078159.jpg', '4331fd342ded5e33a6629cda783e3307', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/4331fd342ded5e33a662.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/4331fd342ded5e33a662.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-24 21:10:03', '2022-03-24 21:10:03', NULL);
INSERT INTO `base_attachments` VALUES (511, 'mmexport1647563078159.jpg', 'cf70c5857f208552d1a8ea9dd2a012fa', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/cf70c5857f208552d1a8.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/24/cf70c5857f208552d1a8.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-24 21:10:20', '2022-03-24 21:10:20', NULL);
INSERT INTO `base_attachments` VALUES (512, 'mmexport88dec27a4ed26d4ee6530bafb4ffea45_1647924779100.jpeg', '39d76b14c15d049d02ed14c6df5ad5f5', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/25/39d76b14c15d049d02ed.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/25/39d76b14c15d049d02ed.jpeg', '未分类', 35907, 'image/jpeg', 0, NULL, NULL, '2022-03-25 09:51:16', '2022-03-25 09:51:16', NULL);
INSERT INTO `base_attachments` VALUES (513, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '6a6a9a7f0e78c09b57e4bae99f0c0586', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/25/6a6a9a7f0e78c09b57e4.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/25/6a6a9a7f0e78c09b57e4.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-25 10:16:58', '2022-03-25 10:16:58', NULL);
INSERT INTO `base_attachments` VALUES (514, 'IMG_20220321_122533.jpg', '9baacde3fb0437b252134e122eaa5bd6', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/9baacde3fb0437b25213.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/9baacde3fb0437b25213.jpg', '未分类', 3021768, 'image/jpeg', 0, NULL, NULL, '2022-03-26 10:11:46', '2022-03-26 10:11:46', NULL);
INSERT INTO `base_attachments` VALUES (515, 'IMG_20220321_122533.jpg', 'f2c3ba14502d47a24b0c890ceb4e17e4', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/f2c3ba14502d47a24b0c.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/f2c3ba14502d47a24b0c.jpg', '未分类', 3110897, 'image/jpeg', 0, NULL, NULL, '2022-03-26 10:12:00', '2022-03-26 10:12:00', NULL);
INSERT INTO `base_attachments` VALUES (516, '-655381baaa3f3918.jpg', 'e3279e8b76f59d75c50945a016a6f71a', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/e3279e8b76f59d75c509.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/e3279e8b76f59d75c509.jpg', '未分类', 35432, 'image/jpeg', 0, NULL, NULL, '2022-03-26 12:35:05', '2022-03-26 12:35:05', NULL);
INSERT INTO `base_attachments` VALUES (517, '-655381baaa3f3918.jpg', '22b716b3967debb3f9b094e38bbd8c69', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/22b716b3967debb3f9b0.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/22b716b3967debb3f9b0.jpg', '未分类', 35432, 'image/jpeg', 0, NULL, NULL, '2022-03-26 12:35:17', '2022-03-26 12:35:17', NULL);
INSERT INTO `base_attachments` VALUES (518, 'IMG_5675.JPG', '4ea1972267d0cc9b010dcd70e4acb074', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/4ea1972267d0cc9b010d.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/4ea1972267d0cc9b010d.JPG', '未分类', 972580, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:21:39', '2022-03-26 23:21:39', NULL);
INSERT INTO `base_attachments` VALUES (519, 'IMG_3530.JPG', '99e27bce41c42e6b5fabaa4492308482', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/99e27bce41c42e6b5fab.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/99e27bce41c42e6b5fab.JPG', '未分类', 919307, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:29:49', '2022-03-26 23:29:49', NULL);
INSERT INTO `base_attachments` VALUES (520, 'IMG_3530.JPG', 'b2cb1bec6925e20f4db2a49a3ea4ec4f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/b2cb1bec6925e20f4db2.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/b2cb1bec6925e20f4db2.JPG', '未分类', 612453, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:29:51', '2022-03-26 23:29:51', NULL);
INSERT INTO `base_attachments` VALUES (521, 'IMG_3530.JPG', 'aae080de0326cf08d57f1d81631deaba', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/aae080de0326cf08d57f.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/aae080de0326cf08d57f.JPG', '未分类', 438782, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:29:53', '2022-03-26 23:29:53', NULL);
INSERT INTO `base_attachments` VALUES (522, 'IMG_3530.JPG', '2badc2cd2bf35a60a2798d58b32b74aa', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/2badc2cd2bf35a60a279.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/2badc2cd2bf35a60a279.JPG', '未分类', 269679, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:29:54', '2022-03-26 23:29:54', NULL);
INSERT INTO `base_attachments` VALUES (523, 'IMG_3530.JPG', 'efebb997f9b3ffaa6a1b16bf1dd57f10', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/efebb997f9b3ffaa6a1b.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/efebb997f9b3ffaa6a1b.JPG', '未分类', 298131, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:29:55', '2022-03-26 23:29:55', NULL);
INSERT INTO `base_attachments` VALUES (524, 'IMG_3530.JPG', '66bba7d320f770f1570c554307c08909', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/66bba7d320f770f1570c.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/66bba7d320f770f1570c.JPG', '未分类', 59550, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:29:56', '2022-03-26 23:29:56', NULL);
INSERT INTO `base_attachments` VALUES (525, 'IMG_3530.JPG', '786d209808358de9c21cec5c1c388e84', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/786d209808358de9c21c.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/786d209808358de9c21c.JPG', '未分类', 163673, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:29:57', '2022-03-26 23:29:57', NULL);
INSERT INTO `base_attachments` VALUES (526, 'IMG_3530.JPG', '786d209808358de9c21cec5c1c388e84', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/786d209808358de9c21c.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/786d209808358de9c21c.JPG', '未分类', 404776, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:29:58', '2022-03-26 23:29:58', NULL);
INSERT INTO `base_attachments` VALUES (527, 'IMG_3530.JPG', '8b7881731a6b190e083fa1154794e57e', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/8b7881731a6b190e083f.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/8b7881731a6b190e083f.JPG', '未分类', 142033, 'image/jpeg', 0, NULL, NULL, '2022-03-26 23:29:59', '2022-03-26 23:29:59', NULL);
INSERT INTO `base_attachments` VALUES (528, 'IMG_4421.JPG', '718c16b792db4c4ea5bfaf082f312a38', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/718c16b792db4c4ea5bf.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/718c16b792db4c4ea5bf.JPG', '未分类', 23746, 'image/jpeg', 0, NULL, NULL, '2022-03-28 00:40:48', '2022-03-28 00:40:48', NULL);
INSERT INTO `base_attachments` VALUES (529, 'IMG_3432.JPG', 'ddfdb24d319f4c60657ce51d356f6885', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/ddfdb24d319f4c60657c.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/ddfdb24d319f4c60657c.JPG', '未分类', 325461, 'image/jpeg', 0, NULL, NULL, '2022-03-28 00:42:06', '2022-03-28 00:42:06', NULL);
INSERT INTO `base_attachments` VALUES (530, 'mmexport1648106363191.jpg', '0d38fb29b182aa888fd7552edbde52b8', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/0d38fb29b182aa888fd7.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/0d38fb29b182aa888fd7.jpg', '未分类', 361608, 'image/jpeg', 0, NULL, NULL, '2022-03-28 10:13:03', '2022-03-28 10:13:03', NULL);
INSERT INTO `base_attachments` VALUES (531, 'Screenshot_20220318_152054_com.easygogolf.app.jpg', 'cd9a8bb85f41e0b9ec66b1c07250cd86', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/cd9a8bb85f41e0b9ec66.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/cd9a8bb85f41e0b9ec66.jpg', '未分类', 36832, 'image/jpeg', 0, NULL, NULL, '2022-03-28 10:14:25', '2022-03-28 10:14:25', NULL);
INSERT INTO `base_attachments` VALUES (532, 'mmexport88dec27a4ed26d4ee6530bafb4ffea45_1647924779100.jpeg', '98857c2657762e77538599df47b08721', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/98857c2657762e775385.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/28/98857c2657762e775385.jpeg', '未分类', 35907, 'image/jpeg', 0, NULL, NULL, '2022-03-28 16:45:38', '2022-03-28 16:45:38', NULL);
INSERT INTO `base_attachments` VALUES (533, 'mmexport1647563078159.jpg', '60a65e4d9e70f67f950d50efb3b1b502', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/60a65e4d9e70f67f950d.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/60a65e4d9e70f67f950d.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-29 19:26:48', '2022-03-29 19:26:48', NULL);
INSERT INTO `base_attachments` VALUES (534, 'mmexport1647563078159.jpg', 'fe9439caec7ffe9fd4fc4932f228e380', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/fe9439caec7ffe9fd4fc.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/fe9439caec7ffe9fd4fc.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-29 19:29:07', '2022-03-29 19:29:07', NULL);
INSERT INTO `base_attachments` VALUES (535, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '340336e466a39f798711056eafadae95', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/340336e466a39f798711.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/340336e466a39f798711.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-29 19:34:14', '2022-03-29 19:34:14', NULL);
INSERT INTO `base_attachments` VALUES (536, 'mmexport1647563078159.jpg', '6c5cbe0784e6dc539f69b3949a12656a', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/6c5cbe0784e6dc539f69.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/6c5cbe0784e6dc539f69.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-29 20:34:11', '2022-03-29 20:34:11', NULL);
INSERT INTO `base_attachments` VALUES (537, 'mmexport1647563078159.jpg', '2522b938c4c84be1029fcfd6bf5a7561', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/2522b938c4c84be1029f.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/2522b938c4c84be1029f.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-29 20:34:35', '2022-03-29 20:34:35', NULL);
INSERT INTO `base_attachments` VALUES (538, 'mmexport1647563078159.jpg', 'a90b13b801d8c8781c93191e9ff83a10', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/a90b13b801d8c8781c93.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/a90b13b801d8c8781c93.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-29 20:37:00', '2022-03-29 20:37:00', NULL);
INSERT INTO `base_attachments` VALUES (539, 'mmexport1647563078159.jpg', '9a8cf0e4bd9248ef153daf1d4e17818f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/9a8cf0e4bd9248ef153d.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/9a8cf0e4bd9248ef153d.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-29 20:37:25', '2022-03-29 20:37:25', NULL);
INSERT INTO `base_attachments` VALUES (540, 'mmexport1647563078159.jpg', '8e3ca1ba00966dfc83359f849b8ace5e', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/8e3ca1ba00966dfc8335.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/8e3ca1ba00966dfc8335.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-29 20:37:38', '2022-03-29 20:37:38', NULL);
INSERT INTO `base_attachments` VALUES (541, 'mmexport1647563078159.jpg', '9c3bb4e68c239bfc43147e3f98f1cc3e', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/9c3bb4e68c239bfc4314.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/9c3bb4e68c239bfc4314.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-29 20:38:26', '2022-03-29 20:38:26', NULL);
INSERT INTO `base_attachments` VALUES (542, 'mmexport88dec27a4ed26d4ee6530bafb4ffea45_1647924779100.jpeg', 'b2ca10d0ea1251d7de523ec91ac64d01', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/b2ca10d0ea1251d7de52.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/b2ca10d0ea1251d7de52.jpeg', '未分类', 35907, 'image/jpeg', 0, NULL, NULL, '2022-03-29 20:55:15', '2022-03-29 20:55:15', NULL);
INSERT INTO `base_attachments` VALUES (543, 'IMG_5832.JPG', '49a38a8448191a7d07662a8a55e30910', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/49a38a8448191a7d0766.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/29/49a38a8448191a7d0766.JPG', '未分类', 26251, 'image/jpeg', 0, NULL, NULL, '2022-03-29 23:58:34', '2022-03-29 23:58:34', NULL);
INSERT INTO `base_attachments` VALUES (544, 'IMG_6039.JPG', 'e5fc8c0e0830e93e885c9d3ce69f459b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/30/e5fc8c0e0830e93e885c.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/30/e5fc8c0e0830e93e885c.JPG', '未分类', 414084, 'image/jpeg', 0, NULL, NULL, '2022-03-30 00:01:35', '2022-03-30 00:01:35', NULL);
INSERT INTO `base_attachments` VALUES (545, 'IMG_6039.JPG', '761d8152ee096ca4e020e82946af6c36', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/30/761d8152ee096ca4e020.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/30/761d8152ee096ca4e020.JPG', '未分类', 352451, 'image/jpeg', 0, NULL, NULL, '2022-03-30 00:01:36', '2022-03-30 00:01:36', NULL);
INSERT INTO `base_attachments` VALUES (546, 'IMG_5522.JPG', '85decae7be234745ef03cb88e1d0ce9e', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/30/85decae7be234745ef03.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/30/85decae7be234745ef03.JPG', '未分类', 30754, 'image/jpeg', 0, NULL, NULL, '2022-03-30 00:28:14', '2022-03-30 00:28:14', NULL);
INSERT INTO `base_attachments` VALUES (547, 'IMG_7375.JPG', '5fa1d584e453722efb80dfc6638fc3e3', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/30/5fa1d584e453722efb80.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/30/5fa1d584e453722efb80.JPG', '未分类', 7726660, 'image/jpeg', 0, NULL, NULL, '2022-03-30 09:30:20', '2022-03-30 09:30:20', NULL);
INSERT INTO `base_attachments` VALUES (548, 'mmexport1647563078159.jpg', '739a0db4e55b68f2f8b5db49cb5b7851', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/739a0db4e55b68f2f8b5.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/739a0db4e55b68f2f8b5.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-31 13:37:26', '2022-03-31 13:37:26', NULL);
INSERT INTO `base_attachments` VALUES (549, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', '9b1e8dd109bc3aa67f1a9b967708524f', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/9b1e8dd109bc3aa67f1a.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/9b1e8dd109bc3aa67f1a.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-03-31 15:30:05', '2022-03-31 15:30:05', NULL);
INSERT INTO `base_attachments` VALUES (550, 'mmexport1647563078159.jpg', 'fcbb57e00946dbf895e70155185c947c', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/fcbb57e00946dbf895e7.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/fcbb57e00946dbf895e7.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-03-31 15:35:07', '2022-03-31 15:35:07', NULL);
INSERT INTO `base_attachments` VALUES (551, 'mmexport88dec27a4ed26d4ee6530bafb4ffea45_1647924779100.jpeg', '28ece2ad42db7412e85667dbb5fd1cb5', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/28ece2ad42db7412e856.jpeg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/28ece2ad42db7412e856.jpeg', '未分类', 35907, 'image/jpeg', 0, NULL, NULL, '2022-03-31 15:37:25', '2022-03-31 15:37:25', NULL);
INSERT INTO `base_attachments` VALUES (552, 'IMG_20220323_094926.jpg', '8eaaf9397818829df10501e6dd721fd4', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/8eaaf9397818829df105.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/8eaaf9397818829df105.jpg', '未分类', 2542424, 'image/jpeg', 0, NULL, NULL, '2022-03-31 20:31:07', '2022-03-31 20:31:07', NULL);
INSERT INTO `base_attachments` VALUES (553, 'IMG_20220323_094926.jpg', '22dee302d2ec3aadb2301d7c3cb4dcaa', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/22dee302d2ec3aadb230.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/22dee302d2ec3aadb230.jpg', '未分类', 4236087, 'image/jpeg', 0, NULL, NULL, '2022-03-31 20:41:29', '2022-03-31 20:41:29', NULL);
INSERT INTO `base_attachments` VALUES (554, 'IMG_4422.JPG', 'e700ede620dc45852fea0fba5c7370d2', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/02/e700ede620dc45852fea.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/02/e700ede620dc45852fea.JPG', '未分类', 14206, 'image/jpeg', 0, NULL, NULL, '2022-04-02 10:18:30', '2022-04-02 10:18:30', NULL);
INSERT INTO `base_attachments` VALUES (555, 'IMG_3939.JPG', '595b644ac36deabec21178c8d45bd563', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/02/595b644ac36deabec211.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/02/595b644ac36deabec211.JPG', '未分类', 246358, 'image/jpeg', 0, NULL, NULL, '2022-04-02 10:19:57', '2022-04-02 10:19:57', NULL);
INSERT INTO `base_attachments` VALUES (556, 'IMG_3329.JPG', '7b1cfab011680752c3962a6b340672b4', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/02/7b1cfab011680752c396.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/02/7b1cfab011680752c396.JPG', '未分类', 177008, 'image/jpeg', 0, NULL, NULL, '2022-04-02 10:21:31', '2022-04-02 10:21:31', NULL);
INSERT INTO `base_attachments` VALUES (557, '1643378866859.jpg', 'a2b740e046c95acfb9a09d3258973b4b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/02/a2b740e046c95acfb9a0.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/02/a2b740e046c95acfb9a0.jpg', '未分类', 15433, 'image/jpeg', 0, NULL, NULL, '2022-04-02 22:20:29', '2022-04-02 22:20:29', NULL);
INSERT INTO `base_attachments` VALUES (558, 'IMG_5812.JPG', '22127328d5f5eb7c040f87e36b4d21a2', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/03/22127328d5f5eb7c040f.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/03/22127328d5f5eb7c040f.JPG', '未分类', 24457, 'image/jpeg', 0, NULL, NULL, '2022-04-03 01:20:16', '2022-04-03 01:20:16', NULL);
INSERT INTO `base_attachments` VALUES (559, 'IMG_0002.JPG', 'a20fabd7884530a1667ff727114beff6', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/03/a20fabd7884530a1667f.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/03/a20fabd7884530a1667f.JPG', '未分类', 33951, 'image/jpeg', 0, NULL, NULL, '2022-04-03 09:06:09', '2022-04-03 09:06:09', NULL);
INSERT INTO `base_attachments` VALUES (560, 'IMG_20220204_134117.jpg', '0ac7412129cb30906b614b9f5e8cb187', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/06/0ac7412129cb30906b61.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/06/0ac7412129cb30906b61.jpg', '未分类', 150125, 'image/jpeg', 0, NULL, NULL, '2022-04-06 22:59:19', '2022-04-06 22:59:19', NULL);
INSERT INTO `base_attachments` VALUES (561, 'Screenshot_20220406_134806_com.easygolf.app.jpg', '6ac6d4afb1c6dbd834e5451776f6d91e', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/07/6ac6d4afb1c6dbd834e5.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/07/6ac6d4afb1c6dbd834e5.jpg', '未分类', 138445, 'image/jpeg', 0, NULL, NULL, '2022-04-07 09:46:36', '2022-04-07 09:46:36', NULL);
INSERT INTO `base_attachments` VALUES (562, 'IMG_3891.JPG', 'e8b45fe97ff841fd09f1152a7037bf5b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/07/e8b45fe97ff841fd09f1.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/07/e8b45fe97ff841fd09f1.JPG', '未分类', 691863, 'image/jpeg', 0, NULL, NULL, '2022-04-07 22:17:11', '2022-04-07 22:17:11', NULL);
INSERT INTO `base_attachments` VALUES (563, 'IMG_20220403_110917.jpg', '524c29953e60372436cfb72a386e3522', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/08/524c29953e60372436cf.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/08/524c29953e60372436cf.jpg', '未分类', 78800, 'image/jpeg', 0, NULL, NULL, '2022-04-08 10:03:26', '2022-04-08 10:03:26', NULL);
INSERT INTO `base_attachments` VALUES (564, 'share_132938230611471680.png', 'bf6a430571463b35b549b2dec0c0f41a', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/10/bf6a430571463b35b549.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/10/bf6a430571463b35b549.png', '未分类', 108978, 'image/jpeg', 0, NULL, NULL, '2022-04-10 09:44:35', '2022-04-10 09:44:35', NULL);
INSERT INTO `base_attachments` VALUES (565, 'share_132938230611471680.png', 'ab3c923e1166f723e1b647d385ed17e6', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/10/ab3c923e1166f723e1b6.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/10/ab3c923e1166f723e1b6.png', '未分类', 101125, 'image/jpeg', 0, NULL, NULL, '2022-04-10 09:44:37', '2022-04-10 09:44:37', NULL);
INSERT INTO `base_attachments` VALUES (566, '671F14D3-C3DC-45BD-BF74-E1FEF3FF562D.JPG', '317e7c1a823235e7c17fb2d1d99b9ebf', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/12/317e7c1a823235e7c17f.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/12/317e7c1a823235e7c17f.JPG', '未分类', 626102, 'image/jpeg', 0, NULL, NULL, '2022-04-12 13:36:10', '2022-04-12 13:36:10', NULL);
INSERT INTO `base_attachments` VALUES (567, '95453974-863C-4A5E-B7C6-0EA7D1AD950A.JPG', 'c19810300619ca2c5c2410d247ff6261', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/12/c19810300619ca2c5c24.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/12/c19810300619ca2c5c24.JPG', '未分类', 1259608, 'image/jpeg', 0, NULL, NULL, '2022-04-12 15:52:20', '2022-04-12 15:52:20', NULL);
INSERT INTO `base_attachments` VALUES (568, 'IMG_0136.JPG', '2653fc070a5357248f6fa8c09d227356', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/12/2653fc070a5357248f6f.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/12/2653fc070a5357248f6f.JPG', '未分类', 162389, 'image/jpeg', 0, NULL, NULL, '2022-04-12 23:36:57', '2022-04-12 23:36:57', NULL);
INSERT INTO `base_attachments` VALUES (569, 'F90545E5-D3E3-46DC-948B-E926CCAE1767.JPG', '9019d019bc88e52145f870957d7ba3d2', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/13/9019d019bc88e52145f8.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/13/9019d019bc88e52145f8.JPG', '未分类', 42133, 'image/jpeg', 0, NULL, NULL, '2022-04-13 21:10:11', '2022-04-13 21:10:11', NULL);
INSERT INTO `base_attachments` VALUES (570, 'IMG_0121.JPG', '3f35ca112db868e08f20d1ea916f58c9', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/13/3f35ca112db868e08f20.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/13/3f35ca112db868e08f20.JPG', '未分类', 1631994, 'image/jpeg', 0, NULL, NULL, '2022-04-13 21:10:31', '2022-04-13 21:10:31', NULL);
INSERT INTO `base_attachments` VALUES (571, 'mmexport1647563078159.jpg', '35ee5f608dd947d302b7b81c0edbe954', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/14/35ee5f608dd947d302b7.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/14/35ee5f608dd947d302b7.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-04-14 21:00:38', '2022-04-14 21:00:38', NULL);
INSERT INTO `base_attachments` VALUES (572, 'IMG_20220410_112808.jpg', '1127b2113103e93a8ca3f05ff4295fd7', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/15/1127b2113103e93a8ca3.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/15/1127b2113103e93a8ca3.jpg', '未分类', 103593, 'image/jpeg', 0, NULL, NULL, '2022-04-15 18:21:26', '2022-04-15 18:21:26', NULL);
INSERT INTO `base_attachments` VALUES (573, 'IMG_2325.JPG', 'f013a64413316c12b377d88c3bcb5732', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/f013a64413316c12b377.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/f013a64413316c12b377.JPG', '未分类', 167299, 'image/jpeg', 0, NULL, NULL, '2022-04-17 09:43:43', '2022-04-17 09:43:43', NULL);
INSERT INTO `base_attachments` VALUES (574, 'IMG_2319.JPG', '5b41316afc3eab0dece9019ac27d33a2', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/5b41316afc3eab0dece9.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/5b41316afc3eab0dece9.JPG', '未分类', 162425, 'image/jpeg', 0, NULL, NULL, '2022-04-17 09:50:11', '2022-04-17 09:50:11', NULL);
INSERT INTO `base_attachments` VALUES (575, 'IMG_2319.JPG', 'e3b799adb3c2c76a67c073bdad7edb41', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/e3b799adb3c2c76a67c0.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/e3b799adb3c2c76a67c0.JPG', '未分类', 167299, 'image/jpeg', 0, NULL, NULL, '2022-04-17 09:50:13', '2022-04-17 09:50:13', NULL);
INSERT INTO `base_attachments` VALUES (576, 'IMG_2319.JPG', '3a40ea4bbbff6054a6bdde5c055a8860', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/3a40ea4bbbff6054a6bd.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/3a40ea4bbbff6054a6bd.JPG', '未分类', 162425, 'image/jpeg', 0, NULL, NULL, '2022-04-17 09:50:43', '2022-04-17 09:50:43', NULL);
INSERT INTO `base_attachments` VALUES (577, 'IMG_2319.JPG', '577606d752a967fd8b2782370f3080d7', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/577606d752a967fd8b27.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/577606d752a967fd8b27.JPG', '未分类', 167299, 'image/jpeg', 0, NULL, NULL, '2022-04-17 09:50:46', '2022-04-17 09:50:46', NULL);
INSERT INTO `base_attachments` VALUES (578, 'IMG_2319.JPG', 'e21ae788debfde448425e3b2c9b6e582', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/e21ae788debfde448425.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/e21ae788debfde448425.JPG', '未分类', 160260, 'image/jpeg', 0, NULL, NULL, '2022-04-17 09:50:48', '2022-04-17 09:50:48', NULL);
INSERT INTO `base_attachments` VALUES (579, 'IMG_2319.JPG', 'eb073336c3108ba4ecad6b97c3c1e2cc', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/eb073336c3108ba4ecad.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/eb073336c3108ba4ecad.JPG', '未分类', 178631, 'image/jpeg', 0, NULL, NULL, '2022-04-17 09:50:50', '2022-04-17 09:50:50', NULL);
INSERT INTO `base_attachments` VALUES (580, 'IMG_0136.PNG', 'a03618e6baca9515bb64b55d6f297e90', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/a03618e6baca9515bb64.PNG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/a03618e6baca9515bb64.PNG', '未分类', 22827, 'image/jpeg', 0, NULL, NULL, '2022-04-17 09:56:50', '2022-04-17 09:56:50', NULL);
INSERT INTO `base_attachments` VALUES (581, 'IMG_2261.WEBP', 'af7c1862982ccc48237a90c9206097d1', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/af7c1862982ccc48237a.WEBP', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/af7c1862982ccc48237a.WEBP', '未分类', 201730, 'image/jpeg', 0, NULL, NULL, '2022-04-17 09:58:16', '2022-04-17 09:58:16', NULL);
INSERT INTO `base_attachments` VALUES (582, 'IMG_0116.JPG', '946ccec6aefcd93ccf97d7a61c23b8aa', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/946ccec6aefcd93ccf97.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/946ccec6aefcd93ccf97.JPG', '未分类', 163627, 'image/jpeg', 0, NULL, NULL, '2022-04-17 10:02:34', '2022-04-17 10:02:34', NULL);
INSERT INTO `base_attachments` VALUES (583, 'IMG_0116.JPG', '39c46a565793e3eec54a7721d4f0e5de', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/39c46a565793e3eec54a.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/39c46a565793e3eec54a.JPG', '未分类', 172243, 'image/jpeg', 0, NULL, NULL, '2022-04-17 10:02:37', '2022-04-17 10:02:37', NULL);
INSERT INTO `base_attachments` VALUES (584, 'IMG_0116.JPG', '3141d733803fd73e78daecacadd74d9e', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/3141d733803fd73e78da.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/3141d733803fd73e78da.JPG', '未分类', 176627, 'image/jpeg', 0, NULL, NULL, '2022-04-17 10:02:40', '2022-04-17 10:02:40', NULL);
INSERT INTO `base_attachments` VALUES (585, 'IMG_0116.JPG', 'f0aeeea889fda5071b1411f059bd74d3', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/f0aeeea889fda5071b14.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/f0aeeea889fda5071b14.JPG', '未分类', 176627, 'image/jpeg', 0, NULL, NULL, '2022-04-17 10:02:43', '2022-04-17 10:02:43', NULL);
INSERT INTO `base_attachments` VALUES (586, 'IMG_0014.JPG', '0602af4a98de84dd738a2a64aeeb74a8', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/0602af4a98de84dd738a.JPG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/0602af4a98de84dd738a.JPG', '未分类', 406892, 'image/jpeg', 0, NULL, NULL, '2022-04-17 10:04:27', '2022-04-17 10:04:27', NULL);
INSERT INTO `base_attachments` VALUES (587, 'IMG_0095.PNG', '46f56de9141cb8cf7d76b024264dad3d', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/46f56de9141cb8cf7d76.PNG', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/46f56de9141cb8cf7d76.PNG', '未分类', 163685, 'image/jpeg', 0, NULL, NULL, '2022-04-17 10:18:59', '2022-04-17 10:18:59', NULL);
INSERT INTO `base_attachments` VALUES (588, 'share_132938230611471680.png', '86a7ee4e035c2b2c0be0690def3f8a36', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/86a7ee4e035c2b2c0be0.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/86a7ee4e035c2b2c0be0.png', '未分类', 108978, 'image/jpeg', 0, NULL, NULL, '2022-04-17 18:08:49', '2022-04-17 18:08:49', NULL);
INSERT INTO `base_attachments` VALUES (589, 'share_132938212529989010.png', '232331a8172c6c2122a8ca4a61c8266b', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/232331a8172c6c2122a8.png', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/232331a8172c6c2122a8.png', '未分类', 101125, 'image/jpeg', 0, NULL, NULL, '2022-04-17 18:08:54', '2022-04-17 18:08:54', NULL);
INSERT INTO `base_attachments` VALUES (590, 'Screenshot_2022-01-23-19-05-22-960_com.tencent.tmgp.sgame.jpg', '482a3a2af654d6cdc9124ed81a05dab0', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/482a3a2af654d6cdc912.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/482a3a2af654d6cdc912.jpg', '未分类', 839835, 'image/jpeg', 0, NULL, NULL, '2022-04-17 18:16:23', '2022-04-17 18:16:23', NULL);
INSERT INTO `base_attachments` VALUES (591, 'Screenshot_2022-01-23-19-05-00-469_com.tencent.tmgp.sgame.jpg', '0705d71b4f1ae2d6c74b578c664b66e5', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/0705d71b4f1ae2d6c74b.jpg', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/17/0705d71b4f1ae2d6c74b.jpg', '未分类', 741221, 'image/jpeg', 0, NULL, NULL, '2022-04-17 18:16:26', '2022-04-17 18:16:26', NULL);
INSERT INTO `base_attachments` VALUES (592, '4.png', '37b4bd362310598c3bd106789058a772', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/37b4bd362310598c3bd1.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/37b4bd362310598c3bd1.png', '未分类', 4198, 'image/png', 0, NULL, NULL, '2022-04-18 11:53:59', '2022-04-18 11:53:59', NULL);
INSERT INTO `base_attachments` VALUES (593, '-637276156.jpg', 'acc8c8da8f5269120932ab2cea233192', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/acc8c8da8f5269120932.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/acc8c8da8f5269120932.jpg', '未分类', 133476, 'image/jpeg', 0, NULL, NULL, '2022-04-18 15:50:36', '2022-04-18 15:50:36', NULL);
INSERT INTO `base_attachments` VALUES (594, 'IMG_20220326_101009.jpg', '3af8796c68c55d9dd8b4253cd31ab0dd', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/3af8796c68c55d9dd8b4.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/3af8796c68c55d9dd8b4.jpg', '未分类', 226460, 'image/jpeg', 0, NULL, NULL, '2022-04-18 15:52:57', '2022-04-18 15:52:57', NULL);
INSERT INTO `base_attachments` VALUES (595, '10.png', '829af12f63041ded947ecee99ae4f50d', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/829af12f63041ded947e.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/829af12f63041ded947e.png', '未分类', 10782, 'image/png', 0, NULL, NULL, '2022-04-18 16:20:36', '2022-04-18 16:20:36', NULL);
INSERT INTO `base_attachments` VALUES (596, 'game3.png', 'd240deb14eb1d351b906bc67e744f031', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/d240deb14eb1d351b906.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/d240deb14eb1d351b906.png', '未分类', 170975, 'image/png', 0, NULL, NULL, '2022-04-18 16:24:58', '2022-04-18 16:24:58', NULL);
INSERT INTO `base_attachments` VALUES (597, 'game3.png', '667251ae8595b56c43937c516726a318', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/667251ae8595b56c4393.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/667251ae8595b56c4393.png', '未分类', 170975, 'image/png', 0, NULL, NULL, '2022-04-18 16:26:15', '2022-04-18 16:26:15', NULL);
INSERT INTO `base_attachments` VALUES (598, 'game3.png', '81036dc5d91b59abfd5edc8e998537a0', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/81036dc5d91b59abfd5e.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/18/81036dc5d91b59abfd5e.png', '未分类', 170975, 'image/png', 0, NULL, NULL, '2022-04-18 16:28:14', '2022-04-18 16:28:14', NULL);
INSERT INTO `base_attachments` VALUES (599, 'mmexport1650330986804.jpg', '88b97bb51d07c6ef2f0f8643314b8c2d', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/88b97bb51d07c6ef2f0f.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/88b97bb51d07c6ef2f0f.jpg', '未分类', 130512, 'image/jpeg', 0, NULL, NULL, '2022-04-19 09:17:42', '2022-04-19 09:17:42', NULL);
INSERT INTO `base_attachments` VALUES (600, 'IMG_0325.JPG', 'aa43ae9c4ebc658eedcd89929a95176f', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/aa43ae9c4ebc658eedcd.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/aa43ae9c4ebc658eedcd.JPG', '未分类', 336333, 'image/jpeg', 0, NULL, NULL, '2022-04-19 09:22:35', '2022-04-19 09:22:35', NULL);
INSERT INTO `base_attachments` VALUES (601, '3.jpg', '15f9afa6bea6b2d3ef2b646f5885b8f5', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/7431650331879220419.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/7431650331879220419.jpg', '未分类', 31195, 'image/jpeg', 0, NULL, NULL, '2022-04-19 09:31:20', '2022-04-19 09:31:20', NULL);
INSERT INTO `base_attachments` VALUES (602, 'mmexportc5d0076f125b9c074e4c5bf849860d17_1646228386212.jpeg', 'e7e7385a498dc277b4d3c872f66c70a0', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/3061650331949220419.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/3061650331949220419.jpeg', '未分类', 22868, 'image/jpeg', 0, NULL, NULL, '2022-04-19 09:32:29', '2022-04-19 09:32:29', NULL);
INSERT INTO `base_attachments` VALUES (603, 'IMG_20220315_090013.jpg', 'ef9596a431c461f3163b7125ae36a43d', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/2131650332024220419.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/2131650332024220419.jpg', '未分类', 209472, 'image/jpeg', 0, NULL, NULL, '2022-04-19 09:33:45', '2022-04-19 09:33:45', NULL);
INSERT INTO `base_attachments` VALUES (604, 'IMG_20220315_090013.jpg', '1298624ea811197f5cbd8e1db311be36', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/4631650332027220419.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/19/4631650332027220419.jpg', '未分类', 243324, 'image/jpeg', 0, NULL, NULL, '2022-04-19 09:33:47', '2022-04-19 09:33:47', NULL);
INSERT INTO `base_attachments` VALUES (605, 'retouch_2022042019172332.jpg', '9fdb70645f4ab3f3398c410a8380a8bb', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/7531650503648220421.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/7531650503648220421.jpg', '未分类', 60857, 'image/jpeg', 0, NULL, NULL, '2022-04-21 09:14:08', '2022-04-21 09:14:08', NULL);
INSERT INTO `base_attachments` VALUES (606, '4.jpeg', 'e7d40e4d0aefd531957da4f7913b967a', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/2031650503976220421.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/2031650503976220421.jpeg', '未分类', 24512, 'image/jpeg', 0, NULL, NULL, '2022-04-21 09:19:36', '2022-04-21 09:19:36', NULL);
INSERT INTO `base_attachments` VALUES (607, 'IMG_2362.JPG', 'a4b05244d53825cd9125f23b3e1c9b2f', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/7431650520880220421.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/7431650520880220421.JPG', '未分类', 287446, 'image/jpeg', 0, NULL, NULL, '2022-04-21 14:01:21', '2022-04-21 14:01:21', NULL);
INSERT INTO `base_attachments` VALUES (608, 'IMG_20220420_190352.jpg', '8e3e71a4ea26bd5acfd1de0a3a0b362f', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/2441650521068220421.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/2441650521068220421.jpg', '未分类', 1791917, 'image/jpeg', 0, NULL, NULL, '2022-04-21 14:04:28', '2022-04-21 14:04:28', NULL);
INSERT INTO `base_attachments` VALUES (609, 'v2-4baf8c06384e7d8878c1c2e1ad4fafa5.jpeg', 'c477461a3168f8ce4acecc74afa7b79e', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/1691650521469220421.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/1691650521469220421.jpeg', '未分类', 23046, 'image/jpeg', 0, NULL, NULL, '2022-04-21 14:11:09', '2022-04-21 14:11:09', NULL);
INSERT INTO `base_attachments` VALUES (610, 'v2-4baf8c06384e7d8878c1c2e1ad4fafa5.jpeg', 'e8345705556326085de88c037e198e49', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/5301650521471220421.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/5301650521471220421.jpeg', '未分类', 679030, 'image/jpeg', 0, NULL, NULL, '2022-04-21 14:11:11', '2022-04-21 14:11:11', NULL);
INSERT INTO `base_attachments` VALUES (611, 'mmexport1649899484339.jpg', '617f385adf72ef293df033933d095a5f', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/1841650543673220421.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/21/1841650543673220421.jpg', '未分类', 185124, 'image/jpeg', 0, NULL, NULL, '2022-04-21 20:21:13', '2022-04-21 20:21:13', NULL);
INSERT INTO `base_attachments` VALUES (612, 'E3E94A69-80E2-48A8-B1BA-11BC991DEC2E.JPG', '9f9806e7e780b1995a047c2801c876fe', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/1921650692035220423.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/1921650692035220423.JPG', '未分类', 180711, 'image/jpeg', 0, NULL, NULL, '2022-04-23 13:33:56', '2022-04-23 13:33:56', NULL);
INSERT INTO `base_attachments` VALUES (613, 'share_132938212529989010.png', 'e17d083204b65c082ea882fc57f63d6f', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/7101650722006220423.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/7101650722006220423.png', '未分类', 34152, 'image/jpeg', 0, NULL, NULL, '2022-04-23 21:53:27', '2022-04-23 21:53:27', NULL);
INSERT INTO `base_attachments` VALUES (614, '094894A7-96DA-4DB7-9CBF-05C27B6CDC76.JPG', '231c70395adaf6d3d710f9318c7873ea', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/4871650729156220423.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/4871650729156220423.JPG', '未分类', 45894, 'image/jpeg', 0, NULL, NULL, '2022-04-23 23:52:36', '2022-04-23 23:52:36', NULL);
INSERT INTO `base_attachments` VALUES (615, '094894A7-96DA-4DB7-9CBF-05C27B6CDC76.JPG', '761df650fd42a2b6df1288f6d7b0f60e', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/2811650729163220423.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/2811650729163220423.JPG', '未分类', 45894, 'image/jpeg', 0, NULL, NULL, '2022-04-23 23:52:43', '2022-04-23 23:52:43', NULL);
INSERT INTO `base_attachments` VALUES (616, '094894A7-96DA-4DB7-9CBF-05C27B6CDC76.JPG', '2fb951460eab3c973863d4e056323fe0', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/1911650729187220423.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/1911650729187220423.JPG', '未分类', 45894, 'image/jpeg', 0, NULL, NULL, '2022-04-23 23:53:07', '2022-04-23 23:53:07', NULL);
INSERT INTO `base_attachments` VALUES (617, '094894A7-96DA-4DB7-9CBF-05C27B6CDC76.JPG', '46430c4b58d805ab34cd28891e401165', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/3921650729202220423.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/23/3921650729202220423.JPG', '未分类', 45894, 'image/jpeg', 0, NULL, NULL, '2022-04-23 23:53:22', '2022-04-23 23:53:22', NULL);
INSERT INTO `base_attachments` VALUES (618, 'Screenshot_20220424_115716.jpg', 'e706632d1d29061c7fec753989c1cfd2', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/7111650780266220424.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/7111650780266220424.jpg', '未分类', 20322, 'image/jpeg', 0, NULL, NULL, '2022-04-24 14:04:26', '2022-04-24 14:04:26', NULL);
INSERT INTO `base_attachments` VALUES (619, 'mmexport1649899484339.jpg', 'b45fbe2a7904ca7a20b99aa0af67dcc1', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/6771650781034220424.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/6771650781034220424.jpg', '未分类', 15725, 'image/jpeg', 0, NULL, NULL, '2022-04-24 14:17:14', '2022-04-24 14:17:14', NULL);
INSERT INTO `base_attachments` VALUES (620, 'mmexport1649899474616.jpg', 'fa75d5dbbccdf524e1a1b58a5ce86d36', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/6641650783452220424.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/6641650783452220424.jpg', '未分类', 149271, 'image/jpeg', 0, NULL, NULL, '2022-04-24 14:57:32', '2022-04-24 14:57:32', NULL);
INSERT INTO `base_attachments` VALUES (621, 'mmexport1649899493034.jpg', '447ead71747ee0cdcba8c45856920cfd', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/7071650786133220424.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/7071650786133220424.jpg', '未分类', 442773, 'image/jpeg', 0, NULL, NULL, '2022-04-24 15:42:14', '2022-04-24 15:42:14', NULL);
INSERT INTO `base_attachments` VALUES (622, 'mmexport1649899502463.jpg', 'bcbc8b6354f60f22f85d48650eed1ad3', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/4981650787350220424.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/4981650787350220424.jpg', '未分类', 111937, 'image/jpeg', 0, NULL, NULL, '2022-04-24 16:02:31', '2022-04-24 16:02:31', NULL);
INSERT INTO `base_attachments` VALUES (623, 'Screenshot_20220424_160242_com.easygolf.app.jpg', '5a7acb79de2ba818bc709073c297ca35', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/3831650788314220424.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/24/3831650788314220424.jpg', '未分类', 11047, 'image/jpeg', 0, NULL, NULL, '2022-04-24 16:18:34', '2022-04-24 16:18:34', NULL);
INSERT INTO `base_attachments` VALUES (624, 'IMG_20220321_122533.jpg', '7ea3a6f13a7ad89cd2f73714f5450024', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/7531650865671220425.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/7531650865671220425.jpg', '未分类', 3819914, 'image/jpeg', 0, NULL, NULL, '2022-04-25 13:47:52', '2022-04-25 13:47:52', NULL);
INSERT INTO `base_attachments` VALUES (625, 'IMG_20220319_211956.jpg', '74dd7b693817f018e016f51d38fc88c4', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/9821650865675220425.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/9821650865675220425.jpg', '未分类', 852514, 'image/jpeg', 0, NULL, NULL, '2022-04-25 13:47:55', '2022-04-25 13:47:55', NULL);
INSERT INTO `base_attachments` VALUES (626, 'mmexport1647563078159.jpg', '2a406bb87570f4a4deab8ecaac38f0f8', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/6021650865677220425.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/6021650865677220425.jpg', '未分类', 227259, 'image/jpeg', 0, NULL, NULL, '2022-04-25 13:47:58', '2022-04-25 13:47:58', NULL);
INSERT INTO `base_attachments` VALUES (627, '-637276156.jpg', '439e902a8511d5b7b92c076e32edd65e', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/5311650865713220425.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/5311650865713220425.jpg', '未分类', 313465, 'image/jpeg', 0, NULL, NULL, '2022-04-25 13:48:33', '2022-04-25 13:48:33', NULL);
INSERT INTO `base_attachments` VALUES (628, 'mmexport88dec27a4ed26d4ee6530bafb4ffea45_1647924779100.jpeg', '6045287ae36b2e49251d838094e0d633', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/6921650865714220425.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/6921650865714220425.jpeg', '未分类', 84677, 'image/jpeg', 0, NULL, NULL, '2022-04-25 13:48:34', '2022-04-25 13:48:34', NULL);
INSERT INTO `base_attachments` VALUES (629, 'v2-fd3981f790c991f93b37303b3bc23c59.jpeg', 'bc743631fd2b5c0114e6053cf0e5f909', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/7491650865716220425.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/7491650865716220425.jpeg', '未分类', 71815, 'image/jpeg', 0, NULL, NULL, '2022-04-25 13:48:36', '2022-04-25 13:48:36', NULL);
INSERT INTO `base_attachments` VALUES (630, 'IMG_20220418_083540.jpg', 'dd78634fc1ee8c5d2cb9d251a12c6d5c', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/7761650865835220425.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/25/7761650865835220425.jpg', '未分类', 81776, 'image/jpeg', 0, NULL, NULL, '2022-04-25 13:50:35', '2022-04-25 13:50:35', NULL);
INSERT INTO `base_attachments` VALUES (631, '7057A638-DD67-435B-B104-F760A65F1436.WEBP', 'f307de1c8e08a60a96957cfcb6a0c8b6', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/26/4301650931321220426.WEBP', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/26/4301650931321220426.WEBP', '未分类', 183776, 'image/jpeg', 0, NULL, NULL, '2022-04-26 08:02:01', '2022-04-26 08:02:01', NULL);
INSERT INTO `base_attachments` VALUES (632, 'v2-4baf8c06384e7d8878c1c2e1ad4fafa5.jpeg', 'd14747c7ee0adb4e5715cea3e51cfba1', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/26/1241650971992220426.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/26/1241650971992220426.jpeg', '未分类', 23046, 'image/jpeg', 0, NULL, NULL, '2022-04-26 19:19:52', '2022-04-26 19:19:52', NULL);
INSERT INTO `base_attachments` VALUES (633, '-637276156.jpg', 'b2d57b5586aa4847c6821d08590126e4', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/8271651024881220427.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/8271651024881220427.jpg', '未分类', 32908, 'image/jpeg', 0, NULL, NULL, '2022-04-27 10:01:22', '2022-04-27 10:01:22', NULL);
INSERT INTO `base_attachments` VALUES (634, 'IMG_20220415_094941.jpg', '7b51273f562c2cd65fcd5b949ab81fdc', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/1981651025552220427.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/1981651025552220427.jpg', '未分类', 58191, 'image/jpeg', 0, NULL, NULL, '2022-04-27 10:12:32', '2022-04-27 10:12:32', NULL);
INSERT INTO `base_attachments` VALUES (635, 'E86DF2EC-3BB2-4E35-AF3B-28D59C81C58E.JPG', 'b4433931c4becd75900cf0c60872b46a', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/3481651053551220427.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/3481651053551220427.JPG', '未分类', 16929, 'image/jpeg', 0, NULL, NULL, '2022-04-27 17:59:11', '2022-04-27 17:59:11', NULL);
INSERT INTO `base_attachments` VALUES (636, 'IMG_0529.JPG', 'ea07b6aa9954acd0ee8e33e59cc601df', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/7531651055050220427.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/7531651055050220427.JPG', '未分类', 1256663, 'image/jpeg', 0, NULL, NULL, '2022-04-27 18:24:11', '2022-04-27 18:24:11', NULL);
INSERT INTO `base_attachments` VALUES (637, 'B60148C7-9A3C-423F-A255-450347B36DD0.JPG', 'c9814f38b14adfc7822dc2efd6b15f07', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/2301651056450220427.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/27/2301651056450220427.JPG', '未分类', 23832, 'image/jpeg', 0, NULL, NULL, '2022-04-27 18:47:31', '2022-04-27 18:47:31', NULL);
INSERT INTO `base_attachments` VALUES (638, 'Screenshot_2022-04-27-19-25-41-322_com.autonavi.minimap.jpg', 'c6ce5efb678003bc5aefc33e786934aa', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/28/5641651116314220428.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/28/5641651116314220428.jpg', '未分类', 24138, 'image/jpeg', 0, NULL, NULL, '2022-04-28 11:25:14', '2022-04-28 11:25:14', NULL);
INSERT INTO `base_attachments` VALUES (639, 'Screenshot_2022-04-27-19-25-41-322_com.autonavi.minimap.jpg', '627a88c5dcf2944d51301a14fa505c9e', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/28/2701651117517220428.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/28/2701651117517220428.jpg', '未分类', 24027, 'image/jpeg', 0, NULL, NULL, '2022-04-28 11:45:17', '2022-04-28 11:45:17', NULL);
INSERT INTO `base_attachments` VALUES (640, 'mmexport1651119817813.jpg', '673e7c6237c259bb2d04330973685100', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/28/4921651125633220428.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/28/4921651125633220428.jpg', '未分类', 17982, 'image/jpeg', 0, NULL, NULL, '2022-04-28 14:00:34', '2022-04-28 14:00:34', NULL);
INSERT INTO `base_attachments` VALUES (641, 'mmexport1651119817813.jpg', '0ef2f29b286e4674910076a6422a2c88', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/28/3321651144437220428.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/28/3321651144437220428.jpg', '未分类', 17431, 'image/jpeg', 0, NULL, NULL, '2022-04-28 19:13:57', '2022-04-28 19:13:57', NULL);
INSERT INTO `base_attachments` VALUES (642, 'v2-67a118ff617fb17c57572a155ed7526d.jpeg', '9214a28f7b4a77f6955e5abbf9712ce6', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/29/4921651217726220429.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/29/4921651217726220429.jpeg', '未分类', 36153, 'image/jpeg', 0, NULL, NULL, '2022-04-29 15:35:26', '2022-04-29 15:35:26', NULL);
INSERT INTO `base_attachments` VALUES (643, 'mmexport1649910624823.jpg', '07b0e4b25efd15d6e5bef92f631c2e64', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/29/9101651228886220429.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/29/9101651228886220429.jpg', '未分类', 153346, 'image/jpeg', 0, NULL, NULL, '2022-04-29 18:41:27', '2022-04-29 18:41:27', NULL);
INSERT INTO `base_attachments` VALUES (644, 'IMG_2819.HEIC', '5c7fe6bd86f8af130b9ca426c06226f8', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/30/7101651299587220430.HEIC', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/30/7101651299587220430.HEIC', '未分类', 30602, 'image/jpeg', 0, NULL, NULL, '2022-04-30 14:19:47', '2022-04-30 14:19:47', NULL);
INSERT INTO `base_attachments` VALUES (645, 'IMG_3883.PNG', 'f7805f4da9e8056820899e42bba2da1c', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/30/1691651315052220430.PNG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/30/1691651315052220430.PNG', '未分类', 99973, 'image/jpeg', 0, NULL, NULL, '2022-04-30 18:37:33', '2022-04-30 18:37:33', NULL);
INSERT INTO `base_attachments` VALUES (646, 'IMG_3883.PNG', 'c0a10d039858d16e28f7f3661a11a455', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/30/9061651315053220430.PNG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/30/9061651315053220430.PNG', '未分类', 125857, 'image/jpeg', 0, NULL, NULL, '2022-04-30 18:37:33', '2022-04-30 18:37:33', NULL);
INSERT INTO `base_attachments` VALUES (647, 'IMG_3883.PNG', 'ed037b75771bfbe30292a59528b2e41b', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/30/9431651315054220430.PNG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/30/9431651315054220430.PNG', '未分类', 130250, 'image/jpeg', 0, NULL, NULL, '2022-04-30 18:37:34', '2022-04-30 18:37:34', NULL);
INSERT INTO `base_attachments` VALUES (648, 'IMG_3895.PNG', 'ac1724347b8ac7aeaaee3f2a8cc406d0', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/03/2041651560305220503.PNG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/03/2041651560305220503.PNG', '未分类', 130289, 'image/jpeg', 0, NULL, NULL, '2022-05-03 14:45:05', '2022-05-03 14:45:05', NULL);
INSERT INTO `base_attachments` VALUES (649, 'mmexport1651322994787.jpg', 'f8b62fa677f6a09d36557ac6e000926d', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/3401651721813220505.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/3401651721813220505.jpg', '未分类', 23769, 'image/jpeg', 0, NULL, NULL, '2022-05-05 11:36:53', '2022-05-05 11:36:53', NULL);
INSERT INTO `base_attachments` VALUES (650, 'IMG_7371.JPG', '0d81862da722daa03c6db47d3a2b53db', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6801651722271220505.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6801651722271220505.JPG', '未分类', 38221, 'image/jpeg', 0, NULL, NULL, '2022-05-05 11:44:31', '2022-05-05 11:44:31', NULL);
INSERT INTO `base_attachments` VALUES (651, 'mmexport1647563078159.jpg', 'a357ee31d094e7a7f46ed5470ccaae7c', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/9931651722351220505.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/9931651722351220505.jpg', '未分类', 29031, 'image/jpeg', 0, NULL, NULL, '2022-05-05 11:45:51', '2022-05-05 11:45:51', NULL);
INSERT INTO `base_attachments` VALUES (652, 'v2-67a118ff617fb17c57572a155ed7526d.jpeg', 'e6dac07f88d6d7632fd7ece2bab49544', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/2821651729397220505.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/2821651729397220505.jpeg', '未分类', 36153, 'image/jpeg', 0, NULL, NULL, '2022-05-05 13:43:17', '2022-05-05 13:43:17', NULL);
INSERT INTO `base_attachments` VALUES (653, 'IMG_7371.JPG', '2bdf6fe5b6b977d93034ea1d92251e38', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/2621651729824220505.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/2621651729824220505.JPG', '未分类', 121892, 'image/jpeg', 0, NULL, NULL, '2022-05-05 13:50:24', '2022-05-05 13:50:24', NULL);
INSERT INTO `base_attachments` VALUES (654, 'IMG_7371.JPG', '37a83d10ac06e09f630a2180bb67fa58', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6851651730135220505.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6851651730135220505.JPG', '未分类', 25944, 'image/jpeg', 0, NULL, NULL, '2022-05-05 13:55:35', '2022-05-05 13:55:35', NULL);
INSERT INTO `base_attachments` VALUES (655, 'CAP7707263982698604056.jpg', 'fbb3f93fde782e590dca8df42f61a670', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6461651732727220505.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6461651732727220505.jpg', '未分类', 22646, 'image/jpeg', 0, NULL, NULL, '2022-05-05 14:38:47', '2022-05-05 14:38:47', NULL);
INSERT INTO `base_attachments` VALUES (656, 'IMG_7380.PNG', '9add8fb9ce04d478f7e390ffe6acd37b', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/5941651735116220505.PNG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/5941651735116220505.PNG', '未分类', 56250, 'image/jpeg', 0, NULL, NULL, '2022-05-05 15:18:36', '2022-05-05 15:18:36', NULL);
INSERT INTO `base_attachments` VALUES (657, 'mmexport1651322994787.jpg', 'a86a8e27d9df122566d9fe13dac8c5cd', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6491651748779220505.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6491651748779220505.jpg', '未分类', 23769, 'image/jpeg', 0, NULL, NULL, '2022-05-05 19:06:19', '2022-05-05 19:06:19', NULL);
INSERT INTO `base_attachments` VALUES (658, 'mmexport1651322994787.jpg', '9e0cd1c5c8b8dab3998e37e675ce41ac', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6351651751397220505.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6351651751397220505.jpg', '未分类', 23769, 'image/jpeg', 0, NULL, NULL, '2022-05-05 19:49:57', '2022-05-05 19:49:57', NULL);
INSERT INTO `base_attachments` VALUES (659, 'share_132938212529989010.png', '797dcfd1682d3e47490dd0ae62983c79', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/20/6841653055292220520.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/20/6841653055292220520.png', '未分类', 101125, 'image/jpeg', 0, NULL, NULL, '2022-05-20 22:01:32', '2022-05-20 22:01:32', NULL);
INSERT INTO `base_attachments` VALUES (660, 'share_132938212529989010.png', '36adcb0e1bc0605ce97eb0cc4e4a79be', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/20/1691653055348220520.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/20/1691653055348220520.png', '未分类', 101125, 'image/jpeg', 0, NULL, NULL, '2022-05-20 22:02:28', '2022-05-20 22:02:28', NULL);
INSERT INTO `base_attachments` VALUES (661, 'editimage_1653136631024.jpg', '0264b50522c140a49e415655b979ef54', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/24/1181653361898220524.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/24/1181653361898220524.jpg', '未分类', 34467, 'image/jpeg', 0, NULL, NULL, '2022-05-24 11:11:38', '2022-05-24 11:11:38', NULL);
INSERT INTO `base_attachments` VALUES (662, 'Screenshot_2022-04-19-14-51-07-729_com.tencent.tmgp.sgame.jpg', '9ce8240516b7c52f393ca6a1768fcdd9', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/24/9101653402063220524.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/24/9101653402063220524.jpg', '未分类', 722200, 'image/jpeg', 0, NULL, NULL, '2022-05-24 22:21:03', '2022-05-24 22:21:03', NULL);
INSERT INTO `base_attachments` VALUES (663, 'Screenshot_2022-04-19-14-51-07-729_com.tencent.tmgp.sgame.jpg', 'c5106dfa86105ac605c80979725645ed', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/26/9631653577553220526.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/26/9631653577553220526.jpg', '未分类', 722200, 'image/jpeg', 0, NULL, NULL, '2022-05-26 23:05:53', '2022-05-26 23:05:53', NULL);
INSERT INTO `base_attachments` VALUES (664, 'share_132938230611471680.png', '1f1918bb2e8e4a18518109fd859fd987', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/26/2881653579784220526.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/26/2881653579784220526.png', '未分类', 108978, 'image/jpeg', 0, NULL, NULL, '2022-05-26 23:43:04', '2022-05-26 23:43:04', NULL);
INSERT INTO `base_attachments` VALUES (665, 'CAP6992944124890872225.jpg', '57f822d390f1155908484f9b6e59d3aa', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/27/3741653642476220527.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/27/3741653642476220527.jpg', '未分类', 12494, 'image/jpeg', 0, NULL, NULL, '2022-05-27 17:07:56', '2022-05-27 17:07:56', NULL);
INSERT INTO `base_attachments` VALUES (666, 'Screenshot_2022-04-19-14-51-07-729_com.tencent.tmgp.sgame.jpg', 'd39d3fe2865683e7694a7efe0aa2625b', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/27/7271653658537220527.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/27/7271653658537220527.jpg', '未分类', 24885, 'image/jpeg', 0, NULL, NULL, '2022-05-27 21:35:37', '2022-05-27 21:35:37', NULL);
INSERT INTO `base_attachments` VALUES (667, 'share_132938212529989010.png', 'cb903fd159a458fea16d4bc44f732407', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/27/8131653658686220527.png', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/27/8131653658686220527.png', '未分类', 101125, 'image/jpeg', 0, NULL, NULL, '2022-05-27 21:38:06', '2022-05-27 21:38:06', NULL);
INSERT INTO `base_attachments` VALUES (668, 'IMG_1028.JPG', '10ec804393f3b62063df4e4cfdafb7d3', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/28/2091653706625220528.JPG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/28/2091653706625220528.JPG', '未分类', 578631, 'image/jpeg', 0, NULL, NULL, '2022-05-28 10:57:05', '2022-05-28 10:57:05', NULL);
INSERT INTO `base_attachments` VALUES (669, 'CAP697370720654464924.jpg', '9f98dade01d730759233e22ea474cf4b', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/28/5171653729353220528.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/28/5171653729353220528.jpg', '未分类', 36182, 'image/jpeg', 0, NULL, NULL, '2022-05-28 17:15:53', '2022-05-28 17:15:53', NULL);
INSERT INTO `base_attachments` VALUES (670, 'CAP697370720654464924.jpg', '0bf23128afc2026915ef39dcfab0b8bb', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/28/6361653729648220528.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/28/6361653729648220528.jpg', '未分类', 4134872, 'image/jpeg', 0, NULL, NULL, '2022-05-28 17:20:48', '2022-05-28 17:20:48', NULL);
INSERT INTO `base_attachments` VALUES (671, 'IMG_20220204_130856.jpg', '2eec6893e4f06031d5b18c05d104bacc', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/28/6671653751317220528.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/28/6671653751317220528.jpg', '未分类', 199963, 'image/jpeg', 0, NULL, NULL, '2022-05-28 23:21:57', '2022-05-28 23:21:57', NULL);
INSERT INTO `base_attachments` VALUES (672, 'CAP8121000957124077464.jpg', '896fc76b1d4356a131840d90c28d02fc', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/3271653812585220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/3271653812585220529.jpg', '未分类', 26545, 'image/jpeg', 0, NULL, NULL, '2022-05-29 16:23:05', '2022-05-29 16:23:05', NULL);
INSERT INTO `base_attachments` VALUES (673, 'CAP8121000957124077464.jpg', '8be168c64ad1aaa869b019212288e110', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/2421653812611220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/2421653812611220529.jpg', '未分类', 26545, 'image/jpeg', 0, NULL, NULL, '2022-05-29 16:23:32', '2022-05-29 16:23:32', NULL);
INSERT INTO `base_attachments` VALUES (674, 'CAP8121000957124077464.jpg', '9b8905b01fe6a3fc172a82226c0ba4cb', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/9471653812627220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/9471653812627220529.jpg', '未分类', 26545, 'image/jpeg', 0, NULL, NULL, '2022-05-29 16:23:47', '2022-05-29 16:23:47', NULL);
INSERT INTO `base_attachments` VALUES (675, 'editimage_1653136631024.jpg', '5079d8ad35c4c61770a1d6a8abe358b3', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/6021653812673220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/6021653812673220529.jpg', '未分类', 136266, 'image/jpeg', 0, NULL, NULL, '2022-05-29 16:24:33', '2022-05-29 16:24:33', NULL);
INSERT INTO `base_attachments` VALUES (676, 'editimage_1653136631024.jpg', '2f13b6ddcf9bb48ffd45a4c88ef57dd7', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/4001653812831220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/4001653812831220529.jpg', '未分类', 136266, 'image/jpeg', 0, NULL, NULL, '2022-05-29 16:27:11', '2022-05-29 16:27:11', NULL);
INSERT INTO `base_attachments` VALUES (677, 'CAP1531099267130839712.jpg', '345d37c7e1d9ff5a8cdfcda434eb847f', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/6371653817005220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/6371653817005220529.jpg', '未分类', 1889288, 'image/jpeg', 0, NULL, NULL, '2022-05-29 17:36:45', '2022-05-29 17:36:45', NULL);
INSERT INTO `base_attachments` VALUES (678, 'Screenshot_2022-04-19-14-51-07-729_com.tencent.tmgp.sgame.jpg', 'acdd03360591eebcad387d9e1bc58b88', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/9311653817379220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/9311653817379220529.jpg', '未分类', 722200, 'image/jpeg', 0, NULL, NULL, '2022-05-29 17:42:59', '2022-05-29 17:42:59', NULL);
INSERT INTO `base_attachments` VALUES (679, 'IMG_20220528_093551.jpg', 'c85d69b5f8a52e62cc01653bf2961c16', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/2311653825691220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/2311653825691220529.jpg', '未分类', 4433976, 'image/jpeg', 0, NULL, NULL, '2022-05-29 20:01:32', '2022-05-29 20:01:32', NULL);
INSERT INTO `base_attachments` VALUES (680, '1653611815164.jpeg', 'f263e054fad057503e04a1861c967c8c', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/8911653826131220529.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/8911653826131220529.jpeg', '未分类', 138693, 'image/jpeg', 0, NULL, NULL, '2022-05-29 20:08:51', '2022-05-29 20:08:51', NULL);
INSERT INTO `base_attachments` VALUES (681, 'mmexport1653659216001.jpg', 'dbdf3a5069f118fc6d0e0dffbaadd144', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/7881653827217220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/7881653827217220529.jpg', '未分类', 173272, 'image/jpeg', 0, NULL, NULL, '2022-05-29 20:26:57', '2022-05-29 20:26:57', NULL);
INSERT INTO `base_attachments` VALUES (682, 'IMG_20220528_093551.jpg', '8cf40191962a1c7386b3d571ca16c904', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/6401653827221220529.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/6401653827221220529.jpg', '未分类', 223190, 'image/jpeg', 0, NULL, NULL, '2022-05-29 20:27:01', '2022-05-29 20:27:01', NULL);
INSERT INTO `base_attachments` VALUES (683, 'IMG_0955.PNG', 'ebc2da5987d9469c1571f6790d073901', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/9401653836342220529.PNG', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/29/9401653836342220529.PNG', '未分类', 44963, 'image/jpeg', 0, NULL, NULL, '2022-05-29 22:59:02', '2022-05-29 22:59:02', NULL);
INSERT INTO `base_attachments` VALUES (684, 'CAP8121000957124077464.jpg', 'd5191906988fb6144132dd93885cd81c', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/30/9161653876111220530.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/30/9161653876111220530.jpg', '未分类', 60165, 'image/jpeg', 0, NULL, NULL, '2022-05-30 10:01:51', '2022-05-30 10:01:51', NULL);
INSERT INTO `base_attachments` VALUES (685, 'CAP1234324205655730444.jpg', '23a0ceddf6fc59270eb973115472b61f', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/01/4021654090872220601.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/01/4021654090872220601.jpg', '未分类', 18236, 'image/jpeg', 0, NULL, NULL, '2022-06-01 21:41:12', '2022-06-01 21:41:12', NULL);
INSERT INTO `base_attachments` VALUES (686, 'CAP1234324205655730444.jpg', '82b477ff27ef1bc0253c2fb4923f7fc8', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/01/7511654090897220601.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/01/7511654090897220601.jpg', '未分类', 33310, 'image/jpeg', 0, NULL, NULL, '2022-06-01 21:41:37', '2022-06-01 21:41:37', NULL);
INSERT INTO `base_attachments` VALUES (687, 'CAP1234324205655730444.jpg', '03b31a2cd57a957c56ec219fbfb9b51b', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/02/5921654134300220602.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/02/5921654134300220602.jpg', '未分类', 33310, 'image/jpeg', 0, NULL, NULL, '2022-06-02 09:45:00', '2022-06-02 09:45:00', NULL);
INSERT INTO `base_attachments` VALUES (688, 'CAP8700738937259289117.jpg', '16559caac97e5b59e19e65dcc36fe8c4', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/09/5881654765319220609.jpg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/09/5881654765319220609.jpg', '未分类', 17045, 'image/jpeg', 0, NULL, NULL, '2022-06-09 17:01:59', '2022-06-09 17:01:59', NULL);
INSERT INTO `base_attachments` VALUES (689, 'whisky2.jpeg', '459fa05d733e891378c6065d21968f40', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/14/4161655190152220614.jpeg', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-06/14/4161655190152220614.jpeg', '未分类', 67043, 'image/jpeg', 0, NULL, NULL, '2022-06-14 15:02:34', '2022-06-14 15:02:34', NULL);
INSERT INTO `base_attachments` VALUES (690, '7.jpeg', 'c6c5876a743c4c55fe904bc1ef227b9a', 'D:\\phpstudy_pro\\WWW\\GitWork\\api\\public/upload/avatar/20220714/c6c5876a743c4c55fe904bc1ef227b9a.jpeg', '/upload/avatar/20220714/c6c5876a743c4c55fe904bc1ef227b9a.jpeg', '未分类', 25605, 'image/jpeg', 0, NULL, NULL, '2022-07-14 06:43:00', '2022-07-14 06:43:00', NULL);
INSERT INTO `base_attachments` VALUES (691, '7.jpeg', '14e81db4e20317bf84b4cc52495c6735', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/2551657785620220714.jpeg', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/2551657785620220714.jpeg', '未分类', 25605, 'image/jpeg', 0, NULL, NULL, '2022-07-14 08:00:20', '2022-07-14 08:00:20', NULL);
INSERT INTO `base_attachments` VALUES (692, 'bingjiling.jpeg', 'b772712a913dc70120eded64e47c6727', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/1271657787068220714.jpeg', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/1271657787068220714.jpeg', '未分类', 40041, 'image/jpeg', 0, NULL, NULL, '2022-07-14 08:24:28', '2022-07-14 08:24:28', NULL);
INSERT INTO `base_attachments` VALUES (693, 'bingjiling.jpeg', '0eea7500c570177e28ac41b61640e849', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/8081657787460220714.jpeg', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/8081657787460220714.jpeg', '未分类', 40041, 'image/jpeg', 0, NULL, NULL, '2022-07-14 08:31:00', '2022-07-14 08:31:00', NULL);
INSERT INTO `base_attachments` VALUES (694, '11.jpeg', '8ac5ba6289613ca471004d0a621b5254', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/6861657791515220714.jpeg', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/6861657791515220714.jpeg', '未分类', 18113, 'image/jpeg', 0, NULL, NULL, '2022-07-14 09:38:36', '2022-07-14 09:38:36', NULL);
INSERT INTO `base_attachments` VALUES (695, '11.jpeg', '3f5966276e739a663a57c2e64dd4bee2', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/22071409432440591.jpeg', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/api_avatar/2022-07/14/22071409432440591.jpeg', '未分类', 18113, 'image/jpeg', 0, NULL, NULL, '2022-07-14 09:43:24', '2022-07-14 09:43:24', NULL);
INSERT INTO `base_attachments` VALUES (696, '11.jpeg', 'f665e5daa87697937657842e8f868c28', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/images/2022-07/14/22071409453256464.jpeg', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/images/2022-07/14/22071409453256464.jpeg', '未分类', 18113, 'image/jpeg', 0, NULL, NULL, '2022-07-14 09:45:32', '2022-07-14 09:45:32', NULL);
INSERT INTO `base_attachments` VALUES (697, '11.jpeg', 'b33ecf72ccdadb4e33dfa87c572e058d', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/images/2022-07/22071409473719704.jpeg', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/images/2022-07/22071409473719704.jpeg', '未分类', 18113, 'image/jpeg', 0, NULL, NULL, '2022-07-14 09:47:38', '2022-07-14 09:47:38', NULL);
INSERT INTO `base_attachments` VALUES (698, '11.jpeg', 'b49191db18e88549d8f72670095fcb31', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/images/2022-07/2022071409484449123.jpeg', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/images/2022-07/2022071409484449123.jpeg', '未分类', 18113, 'image/jpeg', 0, NULL, NULL, '2022-07-14 09:48:45', '2022-07-14 09:48:45', NULL);
INSERT INTO `base_attachments` VALUES (699, '123.jpeg', '5fe44a7522b6f9b426e73419d59dabb1', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/images/2022-07/2022071409563362082.jpeg', 'http://zhengda.oss-cn-chengdu.aliyuncs.com/images/2022-07/2022071409563362082.jpeg', '未分类', 69325, 'image/jpeg', 0, NULL, NULL, '2022-07-14 09:56:33', '2022-07-14 09:56:33', NULL);

-- ----------------------------
-- Table structure for base_cache
-- ----------------------------
DROP TABLE IF EXISTS `base_cache`;
CREATE TABLE `base_cache`  (
  `key` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `expiration` int(11) NOT NULL,
  UNIQUE INDEX `base_cache_key_unique`(`key`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for base_config
-- ----------------------------
DROP TABLE IF EXISTS `base_config`;
CREATE TABLE `base_config`  (
  `group` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '配置组名',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '名称',
  `key` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '配置名',
  `value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '说明',
  `comment` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '说明',
  `sort` int(10) UNSIGNED NULL DEFAULT NULL COMMENT '排序',
  `expiration` int(11) NOT NULL
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of base_config
-- ----------------------------
INSERT INTO `base_config` VALUES ('11', '', '11111', '123', '1234', 1, 0);
INSERT INTO `base_config` VALUES ('11', '', '11111', '123', '1234', 1, 0);

-- ----------------------------
-- Table structure for base_district
-- ----------------------------
DROP TABLE IF EXISTS `base_district`;
CREATE TABLE `base_district`  (
  `id` int(11) NOT NULL COMMENT '编号',
  `name` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '名称',
  `pid` int(11) NOT NULL COMMENT '父级',
  `short_name` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '简称',
  `grade` tinyint(4) NOT NULL COMMENT '层级关系',
  `city_code` smallint(6) NOT NULL COMMENT '区号',
  `zip_code` int(11) NOT NULL COMMENT '邮编',
  `merger_name` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '关系值',
  `lng` double(8, 2) NOT NULL COMMENT '精度',
  `lat` double(8, 2) NOT NULL COMMENT '维度',
  `pinyin` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '拼音',
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_pid`(`pid`) USING BTREE,
  INDEX `idx_deleted_at`(`deleted_at`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for base_failed_jobs
-- ----------------------------
DROP TABLE IF EXISTS `base_failed_jobs`;
CREATE TABLE `base_failed_jobs`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0),
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `base_failed_jobs_uuid_unique`(`uuid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for base_migrations
-- ----------------------------
DROP TABLE IF EXISTS `base_migrations`;
CREATE TABLE `base_migrations`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 14 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of base_migrations
-- ----------------------------
INSERT INTO `base_migrations` VALUES (1, '2014_10_12_000000_create_users_table', 1);
INSERT INTO `base_migrations` VALUES (2, '2014_10_12_100000_create_password_resets_table', 1);
INSERT INTO `base_migrations` VALUES (3, '2016_01_04_173148_create_admin_tables', 1);
INSERT INTO `base_migrations` VALUES (4, '2017_11_10_145204_create_cache_table', 1);
INSERT INTO `base_migrations` VALUES (5, '2019_08_19_000000_create_failed_jobs_table', 1);
INSERT INTO `base_migrations` VALUES (6, '2019_12_14_000001_create_personal_access_tokens_table', 1);
INSERT INTO `base_migrations` VALUES (7, '2020_05_30_203523_create_base_attachments_table', 1);
INSERT INTO `base_migrations` VALUES (8, '2020_05_30_203523_create_base_district_table', 1);
INSERT INTO `base_migrations` VALUES (9, '2020_09_07_090635_create_admin_settings_table', 1);
INSERT INTO `base_migrations` VALUES (10, '2020_09_22_015815_create_admin_extensions_table', 1);
INSERT INTO `base_migrations` VALUES (11, '2020_11_01_083237_update_admin_menu_table', 1);
INSERT INTO `base_migrations` VALUES (12, '2021_02_11_151843_create_base_config_table', 1);
INSERT INTO `base_migrations` VALUES (13, '2021_02_11_151843_create_sms_records_table', 1);

-- ----------------------------
-- Table structure for document
-- ----------------------------
DROP TABLE IF EXISTS `document`;
CREATE TABLE `document`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '标题',
  `en_title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '英文标题',
  `content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '内容',
  `en_content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '英文内容',
  `created_at` datetime(0) NULL DEFAULT NULL,
  `updated_at` datetime(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '文档协议相关' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of document
-- ----------------------------
INSERT INTO `document` VALUES (1, '用户协议', 'User agreement', '<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">欢迎使用</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">，请您仔细阅读以下协议，如果您对本协议的任何条款有疑问或存在异议，您可以选择终止继续操作。当您进行注册、登录、使用等行为，我们默认您完全接受本协议项下的全部条款。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> </span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.</span><span style=\"font-family: 宋体;\">服务须知</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.1</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">注册成功</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">账号后，因妥善保管账号及密码，并对其账号进行的所有活动和事件负法律责任。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.2</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">用户可自行编辑个人信息中的账号名称、昵称、头像等，但应遵守相关法律法规，不得含有违法和不良信息，不得以他人或其他组织机构名义命名</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">账号，亦不得使用引人误解的信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.3</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">官方对</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">内容（即指</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">用户在</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">已发布的信息，如冒泡、评论、破冰、组队等）享有使用权。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.4</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">未经</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">官方事先书面许可，用户不得抓取或协助任何第三方非法抓取</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">内容，</span><span style=\"font-family: 宋体;\">“非法抓取”是指采用程序或者非正常浏览等技术手段获取内容数据的行为，</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">将移交有关司法执法机关处理。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.5</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">用户不得以任何方式利用</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">服务直接或间接从事违反中国法律以及社会公德的行为，</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">有权对违反上述内容及用户予以删除并移交有关司法执法机关处理。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.6</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">用户不得利用</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">服务发布、上传、复制、传播以下内容：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.6.1 </span><span style=\"font-family: 宋体;\">违反中华人民共和国法律法规或监管政策</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.6.2</span><span style=\"font-family: 宋体;\">发布或传播任何非法的信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.6.3</span><span style=\"font-family: 宋体;\">侵犯任何个人、企业事业单位或社会团体的合法权益，包括但不限于专利权、著作权、商标权，或姓名权、名称权、名誉权、荣誉权、肖像权、隐私权等</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.7</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">官方及授权账号有权对用户使用</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">服务的行为及信息进行审核及处理，包括但不限于账号信息、个人信息、文字、图片、视频、冒泡投诉等范围。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: Calibri;\">1.8</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">如遇司法机构、监管机构要求或第三方合理请求，</span></span><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">官方有权对用户账户及信息进行搜集、处置。</span></span></p>', '<p>Welcome. Please read the following agreement carefully. If you have any questions or objections to any terms of this agreement, you can choose to terminate and continue. When you register, log in, use, etc., we default that you fully accept all terms and conditions under this agreement.</p>\r\n<p>1. Service instructions</p>\r\n<p>one point one</p>\r\n<p>After successfully registering the account, the account and password shall be properly kept, and shall be legally responsible for all activities and events carried out by the account.</p>\r\n<p>one point two</p>\r\n<p>Users can edit the account name, nickname, avatar, etc. in their personal information by themselves, but they shall abide by relevant laws and regulations, shall not contain illegal and bad information, shall not name the account in the name of others or other organizations, and shall not use misleading information</p>\r\n<p>one point three</p>\r\n<p>The official has the right to use the content (that is, users have the right to use the published information, such as bubble, comment, ice breaking, team formation, etc.).</p>\r\n<p>one point four</p>\r\n<p>Without the prior written permission of the official, the user shall not capture or assist any third party to illegally capture the content. \"Illegal capture\" refers to the act of obtaining the content data by using procedures or abnormal browsing and other technical means, which will be handed over to the relevant judicial and law enforcement authorities for handling.</p>\r\n<p>one point five</p>\r\n<p>Users shall not use the service in any way to directly or indirectly engage in acts in violation of Chinese laws and social ethics, and have the right to delete the above contents and users and transfer them to relevant judicial and law enforcement authorities for handling.</p>\r\n<p>one point six</p>\r\n<p>Users shall not publish, upload, copy or disseminate the following contents by using the service:</p>\r\n<p>1.6. 1. Violation of laws, regulations or regulatory policies of the people\'s Republic of China</p>\r\n<p>1.6. 2 publish or disseminate any illegal information</p>\r\n<p>1.6. 3. Infringe upon the legitimate rights and interests of any individual, enterprise, institution or social organization, including but not limited to patent right, copyright, trademark right, or name right, name right, reputation right, honor right, portrait right, privacy right, etc</p>\r\n<p>one point seven</p>\r\n<p>Official and authorized accounts have the right to review and process the user\'s behavior and information using the service, including but not limited to account information, personal information, text, pictures, videos, bubble complaints, etc.</p>\r\n<p>one point eight</p>\r\n<p>The official has the right to collect and dispose of user accounts and information at the request of judicial institutions, regulatory authorities or a reasonable request of a third party.</p>', '2021-06-17 15:49:29', '2022-01-19 14:46:44');
INSERT INTO `document` VALUES (2, '隐私政策', 'Privacy policy', '<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">本</span><span style=\"font-family: Calibri;\">APP</span><span style=\"font-family: 宋体;\">重视用户的隐私。您在使用我们的服务时，我们可能会收集和使用您的相关信息。我们希望通过本《隐私政策》向您说明，在使用我们的服务时，我们如何收集、使用、储存和分享这些信息，以及我们为您提供的访问、更新、控制和保护这些信息的方式。本《隐私政策》与您所使用的服务息息相关，希望您仔细阅读，在需要时，按照本《隐私政策》的指引，作出您认为适当的选择。本《隐私政策》中涉及的相关技术词汇，我们尽量以简明扼要的表述，并提供进一步说明的链接，以便您的理解。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您使用或继续使用我们的服务，即意味着同意我们按照本《隐私政策》收集、使用、储存和分享您的相关信息。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们可能收集的信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们提供服务时，可能会收集、储存和使用下列与您有关的信息。如果您不提供相关信息，可能无法注册成为我们的用户或无法享受我们提供的某些服务，或者无法达到相关服务拟达到的效果。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您提供的信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·您在注册账户或使用我们的服务时，向我们提供的相关个人信息，例如电话号码、电子邮件或银行卡号等；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·您通过我们的服务向其他方提供的共享信息，以及您使用我们的服务时所储存的信息。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">其他方分享的您的信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·其他方使用我们的服务时所提供有关您的共享信息。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们获取的您的信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您使用服务时我们可能收集如下信息：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·日志信息，指您使用我们的服务时，系统可能通过</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">、</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">或其他方式自动采集的技术信息，包括：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> <span style=\"font-family: 宋体;\">设备或软件信息，例如您的移动设备、网页浏览器或用于接入我们服务的其他程序所提供的配置信息、您的</span><span style=\"font-family: Calibri;\">IP</span><span style=\"font-family: 宋体;\">地址和移动设备所用的版本和设备识别码；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> <span style=\"font-family: 宋体;\">在使用我们服务时搜索或浏览的信息，例如您使用的网页搜索词语、访问的社交媒体页面</span><span style=\"font-family: Calibri;\">url</span><span style=\"font-family: 宋体;\">地址，以及您在使用我们服务时浏览或要求提供的其他信息和内容详情；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> <span style=\"font-family: 宋体;\">有关您曾使用的移动应用（</span><span style=\"font-family: Calibri;\">APP</span><span style=\"font-family: 宋体;\">）和其他软件的信息，以及您曾经使用该等移动应用和软件的信息；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> <span style=\"font-family: 宋体;\">您通过我们的服务进行通讯的信息，例如曾通讯的账号，以及通讯时间、数据和时长；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> <span style=\"font-family: 宋体;\">您通过我们的服务分享的内容所包含的信息（元数据），例如拍摄或上传的共享照片或录像的日期、时间或地点等。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·位置信息，指您开启设备定位功能并使用我们基于位置提供的相关服务时，收集的有关您位置的信息，包括：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> <span style=\"font-family: 宋体;\">您通过具有定位功能的移动设备使用我们的服务时，通过</span><span style=\"font-family: Calibri;\">GPS</span><span style=\"font-family: 宋体;\">或</span><span style=\"font-family: Calibri;\">WiFi</span><span style=\"font-family: 宋体;\">等方式收集的您的地理位置信息；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> <span style=\"font-family: 宋体;\">您或其他用户提供的包含您所处地理位置的实时信息，例如您提供的账户信息中包含的您所在地区信息，您或其他人上传的显示您当前或曾经所处地理位置的共享信息，您或其他人共享的照片包含的地理标记信息；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> <span style=\"font-family: 宋体;\">您可以通过关闭定位功能，停止对您的地理位置信息的收集。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们可能如何使用信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们可能将在向您提供服务的过程之中所收集的信息用作下列用途：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·向您提供服务；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·在我们提供服务时，用于身份验证、客户服务、安全防范、诈骗监测、存档和备份用途，确保我们向您提供的产品和服务的安全性；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·帮助我们设计新服务，改善我们现有服务；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·使我们更加了解您如何接入和使用我们的服务，从而针对性地回应您的个性化需求，例如语言设定、位置设定、个性化的帮助服务和指示，或对您和其他用户作出其他方面的回应；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·向您提供与您更加相关的广告以替代普遍投放的广告；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·评估我们服务中的广告和其他促销及推广活动的效果，并加以改善；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·软件认证或管理软件升级；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·让您参与有关我们产品和服务的调查。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">为了让您有更好的体验、改善我们的服务或您同意的其他用途，在符合相关法律法规的前提下，我们可能将通过某一项服务所收集的信息，以汇集信息或者个性化的方式，用于我们的其他服务。例如，在您使用我们的一项服务时所收集的信息，可能在另一服务中用于向您提供特定内容，或向您展示与您相关的、非普遍推送的信息。如果我们在相关服务中提供了相应选项，您也可以授权我们将该服务所提供和储存的信息用于我们的其他服务。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您如何访问和控制自己的个人信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们将尽一切可能采取适当的技术手段，保证您可以访问、更新和更正自己的注册信息或使用我们的服务时提供的其他个人信息。在访问、更新、更正和删除前述信息时，我们可能会要求您进行身份验证，以保障账户安全。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们可能分享的信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">除以下情形外，未经您同意，我们以及我们的关联公司不会与任何第三方分享您的个人信息：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·我们以及我们的关联公司，可能将您的个人信息与我们的关联公司、合作伙伴及第三方服务供应商、承包商及代理（例如代表我们发出电子邮件或推送通知的通讯服务提供商、为我们提供位置数据的地图服务供应商）分享（他们可能并非位于您所在的法域），用作下列用途：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">向您提供我们的服务；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">实现</span><span style=\"font-family: 宋体;\">“我们可能如何使用信息”部分所述目的；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">履行我们在《服务协议》或本《隐私政策》中的义务和行使我们的权利；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">理解、维护和改善我们的服务。</span></span><span style=\"mso-spacerun: \'yes\'; font-family: Calibri; mso-fareast-font-family: 宋体; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> </span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">如我们或我们的关联公司与任何上述第三方分享您的个人信息，我们将努力确保该等第三方在使用您的个人信息时遵守本《隐私政策》及我们要求其遵守的其他适当的保密和安全措施。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·随着我们业务的持续发展，我们以及我们的关联公司有可能进行合并、收购、资产转让或类似的交易，您的个人信息有可能作为此类交易的一部分而被转移。我们将在转移前通知您。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·我们或我们的关联公司还可能为以下需要而保留、保存或披露您的个人信息：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">遵守适用的法律法规；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">遵遵守相关政府机关的要求；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">为遵守适用的法律法规、维护社会公共利益，或保护我们的客户、我们或我们的集团公司、其他用户或雇员的人身和财产安全或合法权益所合理必需的用途。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">信息安全</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们仅在本《隐私政策》所述目的所必需的期间和法律法规要求的时限内保留您的个人信息。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们使用各种安全技术和程序，以防信息的丢失、不当使用、未经授权阅览或披露。例如，在某些服务中，我们将利用加密技术（例如</span><span style=\"font-family: Calibri;\">SSL</span><span style=\"font-family: 宋体;\">）来保护您提供的个人信息。但请您理解，由于技术的限制以及可能存在的各种恶意手段，在互联网行业，即便竭尽所能加强安全措施，也不可能始终保证信息百分之百的安全。您需要了解，您接入我们的服务所用的系统和通讯网络，有可能因我们可控范围外的因素而出现问题。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您分享的信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们的多项服务，可让您不仅与自己的社交网络，也与使用该服务的所有用户公开分享您的相关信息，例如，您在我们的服务中所上传或发布的信息（包括您公开的个人信息、您建立的名单）、您对其他人上传或发布的信息作出的回应，以及包括与这些信息有关的位置数据和日志信息。使用我们服务的其他用户也有可能分享与您有关的信息（包括位置数据和日志信息）。特别是，我们的社交媒体服务，是专为使您与世界各地的用户共享信息而设计，您可以使共享信息实时、广泛地传递。只要您不删除共享信息，有关信息会一直留存在公共领域；即使您删除共享信息，有关信息仍可能由其他用户或不受我们控制的非关联第三方独立地缓存、复制或储存，或由其他用户或该等第三方在公共领域保存。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">因此，请您谨慎考虑通过我们的服务上传、发布和交流的信息内容。在一些情况下，您可通过我们某些服务的隐私设定来控制有权浏览您共享信息的用户范围。如要求从我们的服务中删除您的相关信息，请通过该等特别服务条款提供的方式操作。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您分享的敏感个人信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">某些个人信息因其特殊性可能被认为是敏感个人信息，例如您的种族、宗教、个人健康和医疗信息等。相比其他个人信息，敏感个人信息受到更加严格的保护。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">请注意，您在使用我们的服务时所提供、上传或发布的内容和信息（例如有关您社交活动的照片等信息），可能会泄露您的敏感个人信息。您需要谨慎地考虑，是否在使用我们的服务时披露相关敏感个人信息。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您同意按本《隐私政策》所述的目的和方式来处理您的敏感个人信息。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们可能如何收集信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们或我们的第三方合作伙伴，可能通过</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">收集和使用您的信息，并将该等信息储存为日志信息。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们使用自己的</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">，目的是为您提供更个性化的用户体验和服务，并用于以下用途：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·记住您的身份。例如：</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">有助于我们辨认您作为我们的注册用户的身份，或保存您向我们提供的有关您的喜好或其他信息；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·分析您使用我们服务的情况。例如，我们可利用</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">来了解您使用我们的服务进行什么活动，或哪些网页或服务最受您的欢迎；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·广告优化。</span><span style=\"font-family: Calibri;\">Cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">有助于我们根据您的信息，向您提供与您相关的广告而非进行普遍的广告投放。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们为上述目的使用</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">的同时，可能将通过</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">收集的非个人身份信息，经统计加工后提供给广告商或其他合作伙伴，用于分析用户如何使用我们的服务，并用于广告服务。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们的产品和服务上可能会有广告商或其他合作方放置的</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">。这些</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">可能会收集与您相关的非个人身份信息，以用于分析用户如何使用该等服务、向您发送您可能感兴趣的广告，或用于评估广告服务的效果。这些第三方</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">和</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">收集和使用该等信息，不受本《隐私政策》约束，而是受相关使用者的隐私政策约束，我们不对第三方的</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">或</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">承担责任。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您可以通过浏览器设置拒绝或管理</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">或</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">。但请注意，如果停用</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">或</span><span style=\"font-family: Calibri;\">web beacon</span><span style=\"font-family: 宋体;\">，您有可能无法享受最佳的服务体验，某些服务也可能无法正常使用。同时，您还会收到同样数量的广告，但这些广告与您的相关性会降低。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">广告服务</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们可能使用您的相关信息，向您提供与您更加相关的广告。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们也可能使用您的信息，通过我们的服务、电子邮件或其他方式向您发送营销信息，提供或推广我们或第三方的如下商品和服务：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·我们的商品或服务，我们的关联公司和合作伙伴的商品或服务，包括即时通讯服务、网上媒体服务、互动娱乐服务、社交网络服务、付款服务、互联网搜索服务、位置和地图服务、应用软件和服务、数据管理软件和服务、网上广告服务、互联网金融，以及其他社交媒体、娱乐、电子商务、资讯和通讯软件或服务（统称“互联网服务”）；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·第三方互联网服务供应商，以及与下列有关的第三方商品或服务：食物和餐饮、体育、音乐、电影、电视、现场表演及其他艺术和娱乐、书册、杂志和其他刊物、服装和配饰、珠宝、化妆品、个人健康和卫生、电子、收藏品、家用器皿、电器、家居装饰和摆设、宠物、汽车、酒店、交通和旅游、银行、保险及其他金融服务、会员积分和奖励计划，以及我们认为可能与您相关的其他商品或服务。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">如您不希望我们将您的个人信息用作前述广告用途，您可以通过我们在广告中提供的相关提示，或在特定服务中提供的指引，要求我们停止为上述用途使用您的个人信息。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们可能向您发送的邮件和信息</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">邮件和信息推送</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您在使用我们的服务时，我们可能使用您的信息向您的设备发送电子邮件、新闻或推送通知。如您不希望收到这些信息，可以按照我们的相关提示，在设备上选择取消订阅。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">与服务有关的公告</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们可能在必要时（例如因系统维护而暂停某一项服务时）向您发出与服务有关的公告。您可能无法取消这些与服务有关、性质不属于推广的公告。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">隐私政策的适用例外</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们的服务可能包括或链接至第三方提供的社交媒体或其他服务（包括网站）。例如：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·您利用 “分享”键将某些内容分享到我们的服务，或您利用第三方连线服务登录我们的服务。这些功能可能会收集您的相关信息（包括您的日志信息），并可能在您的电脑装置</span><span style=\"font-family: Calibri;\">cookies</span><span style=\"font-family: 宋体;\">，从而正常运行上述功能；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·我们通过广告或我们服务的其他方式向您提供链接，使您可以接入第三方的服务或网站。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">该等第三方社交媒体或其他服务可能由相关的第三方或我们运营。您使用该等第三方的社交媒体服务或其他服务（包括您向该等第三方提供的任何个人信息），须受该第三方的服务条款及隐私政策（而非《通用服务条款》或本《隐私政策》）约束，您需要仔细阅读其条款。本《隐私政策》仅适用于我们所收集的信息，并不适用于任何第三方提供的服务或第三方的信息使用规则，我们对任何第三方使用由您提供的信息不承担任何责任。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">未成年人使用我们的服务</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们鼓励父母或监护人指导未满十八岁的未成年人使用我们的服务。我们建议未成年人鼓励他们的父母或监护人阅读本《隐私政策》，并建议未成年人在提交的个人信息之前寻求父母或监护人的同意和指导。</span></span><span style=\"mso-spacerun: \'yes\'; font-family: Calibri; mso-fareast-font-family: 宋体; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> </span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">隐私政策的适用范围</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">除某些特定服务外，我们所有的服务均适用本《隐私政策》。这些特定服务将适用特定的隐私政策。针对某些特定服务的特定隐私政策，将更具体地说明我们在该等服务中如何使用您的信息。该特定服务的隐私政策构成本《隐私政策》的一部分。如相关特定服务的隐私政策与本《隐私政策》有不一致之处，适用该特定服务的隐私政策。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">除本《隐私政策》另有规定外，本《隐私条款》所用词语将与《服务协议》所定义的词语具有相同的涵义</span></span><span style=\"mso-spacerun: \'yes\'; font-family: Calibri; mso-fareast-font-family: 宋体; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"> </span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">您注意，本《隐私政策》不适用于以下情况：</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·通过我们的服务而接入的第三方服务（包括任何第三方网站）收集的信息；</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">·通过在我们服务中进行广告服务的其他公司或机构所收集的信息。</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">变更</span></span></p>\r\n<p class=\"MsoNormal\"><span style=\"mso-spacerun: \'yes\'; font-family: 宋体; mso-ascii-font-family: Calibri; mso-hansi-font-family: Calibri; mso-bidi-font-family: \'Times New Roman\'; font-size: 10.5000pt; mso-font-kerning: 1.0000pt;\"><span style=\"font-family: 宋体;\">我们可能适时修订本《隐私政策》的条款，该等修订构成本《隐私政策》的一部分。如该等修订造成您在本《隐私政策》下权利的实质减少，我们将在修订生效前通过在主页上显著位置提示或向您发送电子邮件或以其他方式通知您。在该种情况下，若您继续使用我们的服务，即表示同意受经修订的本《隐私政策》的约束。</span></span></p>', '<p>This app attaches importance to users\' privacy. When you use our services, we may collect and use your relevant information. Through this privacy policy, we hope to explain to you how we collect, use, store and share this information when using our services, as well as the ways we provide you with access, update, control and protection of this information. This privacy policy is closely related to the services you use. I hope you can read it carefully and make appropriate choices according to the guidelines of this privacy policy when necessary. We try our best to express the relevant technical terms involved in this Privacy Policy in a concise and concise manner, and provide links for further explanation for your understanding.</p>\r\n<p>By using or continuing to use our services, you agree that we collect, use, store and share your relevant information in accordance with this privacy policy.</p>\r\n<p>Information we may collect</p>\r\n<p>When we provide services, we may collect, store and use the following information related to you. If you do not provide relevant information, you may not be able to register as our user or enjoy some services provided by us, or you may not be able to achieve the intended effect of relevant services.</p>\r\n<p>Information you provided</p>\r\n<p>·Relevant personal information provided to us when you register your account or use our services, such as telephone number, e-mail or bank card number;</p>\r\n<p>·The shared information you provide to others through our services and the information stored when you use our services.</p>\r\n<p>Your information shared by others</p>\r\n<p>·Shared information about you provided by others when using our services.</p>\r\n<p>We got your information</p>\r\n<p>When you use the service, we may collect the following information:</p>\r\n<p>·Log information refers to the technical information that the system may automatically collect through cookies, web beacon or other means when you use our services, including:</p>\r\n<p>Device or software information, such as configuration information provided by your mobile device, web browser or other programs used to access our services, your IP address, version and device identification code used by your mobile device;</p>\r\n<p>The information you search or browse when using our services, such as the web search words you use, the URL address of the social media page you visit, and other information and content details you browse or request when using our services;</p>\r\n<p>Information about mobile applications (APPs) and other software you have used, and information about such mobile applications and software you have used;</p>\r\n<p>Information about your communication through our services, such as the account you have communicated with, as well as the communication time, data and duration;</p>\r\n<p>The information (metadata) contained in the content you share through our services, such as the date, time or place of the shared photos or videos taken or uploaded.</p>\r\n<p>·Location information refers to the information about your location collected when you turn on the device location function and use the relevant services provided by US based on location, including:</p>\r\n<p>Your geographic location information collected through GPS or WiFi when you use our services through a mobile device with positioning function;</p>\r\n<p>Real time information including your geographical location provided by you or other users, such as your region information contained in the account information provided by you, shared information showing your current or previous geographical location uploaded by you or others, and geographic marker information contained in photos shared by you or others;</p>\r\n<p>You can stop collecting your geographic location information by turning off the positioning function.</p>\r\n<p>How might we use information</p>\r\n<p>We may use the information collected in the course of providing services to you for the following purposes:</p>\r\n<p>·Provide services to you;</p>\r\n<p>·When we provide services, it is used for authentication, customer service, security prevention, fraud monitoring, archiving and backup to ensure the security of products and services we provide to you;</p>\r\n<p>·Help us design new services and improve our existing services;</p>\r\n<p>·Let us know more about how you access and use our services, so as to respond to your personalized needs, such as language setting, location setting, personalized help services and instructions, or respond to you and other users in other aspects;</p>\r\n<p>·Provide you with advertisements that are more relevant to you to replace commonly placed advertisements;</p>\r\n<p>·Evaluate the effectiveness of advertising and other promotional and promotional activities in our services and improve them;</p>\r\n<p>·Software certification or management software upgrade;</p>\r\n<p>·Let you participate in the survey of our products and services.</p>\r\n<p>In order to make you have a better experience, improve our services or other purposes you agree, on the premise of complying with relevant laws and regulations, we may use the information collected through a service for our other services in a way of collecting information or personalization. For example, the information collected when you use one of our services may be used in another service to provide you with specific content, or to show you information related to you that is not generally pushed. If we provide corresponding options in relevant services, you can also authorize us to use the information provided and stored by the service for our other services.</p>\r\n<p>How do you access and control your personal information</p>\r\n<p>We will do everything possible to take appropriate technical means to ensure that you can access, update and correct your registration information or other personal information provided when using our services. When accessing, updating, correcting and deleting the above information, we may require you to authenticate to ensure the security of your account.</p>\r\n<p>Informaton we may share</p>\r\n<p>We and our affiliates will not share your personal information with any third party without your consent except in the following cases:</p>\r\n<p>·We and our affiliates may share your personal information with our affiliates, partners and third-party service providers Contractors and agents (e.g. communication service providers who send email or push notifications on our behalf, map service providers who provide us with location data) share (they may not be in your jurisdiction) for the following purposes:</p>\r\n<p>Provide you with our services;</p>\r\n<p>Achieve the purposes described in the \"how we may use the information\" section;</p>\r\n<p>Perform our obligations and exercise our rights in the service agreement or this privacy policy;</p>\r\n<p>Understand, maintain and improve our services.</p>\r\n<p>If we or our affiliates share your personal information with any of the above-mentioned third parties, we will strive to ensure that such third parties comply with this Privacy Policy and other appropriate confidentiality and security measures we require them to comply with when using your personal information.</p>\r\n<p>·With the continuous development of our business, we and our affiliates may conduct mergers, acquisitions, asset transfers or similar transactions, and your personal information may be transferred as part of such transactions. We will inform you before the transfer.</p>\r\n<p>·We or our affiliates may also retain, keep or disclose your personal information for the following purposes:</p>\r\n<p>Comply with applicable laws and regulations;</p>\r\n<p>Comply with the requirements of relevant government authorities;</p>\r\n<p>Use reasonably necessary to comply with applicable laws and regulations, safeguard social and public interests, or protect the personal and property safety or legitimate rights and interests of our customers, US or our group companies, other users or employees.</p>\r\n<p>information safety</p>\r\n<p>We only retain your personal information for the period necessary for the purpose described in this Privacy Policy and the time limit required by laws and regulations.</p>\r\n<p>We use various security technologies and procedures to prevent the loss, improper use, unauthorized reading or disclosure of information. For example, in some services, We will use encryption technology (such as SSL) to protect the personal information you provide. However, please understand that due to technical limitations and possible malicious means, in the Internet industry, even if you try your best to strengthen security measures, it is impossible to always ensure 100% security of information. You need to understand that the system and communication network you use to access our services may be under our control Problems due to external factors.</p>\r\n<p>Information you share</p>\r\n<p>Many of our services allow you to publicly share your relevant information not only with your own social network, but also with all users using the service, for example, The information you upload or publish in our service (including your public personal information and the list you establish), your response to the information uploaded or published by others, as well as the location data and log information related to these information. Other users using our service may also share the information related to you (including location data and log information). In particular, our social media service is designed to enable you to share information with users around the world. You can make the shared information transmitted in real time and widely. As long as you do not delete the shared information, the relevant information will always remain in the public domain; even if you delete the shared information, the relevant information may still be shared by other users or not Non affiliated third parties controlled by us independently cache, copy or store, or store in the public domain by other users or such third parties.</p>\r\n<p>Therefore, please carefully consider the information uploaded, published and exchanged through our services. In some cases, you can control the range of users who have the right to browse your shared information through the privacy settings of some of our services. If you are required to delete your relevant information from our services, please operate in the way provided by these special terms of service.</p>\r\n<p>Sensitive personal information you share</p>\r\n<p>Some personal information may be considered sensitive due to its particularity, such as your race, religion, personal health and medical information. Sensitive personal information is more strictly protected than other personal information.</p>\r\n<p>Please note that the content and information you provide, upload or publish when using our services (such as photos of your social activities) may disclose your sensitive personal information. You need to carefully consider whether to disclose relevant sensitive personal information when using our services.</p>\r\n<p>You agree to process your sensitive personal information for the purposes and in the manner described in this privacy policy.</p>\r\n<p>How might we collect information</p>\r\n<p>We or our third-party partners may collect and use your information through cookies and web beacon and store such information as log information.</p>\r\n<p>We use our own cookies and web beacons to provide you with a more personalized user experience and services for the following purposes:</p>\r\n<p>·Remember who you are. For example, cookies and web beacon help us identify you as our registered user, or save your preferences or other information you provide us;</p>\r\n<p>·Analyze your use of our services. For example, we can use cookies and web beacon to understand what activities you use our services for, or which web pages or services are most popular with you;</p>\r\n<p>·Advertising optimization. Cookies and web beacon help us provide you with advertisements related to you based on your information rather than general advertising.</p>\r\n<p>When we use cookies and web beacon for the above purposes, we may provide the non personal identity information collected through cookies and web beacon to advertisers or other partners after statistical processing for analyzing how users use our services and for advertising services.</p>\r\n<p>There may be cookies and web beacons placed by advertisers or other partners on our products and services. These cookies and web beacons may collect non personally identifiable information related to you to analyze how users use these services, send you advertisements that you may be interested in, or evaluate the effectiveness of advertising services. The collection and use of such information by these third-party cookies and web beacons are not bound by this privacy policy, but by the privacy policy of relevant users. We are not responsible for the cookies or web beacons of third parties.</p>\r\n<p>You can deny or manage cookies or web beacons through browser settings. However, please note that if you disable cookies or web beacon, you may not enjoy the best service experience, and some services may not work properly. At the same time, you will receive the same number of advertisements, but these advertisements will be less relevant to you.</p>\r\n<p>Advertising services</p>\r\n<p>We may use your relevant information to provide you with more relevant advertisements.</p>\r\n<p>We may also use your information to send you marketing information through our services, e-mail or other means to provide or promote the following goods and services of us or third parties:</p>\r\n<p>·Our goods or services, the goods or services of our affiliates and partners, including instant messaging services, online media services, interactive entertainment services, social network services, payment services, Internet search services, location and map services, application software and services, data management software and services, online advertising services, Internet finance, And other social media, entertainment, e-commerce, information and communication software or services (collectively referred to as \"Internet services\");</p>\r\n<p>·Third party Internet service providers, as well as third-party goods or services related to food and catering, sports, music, film, television, live performance and other arts and entertainment, books, magazines and other publications, clothing and accessories, jewelry, cosmetics, personal health and hygiene, electronics, collectibles, household utensils, appliances, home decoration and furnishings Pets, cars, hotels, transportation and tourism, banking, insurance and other financial services, member points and reward schemes, and other goods or services that we believe may be relevant to you.</p>\r\n<p>If you do not want us to use your personal information for the above-mentioned advertising purposes, you can ask us to stop using your personal information for the above-mentioned purposes through the relevant tips provided in the advertisement or the guidelines provided in the specific service.</p>\r\n<p>Messages and information we may send you</p>\r\n<p>Mail an information push</p>\r\n<p>When you use our services, we may use your information to send email, news or push notifications to your devices. If you don\'t want to receive this information, you can choose to unsubscribe on the device according to our relevant prompts.</p>\r\n<p>Service related announcements</p>\r\n<p>We may issue service related announcements to you when necessary (for example, when a service is suspended due to system maintenance). You may not be able to cancel these service related announcements that are not promotional in nature.</p>\r\n<p>Exceptions to the privacy policy</p>\r\n<p>Our services may include or link to social media or other services (including websites) provided by third parties. For example:</p>\r\n<p>·You use the \"share\" button to share some content to our service, or you use the third-party connection service to log in to our service. These functions may collect your relevant information (including your log information) and may cookies on your computer device, so as to operate the above functions normally;</p>\r\n<p>·We provide you with links through advertising or other means of our services so that you can access third-party services or websites.</p>\r\n<p>Such third-party social media or other services may be operated by relevant third parties or us. Your use of such third party\'s social media services or other services (including any personal information you provide to such third parties) must be subject to the third party\'s terms of service and privacy policy (not the general terms of service or this Privacy Policy), and you need to carefully read its terms. This Privacy Policy is only applicable to the information we collect</p>', '2021-06-17 15:49:45', '2022-01-19 14:47:04');
INSERT INTO `document` VALUES (3, '关于我们', 'About us', '<p>这是关于我们</p>\r\n<p>这是关于我们</p>\r\n<p>这是关于我们</p>\r\n<p>这是关于我们</p>\r\n<p>这是关于我们</p>', '<p>This is about us</p>\r\n<p>This is about us</p>\r\n<p>This is about us</p>\r\n<p>This is about us</p>\r\n<p>This is about us</p>', '2021-07-02 16:48:14', '2022-01-19 14:47:50');

-- ----------------------------
-- Table structure for email_webs
-- ----------------------------
DROP TABLE IF EXISTS `email_webs`;
CREATE TABLE `email_webs`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `email` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `created_at` timestamp(0) NOT NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0),
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `email`(`email`) USING BTREE
) ENGINE = MyISAM AUTO_INCREMENT = 13 CHARACTER SET = utf8 COLLATE = utf8_bin ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of email_webs
-- ----------------------------
INSERT INTO `email_webs` VALUES (8, '1015820719@qq.com', '2022-06-13 17:58:40');
INSERT INTO `email_webs` VALUES (7, '1015820709@qq.com', '2022-06-13 17:57:12');
INSERT INTO `email_webs` VALUES (9, '1015820739@qq.com', '2022-06-13 18:01:02');
INSERT INTO `email_webs` VALUES (10, 'hhdh@a.com', '2022-06-13 18:14:19');
INSERT INTO `email_webs` VALUES (11, '187385@123.com', '2022-06-15 09:33:44');
INSERT INTO `email_webs` VALUES (12, '189738190585@163.com', '2022-06-15 09:34:04');

-- ----------------------------
-- Table structure for helps
-- ----------------------------
DROP TABLE IF EXISTS `helps`;
CREATE TABLE `helps`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `title` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '问题',
  `answer` text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '答案',
  `look_num` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT '查看次数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of helps
-- ----------------------------
INSERT INTO `helps` VALUES (1, '找不到评价入口', '继续找', 5);
INSERT INTO `helps` VALUES (2, '购物车产品无法删除', '用力删', 0);
INSERT INTO `helps` VALUES (3, '我的昵称头像怎么更新不了？', '退出，重新登录，或者刷新', 0);

-- ----------------------------
-- Table structure for mail_codes
-- ----------------------------
DROP TABLE IF EXISTS `mail_codes`;
CREATE TABLE `mail_codes`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `account` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '发送账户',
  `code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '发送验证码',
  `state` tinyint(4) NULL DEFAULT 0 COMMENT '状态',
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `verification_codes_account_index`(`account`) USING BTREE,
  INDEX `code`(`code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '短信验证码记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of mail_codes
-- ----------------------------
INSERT INTO `mail_codes` VALUES (13, '1015820709@qq.com', '5141', 0, '2022-07-15 06:56:42', '2022-07-15 06:56:42', NULL);
INSERT INTO `mail_codes` VALUES (14, '1015820709@qq.com', '7819', 1, '2022-07-15 15:01:24', '2022-07-15 15:02:46', NULL);
INSERT INTO `mail_codes` VALUES (15, '1015820709@qq.com', '4150', 1, '2022-07-15 16:13:37', '2022-07-15 16:15:15', NULL);

-- ----------------------------
-- Table structure for regions
-- ----------------------------
DROP TABLE IF EXISTS `regions`;
CREATE TABLE `regions`  (
  `code` int(11) UNSIGNED NOT NULL,
  `parent_code` int(11) UNSIGNED NULL DEFAULT 0,
  `type` tinyint(4) NOT NULL,
  `name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `full_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`code`) USING BTREE,
  INDEX `i_region_name`(`name`) USING BTREE,
  INDEX `i_region_parent`(`parent_code`) USING BTREE,
  INDEX `FK2A611D8153113F1C`(`parent_code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of regions
-- ----------------------------
INSERT INTO `regions` VALUES (100000, 0, 0, '中国', '中国');
INSERT INTO `regions` VALUES (110000, 100000, 1, '北京', '北京');
INSERT INTO `regions` VALUES (110100, 110000, 2, '北京', '北京市');
INSERT INTO `regions` VALUES (110101, 110100, 3, '东城', '东城区');
INSERT INTO `regions` VALUES (110102, 110100, 3, '西城', '西城区');
INSERT INTO `regions` VALUES (110105, 110100, 3, '朝阳', '朝阳区');
INSERT INTO `regions` VALUES (110106, 110100, 3, '丰台', '丰台区');
INSERT INTO `regions` VALUES (110107, 110100, 3, '石景山', '石景山区');
INSERT INTO `regions` VALUES (110108, 110100, 3, '海淀', '海淀区');
INSERT INTO `regions` VALUES (110109, 110100, 3, '门头沟', '门头沟区');
INSERT INTO `regions` VALUES (110111, 110100, 3, '房山', '房山区');
INSERT INTO `regions` VALUES (110112, 110100, 3, '通州', '通州区');
INSERT INTO `regions` VALUES (110113, 110100, 3, '顺义', '顺义区');
INSERT INTO `regions` VALUES (110114, 110100, 3, '昌平', '昌平区');
INSERT INTO `regions` VALUES (110115, 110100, 3, '大兴', '大兴区');
INSERT INTO `regions` VALUES (110116, 110100, 3, '怀柔', '怀柔区');
INSERT INTO `regions` VALUES (110117, 110100, 3, '平谷', '平谷区');
INSERT INTO `regions` VALUES (110228, 110100, 3, '密云', '密云县');
INSERT INTO `regions` VALUES (110229, 110100, 3, '延庆', '延庆县');
INSERT INTO `regions` VALUES (120000, 100000, 1, '天津', '天津');
INSERT INTO `regions` VALUES (120100, 120000, 2, '天津', '天津市');
INSERT INTO `regions` VALUES (120101, 120100, 3, '和平', '和平区');
INSERT INTO `regions` VALUES (120102, 120100, 3, '河东', '河东区');
INSERT INTO `regions` VALUES (120103, 120100, 3, '河西', '河西区');
INSERT INTO `regions` VALUES (120104, 120100, 3, '南开', '南开区');
INSERT INTO `regions` VALUES (120105, 120100, 3, '河北', '河北区');
INSERT INTO `regions` VALUES (120106, 120100, 3, '红桥', '红桥区');
INSERT INTO `regions` VALUES (120110, 120100, 3, '东丽', '东丽区');
INSERT INTO `regions` VALUES (120111, 120100, 3, '西青', '西青区');
INSERT INTO `regions` VALUES (120112, 120100, 3, '津南', '津南区');
INSERT INTO `regions` VALUES (120113, 120100, 3, '北辰', '北辰区');
INSERT INTO `regions` VALUES (120114, 120100, 3, '武清', '武清区');
INSERT INTO `regions` VALUES (120115, 120100, 3, '宝坻', '宝坻区');
INSERT INTO `regions` VALUES (120116, 120100, 3, '滨海新区', '滨海新区');
INSERT INTO `regions` VALUES (120221, 120100, 3, '宁河', '宁河县');
INSERT INTO `regions` VALUES (120223, 120100, 3, '静海', '静海县');
INSERT INTO `regions` VALUES (120225, 120100, 3, '蓟县', '蓟县');
INSERT INTO `regions` VALUES (130000, 100000, 1, '河北', '河北省');
INSERT INTO `regions` VALUES (130100, 130000, 2, '石家庄', '石家庄市');
INSERT INTO `regions` VALUES (130102, 130100, 3, '长安', '长安区');
INSERT INTO `regions` VALUES (130104, 130100, 3, '桥西', '桥西区');
INSERT INTO `regions` VALUES (130105, 130100, 3, '新华', '新华区');
INSERT INTO `regions` VALUES (130107, 130100, 3, '井陉矿区', '井陉矿区');
INSERT INTO `regions` VALUES (130108, 130100, 3, '裕华', '裕华区');
INSERT INTO `regions` VALUES (130109, 130100, 3, '藁城', '藁城区');
INSERT INTO `regions` VALUES (130110, 130100, 3, '鹿泉', '鹿泉区');
INSERT INTO `regions` VALUES (130111, 130100, 3, '栾城', '栾城区');
INSERT INTO `regions` VALUES (130121, 130100, 3, '井陉', '井陉县');
INSERT INTO `regions` VALUES (130123, 130100, 3, '正定', '正定县');
INSERT INTO `regions` VALUES (130125, 130100, 3, '行唐', '行唐县');
INSERT INTO `regions` VALUES (130126, 130100, 3, '灵寿', '灵寿县');
INSERT INTO `regions` VALUES (130127, 130100, 3, '高邑', '高邑县');
INSERT INTO `regions` VALUES (130128, 130100, 3, '深泽', '深泽县');
INSERT INTO `regions` VALUES (130129, 130100, 3, '赞皇', '赞皇县');
INSERT INTO `regions` VALUES (130130, 130100, 3, '无极', '无极县');
INSERT INTO `regions` VALUES (130131, 130100, 3, '平山', '平山县');
INSERT INTO `regions` VALUES (130132, 130100, 3, '元氏', '元氏县');
INSERT INTO `regions` VALUES (130133, 130100, 3, '赵县', '赵县');
INSERT INTO `regions` VALUES (130181, 130100, 3, '辛集', '辛集市');
INSERT INTO `regions` VALUES (130183, 130100, 3, '晋州', '晋州市');
INSERT INTO `regions` VALUES (130184, 130100, 3, '新乐', '新乐市');
INSERT INTO `regions` VALUES (130200, 130000, 2, '唐山', '唐山市');
INSERT INTO `regions` VALUES (130202, 130200, 3, '路南', '路南区');
INSERT INTO `regions` VALUES (130203, 130200, 3, '路北', '路北区');
INSERT INTO `regions` VALUES (130204, 130200, 3, '古冶', '古冶区');
INSERT INTO `regions` VALUES (130205, 130200, 3, '开平', '开平区');
INSERT INTO `regions` VALUES (130207, 130200, 3, '丰南', '丰南区');
INSERT INTO `regions` VALUES (130208, 130200, 3, '丰润', '丰润区');
INSERT INTO `regions` VALUES (130209, 130200, 3, '曹妃甸', '曹妃甸区');
INSERT INTO `regions` VALUES (130223, 130200, 3, '滦县', '滦县');
INSERT INTO `regions` VALUES (130224, 130200, 3, '滦南', '滦南县');
INSERT INTO `regions` VALUES (130225, 130200, 3, '乐亭', '乐亭县');
INSERT INTO `regions` VALUES (130227, 130200, 3, '迁西', '迁西县');
INSERT INTO `regions` VALUES (130229, 130200, 3, '玉田', '玉田县');
INSERT INTO `regions` VALUES (130281, 130200, 3, '遵化', '遵化市');
INSERT INTO `regions` VALUES (130283, 130200, 3, '迁安', '迁安市');
INSERT INTO `regions` VALUES (130300, 130000, 2, '秦皇岛', '秦皇岛市');
INSERT INTO `regions` VALUES (130302, 130300, 3, '海港', '海港区');
INSERT INTO `regions` VALUES (130303, 130300, 3, '山海关', '山海关区');
INSERT INTO `regions` VALUES (130304, 130300, 3, '北戴河', '北戴河区');
INSERT INTO `regions` VALUES (130321, 130300, 3, '青龙', '青龙满族自治县');
INSERT INTO `regions` VALUES (130322, 130300, 3, '昌黎', '昌黎县');
INSERT INTO `regions` VALUES (130323, 130300, 3, '抚宁', '抚宁县');
INSERT INTO `regions` VALUES (130324, 130300, 3, '卢龙', '卢龙县');
INSERT INTO `regions` VALUES (130400, 130000, 2, '邯郸', '邯郸市');
INSERT INTO `regions` VALUES (130402, 130400, 3, '邯山', '邯山区');
INSERT INTO `regions` VALUES (130403, 130400, 3, '丛台', '丛台区');
INSERT INTO `regions` VALUES (130404, 130400, 3, '复兴', '复兴区');
INSERT INTO `regions` VALUES (130406, 130400, 3, '峰峰矿区', '峰峰矿区');
INSERT INTO `regions` VALUES (130421, 130400, 3, '邯郸', '邯郸县');
INSERT INTO `regions` VALUES (130423, 130400, 3, '临漳', '临漳县');
INSERT INTO `regions` VALUES (130424, 130400, 3, '成安', '成安县');
INSERT INTO `regions` VALUES (130425, 130400, 3, '大名', '大名县');
INSERT INTO `regions` VALUES (130426, 130400, 3, '涉县', '涉县');
INSERT INTO `regions` VALUES (130427, 130400, 3, '磁县', '磁县');
INSERT INTO `regions` VALUES (130428, 130400, 3, '肥乡', '肥乡县');
INSERT INTO `regions` VALUES (130429, 130400, 3, '永年', '永年县');
INSERT INTO `regions` VALUES (130430, 130400, 3, '邱县', '邱县');
INSERT INTO `regions` VALUES (130431, 130400, 3, '鸡泽', '鸡泽县');
INSERT INTO `regions` VALUES (130432, 130400, 3, '广平', '广平县');
INSERT INTO `regions` VALUES (130433, 130400, 3, '馆陶', '馆陶县');
INSERT INTO `regions` VALUES (130434, 130400, 3, '魏县', '魏县');
INSERT INTO `regions` VALUES (130435, 130400, 3, '曲周', '曲周县');
INSERT INTO `regions` VALUES (130481, 130400, 3, '武安', '武安市');
INSERT INTO `regions` VALUES (130500, 130000, 2, '邢台', '邢台市');
INSERT INTO `regions` VALUES (130502, 130500, 3, '桥东', '桥东区');
INSERT INTO `regions` VALUES (130503, 130500, 3, '桥西', '桥西区');
INSERT INTO `regions` VALUES (130521, 130500, 3, '邢台', '邢台县');
INSERT INTO `regions` VALUES (130522, 130500, 3, '临城', '临城县');
INSERT INTO `regions` VALUES (130523, 130500, 3, '内丘', '内丘县');
INSERT INTO `regions` VALUES (130524, 130500, 3, '柏乡', '柏乡县');
INSERT INTO `regions` VALUES (130525, 130500, 3, '隆尧', '隆尧县');
INSERT INTO `regions` VALUES (130526, 130500, 3, '任县', '任县');
INSERT INTO `regions` VALUES (130527, 130500, 3, '南和', '南和县');
INSERT INTO `regions` VALUES (130528, 130500, 3, '宁晋', '宁晋县');
INSERT INTO `regions` VALUES (130529, 130500, 3, '巨鹿', '巨鹿县');
INSERT INTO `regions` VALUES (130530, 130500, 3, '新河', '新河县');
INSERT INTO `regions` VALUES (130531, 130500, 3, '广宗', '广宗县');
INSERT INTO `regions` VALUES (130532, 130500, 3, '平乡', '平乡县');
INSERT INTO `regions` VALUES (130533, 130500, 3, '威县', '威县');
INSERT INTO `regions` VALUES (130534, 130500, 3, '清河', '清河县');
INSERT INTO `regions` VALUES (130535, 130500, 3, '临西', '临西县');
INSERT INTO `regions` VALUES (130581, 130500, 3, '南宫', '南宫市');
INSERT INTO `regions` VALUES (130582, 130500, 3, '沙河', '沙河市');
INSERT INTO `regions` VALUES (130600, 130000, 2, '保定', '保定市');
INSERT INTO `regions` VALUES (130602, 130600, 3, '新市', '新市区');
INSERT INTO `regions` VALUES (130603, 130600, 3, '北市', '北市区');
INSERT INTO `regions` VALUES (130604, 130600, 3, '南市', '南市区');
INSERT INTO `regions` VALUES (130621, 130600, 3, '满城', '满城县');
INSERT INTO `regions` VALUES (130622, 130600, 3, '清苑', '清苑县');
INSERT INTO `regions` VALUES (130623, 130600, 3, '涞水', '涞水县');
INSERT INTO `regions` VALUES (130624, 130600, 3, '阜平', '阜平县');
INSERT INTO `regions` VALUES (130625, 130600, 3, '徐水', '徐水县');
INSERT INTO `regions` VALUES (130626, 130600, 3, '定兴', '定兴县');
INSERT INTO `regions` VALUES (130627, 130600, 3, '唐县', '唐县');
INSERT INTO `regions` VALUES (130628, 130600, 3, '高阳', '高阳县');
INSERT INTO `regions` VALUES (130629, 130600, 3, '容城', '容城县');
INSERT INTO `regions` VALUES (130630, 130600, 3, '涞源', '涞源县');
INSERT INTO `regions` VALUES (130631, 130600, 3, '望都', '望都县');
INSERT INTO `regions` VALUES (130632, 130600, 3, '安新', '安新县');
INSERT INTO `regions` VALUES (130633, 130600, 3, '易县', '易县');
INSERT INTO `regions` VALUES (130634, 130600, 3, '曲阳', '曲阳县');
INSERT INTO `regions` VALUES (130635, 130600, 3, '蠡县', '蠡县');
INSERT INTO `regions` VALUES (130636, 130600, 3, '顺平', '顺平县');
INSERT INTO `regions` VALUES (130637, 130600, 3, '博野', '博野县');
INSERT INTO `regions` VALUES (130638, 130600, 3, '雄县', '雄县');
INSERT INTO `regions` VALUES (130681, 130600, 3, '涿州', '涿州市');
INSERT INTO `regions` VALUES (130682, 130600, 3, '定州', '定州市');
INSERT INTO `regions` VALUES (130683, 130600, 3, '安国', '安国市');
INSERT INTO `regions` VALUES (130684, 130600, 3, '高碑店', '高碑店市');
INSERT INTO `regions` VALUES (130700, 130000, 2, '张家口', '张家口市');
INSERT INTO `regions` VALUES (130702, 130700, 3, '桥东', '桥东区');
INSERT INTO `regions` VALUES (130703, 130700, 3, '桥西', '桥西区');
INSERT INTO `regions` VALUES (130705, 130700, 3, '宣化', '宣化区');
INSERT INTO `regions` VALUES (130706, 130700, 3, '下花园', '下花园区');
INSERT INTO `regions` VALUES (130721, 130700, 3, '宣化', '宣化县');
INSERT INTO `regions` VALUES (130722, 130700, 3, '张北', '张北县');
INSERT INTO `regions` VALUES (130723, 130700, 3, '康保', '康保县');
INSERT INTO `regions` VALUES (130724, 130700, 3, '沽源', '沽源县');
INSERT INTO `regions` VALUES (130725, 130700, 3, '尚义', '尚义县');
INSERT INTO `regions` VALUES (130726, 130700, 3, '蔚县', '蔚县');
INSERT INTO `regions` VALUES (130727, 130700, 3, '阳原', '阳原县');
INSERT INTO `regions` VALUES (130728, 130700, 3, '怀安', '怀安县');
INSERT INTO `regions` VALUES (130729, 130700, 3, '万全', '万全县');
INSERT INTO `regions` VALUES (130730, 130700, 3, '怀来', '怀来县');
INSERT INTO `regions` VALUES (130731, 130700, 3, '涿鹿', '涿鹿县');
INSERT INTO `regions` VALUES (130732, 130700, 3, '赤城', '赤城县');
INSERT INTO `regions` VALUES (130733, 130700, 3, '崇礼', '崇礼县');
INSERT INTO `regions` VALUES (130800, 130000, 2, '承德', '承德市');
INSERT INTO `regions` VALUES (130802, 130800, 3, '双桥', '双桥区');
INSERT INTO `regions` VALUES (130803, 130800, 3, '双滦', '双滦区');
INSERT INTO `regions` VALUES (130804, 130800, 3, '鹰手营子矿区', '鹰手营子矿区');
INSERT INTO `regions` VALUES (130821, 130800, 3, '承德', '承德县');
INSERT INTO `regions` VALUES (130822, 130800, 3, '兴隆', '兴隆县');
INSERT INTO `regions` VALUES (130823, 130800, 3, '平泉', '平泉县');
INSERT INTO `regions` VALUES (130824, 130800, 3, '滦平', '滦平县');
INSERT INTO `regions` VALUES (130825, 130800, 3, '隆化', '隆化县');
INSERT INTO `regions` VALUES (130826, 130800, 3, '丰宁', '丰宁满族自治县');
INSERT INTO `regions` VALUES (130827, 130800, 3, '宽城', '宽城满族自治县');
INSERT INTO `regions` VALUES (130828, 130800, 3, '围场', '围场满族蒙古族自治县');
INSERT INTO `regions` VALUES (130900, 130000, 2, '沧州', '沧州市');
INSERT INTO `regions` VALUES (130902, 130900, 3, '新华', '新华区');
INSERT INTO `regions` VALUES (130903, 130900, 3, '运河', '运河区');
INSERT INTO `regions` VALUES (130921, 130900, 3, '沧县', '沧县');
INSERT INTO `regions` VALUES (130922, 130900, 3, '青县', '青县');
INSERT INTO `regions` VALUES (130923, 130900, 3, '东光', '东光县');
INSERT INTO `regions` VALUES (130924, 130900, 3, '海兴', '海兴县');
INSERT INTO `regions` VALUES (130925, 130900, 3, '盐山', '盐山县');
INSERT INTO `regions` VALUES (130926, 130900, 3, '肃宁', '肃宁县');
INSERT INTO `regions` VALUES (130927, 130900, 3, '南皮', '南皮县');
INSERT INTO `regions` VALUES (130928, 130900, 3, '吴桥', '吴桥县');
INSERT INTO `regions` VALUES (130929, 130900, 3, '献县', '献县');
INSERT INTO `regions` VALUES (130930, 130900, 3, '孟村', '孟村回族自治县');
INSERT INTO `regions` VALUES (130981, 130900, 3, '泊头', '泊头市');
INSERT INTO `regions` VALUES (130982, 130900, 3, '任丘', '任丘市');
INSERT INTO `regions` VALUES (130983, 130900, 3, '黄骅', '黄骅市');
INSERT INTO `regions` VALUES (130984, 130900, 3, '河间', '河间市');
INSERT INTO `regions` VALUES (131000, 130000, 2, '廊坊', '廊坊市');
INSERT INTO `regions` VALUES (131002, 131000, 3, '安次', '安次区');
INSERT INTO `regions` VALUES (131003, 131000, 3, '广阳', '广阳区');
INSERT INTO `regions` VALUES (131022, 131000, 3, '固安', '固安县');
INSERT INTO `regions` VALUES (131023, 131000, 3, '永清', '永清县');
INSERT INTO `regions` VALUES (131024, 131000, 3, '香河', '香河县');
INSERT INTO `regions` VALUES (131025, 131000, 3, '大城', '大城县');
INSERT INTO `regions` VALUES (131026, 131000, 3, '文安', '文安县');
INSERT INTO `regions` VALUES (131028, 131000, 3, '大厂', '大厂回族自治县');
INSERT INTO `regions` VALUES (131081, 131000, 3, '霸州', '霸州市');
INSERT INTO `regions` VALUES (131082, 131000, 3, '三河', '三河市');
INSERT INTO `regions` VALUES (131100, 130000, 2, '衡水', '衡水市');
INSERT INTO `regions` VALUES (131102, 131100, 3, '桃城', '桃城区');
INSERT INTO `regions` VALUES (131121, 131100, 3, '枣强', '枣强县');
INSERT INTO `regions` VALUES (131122, 131100, 3, '武邑', '武邑县');
INSERT INTO `regions` VALUES (131123, 131100, 3, '武强', '武强县');
INSERT INTO `regions` VALUES (131124, 131100, 3, '饶阳', '饶阳县');
INSERT INTO `regions` VALUES (131125, 131100, 3, '安平', '安平县');
INSERT INTO `regions` VALUES (131126, 131100, 3, '故城', '故城县');
INSERT INTO `regions` VALUES (131127, 131100, 3, '景县', '景县');
INSERT INTO `regions` VALUES (131128, 131100, 3, '阜城', '阜城县');
INSERT INTO `regions` VALUES (131181, 131100, 3, '冀州', '冀州市');
INSERT INTO `regions` VALUES (131182, 131100, 3, '深州', '深州市');
INSERT INTO `regions` VALUES (140000, 100000, 1, '山西', '山西省');
INSERT INTO `regions` VALUES (140100, 140000, 2, '太原', '太原市');
INSERT INTO `regions` VALUES (140105, 140100, 3, '小店', '小店区');
INSERT INTO `regions` VALUES (140106, 140100, 3, '迎泽', '迎泽区');
INSERT INTO `regions` VALUES (140107, 140100, 3, '杏花岭', '杏花岭区');
INSERT INTO `regions` VALUES (140108, 140100, 3, '尖草坪', '尖草坪区');
INSERT INTO `regions` VALUES (140109, 140100, 3, '万柏林', '万柏林区');
INSERT INTO `regions` VALUES (140110, 140100, 3, '晋源', '晋源区');
INSERT INTO `regions` VALUES (140121, 140100, 3, '清徐', '清徐县');
INSERT INTO `regions` VALUES (140122, 140100, 3, '阳曲', '阳曲县');
INSERT INTO `regions` VALUES (140123, 140100, 3, '娄烦', '娄烦县');
INSERT INTO `regions` VALUES (140181, 140100, 3, '古交', '古交市');
INSERT INTO `regions` VALUES (140200, 140000, 2, '大同', '大同市');
INSERT INTO `regions` VALUES (140202, 140200, 3, '城区', '城区');
INSERT INTO `regions` VALUES (140203, 140200, 3, '矿区', '矿区');
INSERT INTO `regions` VALUES (140211, 140200, 3, '南郊', '南郊区');
INSERT INTO `regions` VALUES (140212, 140200, 3, '新荣', '新荣区');
INSERT INTO `regions` VALUES (140221, 140200, 3, '阳高', '阳高县');
INSERT INTO `regions` VALUES (140222, 140200, 3, '天镇', '天镇县');
INSERT INTO `regions` VALUES (140223, 140200, 3, '广灵', '广灵县');
INSERT INTO `regions` VALUES (140224, 140200, 3, '灵丘', '灵丘县');
INSERT INTO `regions` VALUES (140225, 140200, 3, '浑源', '浑源县');
INSERT INTO `regions` VALUES (140226, 140200, 3, '左云', '左云县');
INSERT INTO `regions` VALUES (140227, 140200, 3, '大同', '大同县');
INSERT INTO `regions` VALUES (140300, 140000, 2, '阳泉', '阳泉市');
INSERT INTO `regions` VALUES (140302, 140300, 3, '城区', '城区');
INSERT INTO `regions` VALUES (140303, 140300, 3, '矿区', '矿区');
INSERT INTO `regions` VALUES (140311, 140300, 3, '郊区', '郊区');
INSERT INTO `regions` VALUES (140321, 140300, 3, '平定', '平定县');
INSERT INTO `regions` VALUES (140322, 140300, 3, '盂县', '盂县');
INSERT INTO `regions` VALUES (140400, 140000, 2, '长治', '长治市');
INSERT INTO `regions` VALUES (140402, 140400, 3, '城区', '城区');
INSERT INTO `regions` VALUES (140411, 140400, 3, '郊区', '郊区');
INSERT INTO `regions` VALUES (140421, 140400, 3, '长治', '长治县');
INSERT INTO `regions` VALUES (140423, 140400, 3, '襄垣', '襄垣县');
INSERT INTO `regions` VALUES (140424, 140400, 3, '屯留', '屯留县');
INSERT INTO `regions` VALUES (140425, 140400, 3, '平顺', '平顺县');
INSERT INTO `regions` VALUES (140426, 140400, 3, '黎城', '黎城县');
INSERT INTO `regions` VALUES (140427, 140400, 3, '壶关', '壶关县');
INSERT INTO `regions` VALUES (140428, 140400, 3, '长子', '长子县');
INSERT INTO `regions` VALUES (140429, 140400, 3, '武乡', '武乡县');
INSERT INTO `regions` VALUES (140430, 140400, 3, '沁县', '沁县');
INSERT INTO `regions` VALUES (140431, 140400, 3, '沁源', '沁源县');
INSERT INTO `regions` VALUES (140481, 140400, 3, '潞城', '潞城市');
INSERT INTO `regions` VALUES (140500, 140000, 2, '晋城', '晋城市');
INSERT INTO `regions` VALUES (140502, 140500, 3, '城区', '城区');
INSERT INTO `regions` VALUES (140521, 140500, 3, '沁水', '沁水县');
INSERT INTO `regions` VALUES (140522, 140500, 3, '阳城', '阳城县');
INSERT INTO `regions` VALUES (140524, 140500, 3, '陵川', '陵川县');
INSERT INTO `regions` VALUES (140525, 140500, 3, '泽州', '泽州县');
INSERT INTO `regions` VALUES (140581, 140500, 3, '高平', '高平市');
INSERT INTO `regions` VALUES (140600, 140000, 2, '朔州', '朔州市');
INSERT INTO `regions` VALUES (140602, 140600, 3, '朔城', '朔城区');
INSERT INTO `regions` VALUES (140603, 140600, 3, '平鲁', '平鲁区');
INSERT INTO `regions` VALUES (140621, 140600, 3, '山阴', '山阴县');
INSERT INTO `regions` VALUES (140622, 140600, 3, '应县', '应县');
INSERT INTO `regions` VALUES (140623, 140600, 3, '右玉', '右玉县');
INSERT INTO `regions` VALUES (140624, 140600, 3, '怀仁', '怀仁县');
INSERT INTO `regions` VALUES (140700, 140000, 2, '晋中', '晋中市');
INSERT INTO `regions` VALUES (140702, 140700, 3, '榆次', '榆次区');
INSERT INTO `regions` VALUES (140721, 140700, 3, '榆社', '榆社县');
INSERT INTO `regions` VALUES (140722, 140700, 3, '左权', '左权县');
INSERT INTO `regions` VALUES (140723, 140700, 3, '和顺', '和顺县');
INSERT INTO `regions` VALUES (140724, 140700, 3, '昔阳', '昔阳县');
INSERT INTO `regions` VALUES (140725, 140700, 3, '寿阳', '寿阳县');
INSERT INTO `regions` VALUES (140726, 140700, 3, '太谷', '太谷县');
INSERT INTO `regions` VALUES (140727, 140700, 3, '祁县', '祁县');
INSERT INTO `regions` VALUES (140728, 140700, 3, '平遥', '平遥县');
INSERT INTO `regions` VALUES (140729, 140700, 3, '灵石', '灵石县');
INSERT INTO `regions` VALUES (140781, 140700, 3, '介休', '介休市');
INSERT INTO `regions` VALUES (140800, 140000, 2, '运城', '运城市');
INSERT INTO `regions` VALUES (140802, 140800, 3, '盐湖', '盐湖区');
INSERT INTO `regions` VALUES (140821, 140800, 3, '临猗', '临猗县');
INSERT INTO `regions` VALUES (140822, 140800, 3, '万荣', '万荣县');
INSERT INTO `regions` VALUES (140823, 140800, 3, '闻喜', '闻喜县');
INSERT INTO `regions` VALUES (140824, 140800, 3, '稷山', '稷山县');
INSERT INTO `regions` VALUES (140825, 140800, 3, '新绛', '新绛县');
INSERT INTO `regions` VALUES (140826, 140800, 3, '绛县', '绛县');
INSERT INTO `regions` VALUES (140827, 140800, 3, '垣曲', '垣曲县');
INSERT INTO `regions` VALUES (140828, 140800, 3, '夏县', '夏县');
INSERT INTO `regions` VALUES (140829, 140800, 3, '平陆', '平陆县');
INSERT INTO `regions` VALUES (140830, 140800, 3, '芮城', '芮城县');
INSERT INTO `regions` VALUES (140881, 140800, 3, '永济', '永济市');
INSERT INTO `regions` VALUES (140882, 140800, 3, '河津', '河津市');
INSERT INTO `regions` VALUES (140900, 140000, 2, '忻州', '忻州市');
INSERT INTO `regions` VALUES (140902, 140900, 3, '忻府', '忻府区');
INSERT INTO `regions` VALUES (140921, 140900, 3, '定襄', '定襄县');
INSERT INTO `regions` VALUES (140922, 140900, 3, '五台', '五台县');
INSERT INTO `regions` VALUES (140923, 140900, 3, '代县', '代县');
INSERT INTO `regions` VALUES (140924, 140900, 3, '繁峙', '繁峙县');
INSERT INTO `regions` VALUES (140925, 140900, 3, '宁武', '宁武县');
INSERT INTO `regions` VALUES (140926, 140900, 3, '静乐', '静乐县');
INSERT INTO `regions` VALUES (140927, 140900, 3, '神池', '神池县');
INSERT INTO `regions` VALUES (140928, 140900, 3, '五寨', '五寨县');
INSERT INTO `regions` VALUES (140929, 140900, 3, '岢岚', '岢岚县');
INSERT INTO `regions` VALUES (140930, 140900, 3, '河曲', '河曲县');
INSERT INTO `regions` VALUES (140931, 140900, 3, '保德', '保德县');
INSERT INTO `regions` VALUES (140932, 140900, 3, '偏关', '偏关县');
INSERT INTO `regions` VALUES (140981, 140900, 3, '原平', '原平市');
INSERT INTO `regions` VALUES (141000, 140000, 2, '临汾', '临汾市');
INSERT INTO `regions` VALUES (141002, 141000, 3, '尧都', '尧都区');
INSERT INTO `regions` VALUES (141021, 141000, 3, '曲沃', '曲沃县');
INSERT INTO `regions` VALUES (141022, 141000, 3, '翼城', '翼城县');
INSERT INTO `regions` VALUES (141023, 141000, 3, '襄汾', '襄汾县');
INSERT INTO `regions` VALUES (141024, 141000, 3, '洪洞', '洪洞县');
INSERT INTO `regions` VALUES (141025, 141000, 3, '古县', '古县');
INSERT INTO `regions` VALUES (141026, 141000, 3, '安泽', '安泽县');
INSERT INTO `regions` VALUES (141027, 141000, 3, '浮山', '浮山县');
INSERT INTO `regions` VALUES (141028, 141000, 3, '吉县', '吉县');
INSERT INTO `regions` VALUES (141029, 141000, 3, '乡宁', '乡宁县');
INSERT INTO `regions` VALUES (141030, 141000, 3, '大宁', '大宁县');
INSERT INTO `regions` VALUES (141031, 141000, 3, '隰县', '隰县');
INSERT INTO `regions` VALUES (141032, 141000, 3, '永和', '永和县');
INSERT INTO `regions` VALUES (141033, 141000, 3, '蒲县', '蒲县');
INSERT INTO `regions` VALUES (141034, 141000, 3, '汾西', '汾西县');
INSERT INTO `regions` VALUES (141081, 141000, 3, '侯马', '侯马市');
INSERT INTO `regions` VALUES (141082, 141000, 3, '霍州', '霍州市');
INSERT INTO `regions` VALUES (141100, 140000, 2, '吕梁', '吕梁市');
INSERT INTO `regions` VALUES (141102, 141100, 3, '离石', '离石区');
INSERT INTO `regions` VALUES (141121, 141100, 3, '文水', '文水县');
INSERT INTO `regions` VALUES (141122, 141100, 3, '交城', '交城县');
INSERT INTO `regions` VALUES (141123, 141100, 3, '兴县', '兴县');
INSERT INTO `regions` VALUES (141124, 141100, 3, '临县', '临县');
INSERT INTO `regions` VALUES (141125, 141100, 3, '柳林', '柳林县');
INSERT INTO `regions` VALUES (141126, 141100, 3, '石楼', '石楼县');
INSERT INTO `regions` VALUES (141127, 141100, 3, '岚县', '岚县');
INSERT INTO `regions` VALUES (141128, 141100, 3, '方山', '方山县');
INSERT INTO `regions` VALUES (141129, 141100, 3, '中阳', '中阳县');
INSERT INTO `regions` VALUES (141130, 141100, 3, '交口', '交口县');
INSERT INTO `regions` VALUES (141181, 141100, 3, '孝义', '孝义市');
INSERT INTO `regions` VALUES (141182, 141100, 3, '汾阳', '汾阳市');
INSERT INTO `regions` VALUES (150000, 100000, 1, '内蒙古', '内蒙古自治区');
INSERT INTO `regions` VALUES (150100, 150000, 2, '呼和浩特', '呼和浩特市');
INSERT INTO `regions` VALUES (150102, 150100, 3, '新城', '新城区');
INSERT INTO `regions` VALUES (150103, 150100, 3, '回民', '回民区');
INSERT INTO `regions` VALUES (150104, 150100, 3, '玉泉', '玉泉区');
INSERT INTO `regions` VALUES (150105, 150100, 3, '赛罕', '赛罕区');
INSERT INTO `regions` VALUES (150121, 150100, 3, '土默特左旗', '土默特左旗');
INSERT INTO `regions` VALUES (150122, 150100, 3, '托克托', '托克托县');
INSERT INTO `regions` VALUES (150123, 150100, 3, '和林格尔', '和林格尔县');
INSERT INTO `regions` VALUES (150124, 150100, 3, '清水河', '清水河县');
INSERT INTO `regions` VALUES (150125, 150100, 3, '武川', '武川县');
INSERT INTO `regions` VALUES (150200, 150000, 2, '包头', '包头市');
INSERT INTO `regions` VALUES (150202, 150200, 3, '东河', '东河区');
INSERT INTO `regions` VALUES (150203, 150200, 3, '昆都仑', '昆都仑区');
INSERT INTO `regions` VALUES (150204, 150200, 3, '青山', '青山区');
INSERT INTO `regions` VALUES (150205, 150200, 3, '石拐', '石拐区');
INSERT INTO `regions` VALUES (150206, 150200, 3, '白云鄂博矿区', '白云鄂博矿区');
INSERT INTO `regions` VALUES (150207, 150200, 3, '九原', '九原区');
INSERT INTO `regions` VALUES (150221, 150200, 3, '土默特右旗', '土默特右旗');
INSERT INTO `regions` VALUES (150222, 150200, 3, '固阳', '固阳县');
INSERT INTO `regions` VALUES (150223, 150200, 3, '达茂旗', '达尔罕茂明安联合旗');
INSERT INTO `regions` VALUES (150300, 150000, 2, '乌海', '乌海市');
INSERT INTO `regions` VALUES (150302, 150300, 3, '海勃湾', '海勃湾区');
INSERT INTO `regions` VALUES (150303, 150300, 3, '海南', '海南区');
INSERT INTO `regions` VALUES (150304, 150300, 3, '乌达', '乌达区');
INSERT INTO `regions` VALUES (150400, 150000, 2, '赤峰', '赤峰市');
INSERT INTO `regions` VALUES (150402, 150400, 3, '红山', '红山区');
INSERT INTO `regions` VALUES (150403, 150400, 3, '元宝山', '元宝山区');
INSERT INTO `regions` VALUES (150404, 150400, 3, '松山', '松山区');
INSERT INTO `regions` VALUES (150421, 150400, 3, '阿鲁科尔沁旗', '阿鲁科尔沁旗');
INSERT INTO `regions` VALUES (150422, 150400, 3, '巴林左旗', '巴林左旗');
INSERT INTO `regions` VALUES (150423, 150400, 3, '巴林右旗', '巴林右旗');
INSERT INTO `regions` VALUES (150424, 150400, 3, '林西', '林西县');
INSERT INTO `regions` VALUES (150425, 150400, 3, '克什克腾旗', '克什克腾旗');
INSERT INTO `regions` VALUES (150426, 150400, 3, '翁牛特旗', '翁牛特旗');
INSERT INTO `regions` VALUES (150428, 150400, 3, '喀喇沁旗', '喀喇沁旗');
INSERT INTO `regions` VALUES (150429, 150400, 3, '宁城', '宁城县');
INSERT INTO `regions` VALUES (150430, 150400, 3, '敖汉旗', '敖汉旗');
INSERT INTO `regions` VALUES (150500, 150000, 2, '通辽', '通辽市');
INSERT INTO `regions` VALUES (150502, 150500, 3, '科尔沁', '科尔沁区');
INSERT INTO `regions` VALUES (150521, 150500, 3, '科尔沁左翼中旗', '科尔沁左翼中旗');
INSERT INTO `regions` VALUES (150522, 150500, 3, '科尔沁左翼后旗', '科尔沁左翼后旗');
INSERT INTO `regions` VALUES (150523, 150500, 3, '开鲁', '开鲁县');
INSERT INTO `regions` VALUES (150524, 150500, 3, '库伦旗', '库伦旗');
INSERT INTO `regions` VALUES (150525, 150500, 3, '奈曼旗', '奈曼旗');
INSERT INTO `regions` VALUES (150526, 150500, 3, '扎鲁特旗', '扎鲁特旗');
INSERT INTO `regions` VALUES (150581, 150500, 3, '霍林郭勒', '霍林郭勒市');
INSERT INTO `regions` VALUES (150600, 150000, 2, '鄂尔多斯', '鄂尔多斯市');
INSERT INTO `regions` VALUES (150602, 150600, 3, '东胜', '东胜区');
INSERT INTO `regions` VALUES (150621, 150600, 3, '达拉特旗', '达拉特旗');
INSERT INTO `regions` VALUES (150622, 150600, 3, '准格尔旗', '准格尔旗');
INSERT INTO `regions` VALUES (150623, 150600, 3, '鄂托克前旗', '鄂托克前旗');
INSERT INTO `regions` VALUES (150624, 150600, 3, '鄂托克旗', '鄂托克旗');
INSERT INTO `regions` VALUES (150625, 150600, 3, '杭锦旗', '杭锦旗');
INSERT INTO `regions` VALUES (150626, 150600, 3, '乌审旗', '乌审旗');
INSERT INTO `regions` VALUES (150627, 150600, 3, '伊金霍洛旗', '伊金霍洛旗');
INSERT INTO `regions` VALUES (150700, 150000, 2, '呼伦贝尔', '呼伦贝尔市');
INSERT INTO `regions` VALUES (150702, 150700, 3, '海拉尔', '海拉尔区');
INSERT INTO `regions` VALUES (150703, 150700, 3, '扎赉诺尔', '扎赉诺尔区');
INSERT INTO `regions` VALUES (150721, 150700, 3, '阿荣旗', '阿荣旗');
INSERT INTO `regions` VALUES (150722, 150700, 3, '莫旗', '莫力达瓦达斡尔族自治旗');
INSERT INTO `regions` VALUES (150723, 150700, 3, '鄂伦春', '鄂伦春自治旗');
INSERT INTO `regions` VALUES (150724, 150700, 3, '鄂温', '鄂温克族自治旗');
INSERT INTO `regions` VALUES (150725, 150700, 3, '陈巴尔虎旗', '陈巴尔虎旗');
INSERT INTO `regions` VALUES (150726, 150700, 3, '新巴尔虎左旗', '新巴尔虎左旗');
INSERT INTO `regions` VALUES (150727, 150700, 3, '新巴尔虎右旗', '新巴尔虎右旗');
INSERT INTO `regions` VALUES (150781, 150700, 3, '满洲里', '满洲里市');
INSERT INTO `regions` VALUES (150782, 150700, 3, '牙克石', '牙克石市');
INSERT INTO `regions` VALUES (150783, 150700, 3, '扎兰屯', '扎兰屯市');
INSERT INTO `regions` VALUES (150784, 150700, 3, '额尔古纳', '额尔古纳市');
INSERT INTO `regions` VALUES (150785, 150700, 3, '根河', '根河市');
INSERT INTO `regions` VALUES (150800, 150000, 2, '巴彦淖尔', '巴彦淖尔市');
INSERT INTO `regions` VALUES (150802, 150800, 3, '临河', '临河区');
INSERT INTO `regions` VALUES (150821, 150800, 3, '五原', '五原县');
INSERT INTO `regions` VALUES (150822, 150800, 3, '磴口', '磴口县');
INSERT INTO `regions` VALUES (150823, 150800, 3, '乌拉特前旗', '乌拉特前旗');
INSERT INTO `regions` VALUES (150824, 150800, 3, '乌拉特中旗', '乌拉特中旗');
INSERT INTO `regions` VALUES (150825, 150800, 3, '乌拉特后旗', '乌拉特后旗');
INSERT INTO `regions` VALUES (150826, 150800, 3, '杭锦后旗', '杭锦后旗');
INSERT INTO `regions` VALUES (150900, 150000, 2, '乌兰察布', '乌兰察布市');
INSERT INTO `regions` VALUES (150902, 150900, 3, '集宁', '集宁区');
INSERT INTO `regions` VALUES (150921, 150900, 3, '卓资', '卓资县');
INSERT INTO `regions` VALUES (150922, 150900, 3, '化德', '化德县');
INSERT INTO `regions` VALUES (150923, 150900, 3, '商都', '商都县');
INSERT INTO `regions` VALUES (150924, 150900, 3, '兴和', '兴和县');
INSERT INTO `regions` VALUES (150925, 150900, 3, '凉城', '凉城县');
INSERT INTO `regions` VALUES (150926, 150900, 3, '察右前旗', '察哈尔右翼前旗');
INSERT INTO `regions` VALUES (150927, 150900, 3, '察右中旗', '察哈尔右翼中旗');
INSERT INTO `regions` VALUES (150928, 150900, 3, '察右后旗', '察哈尔右翼后旗');
INSERT INTO `regions` VALUES (150929, 150900, 3, '四子王旗', '四子王旗');
INSERT INTO `regions` VALUES (150981, 150900, 3, '丰镇', '丰镇市');
INSERT INTO `regions` VALUES (152200, 150000, 2, '兴安盟', '兴安盟');
INSERT INTO `regions` VALUES (152201, 152200, 3, '乌兰浩特', '乌兰浩特市');
INSERT INTO `regions` VALUES (152202, 152200, 3, '阿尔山', '阿尔山市');
INSERT INTO `regions` VALUES (152221, 152200, 3, '科右前旗', '科尔沁右翼前旗');
INSERT INTO `regions` VALUES (152222, 152200, 3, '科右中旗', '科尔沁右翼中旗');
INSERT INTO `regions` VALUES (152223, 152200, 3, '扎赉特旗', '扎赉特旗');
INSERT INTO `regions` VALUES (152224, 152200, 3, '突泉', '突泉县');
INSERT INTO `regions` VALUES (152500, 150000, 2, '锡林郭勒盟', '锡林郭勒盟');
INSERT INTO `regions` VALUES (152501, 152500, 3, '二连浩特', '二连浩特市');
INSERT INTO `regions` VALUES (152502, 152500, 3, '锡林浩特', '锡林浩特市');
INSERT INTO `regions` VALUES (152522, 152500, 3, '阿巴嘎旗', '阿巴嘎旗');
INSERT INTO `regions` VALUES (152523, 152500, 3, '苏尼特左旗', '苏尼特左旗');
INSERT INTO `regions` VALUES (152524, 152500, 3, '苏尼特右旗', '苏尼特右旗');
INSERT INTO `regions` VALUES (152525, 152500, 3, '东乌旗', '东乌珠穆沁旗');
INSERT INTO `regions` VALUES (152526, 152500, 3, '西乌旗', '西乌珠穆沁旗');
INSERT INTO `regions` VALUES (152527, 152500, 3, '太仆寺旗', '太仆寺旗');
INSERT INTO `regions` VALUES (152528, 152500, 3, '镶黄旗', '镶黄旗');
INSERT INTO `regions` VALUES (152529, 152500, 3, '正镶白旗', '正镶白旗');
INSERT INTO `regions` VALUES (152530, 152500, 3, '正蓝旗', '正蓝旗');
INSERT INTO `regions` VALUES (152531, 152500, 3, '多伦', '多伦县');
INSERT INTO `regions` VALUES (152900, 150000, 2, '阿拉善盟', '阿拉善盟');
INSERT INTO `regions` VALUES (152921, 152900, 3, '阿拉善左旗', '阿拉善左旗');
INSERT INTO `regions` VALUES (152922, 152900, 3, '阿拉善右旗', '阿拉善右旗');
INSERT INTO `regions` VALUES (152923, 152900, 3, '额济纳旗', '额济纳旗');
INSERT INTO `regions` VALUES (210000, 100000, 1, '辽宁', '辽宁省');
INSERT INTO `regions` VALUES (210100, 210000, 2, '沈阳', '沈阳市');
INSERT INTO `regions` VALUES (210102, 210100, 3, '和平', '和平区');
INSERT INTO `regions` VALUES (210103, 210100, 3, '沈河', '沈河区');
INSERT INTO `regions` VALUES (210104, 210100, 3, '大东', '大东区');
INSERT INTO `regions` VALUES (210105, 210100, 3, '皇姑', '皇姑区');
INSERT INTO `regions` VALUES (210106, 210100, 3, '铁西', '铁西区');
INSERT INTO `regions` VALUES (210111, 210100, 3, '苏家屯', '苏家屯区');
INSERT INTO `regions` VALUES (210112, 210100, 3, '浑南', '浑南区');
INSERT INTO `regions` VALUES (210113, 210100, 3, '沈北新区', '沈北新区');
INSERT INTO `regions` VALUES (210114, 210100, 3, '于洪', '于洪区');
INSERT INTO `regions` VALUES (210122, 210100, 3, '辽中', '辽中县');
INSERT INTO `regions` VALUES (210123, 210100, 3, '康平', '康平县');
INSERT INTO `regions` VALUES (210124, 210100, 3, '法库', '法库县');
INSERT INTO `regions` VALUES (210181, 210100, 3, '新民', '新民市');
INSERT INTO `regions` VALUES (210200, 210000, 2, '大连', '大连市');
INSERT INTO `regions` VALUES (210202, 210200, 3, '中山', '中山区');
INSERT INTO `regions` VALUES (210203, 210200, 3, '西岗', '西岗区');
INSERT INTO `regions` VALUES (210204, 210200, 3, '沙河口', '沙河口区');
INSERT INTO `regions` VALUES (210211, 210200, 3, '甘井子', '甘井子区');
INSERT INTO `regions` VALUES (210212, 210200, 3, '旅顺口', '旅顺口区');
INSERT INTO `regions` VALUES (210213, 210200, 3, '金州', '金州区');
INSERT INTO `regions` VALUES (210224, 210200, 3, '长海', '长海县');
INSERT INTO `regions` VALUES (210281, 210200, 3, '瓦房店', '瓦房店市');
INSERT INTO `regions` VALUES (210282, 210200, 3, '普兰店', '普兰店市');
INSERT INTO `regions` VALUES (210283, 210200, 3, '庄河', '庄河市');
INSERT INTO `regions` VALUES (210300, 210000, 2, '鞍山', '鞍山市');
INSERT INTO `regions` VALUES (210302, 210300, 3, '铁东', '铁东区');
INSERT INTO `regions` VALUES (210303, 210300, 3, '铁西', '铁西区');
INSERT INTO `regions` VALUES (210304, 210300, 3, '立山', '立山区');
INSERT INTO `regions` VALUES (210311, 210300, 3, '千山', '千山区');
INSERT INTO `regions` VALUES (210321, 210300, 3, '台安', '台安县');
INSERT INTO `regions` VALUES (210323, 210300, 3, '岫岩', '岫岩满族自治县');
INSERT INTO `regions` VALUES (210381, 210300, 3, '海城', '海城市');
INSERT INTO `regions` VALUES (210400, 210000, 2, '抚顺', '抚顺市');
INSERT INTO `regions` VALUES (210402, 210400, 3, '新抚', '新抚区');
INSERT INTO `regions` VALUES (210403, 210400, 3, '东洲', '东洲区');
INSERT INTO `regions` VALUES (210404, 210400, 3, '望花', '望花区');
INSERT INTO `regions` VALUES (210411, 210400, 3, '顺城', '顺城区');
INSERT INTO `regions` VALUES (210421, 210400, 3, '抚顺', '抚顺县');
INSERT INTO `regions` VALUES (210422, 210400, 3, '新宾', '新宾满族自治县');
INSERT INTO `regions` VALUES (210423, 210400, 3, '清原', '清原满族自治县');
INSERT INTO `regions` VALUES (210500, 210000, 2, '本溪', '本溪市');
INSERT INTO `regions` VALUES (210502, 210500, 3, '平山', '平山区');
INSERT INTO `regions` VALUES (210503, 210500, 3, '溪湖', '溪湖区');
INSERT INTO `regions` VALUES (210504, 210500, 3, '明山', '明山区');
INSERT INTO `regions` VALUES (210505, 210500, 3, '南芬', '南芬区');
INSERT INTO `regions` VALUES (210521, 210500, 3, '本溪', '本溪满族自治县');
INSERT INTO `regions` VALUES (210522, 210500, 3, '桓仁', '桓仁满族自治县');
INSERT INTO `regions` VALUES (210600, 210000, 2, '丹东', '丹东市');
INSERT INTO `regions` VALUES (210602, 210600, 3, '元宝', '元宝区');
INSERT INTO `regions` VALUES (210603, 210600, 3, '振兴', '振兴区');
INSERT INTO `regions` VALUES (210604, 210600, 3, '振安', '振安区');
INSERT INTO `regions` VALUES (210624, 210600, 3, '宽甸', '宽甸满族自治县');
INSERT INTO `regions` VALUES (210681, 210600, 3, '东港', '东港市');
INSERT INTO `regions` VALUES (210682, 210600, 3, '凤城', '凤城市');
INSERT INTO `regions` VALUES (210700, 210000, 2, '锦州', '锦州市');
INSERT INTO `regions` VALUES (210702, 210700, 3, '古塔', '古塔区');
INSERT INTO `regions` VALUES (210703, 210700, 3, '凌河', '凌河区');
INSERT INTO `regions` VALUES (210711, 210700, 3, '太和', '太和区');
INSERT INTO `regions` VALUES (210726, 210700, 3, '黑山', '黑山县');
INSERT INTO `regions` VALUES (210727, 210700, 3, '义县', '义县');
INSERT INTO `regions` VALUES (210781, 210700, 3, '凌海', '凌海市');
INSERT INTO `regions` VALUES (210782, 210700, 3, '北镇', '北镇市');
INSERT INTO `regions` VALUES (210800, 210000, 2, '营口', '营口市');
INSERT INTO `regions` VALUES (210802, 210800, 3, '站前', '站前区');
INSERT INTO `regions` VALUES (210803, 210800, 3, '西市', '西市区');
INSERT INTO `regions` VALUES (210804, 210800, 3, '鲅鱼圈', '鲅鱼圈区');
INSERT INTO `regions` VALUES (210811, 210800, 3, '老边', '老边区');
INSERT INTO `regions` VALUES (210881, 210800, 3, '盖州', '盖州市');
INSERT INTO `regions` VALUES (210882, 210800, 3, '大石桥', '大石桥市');
INSERT INTO `regions` VALUES (210900, 210000, 2, '阜新', '阜新市');
INSERT INTO `regions` VALUES (210902, 210900, 3, '海州', '海州区');
INSERT INTO `regions` VALUES (210903, 210900, 3, '新邱', '新邱区');
INSERT INTO `regions` VALUES (210904, 210900, 3, '太平', '太平区');
INSERT INTO `regions` VALUES (210905, 210900, 3, '清河门', '清河门区');
INSERT INTO `regions` VALUES (210911, 210900, 3, '细河', '细河区');
INSERT INTO `regions` VALUES (210921, 210900, 3, '阜新', '阜新蒙古族自治县');
INSERT INTO `regions` VALUES (210922, 210900, 3, '彰武', '彰武县');
INSERT INTO `regions` VALUES (211000, 210000, 2, '辽阳', '辽阳市');
INSERT INTO `regions` VALUES (211002, 211000, 3, '白塔', '白塔区');
INSERT INTO `regions` VALUES (211003, 211000, 3, '文圣', '文圣区');
INSERT INTO `regions` VALUES (211004, 211000, 3, '宏伟', '宏伟区');
INSERT INTO `regions` VALUES (211005, 211000, 3, '弓长岭', '弓长岭区');
INSERT INTO `regions` VALUES (211011, 211000, 3, '太子河', '太子河区');
INSERT INTO `regions` VALUES (211021, 211000, 3, '辽阳', '辽阳县');
INSERT INTO `regions` VALUES (211081, 211000, 3, '灯塔', '灯塔市');
INSERT INTO `regions` VALUES (211100, 210000, 2, '盘锦', '盘锦市');
INSERT INTO `regions` VALUES (211102, 211100, 3, '双台子', '双台子区');
INSERT INTO `regions` VALUES (211103, 211100, 3, '兴隆台', '兴隆台区');
INSERT INTO `regions` VALUES (211121, 211100, 3, '大洼', '大洼县');
INSERT INTO `regions` VALUES (211122, 211100, 3, '盘山', '盘山县');
INSERT INTO `regions` VALUES (211200, 210000, 2, '铁岭', '铁岭市');
INSERT INTO `regions` VALUES (211202, 211200, 3, '银州', '银州区');
INSERT INTO `regions` VALUES (211204, 211200, 3, '清河', '清河区');
INSERT INTO `regions` VALUES (211221, 211200, 3, '铁岭', '铁岭县');
INSERT INTO `regions` VALUES (211223, 211200, 3, '西丰', '西丰县');
INSERT INTO `regions` VALUES (211224, 211200, 3, '昌图', '昌图县');
INSERT INTO `regions` VALUES (211281, 211200, 3, '调兵山', '调兵山市');
INSERT INTO `regions` VALUES (211282, 211200, 3, '开原', '开原市');
INSERT INTO `regions` VALUES (211300, 210000, 2, '朝阳', '朝阳市');
INSERT INTO `regions` VALUES (211302, 211300, 3, '双塔', '双塔区');
INSERT INTO `regions` VALUES (211303, 211300, 3, '龙城', '龙城区');
INSERT INTO `regions` VALUES (211321, 211300, 3, '朝阳', '朝阳县');
INSERT INTO `regions` VALUES (211322, 211300, 3, '建平', '建平县');
INSERT INTO `regions` VALUES (211324, 211300, 3, '喀喇沁左翼', '喀喇沁左翼蒙古族自治县');
INSERT INTO `regions` VALUES (211381, 211300, 3, '北票', '北票市');
INSERT INTO `regions` VALUES (211382, 211300, 3, '凌源', '凌源市');
INSERT INTO `regions` VALUES (211400, 210000, 2, '葫芦岛', '葫芦岛市');
INSERT INTO `regions` VALUES (211402, 211400, 3, '连山', '连山区');
INSERT INTO `regions` VALUES (211403, 211400, 3, '龙港', '龙港区');
INSERT INTO `regions` VALUES (211404, 211400, 3, '南票', '南票区');
INSERT INTO `regions` VALUES (211421, 211400, 3, '绥中', '绥中县');
INSERT INTO `regions` VALUES (211422, 211400, 3, '建昌', '建昌县');
INSERT INTO `regions` VALUES (211481, 211400, 3, '兴城', '兴城市');
INSERT INTO `regions` VALUES (211500, 210000, 2, '金普新区', '金普新区');
INSERT INTO `regions` VALUES (211501, 211500, 3, '金州新区', '金州新区');
INSERT INTO `regions` VALUES (211502, 211500, 3, '普湾新区', '普湾新区');
INSERT INTO `regions` VALUES (211503, 211500, 3, '保税区', '保税区');
INSERT INTO `regions` VALUES (220000, 100000, 1, '吉林', '吉林省');
INSERT INTO `regions` VALUES (220100, 220000, 2, '长春', '长春市');
INSERT INTO `regions` VALUES (220102, 220100, 3, '南关', '南关区');
INSERT INTO `regions` VALUES (220103, 220100, 3, '宽城', '宽城区');
INSERT INTO `regions` VALUES (220104, 220100, 3, '朝阳', '朝阳区');
INSERT INTO `regions` VALUES (220105, 220100, 3, '二道', '二道区');
INSERT INTO `regions` VALUES (220106, 220100, 3, '绿园', '绿园区');
INSERT INTO `regions` VALUES (220112, 220100, 3, '双阳', '双阳区');
INSERT INTO `regions` VALUES (220113, 220100, 3, '九台', '九台区');
INSERT INTO `regions` VALUES (220122, 220100, 3, '农安', '农安县');
INSERT INTO `regions` VALUES (220182, 220100, 3, '榆树', '榆树市');
INSERT INTO `regions` VALUES (220183, 220100, 3, '德惠', '德惠市');
INSERT INTO `regions` VALUES (220200, 220000, 2, '吉林', '吉林市');
INSERT INTO `regions` VALUES (220202, 220200, 3, '昌邑', '昌邑区');
INSERT INTO `regions` VALUES (220203, 220200, 3, '龙潭', '龙潭区');
INSERT INTO `regions` VALUES (220204, 220200, 3, '船营', '船营区');
INSERT INTO `regions` VALUES (220211, 220200, 3, '丰满', '丰满区');
INSERT INTO `regions` VALUES (220221, 220200, 3, '永吉', '永吉县');
INSERT INTO `regions` VALUES (220281, 220200, 3, '蛟河', '蛟河市');
INSERT INTO `regions` VALUES (220282, 220200, 3, '桦甸', '桦甸市');
INSERT INTO `regions` VALUES (220283, 220200, 3, '舒兰', '舒兰市');
INSERT INTO `regions` VALUES (220284, 220200, 3, '磐石', '磐石市');
INSERT INTO `regions` VALUES (220300, 220000, 2, '四平', '四平市');
INSERT INTO `regions` VALUES (220302, 220300, 3, '铁西', '铁西区');
INSERT INTO `regions` VALUES (220303, 220300, 3, '铁东', '铁东区');
INSERT INTO `regions` VALUES (220322, 220300, 3, '梨树', '梨树县');
INSERT INTO `regions` VALUES (220323, 220300, 3, '伊通', '伊通满族自治县');
INSERT INTO `regions` VALUES (220381, 220300, 3, '公主岭', '公主岭市');
INSERT INTO `regions` VALUES (220382, 220300, 3, '双辽', '双辽市');
INSERT INTO `regions` VALUES (220400, 220000, 2, '辽源', '辽源市');
INSERT INTO `regions` VALUES (220402, 220400, 3, '龙山', '龙山区');
INSERT INTO `regions` VALUES (220403, 220400, 3, '西安', '西安区');
INSERT INTO `regions` VALUES (220421, 220400, 3, '东丰', '东丰县');
INSERT INTO `regions` VALUES (220422, 220400, 3, '东辽', '东辽县');
INSERT INTO `regions` VALUES (220500, 220000, 2, '通化', '通化市');
INSERT INTO `regions` VALUES (220502, 220500, 3, '东昌', '东昌区');
INSERT INTO `regions` VALUES (220503, 220500, 3, '二道江', '二道江区');
INSERT INTO `regions` VALUES (220521, 220500, 3, '通化', '通化县');
INSERT INTO `regions` VALUES (220523, 220500, 3, '辉南', '辉南县');
INSERT INTO `regions` VALUES (220524, 220500, 3, '柳河', '柳河县');
INSERT INTO `regions` VALUES (220581, 220500, 3, '梅河口', '梅河口市');
INSERT INTO `regions` VALUES (220582, 220500, 3, '集安', '集安市');
INSERT INTO `regions` VALUES (220600, 220000, 2, '白山', '白山市');
INSERT INTO `regions` VALUES (220602, 220600, 3, '浑江', '浑江区');
INSERT INTO `regions` VALUES (220605, 220600, 3, '江源', '江源区');
INSERT INTO `regions` VALUES (220621, 220600, 3, '抚松', '抚松县');
INSERT INTO `regions` VALUES (220622, 220600, 3, '靖宇', '靖宇县');
INSERT INTO `regions` VALUES (220623, 220600, 3, '长白', '长白朝鲜族自治县');
INSERT INTO `regions` VALUES (220681, 220600, 3, '临江', '临江市');
INSERT INTO `regions` VALUES (220700, 220000, 2, '松原', '松原市');
INSERT INTO `regions` VALUES (220702, 220700, 3, '宁江', '宁江区');
INSERT INTO `regions` VALUES (220721, 220700, 3, '前郭尔罗斯', '前郭尔罗斯蒙古族自治县');
INSERT INTO `regions` VALUES (220722, 220700, 3, '长岭', '长岭县');
INSERT INTO `regions` VALUES (220723, 220700, 3, '乾安', '乾安县');
INSERT INTO `regions` VALUES (220781, 220700, 3, '扶余', '扶余市');
INSERT INTO `regions` VALUES (220800, 220000, 2, '白城', '白城市');
INSERT INTO `regions` VALUES (220802, 220800, 3, '洮北', '洮北区');
INSERT INTO `regions` VALUES (220821, 220800, 3, '镇赉', '镇赉县');
INSERT INTO `regions` VALUES (220822, 220800, 3, '通榆', '通榆县');
INSERT INTO `regions` VALUES (220881, 220800, 3, '洮南', '洮南市');
INSERT INTO `regions` VALUES (220882, 220800, 3, '大安', '大安市');
INSERT INTO `regions` VALUES (222400, 220000, 2, '延边', '延边朝鲜族自治州');
INSERT INTO `regions` VALUES (222401, 222400, 3, '延吉', '延吉市');
INSERT INTO `regions` VALUES (222402, 222400, 3, '图们', '图们市');
INSERT INTO `regions` VALUES (222403, 222400, 3, '敦化', '敦化市');
INSERT INTO `regions` VALUES (222404, 222400, 3, '珲春', '珲春市');
INSERT INTO `regions` VALUES (222405, 222400, 3, '龙井', '龙井市');
INSERT INTO `regions` VALUES (222406, 222400, 3, '和龙', '和龙市');
INSERT INTO `regions` VALUES (222424, 222400, 3, '汪清', '汪清县');
INSERT INTO `regions` VALUES (222426, 222400, 3, '安图', '安图县');
INSERT INTO `regions` VALUES (230000, 100000, 1, '黑龙江', '黑龙江省');
INSERT INTO `regions` VALUES (230100, 230000, 2, '哈尔滨', '哈尔滨市');
INSERT INTO `regions` VALUES (230102, 230100, 3, '道里', '道里区');
INSERT INTO `regions` VALUES (230103, 230100, 3, '南岗', '南岗区');
INSERT INTO `regions` VALUES (230104, 230100, 3, '道外', '道外区');
INSERT INTO `regions` VALUES (230108, 230100, 3, '平房', '平房区');
INSERT INTO `regions` VALUES (230109, 230100, 3, '松北', '松北区');
INSERT INTO `regions` VALUES (230110, 230100, 3, '香坊', '香坊区');
INSERT INTO `regions` VALUES (230111, 230100, 3, '呼兰', '呼兰区');
INSERT INTO `regions` VALUES (230112, 230100, 3, '阿城', '阿城区');
INSERT INTO `regions` VALUES (230113, 230100, 3, '双城', '双城区');
INSERT INTO `regions` VALUES (230123, 230100, 3, '依兰', '依兰县');
INSERT INTO `regions` VALUES (230124, 230100, 3, '方正', '方正县');
INSERT INTO `regions` VALUES (230125, 230100, 3, '宾县', '宾县');
INSERT INTO `regions` VALUES (230126, 230100, 3, '巴彦', '巴彦县');
INSERT INTO `regions` VALUES (230127, 230100, 3, '木兰', '木兰县');
INSERT INTO `regions` VALUES (230128, 230100, 3, '通河', '通河县');
INSERT INTO `regions` VALUES (230129, 230100, 3, '延寿', '延寿县');
INSERT INTO `regions` VALUES (230183, 230100, 3, '尚志', '尚志市');
INSERT INTO `regions` VALUES (230184, 230100, 3, '五常', '五常市');
INSERT INTO `regions` VALUES (230200, 230000, 2, '齐齐哈尔', '齐齐哈尔市');
INSERT INTO `regions` VALUES (230202, 230200, 3, '龙沙', '龙沙区');
INSERT INTO `regions` VALUES (230203, 230200, 3, '建华', '建华区');
INSERT INTO `regions` VALUES (230204, 230200, 3, '铁锋', '铁锋区');
INSERT INTO `regions` VALUES (230205, 230200, 3, '昂昂溪', '昂昂溪区');
INSERT INTO `regions` VALUES (230206, 230200, 3, '富拉尔基', '富拉尔基区');
INSERT INTO `regions` VALUES (230207, 230200, 3, '碾子山', '碾子山区');
INSERT INTO `regions` VALUES (230208, 230200, 3, '梅里斯', '梅里斯达斡尔族区');
INSERT INTO `regions` VALUES (230221, 230200, 3, '龙江', '龙江县');
INSERT INTO `regions` VALUES (230223, 230200, 3, '依安', '依安县');
INSERT INTO `regions` VALUES (230224, 230200, 3, '泰来', '泰来县');
INSERT INTO `regions` VALUES (230225, 230200, 3, '甘南', '甘南县');
INSERT INTO `regions` VALUES (230227, 230200, 3, '富裕', '富裕县');
INSERT INTO `regions` VALUES (230229, 230200, 3, '克山', '克山县');
INSERT INTO `regions` VALUES (230230, 230200, 3, '克东', '克东县');
INSERT INTO `regions` VALUES (230231, 230200, 3, '拜泉', '拜泉县');
INSERT INTO `regions` VALUES (230281, 230200, 3, '讷河', '讷河市');
INSERT INTO `regions` VALUES (230300, 230000, 2, '鸡西', '鸡西市');
INSERT INTO `regions` VALUES (230302, 230300, 3, '鸡冠', '鸡冠区');
INSERT INTO `regions` VALUES (230303, 230300, 3, '恒山', '恒山区');
INSERT INTO `regions` VALUES (230304, 230300, 3, '滴道', '滴道区');
INSERT INTO `regions` VALUES (230305, 230300, 3, '梨树', '梨树区');
INSERT INTO `regions` VALUES (230306, 230300, 3, '城子河', '城子河区');
INSERT INTO `regions` VALUES (230307, 230300, 3, '麻山', '麻山区');
INSERT INTO `regions` VALUES (230321, 230300, 3, '鸡东', '鸡东县');
INSERT INTO `regions` VALUES (230381, 230300, 3, '虎林', '虎林市');
INSERT INTO `regions` VALUES (230382, 230300, 3, '密山', '密山市');
INSERT INTO `regions` VALUES (230400, 230000, 2, '鹤岗', '鹤岗市');
INSERT INTO `regions` VALUES (230402, 230400, 3, '向阳', '向阳区');
INSERT INTO `regions` VALUES (230403, 230400, 3, '工农', '工农区');
INSERT INTO `regions` VALUES (230404, 230400, 3, '南山', '南山区');
INSERT INTO `regions` VALUES (230405, 230400, 3, '兴安', '兴安区');
INSERT INTO `regions` VALUES (230406, 230400, 3, '东山', '东山区');
INSERT INTO `regions` VALUES (230407, 230400, 3, '兴山', '兴山区');
INSERT INTO `regions` VALUES (230421, 230400, 3, '萝北', '萝北县');
INSERT INTO `regions` VALUES (230422, 230400, 3, '绥滨', '绥滨县');
INSERT INTO `regions` VALUES (230500, 230000, 2, '双鸭山', '双鸭山市');
INSERT INTO `regions` VALUES (230502, 230500, 3, '尖山', '尖山区');
INSERT INTO `regions` VALUES (230503, 230500, 3, '岭东', '岭东区');
INSERT INTO `regions` VALUES (230505, 230500, 3, '四方台', '四方台区');
INSERT INTO `regions` VALUES (230506, 230500, 3, '宝山', '宝山区');
INSERT INTO `regions` VALUES (230521, 230500, 3, '集贤', '集贤县');
INSERT INTO `regions` VALUES (230522, 230500, 3, '友谊', '友谊县');
INSERT INTO `regions` VALUES (230523, 230500, 3, '宝清', '宝清县');
INSERT INTO `regions` VALUES (230524, 230500, 3, '饶河', '饶河县');
INSERT INTO `regions` VALUES (230600, 230000, 2, '大庆', '大庆市');
INSERT INTO `regions` VALUES (230602, 230600, 3, '萨尔图', '萨尔图区');
INSERT INTO `regions` VALUES (230603, 230600, 3, '龙凤', '龙凤区');
INSERT INTO `regions` VALUES (230604, 230600, 3, '让胡路', '让胡路区');
INSERT INTO `regions` VALUES (230605, 230600, 3, '红岗', '红岗区');
INSERT INTO `regions` VALUES (230606, 230600, 3, '大同', '大同区');
INSERT INTO `regions` VALUES (230621, 230600, 3, '肇州', '肇州县');
INSERT INTO `regions` VALUES (230622, 230600, 3, '肇源', '肇源县');
INSERT INTO `regions` VALUES (230623, 230600, 3, '林甸', '林甸县');
INSERT INTO `regions` VALUES (230624, 230600, 3, '杜尔伯特', '杜尔伯特蒙古族自治县');
INSERT INTO `regions` VALUES (230700, 230000, 2, '伊春', '伊春市');
INSERT INTO `regions` VALUES (230702, 230700, 3, '伊春', '伊春区');
INSERT INTO `regions` VALUES (230703, 230700, 3, '南岔', '南岔区');
INSERT INTO `regions` VALUES (230704, 230700, 3, '友好', '友好区');
INSERT INTO `regions` VALUES (230705, 230700, 3, '西林', '西林区');
INSERT INTO `regions` VALUES (230706, 230700, 3, '翠峦', '翠峦区');
INSERT INTO `regions` VALUES (230707, 230700, 3, '新青', '新青区');
INSERT INTO `regions` VALUES (230708, 230700, 3, '美溪', '美溪区');
INSERT INTO `regions` VALUES (230709, 230700, 3, '金山屯', '金山屯区');
INSERT INTO `regions` VALUES (230710, 230700, 3, '五营', '五营区');
INSERT INTO `regions` VALUES (230711, 230700, 3, '乌马河', '乌马河区');
INSERT INTO `regions` VALUES (230712, 230700, 3, '汤旺河', '汤旺河区');
INSERT INTO `regions` VALUES (230713, 230700, 3, '带岭', '带岭区');
INSERT INTO `regions` VALUES (230714, 230700, 3, '乌伊岭', '乌伊岭区');
INSERT INTO `regions` VALUES (230715, 230700, 3, '红星', '红星区');
INSERT INTO `regions` VALUES (230716, 230700, 3, '上甘岭', '上甘岭区');
INSERT INTO `regions` VALUES (230722, 230700, 3, '嘉荫', '嘉荫县');
INSERT INTO `regions` VALUES (230781, 230700, 3, '铁力', '铁力市');
INSERT INTO `regions` VALUES (230800, 230000, 2, '佳木斯', '佳木斯市');
INSERT INTO `regions` VALUES (230803, 230800, 3, '向阳', '向阳区');
INSERT INTO `regions` VALUES (230804, 230800, 3, '前进', '前进区');
INSERT INTO `regions` VALUES (230805, 230800, 3, '东风', '东风区');
INSERT INTO `regions` VALUES (230811, 230800, 3, '郊区', '郊区');
INSERT INTO `regions` VALUES (230822, 230800, 3, '桦南', '桦南县');
INSERT INTO `regions` VALUES (230826, 230800, 3, '桦川', '桦川县');
INSERT INTO `regions` VALUES (230828, 230800, 3, '汤原', '汤原县');
INSERT INTO `regions` VALUES (230833, 230800, 3, '抚远', '抚远县');
INSERT INTO `regions` VALUES (230881, 230800, 3, '同江', '同江市');
INSERT INTO `regions` VALUES (230882, 230800, 3, '富锦', '富锦市');
INSERT INTO `regions` VALUES (230900, 230000, 2, '七台河', '七台河市');
INSERT INTO `regions` VALUES (230902, 230900, 3, '新兴', '新兴区');
INSERT INTO `regions` VALUES (230903, 230900, 3, '桃山', '桃山区');
INSERT INTO `regions` VALUES (230904, 230900, 3, '茄子河', '茄子河区');
INSERT INTO `regions` VALUES (230921, 230900, 3, '勃利', '勃利县');
INSERT INTO `regions` VALUES (231000, 230000, 2, '牡丹江', '牡丹江市');
INSERT INTO `regions` VALUES (231002, 231000, 3, '东安', '东安区');
INSERT INTO `regions` VALUES (231003, 231000, 3, '阳明', '阳明区');
INSERT INTO `regions` VALUES (231004, 231000, 3, '爱民', '爱民区');
INSERT INTO `regions` VALUES (231005, 231000, 3, '西安', '西安区');
INSERT INTO `regions` VALUES (231024, 231000, 3, '东宁', '东宁县');
INSERT INTO `regions` VALUES (231025, 231000, 3, '林口', '林口县');
INSERT INTO `regions` VALUES (231081, 231000, 3, '绥芬河', '绥芬河市');
INSERT INTO `regions` VALUES (231083, 231000, 3, '海林', '海林市');
INSERT INTO `regions` VALUES (231084, 231000, 3, '宁安', '宁安市');
INSERT INTO `regions` VALUES (231085, 231000, 3, '穆棱', '穆棱市');
INSERT INTO `regions` VALUES (231100, 230000, 2, '黑河', '黑河市');
INSERT INTO `regions` VALUES (231102, 231100, 3, '爱辉', '爱辉区');
INSERT INTO `regions` VALUES (231121, 231100, 3, '嫩江', '嫩江县');
INSERT INTO `regions` VALUES (231123, 231100, 3, '逊克', '逊克县');
INSERT INTO `regions` VALUES (231124, 231100, 3, '孙吴', '孙吴县');
INSERT INTO `regions` VALUES (231181, 231100, 3, '北安', '北安市');
INSERT INTO `regions` VALUES (231182, 231100, 3, '五大连池', '五大连池市');
INSERT INTO `regions` VALUES (231200, 230000, 2, '绥化', '绥化市');
INSERT INTO `regions` VALUES (231202, 231200, 3, '北林', '北林区');
INSERT INTO `regions` VALUES (231221, 231200, 3, '望奎', '望奎县');
INSERT INTO `regions` VALUES (231222, 231200, 3, '兰西', '兰西县');
INSERT INTO `regions` VALUES (231223, 231200, 3, '青冈', '青冈县');
INSERT INTO `regions` VALUES (231224, 231200, 3, '庆安', '庆安县');
INSERT INTO `regions` VALUES (231225, 231200, 3, '明水', '明水县');
INSERT INTO `regions` VALUES (231226, 231200, 3, '绥棱', '绥棱县');
INSERT INTO `regions` VALUES (231281, 231200, 3, '安达', '安达市');
INSERT INTO `regions` VALUES (231282, 231200, 3, '肇东', '肇东市');
INSERT INTO `regions` VALUES (231283, 231200, 3, '海伦', '海伦市');
INSERT INTO `regions` VALUES (232700, 230000, 2, '大兴安岭', '大兴安岭地区');
INSERT INTO `regions` VALUES (232701, 232700, 3, '加格达奇', '加格达奇区');
INSERT INTO `regions` VALUES (232702, 232700, 3, '新林', '新林区');
INSERT INTO `regions` VALUES (232703, 232700, 3, '松岭', '松岭区');
INSERT INTO `regions` VALUES (232704, 232700, 3, '呼中', '呼中区');
INSERT INTO `regions` VALUES (232721, 232700, 3, '呼玛', '呼玛县');
INSERT INTO `regions` VALUES (232722, 232700, 3, '塔河', '塔河县');
INSERT INTO `regions` VALUES (232723, 232700, 3, '漠河', '漠河县');
INSERT INTO `regions` VALUES (310000, 100000, 1, '上海', '上海');
INSERT INTO `regions` VALUES (310100, 310000, 2, '上海', '上海市');
INSERT INTO `regions` VALUES (310101, 310100, 3, '黄浦', '黄浦区');
INSERT INTO `regions` VALUES (310104, 310100, 3, '徐汇', '徐汇区');
INSERT INTO `regions` VALUES (310105, 310100, 3, '长宁', '长宁区');
INSERT INTO `regions` VALUES (310106, 310100, 3, '静安', '静安区');
INSERT INTO `regions` VALUES (310107, 310100, 3, '普陀', '普陀区');
INSERT INTO `regions` VALUES (310108, 310100, 3, '闸北', '闸北区');
INSERT INTO `regions` VALUES (310109, 310100, 3, '虹口', '虹口区');
INSERT INTO `regions` VALUES (310110, 310100, 3, '杨浦', '杨浦区');
INSERT INTO `regions` VALUES (310112, 310100, 3, '闵行', '闵行区');
INSERT INTO `regions` VALUES (310113, 310100, 3, '宝山', '宝山区');
INSERT INTO `regions` VALUES (310114, 310100, 3, '嘉定', '嘉定区');
INSERT INTO `regions` VALUES (310115, 310100, 3, '浦东', '浦东新区');
INSERT INTO `regions` VALUES (310116, 310100, 3, '金山', '金山区');
INSERT INTO `regions` VALUES (310117, 310100, 3, '松江', '松江区');
INSERT INTO `regions` VALUES (310118, 310100, 3, '青浦', '青浦区');
INSERT INTO `regions` VALUES (310120, 310100, 3, '奉贤', '奉贤区');
INSERT INTO `regions` VALUES (310230, 310100, 3, '崇明', '崇明县');
INSERT INTO `regions` VALUES (320000, 100000, 1, '江苏', '江苏省');
INSERT INTO `regions` VALUES (320100, 320000, 2, '南京', '南京市');
INSERT INTO `regions` VALUES (320102, 320100, 3, '玄武', '玄武区');
INSERT INTO `regions` VALUES (320104, 320100, 3, '秦淮', '秦淮区');
INSERT INTO `regions` VALUES (320105, 320100, 3, '建邺', '建邺区');
INSERT INTO `regions` VALUES (320106, 320100, 3, '鼓楼', '鼓楼区');
INSERT INTO `regions` VALUES (320111, 320100, 3, '浦口', '浦口区');
INSERT INTO `regions` VALUES (320113, 320100, 3, '栖霞', '栖霞区');
INSERT INTO `regions` VALUES (320114, 320100, 3, '雨花台', '雨花台区');
INSERT INTO `regions` VALUES (320115, 320100, 3, '江宁', '江宁区');
INSERT INTO `regions` VALUES (320116, 320100, 3, '六合', '六合区');
INSERT INTO `regions` VALUES (320117, 320100, 3, '溧水', '溧水区');
INSERT INTO `regions` VALUES (320118, 320100, 3, '高淳', '高淳区');
INSERT INTO `regions` VALUES (320200, 320000, 2, '无锡', '无锡市');
INSERT INTO `regions` VALUES (320202, 320200, 3, '崇安', '崇安区');
INSERT INTO `regions` VALUES (320203, 320200, 3, '南长', '南长区');
INSERT INTO `regions` VALUES (320204, 320200, 3, '北塘', '北塘区');
INSERT INTO `regions` VALUES (320205, 320200, 3, '锡山', '锡山区');
INSERT INTO `regions` VALUES (320206, 320200, 3, '惠山', '惠山区');
INSERT INTO `regions` VALUES (320211, 320200, 3, '滨湖', '滨湖区');
INSERT INTO `regions` VALUES (320281, 320200, 3, '江阴', '江阴市');
INSERT INTO `regions` VALUES (320282, 320200, 3, '宜兴', '宜兴市');
INSERT INTO `regions` VALUES (320300, 320000, 2, '徐州', '徐州市');
INSERT INTO `regions` VALUES (320302, 320300, 3, '鼓楼', '鼓楼区');
INSERT INTO `regions` VALUES (320303, 320300, 3, '云龙', '云龙区');
INSERT INTO `regions` VALUES (320305, 320300, 3, '贾汪', '贾汪区');
INSERT INTO `regions` VALUES (320311, 320300, 3, '泉山', '泉山区');
INSERT INTO `regions` VALUES (320312, 320300, 3, '铜山', '铜山区');
INSERT INTO `regions` VALUES (320321, 320300, 3, '丰县', '丰县');
INSERT INTO `regions` VALUES (320322, 320300, 3, '沛县', '沛县');
INSERT INTO `regions` VALUES (320324, 320300, 3, '睢宁', '睢宁县');
INSERT INTO `regions` VALUES (320381, 320300, 3, '新沂', '新沂市');
INSERT INTO `regions` VALUES (320382, 320300, 3, '邳州', '邳州市');
INSERT INTO `regions` VALUES (320400, 320000, 2, '常州', '常州市');
INSERT INTO `regions` VALUES (320402, 320400, 3, '天宁', '天宁区');
INSERT INTO `regions` VALUES (320404, 320400, 3, '钟楼', '钟楼区');
INSERT INTO `regions` VALUES (320405, 320400, 3, '戚墅堰', '戚墅堰区');
INSERT INTO `regions` VALUES (320411, 320400, 3, '新北', '新北区');
INSERT INTO `regions` VALUES (320412, 320400, 3, '武进', '武进区');
INSERT INTO `regions` VALUES (320481, 320400, 3, '溧阳', '溧阳市');
INSERT INTO `regions` VALUES (320482, 320400, 3, '金坛', '金坛市');
INSERT INTO `regions` VALUES (320500, 320000, 2, '苏州', '苏州市');
INSERT INTO `regions` VALUES (320505, 320500, 3, '虎丘', '虎丘区');
INSERT INTO `regions` VALUES (320506, 320500, 3, '吴中', '吴中区');
INSERT INTO `regions` VALUES (320507, 320500, 3, '相城', '相城区');
INSERT INTO `regions` VALUES (320508, 320500, 3, '姑苏', '姑苏区');
INSERT INTO `regions` VALUES (320509, 320500, 3, '吴江', '吴江区');
INSERT INTO `regions` VALUES (320581, 320500, 3, '常熟', '常熟市');
INSERT INTO `regions` VALUES (320582, 320500, 3, '张家港', '张家港市');
INSERT INTO `regions` VALUES (320583, 320500, 3, '昆山', '昆山市');
INSERT INTO `regions` VALUES (320585, 320500, 3, '太仓', '太仓市');
INSERT INTO `regions` VALUES (320600, 320000, 2, '南通', '南通市');
INSERT INTO `regions` VALUES (320602, 320600, 3, '崇川', '崇川区');
INSERT INTO `regions` VALUES (320611, 320600, 3, '港闸', '港闸区');
INSERT INTO `regions` VALUES (320612, 320600, 3, '通州', '通州区');
INSERT INTO `regions` VALUES (320621, 320600, 3, '海安', '海安县');
INSERT INTO `regions` VALUES (320623, 320600, 3, '如东', '如东县');
INSERT INTO `regions` VALUES (320681, 320600, 3, '启东', '启东市');
INSERT INTO `regions` VALUES (320682, 320600, 3, '如皋', '如皋市');
INSERT INTO `regions` VALUES (320684, 320600, 3, '海门', '海门市');
INSERT INTO `regions` VALUES (320700, 320000, 2, '连云港', '连云港市');
INSERT INTO `regions` VALUES (320703, 320700, 3, '连云', '连云区');
INSERT INTO `regions` VALUES (320706, 320700, 3, '海州', '海州区');
INSERT INTO `regions` VALUES (320707, 320700, 3, '赣榆', '赣榆区');
INSERT INTO `regions` VALUES (320722, 320700, 3, '东海', '东海县');
INSERT INTO `regions` VALUES (320723, 320700, 3, '灌云', '灌云县');
INSERT INTO `regions` VALUES (320724, 320700, 3, '灌南', '灌南县');
INSERT INTO `regions` VALUES (320800, 320000, 2, '淮安', '淮安市');
INSERT INTO `regions` VALUES (320802, 320800, 3, '清河', '清河区');
INSERT INTO `regions` VALUES (320803, 320800, 3, '淮安', '淮安区');
INSERT INTO `regions` VALUES (320804, 320800, 3, '淮阴', '淮阴区');
INSERT INTO `regions` VALUES (320811, 320800, 3, '清浦', '清浦区');
INSERT INTO `regions` VALUES (320826, 320800, 3, '涟水', '涟水县');
INSERT INTO `regions` VALUES (320829, 320800, 3, '洪泽', '洪泽县');
INSERT INTO `regions` VALUES (320830, 320800, 3, '盱眙', '盱眙县');
INSERT INTO `regions` VALUES (320831, 320800, 3, '金湖', '金湖县');
INSERT INTO `regions` VALUES (320900, 320000, 2, '盐城', '盐城市');
INSERT INTO `regions` VALUES (320902, 320900, 3, '亭湖', '亭湖区');
INSERT INTO `regions` VALUES (320903, 320900, 3, '盐都', '盐都区');
INSERT INTO `regions` VALUES (320921, 320900, 3, '响水', '响水县');
INSERT INTO `regions` VALUES (320922, 320900, 3, '滨海', '滨海县');
INSERT INTO `regions` VALUES (320923, 320900, 3, '阜宁', '阜宁县');
INSERT INTO `regions` VALUES (320924, 320900, 3, '射阳', '射阳县');
INSERT INTO `regions` VALUES (320925, 320900, 3, '建湖', '建湖县');
INSERT INTO `regions` VALUES (320981, 320900, 3, '东台', '东台市');
INSERT INTO `regions` VALUES (320982, 320900, 3, '大丰', '大丰市');
INSERT INTO `regions` VALUES (321000, 320000, 2, '扬州', '扬州市');
INSERT INTO `regions` VALUES (321002, 321000, 3, '广陵', '广陵区');
INSERT INTO `regions` VALUES (321003, 321000, 3, '邗江', '邗江区');
INSERT INTO `regions` VALUES (321012, 321000, 3, '江都', '江都区');
INSERT INTO `regions` VALUES (321023, 321000, 3, '宝应', '宝应县');
INSERT INTO `regions` VALUES (321081, 321000, 3, '仪征', '仪征市');
INSERT INTO `regions` VALUES (321084, 321000, 3, '高邮', '高邮市');
INSERT INTO `regions` VALUES (321100, 320000, 2, '镇江', '镇江市');
INSERT INTO `regions` VALUES (321102, 321100, 3, '京口', '京口区');
INSERT INTO `regions` VALUES (321111, 321100, 3, '润州', '润州区');
INSERT INTO `regions` VALUES (321112, 321100, 3, '丹徒', '丹徒区');
INSERT INTO `regions` VALUES (321181, 321100, 3, '丹阳', '丹阳市');
INSERT INTO `regions` VALUES (321182, 321100, 3, '扬中', '扬中市');
INSERT INTO `regions` VALUES (321183, 321100, 3, '句容', '句容市');
INSERT INTO `regions` VALUES (321200, 320000, 2, '泰州', '泰州市');
INSERT INTO `regions` VALUES (321202, 321200, 3, '海陵', '海陵区');
INSERT INTO `regions` VALUES (321203, 321200, 3, '高港', '高港区');
INSERT INTO `regions` VALUES (321204, 321200, 3, '姜堰', '姜堰区');
INSERT INTO `regions` VALUES (321281, 321200, 3, '兴化', '兴化市');
INSERT INTO `regions` VALUES (321282, 321200, 3, '靖江', '靖江市');
INSERT INTO `regions` VALUES (321283, 321200, 3, '泰兴', '泰兴市');
INSERT INTO `regions` VALUES (321300, 320000, 2, '宿迁', '宿迁市');
INSERT INTO `regions` VALUES (321302, 321300, 3, '宿城', '宿城区');
INSERT INTO `regions` VALUES (321311, 321300, 3, '宿豫', '宿豫区');
INSERT INTO `regions` VALUES (321322, 321300, 3, '沭阳', '沭阳县');
INSERT INTO `regions` VALUES (321323, 321300, 3, '泗阳', '泗阳县');
INSERT INTO `regions` VALUES (321324, 321300, 3, '泗洪', '泗洪县');
INSERT INTO `regions` VALUES (330000, 100000, 1, '浙江', '浙江省');
INSERT INTO `regions` VALUES (330100, 330000, 2, '杭州', '杭州市');
INSERT INTO `regions` VALUES (330102, 330100, 3, '上城', '上城区');
INSERT INTO `regions` VALUES (330103, 330100, 3, '下城', '下城区');
INSERT INTO `regions` VALUES (330104, 330100, 3, '江干', '江干区');
INSERT INTO `regions` VALUES (330105, 330100, 3, '拱墅', '拱墅区');
INSERT INTO `regions` VALUES (330106, 330100, 3, '西湖', '西湖区');
INSERT INTO `regions` VALUES (330108, 330100, 3, '滨江', '滨江区');
INSERT INTO `regions` VALUES (330109, 330100, 3, '萧山', '萧山区');
INSERT INTO `regions` VALUES (330110, 330100, 3, '余杭', '余杭区');
INSERT INTO `regions` VALUES (330122, 330100, 3, '桐庐', '桐庐县');
INSERT INTO `regions` VALUES (330127, 330100, 3, '淳安', '淳安县');
INSERT INTO `regions` VALUES (330182, 330100, 3, '建德', '建德市');
INSERT INTO `regions` VALUES (330183, 330100, 3, '富阳', '富阳区');
INSERT INTO `regions` VALUES (330185, 330100, 3, '临安', '临安市');
INSERT INTO `regions` VALUES (330200, 330000, 2, '宁波', '宁波市');
INSERT INTO `regions` VALUES (330203, 330200, 3, '海曙', '海曙区');
INSERT INTO `regions` VALUES (330204, 330200, 3, '江东', '江东区');
INSERT INTO `regions` VALUES (330205, 330200, 3, '江北', '江北区');
INSERT INTO `regions` VALUES (330206, 330200, 3, '北仑', '北仑区');
INSERT INTO `regions` VALUES (330211, 330200, 3, '镇海', '镇海区');
INSERT INTO `regions` VALUES (330212, 330200, 3, '鄞州', '鄞州区');
INSERT INTO `regions` VALUES (330225, 330200, 3, '象山', '象山县');
INSERT INTO `regions` VALUES (330226, 330200, 3, '宁海', '宁海县');
INSERT INTO `regions` VALUES (330281, 330200, 3, '余姚', '余姚市');
INSERT INTO `regions` VALUES (330282, 330200, 3, '慈溪', '慈溪市');
INSERT INTO `regions` VALUES (330283, 330200, 3, '奉化', '奉化市');
INSERT INTO `regions` VALUES (330300, 330000, 2, '温州', '温州市');
INSERT INTO `regions` VALUES (330302, 330300, 3, '鹿城', '鹿城区');
INSERT INTO `regions` VALUES (330303, 330300, 3, '龙湾', '龙湾区');
INSERT INTO `regions` VALUES (330304, 330300, 3, '瓯海', '瓯海区');
INSERT INTO `regions` VALUES (330322, 330300, 3, '洞头', '洞头县');
INSERT INTO `regions` VALUES (330324, 330300, 3, '永嘉', '永嘉县');
INSERT INTO `regions` VALUES (330326, 330300, 3, '平阳', '平阳县');
INSERT INTO `regions` VALUES (330327, 330300, 3, '苍南', '苍南县');
INSERT INTO `regions` VALUES (330328, 330300, 3, '文成', '文成县');
INSERT INTO `regions` VALUES (330329, 330300, 3, '泰顺', '泰顺县');
INSERT INTO `regions` VALUES (330381, 330300, 3, '瑞安', '瑞安市');
INSERT INTO `regions` VALUES (330382, 330300, 3, '乐清', '乐清市');
INSERT INTO `regions` VALUES (330400, 330000, 2, '嘉兴', '嘉兴市');
INSERT INTO `regions` VALUES (330402, 330400, 3, '南湖', '南湖区');
INSERT INTO `regions` VALUES (330411, 330400, 3, '秀洲', '秀洲区');
INSERT INTO `regions` VALUES (330421, 330400, 3, '嘉善', '嘉善县');
INSERT INTO `regions` VALUES (330424, 330400, 3, '海盐', '海盐县');
INSERT INTO `regions` VALUES (330481, 330400, 3, '海宁', '海宁市');
INSERT INTO `regions` VALUES (330482, 330400, 3, '平湖', '平湖市');
INSERT INTO `regions` VALUES (330483, 330400, 3, '桐乡', '桐乡市');
INSERT INTO `regions` VALUES (330500, 330000, 2, '湖州', '湖州市');
INSERT INTO `regions` VALUES (330502, 330500, 3, '吴兴', '吴兴区');
INSERT INTO `regions` VALUES (330503, 330500, 3, '南浔', '南浔区');
INSERT INTO `regions` VALUES (330521, 330500, 3, '德清', '德清县');
INSERT INTO `regions` VALUES (330522, 330500, 3, '长兴', '长兴县');
INSERT INTO `regions` VALUES (330523, 330500, 3, '安吉', '安吉县');
INSERT INTO `regions` VALUES (330600, 330000, 2, '绍兴', '绍兴市');
INSERT INTO `regions` VALUES (330602, 330600, 3, '越城', '越城区');
INSERT INTO `regions` VALUES (330603, 330600, 3, '柯桥', '柯桥区');
INSERT INTO `regions` VALUES (330604, 330600, 3, '上虞', '上虞区');
INSERT INTO `regions` VALUES (330624, 330600, 3, '新昌', '新昌县');
INSERT INTO `regions` VALUES (330681, 330600, 3, '诸暨', '诸暨市');
INSERT INTO `regions` VALUES (330683, 330600, 3, '嵊州', '嵊州市');
INSERT INTO `regions` VALUES (330700, 330000, 2, '金华', '金华市');
INSERT INTO `regions` VALUES (330702, 330700, 3, '婺城', '婺城区');
INSERT INTO `regions` VALUES (330703, 330700, 3, '金东', '金东区');
INSERT INTO `regions` VALUES (330723, 330700, 3, '武义', '武义县');
INSERT INTO `regions` VALUES (330726, 330700, 3, '浦江', '浦江县');
INSERT INTO `regions` VALUES (330727, 330700, 3, '磐安', '磐安县');
INSERT INTO `regions` VALUES (330781, 330700, 3, '兰溪', '兰溪市');
INSERT INTO `regions` VALUES (330782, 330700, 3, '义乌', '义乌市');
INSERT INTO `regions` VALUES (330783, 330700, 3, '东阳', '东阳市');
INSERT INTO `regions` VALUES (330784, 330700, 3, '永康', '永康市');
INSERT INTO `regions` VALUES (330800, 330000, 2, '衢州', '衢州市');
INSERT INTO `regions` VALUES (330802, 330800, 3, '柯城', '柯城区');
INSERT INTO `regions` VALUES (330803, 330800, 3, '衢江', '衢江区');
INSERT INTO `regions` VALUES (330822, 330800, 3, '常山', '常山县');
INSERT INTO `regions` VALUES (330824, 330800, 3, '开化', '开化县');
INSERT INTO `regions` VALUES (330825, 330800, 3, '龙游', '龙游县');
INSERT INTO `regions` VALUES (330881, 330800, 3, '江山', '江山市');
INSERT INTO `regions` VALUES (330900, 330000, 2, '舟山', '舟山市');
INSERT INTO `regions` VALUES (330902, 330900, 3, '定海', '定海区');
INSERT INTO `regions` VALUES (330903, 330900, 3, '普陀', '普陀区');
INSERT INTO `regions` VALUES (330921, 330900, 3, '岱山', '岱山县');
INSERT INTO `regions` VALUES (330922, 330900, 3, '嵊泗', '嵊泗县');
INSERT INTO `regions` VALUES (331000, 330000, 2, '台州', '台州市');
INSERT INTO `regions` VALUES (331002, 331000, 3, '椒江', '椒江区');
INSERT INTO `regions` VALUES (331003, 331000, 3, '黄岩', '黄岩区');
INSERT INTO `regions` VALUES (331004, 331000, 3, '路桥', '路桥区');
INSERT INTO `regions` VALUES (331021, 331000, 3, '玉环', '玉环县');
INSERT INTO `regions` VALUES (331022, 331000, 3, '三门', '三门县');
INSERT INTO `regions` VALUES (331023, 331000, 3, '天台', '天台县');
INSERT INTO `regions` VALUES (331024, 331000, 3, '仙居', '仙居县');
INSERT INTO `regions` VALUES (331081, 331000, 3, '温岭', '温岭市');
INSERT INTO `regions` VALUES (331082, 331000, 3, '临海', '临海市');
INSERT INTO `regions` VALUES (331100, 330000, 2, '丽水', '丽水市');
INSERT INTO `regions` VALUES (331102, 331100, 3, '莲都', '莲都区');
INSERT INTO `regions` VALUES (331121, 331100, 3, '青田', '青田县');
INSERT INTO `regions` VALUES (331122, 331100, 3, '缙云', '缙云县');
INSERT INTO `regions` VALUES (331123, 331100, 3, '遂昌', '遂昌县');
INSERT INTO `regions` VALUES (331124, 331100, 3, '松阳', '松阳县');
INSERT INTO `regions` VALUES (331125, 331100, 3, '云和', '云和县');
INSERT INTO `regions` VALUES (331126, 331100, 3, '庆元', '庆元县');
INSERT INTO `regions` VALUES (331127, 331100, 3, '景宁', '景宁畲族自治县');
INSERT INTO `regions` VALUES (331181, 331100, 3, '龙泉', '龙泉市');
INSERT INTO `regions` VALUES (331200, 330000, 2, '舟山新区', '舟山群岛新区');
INSERT INTO `regions` VALUES (331201, 331200, 3, '金塘', '金塘岛');
INSERT INTO `regions` VALUES (331202, 331200, 3, '六横', '六横岛');
INSERT INTO `regions` VALUES (331203, 331200, 3, '衢山', '衢山岛');
INSERT INTO `regions` VALUES (331204, 331200, 3, '舟山', '舟山本岛西北部');
INSERT INTO `regions` VALUES (331205, 331200, 3, '岱山', '岱山岛西南部');
INSERT INTO `regions` VALUES (331206, 331200, 3, '泗礁', '泗礁岛');
INSERT INTO `regions` VALUES (331207, 331200, 3, '朱家尖', '朱家尖岛');
INSERT INTO `regions` VALUES (331208, 331200, 3, '洋山', '洋山岛');
INSERT INTO `regions` VALUES (331209, 331200, 3, '长涂', '长涂岛');
INSERT INTO `regions` VALUES (331210, 331200, 3, '虾峙', '虾峙岛');
INSERT INTO `regions` VALUES (340000, 100000, 1, '安徽', '安徽省');
INSERT INTO `regions` VALUES (340100, 340000, 2, '合肥', '合肥市');
INSERT INTO `regions` VALUES (340102, 340100, 3, '瑶海', '瑶海区');
INSERT INTO `regions` VALUES (340103, 340100, 3, '庐阳', '庐阳区');
INSERT INTO `regions` VALUES (340104, 340100, 3, '蜀山', '蜀山区');
INSERT INTO `regions` VALUES (340111, 340100, 3, '包河', '包河区');
INSERT INTO `regions` VALUES (340121, 340100, 3, '长丰', '长丰县');
INSERT INTO `regions` VALUES (340122, 340100, 3, '肥东', '肥东县');
INSERT INTO `regions` VALUES (340123, 340100, 3, '肥西', '肥西县');
INSERT INTO `regions` VALUES (340124, 340100, 3, '庐江', '庐江县');
INSERT INTO `regions` VALUES (340181, 340100, 3, '巢湖', '巢湖市');
INSERT INTO `regions` VALUES (340200, 340000, 2, '芜湖', '芜湖市');
INSERT INTO `regions` VALUES (340202, 340200, 3, '镜湖', '镜湖区');
INSERT INTO `regions` VALUES (340203, 340200, 3, '弋江', '弋江区');
INSERT INTO `regions` VALUES (340207, 340200, 3, '鸠江', '鸠江区');
INSERT INTO `regions` VALUES (340208, 340200, 3, '三山', '三山区');
INSERT INTO `regions` VALUES (340221, 340200, 3, '芜湖', '芜湖县');
INSERT INTO `regions` VALUES (340222, 340200, 3, '繁昌', '繁昌县');
INSERT INTO `regions` VALUES (340223, 340200, 3, '南陵', '南陵县');
INSERT INTO `regions` VALUES (340225, 340200, 3, '无为', '无为县');
INSERT INTO `regions` VALUES (340300, 340000, 2, '蚌埠', '蚌埠市');
INSERT INTO `regions` VALUES (340302, 340300, 3, '龙子湖', '龙子湖区');
INSERT INTO `regions` VALUES (340303, 340300, 3, '蚌山', '蚌山区');
INSERT INTO `regions` VALUES (340304, 340300, 3, '禹会', '禹会区');
INSERT INTO `regions` VALUES (340311, 340300, 3, '淮上', '淮上区');
INSERT INTO `regions` VALUES (340321, 340300, 3, '怀远', '怀远县');
INSERT INTO `regions` VALUES (340322, 340300, 3, '五河', '五河县');
INSERT INTO `regions` VALUES (340323, 340300, 3, '固镇', '固镇县');
INSERT INTO `regions` VALUES (340400, 340000, 2, '淮南', '淮南市');
INSERT INTO `regions` VALUES (340402, 340400, 3, '大通', '大通区');
INSERT INTO `regions` VALUES (340403, 340400, 3, '田家庵', '田家庵区');
INSERT INTO `regions` VALUES (340404, 340400, 3, '谢家集', '谢家集区');
INSERT INTO `regions` VALUES (340405, 340400, 3, '八公山', '八公山区');
INSERT INTO `regions` VALUES (340406, 340400, 3, '潘集', '潘集区');
INSERT INTO `regions` VALUES (340421, 340400, 3, '凤台', '凤台县');
INSERT INTO `regions` VALUES (340500, 340000, 2, '马鞍山', '马鞍山市');
INSERT INTO `regions` VALUES (340503, 340500, 3, '花山', '花山区');
INSERT INTO `regions` VALUES (340504, 340500, 3, '雨山', '雨山区');
INSERT INTO `regions` VALUES (340506, 340500, 3, '博望', '博望区');
INSERT INTO `regions` VALUES (340521, 340500, 3, '当涂', '当涂县');
INSERT INTO `regions` VALUES (340522, 340500, 3, '含山', '含山县');
INSERT INTO `regions` VALUES (340523, 340500, 3, '和县', '和县');
INSERT INTO `regions` VALUES (340600, 340000, 2, '淮北', '淮北市');
INSERT INTO `regions` VALUES (340602, 340600, 3, '杜集', '杜集区');
INSERT INTO `regions` VALUES (340603, 340600, 3, '相山', '相山区');
INSERT INTO `regions` VALUES (340604, 340600, 3, '烈山', '烈山区');
INSERT INTO `regions` VALUES (340621, 340600, 3, '濉溪', '濉溪县');
INSERT INTO `regions` VALUES (340700, 340000, 2, '铜陵', '铜陵市');
INSERT INTO `regions` VALUES (340702, 340700, 3, '铜官山', '铜官山区');
INSERT INTO `regions` VALUES (340703, 340700, 3, '狮子山', '狮子山区');
INSERT INTO `regions` VALUES (340711, 340700, 3, '郊区', '郊区');
INSERT INTO `regions` VALUES (340721, 340700, 3, '铜陵', '铜陵县');
INSERT INTO `regions` VALUES (340800, 340000, 2, '安庆', '安庆市');
INSERT INTO `regions` VALUES (340802, 340800, 3, '迎江', '迎江区');
INSERT INTO `regions` VALUES (340803, 340800, 3, '大观', '大观区');
INSERT INTO `regions` VALUES (340811, 340800, 3, '宜秀', '宜秀区');
INSERT INTO `regions` VALUES (340822, 340800, 3, '怀宁', '怀宁县');
INSERT INTO `regions` VALUES (340823, 340800, 3, '枞阳', '枞阳县');
INSERT INTO `regions` VALUES (340824, 340800, 3, '潜山', '潜山县');
INSERT INTO `regions` VALUES (340825, 340800, 3, '太湖', '太湖县');
INSERT INTO `regions` VALUES (340826, 340800, 3, '宿松', '宿松县');
INSERT INTO `regions` VALUES (340827, 340800, 3, '望江', '望江县');
INSERT INTO `regions` VALUES (340828, 340800, 3, '岳西', '岳西县');
INSERT INTO `regions` VALUES (340881, 340800, 3, '桐城', '桐城市');
INSERT INTO `regions` VALUES (341000, 340000, 2, '黄山', '黄山市');
INSERT INTO `regions` VALUES (341002, 341000, 3, '屯溪', '屯溪区');
INSERT INTO `regions` VALUES (341003, 341000, 3, '黄山', '黄山区');
INSERT INTO `regions` VALUES (341004, 341000, 3, '徽州', '徽州区');
INSERT INTO `regions` VALUES (341021, 341000, 3, '歙县', '歙县');
INSERT INTO `regions` VALUES (341022, 341000, 3, '休宁', '休宁县');
INSERT INTO `regions` VALUES (341023, 341000, 3, '黟县', '黟县');
INSERT INTO `regions` VALUES (341024, 341000, 3, '祁门', '祁门县');
INSERT INTO `regions` VALUES (341100, 340000, 2, '滁州', '滁州市');
INSERT INTO `regions` VALUES (341102, 341100, 3, '琅琊', '琅琊区');
INSERT INTO `regions` VALUES (341103, 341100, 3, '南谯', '南谯区');
INSERT INTO `regions` VALUES (341122, 341100, 3, '来安', '来安县');
INSERT INTO `regions` VALUES (341124, 341100, 3, '全椒', '全椒县');
INSERT INTO `regions` VALUES (341125, 341100, 3, '定远', '定远县');
INSERT INTO `regions` VALUES (341126, 341100, 3, '凤阳', '凤阳县');
INSERT INTO `regions` VALUES (341181, 341100, 3, '天长', '天长市');
INSERT INTO `regions` VALUES (341182, 341100, 3, '明光', '明光市');
INSERT INTO `regions` VALUES (341200, 340000, 2, '阜阳', '阜阳市');
INSERT INTO `regions` VALUES (341202, 341200, 3, '颍州', '颍州区');
INSERT INTO `regions` VALUES (341203, 341200, 3, '颍东', '颍东区');
INSERT INTO `regions` VALUES (341204, 341200, 3, '颍泉', '颍泉区');
INSERT INTO `regions` VALUES (341221, 341200, 3, '临泉', '临泉县');
INSERT INTO `regions` VALUES (341222, 341200, 3, '太和', '太和县');
INSERT INTO `regions` VALUES (341225, 341200, 3, '阜南', '阜南县');
INSERT INTO `regions` VALUES (341226, 341200, 3, '颍上', '颍上县');
INSERT INTO `regions` VALUES (341282, 341200, 3, '界首', '界首市');
INSERT INTO `regions` VALUES (341300, 340000, 2, '宿州', '宿州市');
INSERT INTO `regions` VALUES (341302, 341300, 3, '埇桥', '埇桥区');
INSERT INTO `regions` VALUES (341321, 341300, 3, '砀山', '砀山县');
INSERT INTO `regions` VALUES (341322, 341300, 3, '萧县', '萧县');
INSERT INTO `regions` VALUES (341323, 341300, 3, '灵璧', '灵璧县');
INSERT INTO `regions` VALUES (341324, 341300, 3, '泗县', '泗县');
INSERT INTO `regions` VALUES (341500, 340000, 2, '六安', '六安市');
INSERT INTO `regions` VALUES (341502, 341500, 3, '金安', '金安区');
INSERT INTO `regions` VALUES (341503, 341500, 3, '裕安', '裕安区');
INSERT INTO `regions` VALUES (341521, 341500, 3, '寿县', '寿县');
INSERT INTO `regions` VALUES (341522, 341500, 3, '霍邱', '霍邱县');
INSERT INTO `regions` VALUES (341523, 341500, 3, '舒城', '舒城县');
INSERT INTO `regions` VALUES (341524, 341500, 3, '金寨', '金寨县');
INSERT INTO `regions` VALUES (341525, 341500, 3, '霍山', '霍山县');
INSERT INTO `regions` VALUES (341600, 340000, 2, '亳州', '亳州市');
INSERT INTO `regions` VALUES (341602, 341600, 3, '谯城', '谯城区');
INSERT INTO `regions` VALUES (341621, 341600, 3, '涡阳', '涡阳县');
INSERT INTO `regions` VALUES (341622, 341600, 3, '蒙城', '蒙城县');
INSERT INTO `regions` VALUES (341623, 341600, 3, '利辛', '利辛县');
INSERT INTO `regions` VALUES (341700, 340000, 2, '池州', '池州市');
INSERT INTO `regions` VALUES (341702, 341700, 3, '贵池', '贵池区');
INSERT INTO `regions` VALUES (341721, 341700, 3, '东至', '东至县');
INSERT INTO `regions` VALUES (341722, 341700, 3, '石台', '石台县');
INSERT INTO `regions` VALUES (341723, 341700, 3, '青阳', '青阳县');
INSERT INTO `regions` VALUES (341800, 340000, 2, '宣城', '宣城市');
INSERT INTO `regions` VALUES (341802, 341800, 3, '宣州', '宣州区');
INSERT INTO `regions` VALUES (341821, 341800, 3, '郎溪', '郎溪县');
INSERT INTO `regions` VALUES (341822, 341800, 3, '广德', '广德县');
INSERT INTO `regions` VALUES (341823, 341800, 3, '泾县', '泾县');
INSERT INTO `regions` VALUES (341824, 341800, 3, '绩溪', '绩溪县');
INSERT INTO `regions` VALUES (341825, 341800, 3, '旌德', '旌德县');
INSERT INTO `regions` VALUES (341881, 341800, 3, '宁国', '宁国市');
INSERT INTO `regions` VALUES (350000, 100000, 1, '福建', '福建省');
INSERT INTO `regions` VALUES (350100, 350000, 2, '福州', '福州市');
INSERT INTO `regions` VALUES (350102, 350100, 3, '鼓楼', '鼓楼区');
INSERT INTO `regions` VALUES (350103, 350100, 3, '台江', '台江区');
INSERT INTO `regions` VALUES (350104, 350100, 3, '仓山', '仓山区');
INSERT INTO `regions` VALUES (350105, 350100, 3, '马尾', '马尾区');
INSERT INTO `regions` VALUES (350111, 350100, 3, '晋安', '晋安区');
INSERT INTO `regions` VALUES (350121, 350100, 3, '闽侯', '闽侯县');
INSERT INTO `regions` VALUES (350122, 350100, 3, '连江', '连江县');
INSERT INTO `regions` VALUES (350123, 350100, 3, '罗源', '罗源县');
INSERT INTO `regions` VALUES (350124, 350100, 3, '闽清', '闽清县');
INSERT INTO `regions` VALUES (350125, 350100, 3, '永泰', '永泰县');
INSERT INTO `regions` VALUES (350128, 350100, 3, '平潭', '平潭县');
INSERT INTO `regions` VALUES (350181, 350100, 3, '福清', '福清市');
INSERT INTO `regions` VALUES (350182, 350100, 3, '长乐', '长乐市');
INSERT INTO `regions` VALUES (350200, 350000, 2, '厦门', '厦门市');
INSERT INTO `regions` VALUES (350203, 350200, 3, '思明', '思明区');
INSERT INTO `regions` VALUES (350205, 350200, 3, '海沧', '海沧区');
INSERT INTO `regions` VALUES (350206, 350200, 3, '湖里', '湖里区');
INSERT INTO `regions` VALUES (350211, 350200, 3, '集美', '集美区');
INSERT INTO `regions` VALUES (350212, 350200, 3, '同安', '同安区');
INSERT INTO `regions` VALUES (350213, 350200, 3, '翔安', '翔安区');
INSERT INTO `regions` VALUES (350300, 350000, 2, '莆田', '莆田市');
INSERT INTO `regions` VALUES (350302, 350300, 3, '城厢', '城厢区');
INSERT INTO `regions` VALUES (350303, 350300, 3, '涵江', '涵江区');
INSERT INTO `regions` VALUES (350304, 350300, 3, '荔城', '荔城区');
INSERT INTO `regions` VALUES (350305, 350300, 3, '秀屿', '秀屿区');
INSERT INTO `regions` VALUES (350322, 350300, 3, '仙游', '仙游县');
INSERT INTO `regions` VALUES (350400, 350000, 2, '三明', '三明市');
INSERT INTO `regions` VALUES (350402, 350400, 3, '梅列', '梅列区');
INSERT INTO `regions` VALUES (350403, 350400, 3, '三元', '三元区');
INSERT INTO `regions` VALUES (350421, 350400, 3, '明溪', '明溪县');
INSERT INTO `regions` VALUES (350423, 350400, 3, '清流', '清流县');
INSERT INTO `regions` VALUES (350424, 350400, 3, '宁化', '宁化县');
INSERT INTO `regions` VALUES (350425, 350400, 3, '大田', '大田县');
INSERT INTO `regions` VALUES (350426, 350400, 3, '尤溪', '尤溪县');
INSERT INTO `regions` VALUES (350427, 350400, 3, '沙县', '沙县');
INSERT INTO `regions` VALUES (350428, 350400, 3, '将乐', '将乐县');
INSERT INTO `regions` VALUES (350429, 350400, 3, '泰宁', '泰宁县');
INSERT INTO `regions` VALUES (350430, 350400, 3, '建宁', '建宁县');
INSERT INTO `regions` VALUES (350481, 350400, 3, '永安', '永安市');
INSERT INTO `regions` VALUES (350500, 350000, 2, '泉州', '泉州市');
INSERT INTO `regions` VALUES (350502, 350500, 3, '鲤城', '鲤城区');
INSERT INTO `regions` VALUES (350503, 350500, 3, '丰泽', '丰泽区');
INSERT INTO `regions` VALUES (350504, 350500, 3, '洛江', '洛江区');
INSERT INTO `regions` VALUES (350505, 350500, 3, '泉港', '泉港区');
INSERT INTO `regions` VALUES (350521, 350500, 3, '惠安', '惠安县');
INSERT INTO `regions` VALUES (350524, 350500, 3, '安溪', '安溪县');
INSERT INTO `regions` VALUES (350525, 350500, 3, '永春', '永春县');
INSERT INTO `regions` VALUES (350526, 350500, 3, '德化', '德化县');
INSERT INTO `regions` VALUES (350527, 350500, 3, '金门', '金门县');
INSERT INTO `regions` VALUES (350581, 350500, 3, '石狮', '石狮市');
INSERT INTO `regions` VALUES (350582, 350500, 3, '晋江', '晋江市');
INSERT INTO `regions` VALUES (350583, 350500, 3, '南安', '南安市');
INSERT INTO `regions` VALUES (350600, 350000, 2, '漳州', '漳州市');
INSERT INTO `regions` VALUES (350602, 350600, 3, '芗城', '芗城区');
INSERT INTO `regions` VALUES (350603, 350600, 3, '龙文', '龙文区');
INSERT INTO `regions` VALUES (350622, 350600, 3, '云霄', '云霄县');
INSERT INTO `regions` VALUES (350623, 350600, 3, '漳浦', '漳浦县');
INSERT INTO `regions` VALUES (350624, 350600, 3, '诏安', '诏安县');
INSERT INTO `regions` VALUES (350625, 350600, 3, '长泰', '长泰县');
INSERT INTO `regions` VALUES (350626, 350600, 3, '东山', '东山县');
INSERT INTO `regions` VALUES (350627, 350600, 3, '南靖', '南靖县');
INSERT INTO `regions` VALUES (350628, 350600, 3, '平和', '平和县');
INSERT INTO `regions` VALUES (350629, 350600, 3, '华安', '华安县');
INSERT INTO `regions` VALUES (350681, 350600, 3, '龙海', '龙海市');
INSERT INTO `regions` VALUES (350700, 350000, 2, '南平', '南平市');
INSERT INTO `regions` VALUES (350702, 350700, 3, '延平', '延平区');
INSERT INTO `regions` VALUES (350703, 350700, 3, '建阳', '建阳区');
INSERT INTO `regions` VALUES (350721, 350700, 3, '顺昌', '顺昌县');
INSERT INTO `regions` VALUES (350722, 350700, 3, '浦城', '浦城县');
INSERT INTO `regions` VALUES (350723, 350700, 3, '光泽', '光泽县');
INSERT INTO `regions` VALUES (350724, 350700, 3, '松溪', '松溪县');
INSERT INTO `regions` VALUES (350725, 350700, 3, '政和', '政和县');
INSERT INTO `regions` VALUES (350781, 350700, 3, '邵武', '邵武市');
INSERT INTO `regions` VALUES (350782, 350700, 3, '武夷山', '武夷山市');
INSERT INTO `regions` VALUES (350783, 350700, 3, '建瓯', '建瓯市');
INSERT INTO `regions` VALUES (350800, 350000, 2, '龙岩', '龙岩市');
INSERT INTO `regions` VALUES (350802, 350800, 3, '新罗', '新罗区');
INSERT INTO `regions` VALUES (350821, 350800, 3, '长汀', '长汀县');
INSERT INTO `regions` VALUES (350822, 350800, 3, '永定', '永定区');
INSERT INTO `regions` VALUES (350823, 350800, 3, '上杭', '上杭县');
INSERT INTO `regions` VALUES (350824, 350800, 3, '武平', '武平县');
INSERT INTO `regions` VALUES (350825, 350800, 3, '连城', '连城县');
INSERT INTO `regions` VALUES (350881, 350800, 3, '漳平', '漳平市');
INSERT INTO `regions` VALUES (350900, 350000, 2, '宁德', '宁德市');
INSERT INTO `regions` VALUES (350902, 350900, 3, '蕉城', '蕉城区');
INSERT INTO `regions` VALUES (350921, 350900, 3, '霞浦', '霞浦县');
INSERT INTO `regions` VALUES (350922, 350900, 3, '古田', '古田县');
INSERT INTO `regions` VALUES (350923, 350900, 3, '屏南', '屏南县');
INSERT INTO `regions` VALUES (350924, 350900, 3, '寿宁', '寿宁县');
INSERT INTO `regions` VALUES (350925, 350900, 3, '周宁', '周宁县');
INSERT INTO `regions` VALUES (350926, 350900, 3, '柘荣', '柘荣县');
INSERT INTO `regions` VALUES (350981, 350900, 3, '福安', '福安市');
INSERT INTO `regions` VALUES (350982, 350900, 3, '福鼎', '福鼎市');
INSERT INTO `regions` VALUES (360000, 100000, 1, '江西', '江西省');
INSERT INTO `regions` VALUES (360100, 360000, 2, '南昌', '南昌市');
INSERT INTO `regions` VALUES (360102, 360100, 3, '东湖', '东湖区');
INSERT INTO `regions` VALUES (360103, 360100, 3, '西湖', '西湖区');
INSERT INTO `regions` VALUES (360104, 360100, 3, '青云谱', '青云谱区');
INSERT INTO `regions` VALUES (360105, 360100, 3, '湾里', '湾里区');
INSERT INTO `regions` VALUES (360111, 360100, 3, '青山湖', '青山湖区');
INSERT INTO `regions` VALUES (360121, 360100, 3, '南昌', '南昌县');
INSERT INTO `regions` VALUES (360122, 360100, 3, '新建', '新建县');
INSERT INTO `regions` VALUES (360123, 360100, 3, '安义', '安义县');
INSERT INTO `regions` VALUES (360124, 360100, 3, '进贤', '进贤县');
INSERT INTO `regions` VALUES (360200, 360000, 2, '景德镇', '景德镇市');
INSERT INTO `regions` VALUES (360202, 360200, 3, '昌江', '昌江区');
INSERT INTO `regions` VALUES (360203, 360200, 3, '珠山', '珠山区');
INSERT INTO `regions` VALUES (360222, 360200, 3, '浮梁', '浮梁县');
INSERT INTO `regions` VALUES (360281, 360200, 3, '乐平', '乐平市');
INSERT INTO `regions` VALUES (360300, 360000, 2, '萍乡', '萍乡市');
INSERT INTO `regions` VALUES (360302, 360300, 3, '安源', '安源区');
INSERT INTO `regions` VALUES (360313, 360300, 3, '湘东', '湘东区');
INSERT INTO `regions` VALUES (360321, 360300, 3, '莲花', '莲花县');
INSERT INTO `regions` VALUES (360322, 360300, 3, '上栗', '上栗县');
INSERT INTO `regions` VALUES (360323, 360300, 3, '芦溪', '芦溪县');
INSERT INTO `regions` VALUES (360400, 360000, 2, '九江', '九江市');
INSERT INTO `regions` VALUES (360402, 360400, 3, '庐山', '庐山区');
INSERT INTO `regions` VALUES (360403, 360400, 3, '浔阳', '浔阳区');
INSERT INTO `regions` VALUES (360421, 360400, 3, '九江', '九江县');
INSERT INTO `regions` VALUES (360423, 360400, 3, '武宁', '武宁县');
INSERT INTO `regions` VALUES (360424, 360400, 3, '修水', '修水县');
INSERT INTO `regions` VALUES (360425, 360400, 3, '永修', '永修县');
INSERT INTO `regions` VALUES (360426, 360400, 3, '德安', '德安县');
INSERT INTO `regions` VALUES (360427, 360400, 3, '星子', '星子县');
INSERT INTO `regions` VALUES (360428, 360400, 3, '都昌', '都昌县');
INSERT INTO `regions` VALUES (360429, 360400, 3, '湖口', '湖口县');
INSERT INTO `regions` VALUES (360430, 360400, 3, '彭泽', '彭泽县');
INSERT INTO `regions` VALUES (360481, 360400, 3, '瑞昌', '瑞昌市');
INSERT INTO `regions` VALUES (360482, 360400, 3, '共青城', '共青城市');
INSERT INTO `regions` VALUES (360500, 360000, 2, '新余', '新余市');
INSERT INTO `regions` VALUES (360502, 360500, 3, '渝水', '渝水区');
INSERT INTO `regions` VALUES (360521, 360500, 3, '分宜', '分宜县');
INSERT INTO `regions` VALUES (360600, 360000, 2, '鹰潭', '鹰潭市');
INSERT INTO `regions` VALUES (360602, 360600, 3, '月湖', '月湖区');
INSERT INTO `regions` VALUES (360622, 360600, 3, '余江', '余江县');
INSERT INTO `regions` VALUES (360681, 360600, 3, '贵溪', '贵溪市');
INSERT INTO `regions` VALUES (360700, 360000, 2, '赣州', '赣州市');
INSERT INTO `regions` VALUES (360702, 360700, 3, '章贡', '章贡区');
INSERT INTO `regions` VALUES (360703, 360700, 3, '南康', '南康区');
INSERT INTO `regions` VALUES (360721, 360700, 3, '赣县', '赣县');
INSERT INTO `regions` VALUES (360722, 360700, 3, '信丰', '信丰县');
INSERT INTO `regions` VALUES (360723, 360700, 3, '大余', '大余县');
INSERT INTO `regions` VALUES (360724, 360700, 3, '上犹', '上犹县');
INSERT INTO `regions` VALUES (360725, 360700, 3, '崇义', '崇义县');
INSERT INTO `regions` VALUES (360726, 360700, 3, '安远', '安远县');
INSERT INTO `regions` VALUES (360727, 360700, 3, '龙南', '龙南县');
INSERT INTO `regions` VALUES (360728, 360700, 3, '定南', '定南县');
INSERT INTO `regions` VALUES (360729, 360700, 3, '全南', '全南县');
INSERT INTO `regions` VALUES (360730, 360700, 3, '宁都', '宁都县');
INSERT INTO `regions` VALUES (360731, 360700, 3, '于都', '于都县');
INSERT INTO `regions` VALUES (360732, 360700, 3, '兴国', '兴国县');
INSERT INTO `regions` VALUES (360733, 360700, 3, '会昌', '会昌县');
INSERT INTO `regions` VALUES (360734, 360700, 3, '寻乌', '寻乌县');
INSERT INTO `regions` VALUES (360735, 360700, 3, '石城', '石城县');
INSERT INTO `regions` VALUES (360781, 360700, 3, '瑞金', '瑞金市');
INSERT INTO `regions` VALUES (360800, 360000, 2, '吉安', '吉安市');
INSERT INTO `regions` VALUES (360802, 360800, 3, '吉州', '吉州区');
INSERT INTO `regions` VALUES (360803, 360800, 3, '青原', '青原区');
INSERT INTO `regions` VALUES (360821, 360800, 3, '吉安', '吉安县');
INSERT INTO `regions` VALUES (360822, 360800, 3, '吉水', '吉水县');
INSERT INTO `regions` VALUES (360823, 360800, 3, '峡江', '峡江县');
INSERT INTO `regions` VALUES (360824, 360800, 3, '新干', '新干县');
INSERT INTO `regions` VALUES (360825, 360800, 3, '永丰', '永丰县');
INSERT INTO `regions` VALUES (360826, 360800, 3, '泰和', '泰和县');
INSERT INTO `regions` VALUES (360827, 360800, 3, '遂川', '遂川县');
INSERT INTO `regions` VALUES (360828, 360800, 3, '万安', '万安县');
INSERT INTO `regions` VALUES (360829, 360800, 3, '安福', '安福县');
INSERT INTO `regions` VALUES (360830, 360800, 3, '永新', '永新县');
INSERT INTO `regions` VALUES (360881, 360800, 3, '井冈山', '井冈山市');
INSERT INTO `regions` VALUES (360900, 360000, 2, '宜春', '宜春市');
INSERT INTO `regions` VALUES (360902, 360900, 3, '袁州', '袁州区');
INSERT INTO `regions` VALUES (360921, 360900, 3, '奉新', '奉新县');
INSERT INTO `regions` VALUES (360922, 360900, 3, '万载', '万载县');
INSERT INTO `regions` VALUES (360923, 360900, 3, '上高', '上高县');
INSERT INTO `regions` VALUES (360924, 360900, 3, '宜丰', '宜丰县');
INSERT INTO `regions` VALUES (360925, 360900, 3, '靖安', '靖安县');
INSERT INTO `regions` VALUES (360926, 360900, 3, '铜鼓', '铜鼓县');
INSERT INTO `regions` VALUES (360981, 360900, 3, '丰城', '丰城市');
INSERT INTO `regions` VALUES (360982, 360900, 3, '樟树', '樟树市');
INSERT INTO `regions` VALUES (360983, 360900, 3, '高安', '高安市');
INSERT INTO `regions` VALUES (361000, 360000, 2, '抚州', '抚州市');
INSERT INTO `regions` VALUES (361002, 361000, 3, '临川', '临川区');
INSERT INTO `regions` VALUES (361021, 361000, 3, '南城', '南城县');
INSERT INTO `regions` VALUES (361022, 361000, 3, '黎川', '黎川县');
INSERT INTO `regions` VALUES (361023, 361000, 3, '南丰', '南丰县');
INSERT INTO `regions` VALUES (361024, 361000, 3, '崇仁', '崇仁县');
INSERT INTO `regions` VALUES (361025, 361000, 3, '乐安', '乐安县');
INSERT INTO `regions` VALUES (361026, 361000, 3, '宜黄', '宜黄县');
INSERT INTO `regions` VALUES (361027, 361000, 3, '金溪', '金溪县');
INSERT INTO `regions` VALUES (361028, 361000, 3, '资溪', '资溪县');
INSERT INTO `regions` VALUES (361029, 361000, 3, '东乡', '东乡县');
INSERT INTO `regions` VALUES (361030, 361000, 3, '广昌', '广昌县');
INSERT INTO `regions` VALUES (361100, 360000, 2, '上饶', '上饶市');
INSERT INTO `regions` VALUES (361102, 361100, 3, '信州', '信州区');
INSERT INTO `regions` VALUES (361121, 361100, 3, '上饶', '上饶县');
INSERT INTO `regions` VALUES (361122, 361100, 3, '广丰', '广丰县');
INSERT INTO `regions` VALUES (361123, 361100, 3, '玉山', '玉山县');
INSERT INTO `regions` VALUES (361124, 361100, 3, '铅山', '铅山县');
INSERT INTO `regions` VALUES (361125, 361100, 3, '横峰', '横峰县');
INSERT INTO `regions` VALUES (361126, 361100, 3, '弋阳', '弋阳县');
INSERT INTO `regions` VALUES (361127, 361100, 3, '余干', '余干县');
INSERT INTO `regions` VALUES (361128, 361100, 3, '鄱阳', '鄱阳县');
INSERT INTO `regions` VALUES (361129, 361100, 3, '万年', '万年县');
INSERT INTO `regions` VALUES (361130, 361100, 3, '婺源', '婺源县');
INSERT INTO `regions` VALUES (361181, 361100, 3, '德兴', '德兴市');
INSERT INTO `regions` VALUES (370000, 100000, 1, '山东', '山东省');
INSERT INTO `regions` VALUES (370100, 370000, 2, '济南', '济南市');
INSERT INTO `regions` VALUES (370102, 370100, 3, '历下', '历下区');
INSERT INTO `regions` VALUES (370103, 370100, 3, '市中区', '市中区');
INSERT INTO `regions` VALUES (370104, 370100, 3, '槐荫', '槐荫区');
INSERT INTO `regions` VALUES (370105, 370100, 3, '天桥', '天桥区');
INSERT INTO `regions` VALUES (370112, 370100, 3, '历城', '历城区');
INSERT INTO `regions` VALUES (370113, 370100, 3, '长清', '长清区');
INSERT INTO `regions` VALUES (370124, 370100, 3, '平阴', '平阴县');
INSERT INTO `regions` VALUES (370125, 370100, 3, '济阳', '济阳县');
INSERT INTO `regions` VALUES (370126, 370100, 3, '商河', '商河县');
INSERT INTO `regions` VALUES (370181, 370100, 3, '章丘', '章丘市');
INSERT INTO `regions` VALUES (370200, 370000, 2, '青岛', '青岛市');
INSERT INTO `regions` VALUES (370202, 370200, 3, '市南', '市南区');
INSERT INTO `regions` VALUES (370203, 370200, 3, '市北', '市北区');
INSERT INTO `regions` VALUES (370211, 370200, 3, '黄岛', '黄岛区');
INSERT INTO `regions` VALUES (370212, 370200, 3, '崂山', '崂山区');
INSERT INTO `regions` VALUES (370213, 370200, 3, '李沧', '李沧区');
INSERT INTO `regions` VALUES (370214, 370200, 3, '城阳', '城阳区');
INSERT INTO `regions` VALUES (370281, 370200, 3, '胶州', '胶州市');
INSERT INTO `regions` VALUES (370282, 370200, 3, '即墨', '即墨市');
INSERT INTO `regions` VALUES (370283, 370200, 3, '平度', '平度市');
INSERT INTO `regions` VALUES (370285, 370200, 3, '莱西', '莱西市');
INSERT INTO `regions` VALUES (370286, 370200, 3, '西海岸', '西海岸新区');
INSERT INTO `regions` VALUES (370300, 370000, 2, '淄博', '淄博市');
INSERT INTO `regions` VALUES (370302, 370300, 3, '淄川', '淄川区');
INSERT INTO `regions` VALUES (370303, 370300, 3, '张店', '张店区');
INSERT INTO `regions` VALUES (370304, 370300, 3, '博山', '博山区');
INSERT INTO `regions` VALUES (370305, 370300, 3, '临淄', '临淄区');
INSERT INTO `regions` VALUES (370306, 370300, 3, '周村', '周村区');
INSERT INTO `regions` VALUES (370321, 370300, 3, '桓台', '桓台县');
INSERT INTO `regions` VALUES (370322, 370300, 3, '高青', '高青县');
INSERT INTO `regions` VALUES (370323, 370300, 3, '沂源', '沂源县');
INSERT INTO `regions` VALUES (370400, 370000, 2, '枣庄', '枣庄市');
INSERT INTO `regions` VALUES (370402, 370400, 3, '市中区', '市中区');
INSERT INTO `regions` VALUES (370403, 370400, 3, '薛城', '薛城区');
INSERT INTO `regions` VALUES (370404, 370400, 3, '峄城', '峄城区');
INSERT INTO `regions` VALUES (370405, 370400, 3, '台儿庄', '台儿庄区');
INSERT INTO `regions` VALUES (370406, 370400, 3, '山亭', '山亭区');
INSERT INTO `regions` VALUES (370481, 370400, 3, '滕州', '滕州市');
INSERT INTO `regions` VALUES (370500, 370000, 2, '东营', '东营市');
INSERT INTO `regions` VALUES (370502, 370500, 3, '东营', '东营区');
INSERT INTO `regions` VALUES (370503, 370500, 3, '河口', '河口区');
INSERT INTO `regions` VALUES (370521, 370500, 3, '垦利', '垦利县');
INSERT INTO `regions` VALUES (370522, 370500, 3, '利津', '利津县');
INSERT INTO `regions` VALUES (370523, 370500, 3, '广饶', '广饶县');
INSERT INTO `regions` VALUES (370600, 370000, 2, '烟台', '烟台市');
INSERT INTO `regions` VALUES (370602, 370600, 3, '芝罘', '芝罘区');
INSERT INTO `regions` VALUES (370611, 370600, 3, '福山', '福山区');
INSERT INTO `regions` VALUES (370612, 370600, 3, '牟平', '牟平区');
INSERT INTO `regions` VALUES (370613, 370600, 3, '莱山', '莱山区');
INSERT INTO `regions` VALUES (370634, 370600, 3, '长岛', '长岛县');
INSERT INTO `regions` VALUES (370681, 370600, 3, '龙口', '龙口市');
INSERT INTO `regions` VALUES (370682, 370600, 3, '莱阳', '莱阳市');
INSERT INTO `regions` VALUES (370683, 370600, 3, '莱州', '莱州市');
INSERT INTO `regions` VALUES (370684, 370600, 3, '蓬莱', '蓬莱市');
INSERT INTO `regions` VALUES (370685, 370600, 3, '招远', '招远市');
INSERT INTO `regions` VALUES (370686, 370600, 3, '栖霞', '栖霞市');
INSERT INTO `regions` VALUES (370687, 370600, 3, '海阳', '海阳市');
INSERT INTO `regions` VALUES (370700, 370000, 2, '潍坊', '潍坊市');
INSERT INTO `regions` VALUES (370702, 370700, 3, '潍城', '潍城区');
INSERT INTO `regions` VALUES (370703, 370700, 3, '寒亭', '寒亭区');
INSERT INTO `regions` VALUES (370704, 370700, 3, '坊子', '坊子区');
INSERT INTO `regions` VALUES (370705, 370700, 3, '奎文', '奎文区');
INSERT INTO `regions` VALUES (370724, 370700, 3, '临朐', '临朐县');
INSERT INTO `regions` VALUES (370725, 370700, 3, '昌乐', '昌乐县');
INSERT INTO `regions` VALUES (370781, 370700, 3, '青州', '青州市');
INSERT INTO `regions` VALUES (370782, 370700, 3, '诸城', '诸城市');
INSERT INTO `regions` VALUES (370783, 370700, 3, '寿光', '寿光市');
INSERT INTO `regions` VALUES (370784, 370700, 3, '安丘', '安丘市');
INSERT INTO `regions` VALUES (370785, 370700, 3, '高密', '高密市');
INSERT INTO `regions` VALUES (370786, 370700, 3, '昌邑', '昌邑市');
INSERT INTO `regions` VALUES (370800, 370000, 2, '济宁', '济宁市');
INSERT INTO `regions` VALUES (370811, 370800, 3, '任城', '任城区');
INSERT INTO `regions` VALUES (370812, 370800, 3, '兖州', '兖州区');
INSERT INTO `regions` VALUES (370826, 370800, 3, '微山', '微山县');
INSERT INTO `regions` VALUES (370827, 370800, 3, '鱼台', '鱼台县');
INSERT INTO `regions` VALUES (370828, 370800, 3, '金乡', '金乡县');
INSERT INTO `regions` VALUES (370829, 370800, 3, '嘉祥', '嘉祥县');
INSERT INTO `regions` VALUES (370830, 370800, 3, '汶上', '汶上县');
INSERT INTO `regions` VALUES (370831, 370800, 3, '泗水', '泗水县');
INSERT INTO `regions` VALUES (370832, 370800, 3, '梁山', '梁山县');
INSERT INTO `regions` VALUES (370881, 370800, 3, '曲阜', '曲阜市');
INSERT INTO `regions` VALUES (370883, 370800, 3, '邹城', '邹城市');
INSERT INTO `regions` VALUES (370900, 370000, 2, '泰安', '泰安市');
INSERT INTO `regions` VALUES (370902, 370900, 3, '泰山', '泰山区');
INSERT INTO `regions` VALUES (370911, 370900, 3, '岱岳', '岱岳区');
INSERT INTO `regions` VALUES (370921, 370900, 3, '宁阳', '宁阳县');
INSERT INTO `regions` VALUES (370923, 370900, 3, '东平', '东平县');
INSERT INTO `regions` VALUES (370982, 370900, 3, '新泰', '新泰市');
INSERT INTO `regions` VALUES (370983, 370900, 3, '肥城', '肥城市');
INSERT INTO `regions` VALUES (371000, 370000, 2, '威海', '威海市');
INSERT INTO `regions` VALUES (371002, 371000, 3, '环翠', '环翠区');
INSERT INTO `regions` VALUES (371003, 371000, 3, '文登', '文登区');
INSERT INTO `regions` VALUES (371082, 371000, 3, '荣成', '荣成市');
INSERT INTO `regions` VALUES (371083, 371000, 3, '乳山', '乳山市');
INSERT INTO `regions` VALUES (371100, 370000, 2, '日照', '日照市');
INSERT INTO `regions` VALUES (371102, 371100, 3, '东港', '东港区');
INSERT INTO `regions` VALUES (371103, 371100, 3, '岚山', '岚山区');
INSERT INTO `regions` VALUES (371121, 371100, 3, '五莲', '五莲县');
INSERT INTO `regions` VALUES (371122, 371100, 3, '莒县', '莒县');
INSERT INTO `regions` VALUES (371200, 370000, 2, '莱芜', '莱芜市');
INSERT INTO `regions` VALUES (371202, 371200, 3, '莱城', '莱城区');
INSERT INTO `regions` VALUES (371203, 371200, 3, '钢城', '钢城区');
INSERT INTO `regions` VALUES (371300, 370000, 2, '临沂', '临沂市');
INSERT INTO `regions` VALUES (371302, 371300, 3, '兰山', '兰山区');
INSERT INTO `regions` VALUES (371311, 371300, 3, '罗庄', '罗庄区');
INSERT INTO `regions` VALUES (371312, 371300, 3, '河东', '河东区');
INSERT INTO `regions` VALUES (371321, 371300, 3, '沂南', '沂南县');
INSERT INTO `regions` VALUES (371322, 371300, 3, '郯城', '郯城县');
INSERT INTO `regions` VALUES (371323, 371300, 3, '沂水', '沂水县');
INSERT INTO `regions` VALUES (371324, 371300, 3, '兰陵', '兰陵县');
INSERT INTO `regions` VALUES (371325, 371300, 3, '费县', '费县');
INSERT INTO `regions` VALUES (371326, 371300, 3, '平邑', '平邑县');
INSERT INTO `regions` VALUES (371327, 371300, 3, '莒南', '莒南县');
INSERT INTO `regions` VALUES (371328, 371300, 3, '蒙阴', '蒙阴县');
INSERT INTO `regions` VALUES (371329, 371300, 3, '临沭', '临沭县');
INSERT INTO `regions` VALUES (371400, 370000, 2, '德州', '德州市');
INSERT INTO `regions` VALUES (371402, 371400, 3, '德城', '德城区');
INSERT INTO `regions` VALUES (371403, 371400, 3, '陵城', '陵城区');
INSERT INTO `regions` VALUES (371422, 371400, 3, '宁津', '宁津县');
INSERT INTO `regions` VALUES (371423, 371400, 3, '庆云', '庆云县');
INSERT INTO `regions` VALUES (371424, 371400, 3, '临邑', '临邑县');
INSERT INTO `regions` VALUES (371425, 371400, 3, '齐河', '齐河县');
INSERT INTO `regions` VALUES (371426, 371400, 3, '平原', '平原县');
INSERT INTO `regions` VALUES (371427, 371400, 3, '夏津', '夏津县');
INSERT INTO `regions` VALUES (371428, 371400, 3, '武城', '武城县');
INSERT INTO `regions` VALUES (371481, 371400, 3, '乐陵', '乐陵市');
INSERT INTO `regions` VALUES (371482, 371400, 3, '禹城', '禹城市');
INSERT INTO `regions` VALUES (371500, 370000, 2, '聊城', '聊城市');
INSERT INTO `regions` VALUES (371502, 371500, 3, '东昌府', '东昌府区');
INSERT INTO `regions` VALUES (371521, 371500, 3, '阳谷', '阳谷县');
INSERT INTO `regions` VALUES (371522, 371500, 3, '莘县', '莘县');
INSERT INTO `regions` VALUES (371523, 371500, 3, '茌平', '茌平县');
INSERT INTO `regions` VALUES (371524, 371500, 3, '东阿', '东阿县');
INSERT INTO `regions` VALUES (371525, 371500, 3, '冠县', '冠县');
INSERT INTO `regions` VALUES (371526, 371500, 3, '高唐', '高唐县');
INSERT INTO `regions` VALUES (371581, 371500, 3, '临清', '临清市');
INSERT INTO `regions` VALUES (371600, 370000, 2, '滨州', '滨州市');
INSERT INTO `regions` VALUES (371602, 371600, 3, '滨城', '滨城区');
INSERT INTO `regions` VALUES (371603, 371600, 3, '沾化', '沾化区');
INSERT INTO `regions` VALUES (371621, 371600, 3, '惠民', '惠民县');
INSERT INTO `regions` VALUES (371622, 371600, 3, '阳信', '阳信县');
INSERT INTO `regions` VALUES (371623, 371600, 3, '无棣', '无棣县');
INSERT INTO `regions` VALUES (371625, 371600, 3, '博兴', '博兴县');
INSERT INTO `regions` VALUES (371626, 371600, 3, '邹平', '邹平县');
INSERT INTO `regions` VALUES (371627, 371600, 3, '北海新区', '北海新区');
INSERT INTO `regions` VALUES (371700, 370000, 2, '菏泽', '菏泽市');
INSERT INTO `regions` VALUES (371702, 371700, 3, '牡丹', '牡丹区');
INSERT INTO `regions` VALUES (371721, 371700, 3, '曹县', '曹县');
INSERT INTO `regions` VALUES (371722, 371700, 3, '单县', '单县');
INSERT INTO `regions` VALUES (371723, 371700, 3, '成武', '成武县');
INSERT INTO `regions` VALUES (371724, 371700, 3, '巨野', '巨野县');
INSERT INTO `regions` VALUES (371725, 371700, 3, '郓城', '郓城县');
INSERT INTO `regions` VALUES (371726, 371700, 3, '鄄城', '鄄城县');
INSERT INTO `regions` VALUES (371727, 371700, 3, '定陶', '定陶县');
INSERT INTO `regions` VALUES (371728, 371700, 3, '东明', '东明县');
INSERT INTO `regions` VALUES (410000, 100000, 1, '河南', '河南省');
INSERT INTO `regions` VALUES (410100, 410000, 2, '郑州', '郑州市');
INSERT INTO `regions` VALUES (410102, 410100, 3, '中原', '中原区');
INSERT INTO `regions` VALUES (410103, 410100, 3, '二七', '二七区');
INSERT INTO `regions` VALUES (410104, 410100, 3, '管城', '管城回族区');
INSERT INTO `regions` VALUES (410105, 410100, 3, '金水', '金水区');
INSERT INTO `regions` VALUES (410106, 410100, 3, '上街', '上街区');
INSERT INTO `regions` VALUES (410108, 410100, 3, '惠济', '惠济区');
INSERT INTO `regions` VALUES (410122, 410100, 3, '中牟', '中牟县');
INSERT INTO `regions` VALUES (410181, 410100, 3, '巩义', '巩义市');
INSERT INTO `regions` VALUES (410182, 410100, 3, '荥阳', '荥阳市');
INSERT INTO `regions` VALUES (410183, 410100, 3, '新密', '新密市');
INSERT INTO `regions` VALUES (410184, 410100, 3, '新郑', '新郑市');
INSERT INTO `regions` VALUES (410185, 410100, 3, '登封', '登封市');
INSERT INTO `regions` VALUES (410200, 410000, 2, '开封', '开封市');
INSERT INTO `regions` VALUES (410202, 410200, 3, '龙亭', '龙亭区');
INSERT INTO `regions` VALUES (410203, 410200, 3, '顺河', '顺河回族区');
INSERT INTO `regions` VALUES (410204, 410200, 3, '鼓楼', '鼓楼区');
INSERT INTO `regions` VALUES (410205, 410200, 3, '禹王台', '禹王台区');
INSERT INTO `regions` VALUES (410212, 410200, 3, '祥符', '祥符区');
INSERT INTO `regions` VALUES (410221, 410200, 3, '杞县', '杞县');
INSERT INTO `regions` VALUES (410222, 410200, 3, '通许', '通许县');
INSERT INTO `regions` VALUES (410223, 410200, 3, '尉氏', '尉氏县');
INSERT INTO `regions` VALUES (410225, 410200, 3, '兰考', '兰考县');
INSERT INTO `regions` VALUES (410300, 410000, 2, '洛阳', '洛阳市');
INSERT INTO `regions` VALUES (410302, 410300, 3, '老城', '老城区');
INSERT INTO `regions` VALUES (410303, 410300, 3, '西工', '西工区');
INSERT INTO `regions` VALUES (410304, 410300, 3, '瀍河', '瀍河回族区');
INSERT INTO `regions` VALUES (410305, 410300, 3, '涧西', '涧西区');
INSERT INTO `regions` VALUES (410306, 410300, 3, '吉利', '吉利区');
INSERT INTO `regions` VALUES (410311, 410300, 3, '洛龙', '洛龙区');
INSERT INTO `regions` VALUES (410322, 410300, 3, '孟津', '孟津县');
INSERT INTO `regions` VALUES (410323, 410300, 3, '新安', '新安县');
INSERT INTO `regions` VALUES (410324, 410300, 3, '栾川', '栾川县');
INSERT INTO `regions` VALUES (410325, 410300, 3, '嵩县', '嵩县');
INSERT INTO `regions` VALUES (410326, 410300, 3, '汝阳', '汝阳县');
INSERT INTO `regions` VALUES (410327, 410300, 3, '宜阳', '宜阳县');
INSERT INTO `regions` VALUES (410328, 410300, 3, '洛宁', '洛宁县');
INSERT INTO `regions` VALUES (410329, 410300, 3, '伊川', '伊川县');
INSERT INTO `regions` VALUES (410381, 410300, 3, '偃师', '偃师市');
INSERT INTO `regions` VALUES (410400, 410000, 2, '平顶山', '平顶山市');
INSERT INTO `regions` VALUES (410402, 410400, 3, '新华', '新华区');
INSERT INTO `regions` VALUES (410403, 410400, 3, '卫东', '卫东区');
INSERT INTO `regions` VALUES (410404, 410400, 3, '石龙', '石龙区');
INSERT INTO `regions` VALUES (410411, 410400, 3, '湛河', '湛河区');
INSERT INTO `regions` VALUES (410421, 410400, 3, '宝丰', '宝丰县');
INSERT INTO `regions` VALUES (410422, 410400, 3, '叶县', '叶县');
INSERT INTO `regions` VALUES (410423, 410400, 3, '鲁山', '鲁山县');
INSERT INTO `regions` VALUES (410425, 410400, 3, '郏县', '郏县');
INSERT INTO `regions` VALUES (410481, 410400, 3, '舞钢', '舞钢市');
INSERT INTO `regions` VALUES (410482, 410400, 3, '汝州', '汝州市');
INSERT INTO `regions` VALUES (410500, 410000, 2, '安阳', '安阳市');
INSERT INTO `regions` VALUES (410502, 410500, 3, '文峰', '文峰区');
INSERT INTO `regions` VALUES (410503, 410500, 3, '北关', '北关区');
INSERT INTO `regions` VALUES (410505, 410500, 3, '殷都', '殷都区');
INSERT INTO `regions` VALUES (410506, 410500, 3, '龙安', '龙安区');
INSERT INTO `regions` VALUES (410522, 410500, 3, '安阳', '安阳县');
INSERT INTO `regions` VALUES (410523, 410500, 3, '汤阴', '汤阴县');
INSERT INTO `regions` VALUES (410526, 410500, 3, '滑县', '滑县');
INSERT INTO `regions` VALUES (410527, 410500, 3, '内黄', '内黄县');
INSERT INTO `regions` VALUES (410581, 410500, 3, '林州', '林州市');
INSERT INTO `regions` VALUES (410600, 410000, 2, '鹤壁', '鹤壁市');
INSERT INTO `regions` VALUES (410602, 410600, 3, '鹤山', '鹤山区');
INSERT INTO `regions` VALUES (410603, 410600, 3, '山城', '山城区');
INSERT INTO `regions` VALUES (410611, 410600, 3, '淇滨', '淇滨区');
INSERT INTO `regions` VALUES (410621, 410600, 3, '浚县', '浚县');
INSERT INTO `regions` VALUES (410622, 410600, 3, '淇县', '淇县');
INSERT INTO `regions` VALUES (410700, 410000, 2, '新乡', '新乡市');
INSERT INTO `regions` VALUES (410702, 410700, 3, '红旗', '红旗区');
INSERT INTO `regions` VALUES (410703, 410700, 3, '卫滨', '卫滨区');
INSERT INTO `regions` VALUES (410704, 410700, 3, '凤泉', '凤泉区');
INSERT INTO `regions` VALUES (410711, 410700, 3, '牧野', '牧野区');
INSERT INTO `regions` VALUES (410721, 410700, 3, '新乡', '新乡县');
INSERT INTO `regions` VALUES (410724, 410700, 3, '获嘉', '获嘉县');
INSERT INTO `regions` VALUES (410725, 410700, 3, '原阳', '原阳县');
INSERT INTO `regions` VALUES (410726, 410700, 3, '延津', '延津县');
INSERT INTO `regions` VALUES (410727, 410700, 3, '封丘', '封丘县');
INSERT INTO `regions` VALUES (410728, 410700, 3, '长垣', '长垣县');
INSERT INTO `regions` VALUES (410781, 410700, 3, '卫辉', '卫辉市');
INSERT INTO `regions` VALUES (410782, 410700, 3, '辉县', '辉县市');
INSERT INTO `regions` VALUES (410800, 410000, 2, '焦作', '焦作市');
INSERT INTO `regions` VALUES (410802, 410800, 3, '解放', '解放区');
INSERT INTO `regions` VALUES (410803, 410800, 3, '中站', '中站区');
INSERT INTO `regions` VALUES (410804, 410800, 3, '马村', '马村区');
INSERT INTO `regions` VALUES (410811, 410800, 3, '山阳', '山阳区');
INSERT INTO `regions` VALUES (410821, 410800, 3, '修武', '修武县');
INSERT INTO `regions` VALUES (410822, 410800, 3, '博爱', '博爱县');
INSERT INTO `regions` VALUES (410823, 410800, 3, '武陟', '武陟县');
INSERT INTO `regions` VALUES (410825, 410800, 3, '温县', '温县');
INSERT INTO `regions` VALUES (410882, 410800, 3, '沁阳', '沁阳市');
INSERT INTO `regions` VALUES (410883, 410800, 3, '孟州', '孟州市');
INSERT INTO `regions` VALUES (410900, 410000, 2, '濮阳', '濮阳市');
INSERT INTO `regions` VALUES (410902, 410900, 3, '华龙', '华龙区');
INSERT INTO `regions` VALUES (410922, 410900, 3, '清丰', '清丰县');
INSERT INTO `regions` VALUES (410923, 410900, 3, '南乐', '南乐县');
INSERT INTO `regions` VALUES (410926, 410900, 3, '范县', '范县');
INSERT INTO `regions` VALUES (410927, 410900, 3, '台前', '台前县');
INSERT INTO `regions` VALUES (410928, 410900, 3, '濮阳', '濮阳县');
INSERT INTO `regions` VALUES (411000, 410000, 2, '许昌', '许昌市');
INSERT INTO `regions` VALUES (411002, 411000, 3, '魏都', '魏都区');
INSERT INTO `regions` VALUES (411023, 411000, 3, '许昌', '许昌县');
INSERT INTO `regions` VALUES (411024, 411000, 3, '鄢陵', '鄢陵县');
INSERT INTO `regions` VALUES (411025, 411000, 3, '襄城', '襄城县');
INSERT INTO `regions` VALUES (411081, 411000, 3, '禹州', '禹州市');
INSERT INTO `regions` VALUES (411082, 411000, 3, '长葛', '长葛市');
INSERT INTO `regions` VALUES (411100, 410000, 2, '漯河', '漯河市');
INSERT INTO `regions` VALUES (411102, 411100, 3, '源汇', '源汇区');
INSERT INTO `regions` VALUES (411103, 411100, 3, '郾城', '郾城区');
INSERT INTO `regions` VALUES (411104, 411100, 3, '召陵', '召陵区');
INSERT INTO `regions` VALUES (411121, 411100, 3, '舞阳', '舞阳县');
INSERT INTO `regions` VALUES (411122, 411100, 3, '临颍', '临颍县');
INSERT INTO `regions` VALUES (411200, 410000, 2, '三门峡', '三门峡市');
INSERT INTO `regions` VALUES (411202, 411200, 3, '湖滨', '湖滨区');
INSERT INTO `regions` VALUES (411221, 411200, 3, '渑池', '渑池县');
INSERT INTO `regions` VALUES (411222, 411200, 3, '陕县', '陕县');
INSERT INTO `regions` VALUES (411224, 411200, 3, '卢氏', '卢氏县');
INSERT INTO `regions` VALUES (411281, 411200, 3, '义马', '义马市');
INSERT INTO `regions` VALUES (411282, 411200, 3, '灵宝', '灵宝市');
INSERT INTO `regions` VALUES (411300, 410000, 2, '南阳', '南阳市');
INSERT INTO `regions` VALUES (411302, 411300, 3, '宛城', '宛城区');
INSERT INTO `regions` VALUES (411303, 411300, 3, '卧龙', '卧龙区');
INSERT INTO `regions` VALUES (411321, 411300, 3, '南召', '南召县');
INSERT INTO `regions` VALUES (411322, 411300, 3, '方城', '方城县');
INSERT INTO `regions` VALUES (411323, 411300, 3, '西峡', '西峡县');
INSERT INTO `regions` VALUES (411324, 411300, 3, '镇平', '镇平县');
INSERT INTO `regions` VALUES (411325, 411300, 3, '内乡', '内乡县');
INSERT INTO `regions` VALUES (411326, 411300, 3, '淅川', '淅川县');
INSERT INTO `regions` VALUES (411327, 411300, 3, '社旗', '社旗县');
INSERT INTO `regions` VALUES (411328, 411300, 3, '唐河', '唐河县');
INSERT INTO `regions` VALUES (411329, 411300, 3, '新野', '新野县');
INSERT INTO `regions` VALUES (411330, 411300, 3, '桐柏', '桐柏县');
INSERT INTO `regions` VALUES (411381, 411300, 3, '邓州', '邓州市');
INSERT INTO `regions` VALUES (411400, 410000, 2, '商丘', '商丘市');
INSERT INTO `regions` VALUES (411402, 411400, 3, '梁园', '梁园区');
INSERT INTO `regions` VALUES (411403, 411400, 3, '睢阳', '睢阳区');
INSERT INTO `regions` VALUES (411421, 411400, 3, '民权', '民权县');
INSERT INTO `regions` VALUES (411422, 411400, 3, '睢县', '睢县');
INSERT INTO `regions` VALUES (411423, 411400, 3, '宁陵', '宁陵县');
INSERT INTO `regions` VALUES (411424, 411400, 3, '柘城', '柘城县');
INSERT INTO `regions` VALUES (411425, 411400, 3, '虞城', '虞城县');
INSERT INTO `regions` VALUES (411426, 411400, 3, '夏邑', '夏邑县');
INSERT INTO `regions` VALUES (411481, 411400, 3, '永城', '永城市');
INSERT INTO `regions` VALUES (411500, 410000, 2, '信阳', '信阳市');
INSERT INTO `regions` VALUES (411502, 411500, 3, '浉河', '浉河区');
INSERT INTO `regions` VALUES (411503, 411500, 3, '平桥', '平桥区');
INSERT INTO `regions` VALUES (411521, 411500, 3, '罗山', '罗山县');
INSERT INTO `regions` VALUES (411522, 411500, 3, '光山', '光山县');
INSERT INTO `regions` VALUES (411523, 411500, 3, '新县', '新县');
INSERT INTO `regions` VALUES (411524, 411500, 3, '商城', '商城县');
INSERT INTO `regions` VALUES (411525, 411500, 3, '固始', '固始县');
INSERT INTO `regions` VALUES (411526, 411500, 3, '潢川', '潢川县');
INSERT INTO `regions` VALUES (411527, 411500, 3, '淮滨', '淮滨县');
INSERT INTO `regions` VALUES (411528, 411500, 3, '息县', '息县');
INSERT INTO `regions` VALUES (411600, 410000, 2, '周口', '周口市');
INSERT INTO `regions` VALUES (411602, 411600, 3, '川汇', '川汇区');
INSERT INTO `regions` VALUES (411621, 411600, 3, '扶沟', '扶沟县');
INSERT INTO `regions` VALUES (411622, 411600, 3, '西华', '西华县');
INSERT INTO `regions` VALUES (411623, 411600, 3, '商水', '商水县');
INSERT INTO `regions` VALUES (411624, 411600, 3, '沈丘', '沈丘县');
INSERT INTO `regions` VALUES (411625, 411600, 3, '郸城', '郸城县');
INSERT INTO `regions` VALUES (411626, 411600, 3, '淮阳', '淮阳县');
INSERT INTO `regions` VALUES (411627, 411600, 3, '太康', '太康县');
INSERT INTO `regions` VALUES (411628, 411600, 3, '鹿邑', '鹿邑县');
INSERT INTO `regions` VALUES (411681, 411600, 3, '项城', '项城市');
INSERT INTO `regions` VALUES (411700, 410000, 2, '驻马店', '驻马店市');
INSERT INTO `regions` VALUES (411702, 411700, 3, '驿城', '驿城区');
INSERT INTO `regions` VALUES (411721, 411700, 3, '西平', '西平县');
INSERT INTO `regions` VALUES (411722, 411700, 3, '上蔡', '上蔡县');
INSERT INTO `regions` VALUES (411723, 411700, 3, '平舆', '平舆县');
INSERT INTO `regions` VALUES (411724, 411700, 3, '正阳', '正阳县');
INSERT INTO `regions` VALUES (411725, 411700, 3, '确山', '确山县');
INSERT INTO `regions` VALUES (411726, 411700, 3, '泌阳', '泌阳县');
INSERT INTO `regions` VALUES (411727, 411700, 3, '汝南', '汝南县');
INSERT INTO `regions` VALUES (411728, 411700, 3, '遂平', '遂平县');
INSERT INTO `regions` VALUES (411729, 411700, 3, '新蔡', '新蔡县');
INSERT INTO `regions` VALUES (419000, 410000, 2, ' ', '直辖县级');
INSERT INTO `regions` VALUES (419001, 419000, 3, '济源', '济源市');
INSERT INTO `regions` VALUES (420000, 100000, 1, '湖北', '湖北省');
INSERT INTO `regions` VALUES (420100, 420000, 2, '武汉', '武汉市');
INSERT INTO `regions` VALUES (420102, 420100, 3, '江岸', '江岸区');
INSERT INTO `regions` VALUES (420103, 420100, 3, '江汉', '江汉区');
INSERT INTO `regions` VALUES (420104, 420100, 3, '硚口', '硚口区');
INSERT INTO `regions` VALUES (420105, 420100, 3, '汉阳', '汉阳区');
INSERT INTO `regions` VALUES (420106, 420100, 3, '武昌', '武昌区');
INSERT INTO `regions` VALUES (420107, 420100, 3, '青山', '青山区');
INSERT INTO `regions` VALUES (420111, 420100, 3, '洪山', '洪山区');
INSERT INTO `regions` VALUES (420112, 420100, 3, '东西湖', '东西湖区');
INSERT INTO `regions` VALUES (420113, 420100, 3, '汉南', '汉南区');
INSERT INTO `regions` VALUES (420114, 420100, 3, '蔡甸', '蔡甸区');
INSERT INTO `regions` VALUES (420115, 420100, 3, '江夏', '江夏区');
INSERT INTO `regions` VALUES (420116, 420100, 3, '黄陂', '黄陂区');
INSERT INTO `regions` VALUES (420117, 420100, 3, '新洲', '新洲区');
INSERT INTO `regions` VALUES (420200, 420000, 2, '黄石', '黄石市');
INSERT INTO `regions` VALUES (420202, 420200, 3, '黄石港', '黄石港区');
INSERT INTO `regions` VALUES (420203, 420200, 3, '西塞山', '西塞山区');
INSERT INTO `regions` VALUES (420204, 420200, 3, '下陆', '下陆区');
INSERT INTO `regions` VALUES (420205, 420200, 3, '铁山', '铁山区');
INSERT INTO `regions` VALUES (420222, 420200, 3, '阳新', '阳新县');
INSERT INTO `regions` VALUES (420281, 420200, 3, '大冶', '大冶市');
INSERT INTO `regions` VALUES (420300, 420000, 2, '十堰', '十堰市');
INSERT INTO `regions` VALUES (420302, 420300, 3, '茅箭', '茅箭区');
INSERT INTO `regions` VALUES (420303, 420300, 3, '张湾', '张湾区');
INSERT INTO `regions` VALUES (420304, 420300, 3, '郧阳', '郧阳区');
INSERT INTO `regions` VALUES (420322, 420300, 3, '郧西', '郧西县');
INSERT INTO `regions` VALUES (420323, 420300, 3, '竹山', '竹山县');
INSERT INTO `regions` VALUES (420324, 420300, 3, '竹溪', '竹溪县');
INSERT INTO `regions` VALUES (420325, 420300, 3, '房县', '房县');
INSERT INTO `regions` VALUES (420381, 420300, 3, '丹江口', '丹江口市');
INSERT INTO `regions` VALUES (420500, 420000, 2, '宜昌', '宜昌市');
INSERT INTO `regions` VALUES (420502, 420500, 3, '西陵', '西陵区');
INSERT INTO `regions` VALUES (420503, 420500, 3, '伍家岗', '伍家岗区');
INSERT INTO `regions` VALUES (420504, 420500, 3, '点军', '点军区');
INSERT INTO `regions` VALUES (420505, 420500, 3, '猇亭', '猇亭区');
INSERT INTO `regions` VALUES (420506, 420500, 3, '夷陵', '夷陵区');
INSERT INTO `regions` VALUES (420525, 420500, 3, '远安', '远安县');
INSERT INTO `regions` VALUES (420526, 420500, 3, '兴山', '兴山县');
INSERT INTO `regions` VALUES (420527, 420500, 3, '秭归', '秭归县');
INSERT INTO `regions` VALUES (420528, 420500, 3, '长阳', '长阳土家族自治县');
INSERT INTO `regions` VALUES (420529, 420500, 3, '五峰', '五峰土家族自治县');
INSERT INTO `regions` VALUES (420581, 420500, 3, '宜都', '宜都市');
INSERT INTO `regions` VALUES (420582, 420500, 3, '当阳', '当阳市');
INSERT INTO `regions` VALUES (420583, 420500, 3, '枝江', '枝江市');
INSERT INTO `regions` VALUES (420600, 420000, 2, '襄阳', '襄阳市');
INSERT INTO `regions` VALUES (420602, 420600, 3, '襄城', '襄城区');
INSERT INTO `regions` VALUES (420606, 420600, 3, '樊城', '樊城区');
INSERT INTO `regions` VALUES (420607, 420600, 3, '襄州', '襄州区');
INSERT INTO `regions` VALUES (420624, 420600, 3, '南漳', '南漳县');
INSERT INTO `regions` VALUES (420625, 420600, 3, '谷城', '谷城县');
INSERT INTO `regions` VALUES (420626, 420600, 3, '保康', '保康县');
INSERT INTO `regions` VALUES (420682, 420600, 3, '老河口', '老河口市');
INSERT INTO `regions` VALUES (420683, 420600, 3, '枣阳', '枣阳市');
INSERT INTO `regions` VALUES (420684, 420600, 3, '宜城', '宜城市');
INSERT INTO `regions` VALUES (420700, 420000, 2, '鄂州', '鄂州市');
INSERT INTO `regions` VALUES (420702, 420700, 3, '梁子湖', '梁子湖区');
INSERT INTO `regions` VALUES (420703, 420700, 3, '华容', '华容区');
INSERT INTO `regions` VALUES (420704, 420700, 3, '鄂城', '鄂城区');
INSERT INTO `regions` VALUES (420800, 420000, 2, '荆门', '荆门市');
INSERT INTO `regions` VALUES (420802, 420800, 3, '东宝', '东宝区');
INSERT INTO `regions` VALUES (420804, 420800, 3, '掇刀', '掇刀区');
INSERT INTO `regions` VALUES (420821, 420800, 3, '京山', '京山县');
INSERT INTO `regions` VALUES (420822, 420800, 3, '沙洋', '沙洋县');
INSERT INTO `regions` VALUES (420881, 420800, 3, '钟祥', '钟祥市');
INSERT INTO `regions` VALUES (420900, 420000, 2, '孝感', '孝感市');
INSERT INTO `regions` VALUES (420902, 420900, 3, '孝南', '孝南区');
INSERT INTO `regions` VALUES (420921, 420900, 3, '孝昌', '孝昌县');
INSERT INTO `regions` VALUES (420922, 420900, 3, '大悟', '大悟县');
INSERT INTO `regions` VALUES (420923, 420900, 3, '云梦', '云梦县');
INSERT INTO `regions` VALUES (420981, 420900, 3, '应城', '应城市');
INSERT INTO `regions` VALUES (420982, 420900, 3, '安陆', '安陆市');
INSERT INTO `regions` VALUES (420984, 420900, 3, '汉川', '汉川市');
INSERT INTO `regions` VALUES (421000, 420000, 2, '荆州', '荆州市');
INSERT INTO `regions` VALUES (421002, 421000, 3, '沙市', '沙市区');
INSERT INTO `regions` VALUES (421003, 421000, 3, '荆州', '荆州区');
INSERT INTO `regions` VALUES (421022, 421000, 3, '公安', '公安县');
INSERT INTO `regions` VALUES (421023, 421000, 3, '监利', '监利县');
INSERT INTO `regions` VALUES (421024, 421000, 3, '江陵', '江陵县');
INSERT INTO `regions` VALUES (421081, 421000, 3, '石首', '石首市');
INSERT INTO `regions` VALUES (421083, 421000, 3, '洪湖', '洪湖市');
INSERT INTO `regions` VALUES (421087, 421000, 3, '松滋', '松滋市');
INSERT INTO `regions` VALUES (421100, 420000, 2, '黄冈', '黄冈市');
INSERT INTO `regions` VALUES (421102, 421100, 3, '黄州', '黄州区');
INSERT INTO `regions` VALUES (421121, 421100, 3, '团风', '团风县');
INSERT INTO `regions` VALUES (421122, 421100, 3, '红安', '红安县');
INSERT INTO `regions` VALUES (421123, 421100, 3, '罗田', '罗田县');
INSERT INTO `regions` VALUES (421124, 421100, 3, '英山', '英山县');
INSERT INTO `regions` VALUES (421125, 421100, 3, '浠水', '浠水县');
INSERT INTO `regions` VALUES (421126, 421100, 3, '蕲春', '蕲春县');
INSERT INTO `regions` VALUES (421127, 421100, 3, '黄梅', '黄梅县');
INSERT INTO `regions` VALUES (421181, 421100, 3, '麻城', '麻城市');
INSERT INTO `regions` VALUES (421182, 421100, 3, '武穴', '武穴市');
INSERT INTO `regions` VALUES (421200, 420000, 2, '咸宁', '咸宁市');
INSERT INTO `regions` VALUES (421202, 421200, 3, '咸安', '咸安区');
INSERT INTO `regions` VALUES (421221, 421200, 3, '嘉鱼', '嘉鱼县');
INSERT INTO `regions` VALUES (421222, 421200, 3, '通城', '通城县');
INSERT INTO `regions` VALUES (421223, 421200, 3, '崇阳', '崇阳县');
INSERT INTO `regions` VALUES (421224, 421200, 3, '通山', '通山县');
INSERT INTO `regions` VALUES (421281, 421200, 3, '赤壁', '赤壁市');
INSERT INTO `regions` VALUES (421300, 420000, 2, '随州', '随州市');
INSERT INTO `regions` VALUES (421303, 421300, 3, '曾都', '曾都区');
INSERT INTO `regions` VALUES (421321, 421300, 3, '随县', '随县');
INSERT INTO `regions` VALUES (421381, 421300, 3, '广水', '广水市');
INSERT INTO `regions` VALUES (422800, 420000, 2, '恩施', '恩施土家族苗族自治州');
INSERT INTO `regions` VALUES (422801, 422800, 3, '恩施', '恩施市');
INSERT INTO `regions` VALUES (422802, 422800, 3, '利川', '利川市');
INSERT INTO `regions` VALUES (422822, 422800, 3, '建始', '建始县');
INSERT INTO `regions` VALUES (422823, 422800, 3, '巴东', '巴东县');
INSERT INTO `regions` VALUES (422825, 422800, 3, '宣恩', '宣恩县');
INSERT INTO `regions` VALUES (422826, 422800, 3, '咸丰', '咸丰县');
INSERT INTO `regions` VALUES (422827, 422800, 3, '来凤', '来凤县');
INSERT INTO `regions` VALUES (422828, 422800, 3, '鹤峰', '鹤峰县');
INSERT INTO `regions` VALUES (429000, 420000, 2, ' ', '直辖县级');
INSERT INTO `regions` VALUES (429004, 429000, 3, '仙桃', '仙桃市');
INSERT INTO `regions` VALUES (429005, 429000, 3, '潜江', '潜江市');
INSERT INTO `regions` VALUES (429006, 429000, 3, '天门', '天门市');
INSERT INTO `regions` VALUES (429021, 429000, 3, '神农架', '神农架林区');
INSERT INTO `regions` VALUES (430000, 100000, 1, '湖南', '湖南省');
INSERT INTO `regions` VALUES (430100, 430000, 2, '长沙', '长沙市');
INSERT INTO `regions` VALUES (430102, 430100, 3, '芙蓉', '芙蓉区');
INSERT INTO `regions` VALUES (430103, 430100, 3, '天心', '天心区');
INSERT INTO `regions` VALUES (430104, 430100, 3, '岳麓', '岳麓区');
INSERT INTO `regions` VALUES (430105, 430100, 3, '开福', '开福区');
INSERT INTO `regions` VALUES (430111, 430100, 3, '雨花', '雨花区');
INSERT INTO `regions` VALUES (430112, 430100, 3, '望城', '望城区');
INSERT INTO `regions` VALUES (430121, 430100, 3, '长沙', '长沙县');
INSERT INTO `regions` VALUES (430124, 430100, 3, '宁乡', '宁乡县');
INSERT INTO `regions` VALUES (430181, 430100, 3, '浏阳', '浏阳市');
INSERT INTO `regions` VALUES (430200, 430000, 2, '株洲', '株洲市');
INSERT INTO `regions` VALUES (430202, 430200, 3, '荷塘', '荷塘区');
INSERT INTO `regions` VALUES (430203, 430200, 3, '芦淞', '芦淞区');
INSERT INTO `regions` VALUES (430204, 430200, 3, '石峰', '石峰区');
INSERT INTO `regions` VALUES (430211, 430200, 3, '天元', '天元区');
INSERT INTO `regions` VALUES (430221, 430200, 3, '株洲', '株洲县');
INSERT INTO `regions` VALUES (430223, 430200, 3, '攸县', '攸县');
INSERT INTO `regions` VALUES (430224, 430200, 3, '茶陵', '茶陵县');
INSERT INTO `regions` VALUES (430225, 430200, 3, '炎陵', '炎陵县');
INSERT INTO `regions` VALUES (430281, 430200, 3, '醴陵', '醴陵市');
INSERT INTO `regions` VALUES (430300, 430000, 2, '湘潭', '湘潭市');
INSERT INTO `regions` VALUES (430302, 430300, 3, '雨湖', '雨湖区');
INSERT INTO `regions` VALUES (430304, 430300, 3, '岳塘', '岳塘区');
INSERT INTO `regions` VALUES (430321, 430300, 3, '湘潭', '湘潭县');
INSERT INTO `regions` VALUES (430381, 430300, 3, '湘乡', '湘乡市');
INSERT INTO `regions` VALUES (430382, 430300, 3, '韶山', '韶山市');
INSERT INTO `regions` VALUES (430400, 430000, 2, '衡阳', '衡阳市');
INSERT INTO `regions` VALUES (430405, 430400, 3, '珠晖', '珠晖区');
INSERT INTO `regions` VALUES (430406, 430400, 3, '雁峰', '雁峰区');
INSERT INTO `regions` VALUES (430407, 430400, 3, '石鼓', '石鼓区');
INSERT INTO `regions` VALUES (430408, 430400, 3, '蒸湘', '蒸湘区');
INSERT INTO `regions` VALUES (430412, 430400, 3, '南岳', '南岳区');
INSERT INTO `regions` VALUES (430421, 430400, 3, '衡阳', '衡阳县');
INSERT INTO `regions` VALUES (430422, 430400, 3, '衡南', '衡南县');
INSERT INTO `regions` VALUES (430423, 430400, 3, '衡山', '衡山县');
INSERT INTO `regions` VALUES (430424, 430400, 3, '衡东', '衡东县');
INSERT INTO `regions` VALUES (430426, 430400, 3, '祁东', '祁东县');
INSERT INTO `regions` VALUES (430481, 430400, 3, '耒阳', '耒阳市');
INSERT INTO `regions` VALUES (430482, 430400, 3, '常宁', '常宁市');
INSERT INTO `regions` VALUES (430500, 430000, 2, '邵阳', '邵阳市');
INSERT INTO `regions` VALUES (430502, 430500, 3, '双清', '双清区');
INSERT INTO `regions` VALUES (430503, 430500, 3, '大祥', '大祥区');
INSERT INTO `regions` VALUES (430511, 430500, 3, '北塔', '北塔区');
INSERT INTO `regions` VALUES (430521, 430500, 3, '邵东', '邵东县');
INSERT INTO `regions` VALUES (430522, 430500, 3, '新邵', '新邵县');
INSERT INTO `regions` VALUES (430523, 430500, 3, '邵阳', '邵阳县');
INSERT INTO `regions` VALUES (430524, 430500, 3, '隆回', '隆回县');
INSERT INTO `regions` VALUES (430525, 430500, 3, '洞口', '洞口县');
INSERT INTO `regions` VALUES (430527, 430500, 3, '绥宁', '绥宁县');
INSERT INTO `regions` VALUES (430528, 430500, 3, '新宁', '新宁县');
INSERT INTO `regions` VALUES (430529, 430500, 3, '城步', '城步苗族自治县');
INSERT INTO `regions` VALUES (430581, 430500, 3, '武冈', '武冈市');
INSERT INTO `regions` VALUES (430600, 430000, 2, '岳阳', '岳阳市');
INSERT INTO `regions` VALUES (430602, 430600, 3, '岳阳楼', '岳阳楼区');
INSERT INTO `regions` VALUES (430603, 430600, 3, '云溪', '云溪区');
INSERT INTO `regions` VALUES (430611, 430600, 3, '君山', '君山区');
INSERT INTO `regions` VALUES (430621, 430600, 3, '岳阳', '岳阳县');
INSERT INTO `regions` VALUES (430623, 430600, 3, '华容', '华容县');
INSERT INTO `regions` VALUES (430624, 430600, 3, '湘阴', '湘阴县');
INSERT INTO `regions` VALUES (430626, 430600, 3, '平江', '平江县');
INSERT INTO `regions` VALUES (430681, 430600, 3, '汨罗', '汨罗市');
INSERT INTO `regions` VALUES (430682, 430600, 3, '临湘', '临湘市');
INSERT INTO `regions` VALUES (430700, 430000, 2, '常德', '常德市');
INSERT INTO `regions` VALUES (430702, 430700, 3, '武陵', '武陵区');
INSERT INTO `regions` VALUES (430703, 430700, 3, '鼎城', '鼎城区');
INSERT INTO `regions` VALUES (430721, 430700, 3, '安乡', '安乡县');
INSERT INTO `regions` VALUES (430722, 430700, 3, '汉寿', '汉寿县');
INSERT INTO `regions` VALUES (430723, 430700, 3, '澧县', '澧县');
INSERT INTO `regions` VALUES (430724, 430700, 3, '临澧', '临澧县');
INSERT INTO `regions` VALUES (430725, 430700, 3, '桃源', '桃源县');
INSERT INTO `regions` VALUES (430726, 430700, 3, '石门', '石门县');
INSERT INTO `regions` VALUES (430781, 430700, 3, '津市', '津市市');
INSERT INTO `regions` VALUES (430800, 430000, 2, '张家界', '张家界市');
INSERT INTO `regions` VALUES (430802, 430800, 3, '永定', '永定区');
INSERT INTO `regions` VALUES (430811, 430800, 3, '武陵源', '武陵源区');
INSERT INTO `regions` VALUES (430821, 430800, 3, '慈利', '慈利县');
INSERT INTO `regions` VALUES (430822, 430800, 3, '桑植', '桑植县');
INSERT INTO `regions` VALUES (430900, 430000, 2, '益阳', '益阳市');
INSERT INTO `regions` VALUES (430902, 430900, 3, '资阳', '资阳区');
INSERT INTO `regions` VALUES (430903, 430900, 3, '赫山', '赫山区');
INSERT INTO `regions` VALUES (430921, 430900, 3, '南县', '南县');
INSERT INTO `regions` VALUES (430922, 430900, 3, '桃江', '桃江县');
INSERT INTO `regions` VALUES (430923, 430900, 3, '安化', '安化县');
INSERT INTO `regions` VALUES (430981, 430900, 3, '沅江', '沅江市');
INSERT INTO `regions` VALUES (431000, 430000, 2, '郴州', '郴州市');
INSERT INTO `regions` VALUES (431002, 431000, 3, '北湖', '北湖区');
INSERT INTO `regions` VALUES (431003, 431000, 3, '苏仙', '苏仙区');
INSERT INTO `regions` VALUES (431021, 431000, 3, '桂阳', '桂阳县');
INSERT INTO `regions` VALUES (431022, 431000, 3, '宜章', '宜章县');
INSERT INTO `regions` VALUES (431023, 431000, 3, '永兴', '永兴县');
INSERT INTO `regions` VALUES (431024, 431000, 3, '嘉禾', '嘉禾县');
INSERT INTO `regions` VALUES (431025, 431000, 3, '临武', '临武县');
INSERT INTO `regions` VALUES (431026, 431000, 3, '汝城', '汝城县');
INSERT INTO `regions` VALUES (431027, 431000, 3, '桂东', '桂东县');
INSERT INTO `regions` VALUES (431028, 431000, 3, '安仁', '安仁县');
INSERT INTO `regions` VALUES (431081, 431000, 3, '资兴', '资兴市');
INSERT INTO `regions` VALUES (431100, 430000, 2, '永州', '永州市');
INSERT INTO `regions` VALUES (431102, 431100, 3, '零陵', '零陵区');
INSERT INTO `regions` VALUES (431103, 431100, 3, '冷水滩', '冷水滩区');
INSERT INTO `regions` VALUES (431121, 431100, 3, '祁阳', '祁阳县');
INSERT INTO `regions` VALUES (431122, 431100, 3, '东安', '东安县');
INSERT INTO `regions` VALUES (431123, 431100, 3, '双牌', '双牌县');
INSERT INTO `regions` VALUES (431124, 431100, 3, '道县', '道县');
INSERT INTO `regions` VALUES (431125, 431100, 3, '江永', '江永县');
INSERT INTO `regions` VALUES (431126, 431100, 3, '宁远', '宁远县');
INSERT INTO `regions` VALUES (431127, 431100, 3, '蓝山', '蓝山县');
INSERT INTO `regions` VALUES (431128, 431100, 3, '新田', '新田县');
INSERT INTO `regions` VALUES (431129, 431100, 3, '江华', '江华瑶族自治县');
INSERT INTO `regions` VALUES (431200, 430000, 2, '怀化', '怀化市');
INSERT INTO `regions` VALUES (431202, 431200, 3, '鹤城', '鹤城区');
INSERT INTO `regions` VALUES (431221, 431200, 3, '中方', '中方县');
INSERT INTO `regions` VALUES (431222, 431200, 3, '沅陵', '沅陵县');
INSERT INTO `regions` VALUES (431223, 431200, 3, '辰溪', '辰溪县');
INSERT INTO `regions` VALUES (431224, 431200, 3, '溆浦', '溆浦县');
INSERT INTO `regions` VALUES (431225, 431200, 3, '会同', '会同县');
INSERT INTO `regions` VALUES (431226, 431200, 3, '麻阳', '麻阳苗族自治县');
INSERT INTO `regions` VALUES (431227, 431200, 3, '新晃', '新晃侗族自治县');
INSERT INTO `regions` VALUES (431228, 431200, 3, '芷江', '芷江侗族自治县');
INSERT INTO `regions` VALUES (431229, 431200, 3, '靖州', '靖州苗族侗族自治县');
INSERT INTO `regions` VALUES (431230, 431200, 3, '通道', '通道侗族自治县');
INSERT INTO `regions` VALUES (431281, 431200, 3, '洪江', '洪江市');
INSERT INTO `regions` VALUES (431300, 430000, 2, '娄底', '娄底市');
INSERT INTO `regions` VALUES (431302, 431300, 3, '娄星', '娄星区');
INSERT INTO `regions` VALUES (431321, 431300, 3, '双峰', '双峰县');
INSERT INTO `regions` VALUES (431322, 431300, 3, '新化', '新化县');
INSERT INTO `regions` VALUES (431381, 431300, 3, '冷水江', '冷水江市');
INSERT INTO `regions` VALUES (431382, 431300, 3, '涟源', '涟源市');
INSERT INTO `regions` VALUES (433100, 430000, 2, '湘西', '湘西土家族苗族自治州');
INSERT INTO `regions` VALUES (433101, 433100, 3, '吉首', '吉首市');
INSERT INTO `regions` VALUES (433122, 433100, 3, '泸溪', '泸溪县');
INSERT INTO `regions` VALUES (433123, 433100, 3, '凤凰', '凤凰县');
INSERT INTO `regions` VALUES (433124, 433100, 3, '花垣', '花垣县');
INSERT INTO `regions` VALUES (433125, 433100, 3, '保靖', '保靖县');
INSERT INTO `regions` VALUES (433126, 433100, 3, '古丈', '古丈县');
INSERT INTO `regions` VALUES (433127, 433100, 3, '永顺', '永顺县');
INSERT INTO `regions` VALUES (433130, 433100, 3, '龙山', '龙山县');
INSERT INTO `regions` VALUES (440000, 100000, 1, '广东', '广东省');
INSERT INTO `regions` VALUES (440100, 440000, 2, '广州', '广州市');
INSERT INTO `regions` VALUES (440103, 440100, 3, '荔湾', '荔湾区');
INSERT INTO `regions` VALUES (440104, 440100, 3, '越秀', '越秀区');
INSERT INTO `regions` VALUES (440105, 440100, 3, '海珠', '海珠区');
INSERT INTO `regions` VALUES (440106, 440100, 3, '天河', '天河区');
INSERT INTO `regions` VALUES (440111, 440100, 3, '白云', '白云区');
INSERT INTO `regions` VALUES (440112, 440100, 3, '黄埔', '黄埔区');
INSERT INTO `regions` VALUES (440113, 440100, 3, '番禺', '番禺区');
INSERT INTO `regions` VALUES (440114, 440100, 3, '花都', '花都区');
INSERT INTO `regions` VALUES (440115, 440100, 3, '南沙', '南沙区');
INSERT INTO `regions` VALUES (440117, 440100, 3, '从化', '从化区');
INSERT INTO `regions` VALUES (440118, 440100, 3, '增城', '增城区');
INSERT INTO `regions` VALUES (440200, 440000, 2, '韶关', '韶关市');
INSERT INTO `regions` VALUES (440203, 440200, 3, '武江', '武江区');
INSERT INTO `regions` VALUES (440204, 440200, 3, '浈江', '浈江区');
INSERT INTO `regions` VALUES (440205, 440200, 3, '曲江', '曲江区');
INSERT INTO `regions` VALUES (440222, 440200, 3, '始兴', '始兴县');
INSERT INTO `regions` VALUES (440224, 440200, 3, '仁化', '仁化县');
INSERT INTO `regions` VALUES (440229, 440200, 3, '翁源', '翁源县');
INSERT INTO `regions` VALUES (440232, 440200, 3, '乳源', '乳源瑶族自治县');
INSERT INTO `regions` VALUES (440233, 440200, 3, '新丰', '新丰县');
INSERT INTO `regions` VALUES (440281, 440200, 3, '乐昌', '乐昌市');
INSERT INTO `regions` VALUES (440282, 440200, 3, '南雄', '南雄市');
INSERT INTO `regions` VALUES (440300, 440000, 2, '深圳', '深圳市');
INSERT INTO `regions` VALUES (440303, 440300, 3, '罗湖', '罗湖区');
INSERT INTO `regions` VALUES (440304, 440300, 3, '福田', '福田区');
INSERT INTO `regions` VALUES (440305, 440300, 3, '南山', '南山区');
INSERT INTO `regions` VALUES (440306, 440300, 3, '宝安', '宝安区');
INSERT INTO `regions` VALUES (440307, 440300, 3, '龙岗', '龙岗区');
INSERT INTO `regions` VALUES (440308, 440300, 3, '盐田', '盐田区');
INSERT INTO `regions` VALUES (440309, 440300, 3, '光明新区', '光明新区');
INSERT INTO `regions` VALUES (440310, 440300, 3, '坪山新区', '坪山新区');
INSERT INTO `regions` VALUES (440311, 440300, 3, '大鹏新区', '大鹏新区');
INSERT INTO `regions` VALUES (440312, 440300, 3, '龙华新区', '龙华新区');
INSERT INTO `regions` VALUES (440400, 440000, 2, '珠海', '珠海市');
INSERT INTO `regions` VALUES (440402, 440400, 3, '香洲', '香洲区');
INSERT INTO `regions` VALUES (440403, 440400, 3, '斗门', '斗门区');
INSERT INTO `regions` VALUES (440404, 440400, 3, '金湾', '金湾区');
INSERT INTO `regions` VALUES (440500, 440000, 2, '汕头', '汕头市');
INSERT INTO `regions` VALUES (440507, 440500, 3, '龙湖', '龙湖区');
INSERT INTO `regions` VALUES (440511, 440500, 3, '金平', '金平区');
INSERT INTO `regions` VALUES (440512, 440500, 3, '濠江', '濠江区');
INSERT INTO `regions` VALUES (440513, 440500, 3, '潮阳', '潮阳区');
INSERT INTO `regions` VALUES (440514, 440500, 3, '潮南', '潮南区');
INSERT INTO `regions` VALUES (440515, 440500, 3, '澄海', '澄海区');
INSERT INTO `regions` VALUES (440523, 440500, 3, '南澳', '南澳县');
INSERT INTO `regions` VALUES (440600, 440000, 2, '佛山', '佛山市');
INSERT INTO `regions` VALUES (440604, 440600, 3, '禅城', '禅城区');
INSERT INTO `regions` VALUES (440605, 440600, 3, '南海', '南海区');
INSERT INTO `regions` VALUES (440606, 440600, 3, '顺德', '顺德区');
INSERT INTO `regions` VALUES (440607, 440600, 3, '三水', '三水区');
INSERT INTO `regions` VALUES (440608, 440600, 3, '高明', '高明区');
INSERT INTO `regions` VALUES (440700, 440000, 2, '江门', '江门市');
INSERT INTO `regions` VALUES (440703, 440700, 3, '蓬江', '蓬江区');
INSERT INTO `regions` VALUES (440704, 440700, 3, '江海', '江海区');
INSERT INTO `regions` VALUES (440705, 440700, 3, '新会', '新会区');
INSERT INTO `regions` VALUES (440781, 440700, 3, '台山', '台山市');
INSERT INTO `regions` VALUES (440783, 440700, 3, '开平', '开平市');
INSERT INTO `regions` VALUES (440784, 440700, 3, '鹤山', '鹤山市');
INSERT INTO `regions` VALUES (440785, 440700, 3, '恩平', '恩平市');
INSERT INTO `regions` VALUES (440800, 440000, 2, '湛江', '湛江市');
INSERT INTO `regions` VALUES (440802, 440800, 3, '赤坎', '赤坎区');
INSERT INTO `regions` VALUES (440803, 440800, 3, '霞山', '霞山区');
INSERT INTO `regions` VALUES (440804, 440800, 3, '坡头', '坡头区');
INSERT INTO `regions` VALUES (440811, 440800, 3, '麻章', '麻章区');
INSERT INTO `regions` VALUES (440823, 440800, 3, '遂溪', '遂溪县');
INSERT INTO `regions` VALUES (440825, 440800, 3, '徐闻', '徐闻县');
INSERT INTO `regions` VALUES (440881, 440800, 3, '廉江', '廉江市');
INSERT INTO `regions` VALUES (440882, 440800, 3, '雷州', '雷州市');
INSERT INTO `regions` VALUES (440883, 440800, 3, '吴川', '吴川市');
INSERT INTO `regions` VALUES (440900, 440000, 2, '茂名', '茂名市');
INSERT INTO `regions` VALUES (440902, 440900, 3, '茂南', '茂南区');
INSERT INTO `regions` VALUES (440904, 440900, 3, '电白', '电白区');
INSERT INTO `regions` VALUES (440981, 440900, 3, '高州', '高州市');
INSERT INTO `regions` VALUES (440982, 440900, 3, '化州', '化州市');
INSERT INTO `regions` VALUES (440983, 440900, 3, '信宜', '信宜市');
INSERT INTO `regions` VALUES (441200, 440000, 2, '肇庆', '肇庆市');
INSERT INTO `regions` VALUES (441202, 441200, 3, '端州', '端州区');
INSERT INTO `regions` VALUES (441203, 441200, 3, '鼎湖', '鼎湖区');
INSERT INTO `regions` VALUES (441223, 441200, 3, '广宁', '广宁县');
INSERT INTO `regions` VALUES (441224, 441200, 3, '怀集', '怀集县');
INSERT INTO `regions` VALUES (441225, 441200, 3, '封开', '封开县');
INSERT INTO `regions` VALUES (441226, 441200, 3, '德庆', '德庆县');
INSERT INTO `regions` VALUES (441283, 441200, 3, '高要', '高要市');
INSERT INTO `regions` VALUES (441284, 441200, 3, '四会', '四会市');
INSERT INTO `regions` VALUES (441300, 440000, 2, '惠州', '惠州市');
INSERT INTO `regions` VALUES (441302, 441300, 3, '惠城', '惠城区');
INSERT INTO `regions` VALUES (441303, 441300, 3, '惠阳', '惠阳区');
INSERT INTO `regions` VALUES (441322, 441300, 3, '博罗', '博罗县');
INSERT INTO `regions` VALUES (441323, 441300, 3, '惠东', '惠东县');
INSERT INTO `regions` VALUES (441324, 441300, 3, '龙门', '龙门县');
INSERT INTO `regions` VALUES (441400, 440000, 2, '梅州', '梅州市');
INSERT INTO `regions` VALUES (441402, 441400, 3, '梅江', '梅江区');
INSERT INTO `regions` VALUES (441403, 441400, 3, '梅县', '梅县区');
INSERT INTO `regions` VALUES (441422, 441400, 3, '大埔', '大埔县');
INSERT INTO `regions` VALUES (441423, 441400, 3, '丰顺', '丰顺县');
INSERT INTO `regions` VALUES (441424, 441400, 3, '五华', '五华县');
INSERT INTO `regions` VALUES (441426, 441400, 3, '平远', '平远县');
INSERT INTO `regions` VALUES (441427, 441400, 3, '蕉岭', '蕉岭县');
INSERT INTO `regions` VALUES (441481, 441400, 3, '兴宁', '兴宁市');
INSERT INTO `regions` VALUES (441500, 440000, 2, '汕尾', '汕尾市');
INSERT INTO `regions` VALUES (441502, 441500, 3, '城区', '城区');
INSERT INTO `regions` VALUES (441521, 441500, 3, '海丰', '海丰县');
INSERT INTO `regions` VALUES (441523, 441500, 3, '陆河', '陆河县');
INSERT INTO `regions` VALUES (441581, 441500, 3, '陆丰', '陆丰市');
INSERT INTO `regions` VALUES (441600, 440000, 2, '河源', '河源市');
INSERT INTO `regions` VALUES (441602, 441600, 3, '源城', '源城区');
INSERT INTO `regions` VALUES (441621, 441600, 3, '紫金', '紫金县');
INSERT INTO `regions` VALUES (441622, 441600, 3, '龙川', '龙川县');
INSERT INTO `regions` VALUES (441623, 441600, 3, '连平', '连平县');
INSERT INTO `regions` VALUES (441624, 441600, 3, '和平', '和平县');
INSERT INTO `regions` VALUES (441625, 441600, 3, '东源', '东源县');
INSERT INTO `regions` VALUES (441700, 440000, 2, '阳江', '阳江市');
INSERT INTO `regions` VALUES (441702, 441700, 3, '江城', '江城区');
INSERT INTO `regions` VALUES (441704, 441700, 3, '阳东', '阳东区');
INSERT INTO `regions` VALUES (441721, 441700, 3, '阳西', '阳西县');
INSERT INTO `regions` VALUES (441781, 441700, 3, '阳春', '阳春市');
INSERT INTO `regions` VALUES (441800, 440000, 2, '清远', '清远市');
INSERT INTO `regions` VALUES (441802, 441800, 3, '清城', '清城区');
INSERT INTO `regions` VALUES (441803, 441800, 3, '清新', '清新区');
INSERT INTO `regions` VALUES (441821, 441800, 3, '佛冈', '佛冈县');
INSERT INTO `regions` VALUES (441823, 441800, 3, '阳山', '阳山县');
INSERT INTO `regions` VALUES (441825, 441800, 3, '连山', '连山壮族瑶族自治县');
INSERT INTO `regions` VALUES (441826, 441800, 3, '连南', '连南瑶族自治县');
INSERT INTO `regions` VALUES (441881, 441800, 3, '英德', '英德市');
INSERT INTO `regions` VALUES (441882, 441800, 3, '连州', '连州市');
INSERT INTO `regions` VALUES (441900, 440000, 2, '东莞', '东莞市');
INSERT INTO `regions` VALUES (441901, 441900, 3, '莞城', '莞城区');
INSERT INTO `regions` VALUES (441902, 441900, 3, '南城', '南城区');
INSERT INTO `regions` VALUES (441904, 441900, 3, '万江', '万江区');
INSERT INTO `regions` VALUES (441905, 441900, 3, '石碣', '石碣镇');
INSERT INTO `regions` VALUES (441906, 441900, 3, '石龙', '石龙镇');
INSERT INTO `regions` VALUES (441907, 441900, 3, '茶山', '茶山镇');
INSERT INTO `regions` VALUES (441908, 441900, 3, '石排', '石排镇');
INSERT INTO `regions` VALUES (441909, 441900, 3, '企石', '企石镇');
INSERT INTO `regions` VALUES (441910, 441900, 3, '横沥', '横沥镇');
INSERT INTO `regions` VALUES (441911, 441900, 3, '桥头', '桥头镇');
INSERT INTO `regions` VALUES (441912, 441900, 3, '谢岗', '谢岗镇');
INSERT INTO `regions` VALUES (441913, 441900, 3, '东坑', '东坑镇');
INSERT INTO `regions` VALUES (441914, 441900, 3, '常平', '常平镇');
INSERT INTO `regions` VALUES (441915, 441900, 3, '寮步', '寮步镇');
INSERT INTO `regions` VALUES (441916, 441900, 3, '大朗', '大朗镇');
INSERT INTO `regions` VALUES (441917, 441900, 3, '麻涌', '麻涌镇');
INSERT INTO `regions` VALUES (441918, 441900, 3, '中堂', '中堂镇');
INSERT INTO `regions` VALUES (441919, 441900, 3, '高埗', '高埗镇');
INSERT INTO `regions` VALUES (441920, 441900, 3, '樟木头', '樟木头镇');
INSERT INTO `regions` VALUES (441921, 441900, 3, '大岭山', '大岭山镇');
INSERT INTO `regions` VALUES (441922, 441900, 3, '望牛墩', '望牛墩镇');
INSERT INTO `regions` VALUES (441923, 441900, 3, '黄江', '黄江镇');
INSERT INTO `regions` VALUES (441924, 441900, 3, '洪梅', '洪梅镇');
INSERT INTO `regions` VALUES (441925, 441900, 3, '清溪', '清溪镇');
INSERT INTO `regions` VALUES (441926, 441900, 3, '沙田', '沙田镇');
INSERT INTO `regions` VALUES (441927, 441900, 3, '道滘', '道滘镇');
INSERT INTO `regions` VALUES (441928, 441900, 3, '塘厦', '塘厦镇');
INSERT INTO `regions` VALUES (441929, 441900, 3, '虎门', '虎门镇');
INSERT INTO `regions` VALUES (441930, 441900, 3, '厚街', '厚街镇');
INSERT INTO `regions` VALUES (441931, 441900, 3, '凤岗', '凤岗镇');
INSERT INTO `regions` VALUES (441932, 441900, 3, '长安', '长安镇');
INSERT INTO `regions` VALUES (442000, 440000, 2, '中山', '中山市');
INSERT INTO `regions` VALUES (442001, 442000, 3, '石岐', '石岐区');
INSERT INTO `regions` VALUES (442004, 442000, 3, '南区', '南区');
INSERT INTO `regions` VALUES (442005, 442000, 3, '五桂山', '五桂山区');
INSERT INTO `regions` VALUES (442006, 442000, 3, '火炬', '火炬开发区');
INSERT INTO `regions` VALUES (442007, 442000, 3, '黄圃', '黄圃镇');
INSERT INTO `regions` VALUES (442008, 442000, 3, '南头', '南头镇');
INSERT INTO `regions` VALUES (442009, 442000, 3, '东凤', '东凤镇');
INSERT INTO `regions` VALUES (442010, 442000, 3, '阜沙', '阜沙镇');
INSERT INTO `regions` VALUES (442011, 442000, 3, '小榄', '小榄镇');
INSERT INTO `regions` VALUES (442012, 442000, 3, '东升', '东升镇');
INSERT INTO `regions` VALUES (442013, 442000, 3, '古镇', '古镇镇');
INSERT INTO `regions` VALUES (442014, 442000, 3, '横栏', '横栏镇');
INSERT INTO `regions` VALUES (442015, 442000, 3, '三角', '三角镇');
INSERT INTO `regions` VALUES (442016, 442000, 3, '民众', '民众镇');
INSERT INTO `regions` VALUES (442017, 442000, 3, '南朗', '南朗镇');
INSERT INTO `regions` VALUES (442018, 442000, 3, '港口', '港口镇');
INSERT INTO `regions` VALUES (442019, 442000, 3, '大涌', '大涌镇');
INSERT INTO `regions` VALUES (442020, 442000, 3, '沙溪', '沙溪镇');
INSERT INTO `regions` VALUES (442021, 442000, 3, '三乡', '三乡镇');
INSERT INTO `regions` VALUES (442022, 442000, 3, '板芙', '板芙镇');
INSERT INTO `regions` VALUES (442023, 442000, 3, '神湾', '神湾镇');
INSERT INTO `regions` VALUES (442024, 442000, 3, '坦洲', '坦洲镇');
INSERT INTO `regions` VALUES (445100, 440000, 2, '潮州', '潮州市');
INSERT INTO `regions` VALUES (445102, 445100, 3, '湘桥', '湘桥区');
INSERT INTO `regions` VALUES (445103, 445100, 3, '潮安', '潮安区');
INSERT INTO `regions` VALUES (445122, 445100, 3, '饶平', '饶平县');
INSERT INTO `regions` VALUES (445200, 440000, 2, '揭阳', '揭阳市');
INSERT INTO `regions` VALUES (445202, 445200, 3, '榕城', '榕城区');
INSERT INTO `regions` VALUES (445203, 445200, 3, '揭东', '揭东区');
INSERT INTO `regions` VALUES (445222, 445200, 3, '揭西', '揭西县');
INSERT INTO `regions` VALUES (445224, 445200, 3, '惠来', '惠来县');
INSERT INTO `regions` VALUES (445281, 445200, 3, '普宁', '普宁市');
INSERT INTO `regions` VALUES (445300, 440000, 2, '云浮', '云浮市');
INSERT INTO `regions` VALUES (445302, 445300, 3, '云城', '云城区');
INSERT INTO `regions` VALUES (445303, 445300, 3, '云安', '云安区');
INSERT INTO `regions` VALUES (445321, 445300, 3, '新兴', '新兴县');
INSERT INTO `regions` VALUES (445322, 445300, 3, '郁南', '郁南县');
INSERT INTO `regions` VALUES (445381, 445300, 3, '罗定', '罗定市');
INSERT INTO `regions` VALUES (450000, 100000, 1, '广西', '广西壮族自治区');
INSERT INTO `regions` VALUES (450100, 450000, 2, '南宁', '南宁市');
INSERT INTO `regions` VALUES (450102, 450100, 3, '兴宁', '兴宁区');
INSERT INTO `regions` VALUES (450103, 450100, 3, '青秀', '青秀区');
INSERT INTO `regions` VALUES (450105, 450100, 3, '江南', '江南区');
INSERT INTO `regions` VALUES (450107, 450100, 3, '西乡塘', '西乡塘区');
INSERT INTO `regions` VALUES (450108, 450100, 3, '良庆', '良庆区');
INSERT INTO `regions` VALUES (450109, 450100, 3, '邕宁', '邕宁区');
INSERT INTO `regions` VALUES (450122, 450100, 3, '武鸣', '武鸣县');
INSERT INTO `regions` VALUES (450123, 450100, 3, '隆安', '隆安县');
INSERT INTO `regions` VALUES (450124, 450100, 3, '马山', '马山县');
INSERT INTO `regions` VALUES (450125, 450100, 3, '上林', '上林县');
INSERT INTO `regions` VALUES (450126, 450100, 3, '宾阳', '宾阳县');
INSERT INTO `regions` VALUES (450127, 450100, 3, '横县', '横县');
INSERT INTO `regions` VALUES (450128, 450100, 3, '埌东', '埌东新区');
INSERT INTO `regions` VALUES (450200, 450000, 2, '柳州', '柳州市');
INSERT INTO `regions` VALUES (450202, 450200, 3, '城中', '城中区');
INSERT INTO `regions` VALUES (450203, 450200, 3, '鱼峰', '鱼峰区');
INSERT INTO `regions` VALUES (450204, 450200, 3, '柳南', '柳南区');
INSERT INTO `regions` VALUES (450205, 450200, 3, '柳北', '柳北区');
INSERT INTO `regions` VALUES (450221, 450200, 3, '柳江', '柳江县');
INSERT INTO `regions` VALUES (450222, 450200, 3, '柳城', '柳城县');
INSERT INTO `regions` VALUES (450223, 450200, 3, '鹿寨', '鹿寨县');
INSERT INTO `regions` VALUES (450224, 450200, 3, '融安', '融安县');
INSERT INTO `regions` VALUES (450225, 450200, 3, '融水', '融水苗族自治县');
INSERT INTO `regions` VALUES (450226, 450200, 3, '三江', '三江侗族自治县');
INSERT INTO `regions` VALUES (450227, 450200, 3, '柳东', '柳东新区');
INSERT INTO `regions` VALUES (450300, 450000, 2, '桂林', '桂林市');
INSERT INTO `regions` VALUES (450302, 450300, 3, '秀峰', '秀峰区');
INSERT INTO `regions` VALUES (450303, 450300, 3, '叠彩', '叠彩区');
INSERT INTO `regions` VALUES (450304, 450300, 3, '象山', '象山区');
INSERT INTO `regions` VALUES (450305, 450300, 3, '七星', '七星区');
INSERT INTO `regions` VALUES (450311, 450300, 3, '雁山', '雁山区');
INSERT INTO `regions` VALUES (450312, 450300, 3, '临桂', '临桂区');
INSERT INTO `regions` VALUES (450321, 450300, 3, '阳朔', '阳朔县');
INSERT INTO `regions` VALUES (450323, 450300, 3, '灵川', '灵川县');
INSERT INTO `regions` VALUES (450324, 450300, 3, '全州', '全州县');
INSERT INTO `regions` VALUES (450325, 450300, 3, '兴安', '兴安县');
INSERT INTO `regions` VALUES (450326, 450300, 3, '永福', '永福县');
INSERT INTO `regions` VALUES (450327, 450300, 3, '灌阳', '灌阳县');
INSERT INTO `regions` VALUES (450328, 450300, 3, '龙胜', '龙胜各族自治县');
INSERT INTO `regions` VALUES (450329, 450300, 3, '资源', '资源县');
INSERT INTO `regions` VALUES (450330, 450300, 3, '平乐', '平乐县');
INSERT INTO `regions` VALUES (450331, 450300, 3, '荔浦', '荔浦县');
INSERT INTO `regions` VALUES (450332, 450300, 3, '恭城', '恭城瑶族自治县');
INSERT INTO `regions` VALUES (450400, 450000, 2, '梧州', '梧州市');
INSERT INTO `regions` VALUES (450403, 450400, 3, '万秀', '万秀区');
INSERT INTO `regions` VALUES (450405, 450400, 3, '长洲', '长洲区');
INSERT INTO `regions` VALUES (450406, 450400, 3, '龙圩', '龙圩区');
INSERT INTO `regions` VALUES (450421, 450400, 3, '苍梧', '苍梧县');
INSERT INTO `regions` VALUES (450422, 450400, 3, '藤县', '藤县');
INSERT INTO `regions` VALUES (450423, 450400, 3, '蒙山', '蒙山县');
INSERT INTO `regions` VALUES (450481, 450400, 3, '岑溪', '岑溪市');
INSERT INTO `regions` VALUES (450500, 450000, 2, '北海', '北海市');
INSERT INTO `regions` VALUES (450502, 450500, 3, '海城', '海城区');
INSERT INTO `regions` VALUES (450503, 450500, 3, '银海', '银海区');
INSERT INTO `regions` VALUES (450512, 450500, 3, '铁山港', '铁山港区');
INSERT INTO `regions` VALUES (450521, 450500, 3, '合浦', '合浦县');
INSERT INTO `regions` VALUES (450600, 450000, 2, '防城港', '防城港市');
INSERT INTO `regions` VALUES (450602, 450600, 3, '港口', '港口区');
INSERT INTO `regions` VALUES (450603, 450600, 3, '防城', '防城区');
INSERT INTO `regions` VALUES (450621, 450600, 3, '上思', '上思县');
INSERT INTO `regions` VALUES (450681, 450600, 3, '东兴', '东兴市');
INSERT INTO `regions` VALUES (450700, 450000, 2, '钦州', '钦州市');
INSERT INTO `regions` VALUES (450702, 450700, 3, '钦南', '钦南区');
INSERT INTO `regions` VALUES (450703, 450700, 3, '钦北', '钦北区');
INSERT INTO `regions` VALUES (450721, 450700, 3, '灵山', '灵山县');
INSERT INTO `regions` VALUES (450722, 450700, 3, '浦北', '浦北县');
INSERT INTO `regions` VALUES (450800, 450000, 2, '贵港', '贵港市');
INSERT INTO `regions` VALUES (450802, 450800, 3, '港北', '港北区');
INSERT INTO `regions` VALUES (450803, 450800, 3, '港南', '港南区');
INSERT INTO `regions` VALUES (450804, 450800, 3, '覃塘', '覃塘区');
INSERT INTO `regions` VALUES (450821, 450800, 3, '平南', '平南县');
INSERT INTO `regions` VALUES (450881, 450800, 3, '桂平', '桂平市');
INSERT INTO `regions` VALUES (450900, 450000, 2, '玉林', '玉林市');
INSERT INTO `regions` VALUES (450902, 450900, 3, '玉州', '玉州区');
INSERT INTO `regions` VALUES (450903, 450900, 3, '福绵', '福绵区');
INSERT INTO `regions` VALUES (450904, 450900, 3, '玉东', '玉东新区');
INSERT INTO `regions` VALUES (450921, 450900, 3, '容县', '容县');
INSERT INTO `regions` VALUES (450922, 450900, 3, '陆川', '陆川县');
INSERT INTO `regions` VALUES (450923, 450900, 3, '博白', '博白县');
INSERT INTO `regions` VALUES (450924, 450900, 3, '兴业', '兴业县');
INSERT INTO `regions` VALUES (450981, 450900, 3, '北流', '北流市');
INSERT INTO `regions` VALUES (451000, 450000, 2, '百色', '百色市');
INSERT INTO `regions` VALUES (451002, 451000, 3, '右江', '右江区');
INSERT INTO `regions` VALUES (451021, 451000, 3, '田阳', '田阳县');
INSERT INTO `regions` VALUES (451022, 451000, 3, '田东', '田东县');
INSERT INTO `regions` VALUES (451023, 451000, 3, '平果', '平果县');
INSERT INTO `regions` VALUES (451024, 451000, 3, '德保', '德保县');
INSERT INTO `regions` VALUES (451025, 451000, 3, '靖西', '靖西县');
INSERT INTO `regions` VALUES (451026, 451000, 3, '那坡', '那坡县');
INSERT INTO `regions` VALUES (451027, 451000, 3, '凌云', '凌云县');
INSERT INTO `regions` VALUES (451028, 451000, 3, '乐业', '乐业县');
INSERT INTO `regions` VALUES (451029, 451000, 3, '田林', '田林县');
INSERT INTO `regions` VALUES (451030, 451000, 3, '西林', '西林县');
INSERT INTO `regions` VALUES (451031, 451000, 3, '隆林', '隆林各族自治县');
INSERT INTO `regions` VALUES (451100, 450000, 2, '贺州', '贺州市');
INSERT INTO `regions` VALUES (451102, 451100, 3, '八步', '八步区');
INSERT INTO `regions` VALUES (451121, 451100, 3, '昭平', '昭平县');
INSERT INTO `regions` VALUES (451122, 451100, 3, '钟山', '钟山县');
INSERT INTO `regions` VALUES (451123, 451100, 3, '富川', '富川瑶族自治县');
INSERT INTO `regions` VALUES (451124, 451100, 3, '平桂', '平桂管理区');
INSERT INTO `regions` VALUES (451200, 450000, 2, '河池', '河池市');
INSERT INTO `regions` VALUES (451202, 451200, 3, '金城江', '金城江区');
INSERT INTO `regions` VALUES (451221, 451200, 3, '南丹', '南丹县');
INSERT INTO `regions` VALUES (451222, 451200, 3, '天峨', '天峨县');
INSERT INTO `regions` VALUES (451223, 451200, 3, '凤山', '凤山县');
INSERT INTO `regions` VALUES (451224, 451200, 3, '东兰', '东兰县');
INSERT INTO `regions` VALUES (451225, 451200, 3, '罗城', '罗城仫佬族自治县');
INSERT INTO `regions` VALUES (451226, 451200, 3, '环江', '环江毛南族自治县');
INSERT INTO `regions` VALUES (451227, 451200, 3, '巴马', '巴马瑶族自治县');
INSERT INTO `regions` VALUES (451228, 451200, 3, '都安', '都安瑶族自治县');
INSERT INTO `regions` VALUES (451229, 451200, 3, '大化', '大化瑶族自治县');
INSERT INTO `regions` VALUES (451281, 451200, 3, '宜州', '宜州市');
INSERT INTO `regions` VALUES (451300, 450000, 2, '来宾', '来宾市');
INSERT INTO `regions` VALUES (451302, 451300, 3, '兴宾', '兴宾区');
INSERT INTO `regions` VALUES (451321, 451300, 3, '忻城', '忻城县');
INSERT INTO `regions` VALUES (451322, 451300, 3, '象州', '象州县');
INSERT INTO `regions` VALUES (451323, 451300, 3, '武宣', '武宣县');
INSERT INTO `regions` VALUES (451324, 451300, 3, '金秀', '金秀瑶族自治县');
INSERT INTO `regions` VALUES (451381, 451300, 3, '合山', '合山市');
INSERT INTO `regions` VALUES (451400, 450000, 2, '崇左', '崇左市');
INSERT INTO `regions` VALUES (451402, 451400, 3, '江州', '江州区');
INSERT INTO `regions` VALUES (451421, 451400, 3, '扶绥', '扶绥县');
INSERT INTO `regions` VALUES (451422, 451400, 3, '宁明', '宁明县');
INSERT INTO `regions` VALUES (451423, 451400, 3, '龙州', '龙州县');
INSERT INTO `regions` VALUES (451424, 451400, 3, '大新', '大新县');
INSERT INTO `regions` VALUES (451425, 451400, 3, '天等', '天等县');
INSERT INTO `regions` VALUES (451481, 451400, 3, '凭祥', '凭祥市');
INSERT INTO `regions` VALUES (460000, 100000, 1, '海南', '海南省');
INSERT INTO `regions` VALUES (460100, 460000, 2, '海口', '海口市');
INSERT INTO `regions` VALUES (460105, 460100, 3, '秀英', '秀英区');
INSERT INTO `regions` VALUES (460106, 460100, 3, '龙华', '龙华区');
INSERT INTO `regions` VALUES (460107, 460100, 3, '琼山', '琼山区');
INSERT INTO `regions` VALUES (460108, 460100, 3, '美兰', '美兰区');
INSERT INTO `regions` VALUES (460200, 460000, 2, '三亚', '三亚市');
INSERT INTO `regions` VALUES (460202, 460200, 3, '海棠', '海棠区');
INSERT INTO `regions` VALUES (460203, 460200, 3, '吉阳', '吉阳区');
INSERT INTO `regions` VALUES (460204, 460200, 3, '天涯', '天涯区');
INSERT INTO `regions` VALUES (460205, 460200, 3, '崖州', '崖州区');
INSERT INTO `regions` VALUES (460300, 460000, 2, '三沙', '三沙市');
INSERT INTO `regions` VALUES (460321, 460300, 3, '西沙', '西沙群岛');
INSERT INTO `regions` VALUES (460322, 460300, 3, '南沙', '南沙群岛');
INSERT INTO `regions` VALUES (460323, 460300, 3, '中沙', '中沙群岛');
INSERT INTO `regions` VALUES (469000, 460000, 2, ' ', '直辖县级');
INSERT INTO `regions` VALUES (469001, 469000, 3, '五指山', '五指山市');
INSERT INTO `regions` VALUES (469002, 469000, 3, '琼海', '琼海市');
INSERT INTO `regions` VALUES (469003, 469000, 3, '儋州', '儋州市');
INSERT INTO `regions` VALUES (469005, 469000, 3, '文昌', '文昌市');
INSERT INTO `regions` VALUES (469006, 469000, 3, '万宁', '万宁市');
INSERT INTO `regions` VALUES (469007, 469000, 3, '东方', '东方市');
INSERT INTO `regions` VALUES (469021, 469000, 3, '定安', '定安县');
INSERT INTO `regions` VALUES (469022, 469000, 3, '屯昌', '屯昌县');
INSERT INTO `regions` VALUES (469023, 469000, 3, '澄迈', '澄迈县');
INSERT INTO `regions` VALUES (469024, 469000, 3, '临高', '临高县');
INSERT INTO `regions` VALUES (469025, 469000, 3, '白沙', '白沙黎族自治县');
INSERT INTO `regions` VALUES (469026, 469000, 3, '昌江', '昌江黎族自治县');
INSERT INTO `regions` VALUES (469027, 469000, 3, '乐东', '乐东黎族自治县');
INSERT INTO `regions` VALUES (469028, 469000, 3, '陵水', '陵水黎族自治县');
INSERT INTO `regions` VALUES (469029, 469000, 3, '保亭', '保亭黎族苗族自治县');
INSERT INTO `regions` VALUES (469030, 469000, 3, '琼中', '琼中黎族苗族自治县');
INSERT INTO `regions` VALUES (500000, 100000, 1, '重庆', '重庆');
INSERT INTO `regions` VALUES (500100, 500000, 2, '重庆', '重庆市');
INSERT INTO `regions` VALUES (500101, 500100, 3, '万州', '万州区');
INSERT INTO `regions` VALUES (500102, 500100, 3, '涪陵', '涪陵区');
INSERT INTO `regions` VALUES (500103, 500100, 3, '渝中', '渝中区');
INSERT INTO `regions` VALUES (500104, 500100, 3, '大渡口', '大渡口区');
INSERT INTO `regions` VALUES (500105, 500100, 3, '江北', '江北区');
INSERT INTO `regions` VALUES (500106, 500100, 3, '沙坪坝', '沙坪坝区');
INSERT INTO `regions` VALUES (500107, 500100, 3, '九龙坡', '九龙坡区');
INSERT INTO `regions` VALUES (500108, 500100, 3, '南岸', '南岸区');
INSERT INTO `regions` VALUES (500109, 500100, 3, '北碚', '北碚区');
INSERT INTO `regions` VALUES (500110, 500100, 3, '綦江', '綦江区');
INSERT INTO `regions` VALUES (500111, 500100, 3, '大足', '大足区');
INSERT INTO `regions` VALUES (500112, 500100, 3, '渝北', '渝北区');
INSERT INTO `regions` VALUES (500113, 500100, 3, '巴南', '巴南区');
INSERT INTO `regions` VALUES (500114, 500100, 3, '黔江', '黔江区');
INSERT INTO `regions` VALUES (500115, 500100, 3, '长寿', '长寿区');
INSERT INTO `regions` VALUES (500116, 500100, 3, '江津', '江津区');
INSERT INTO `regions` VALUES (500117, 500100, 3, '合川', '合川区');
INSERT INTO `regions` VALUES (500118, 500100, 3, '永川', '永川区');
INSERT INTO `regions` VALUES (500119, 500100, 3, '南川', '南川区');
INSERT INTO `regions` VALUES (500120, 500100, 3, '璧山', '璧山区');
INSERT INTO `regions` VALUES (500151, 500100, 3, '铜梁', '铜梁区');
INSERT INTO `regions` VALUES (500223, 500100, 3, '潼南', '潼南县');
INSERT INTO `regions` VALUES (500226, 500100, 3, '荣昌', '荣昌县');
INSERT INTO `regions` VALUES (500228, 500100, 3, '梁平', '梁平县');
INSERT INTO `regions` VALUES (500229, 500100, 3, '城口', '城口县');
INSERT INTO `regions` VALUES (500230, 500100, 3, '丰都', '丰都县');
INSERT INTO `regions` VALUES (500231, 500100, 3, '垫江', '垫江县');
INSERT INTO `regions` VALUES (500232, 500100, 3, '武隆', '武隆县');
INSERT INTO `regions` VALUES (500233, 500100, 3, '忠县', '忠县');
INSERT INTO `regions` VALUES (500234, 500100, 3, '开县', '开县');
INSERT INTO `regions` VALUES (500235, 500100, 3, '云阳', '云阳县');
INSERT INTO `regions` VALUES (500236, 500100, 3, '奉节', '奉节县');
INSERT INTO `regions` VALUES (500237, 500100, 3, '巫山', '巫山县');
INSERT INTO `regions` VALUES (500238, 500100, 3, '巫溪', '巫溪县');
INSERT INTO `regions` VALUES (500240, 500100, 3, '石柱', '石柱土家族自治县');
INSERT INTO `regions` VALUES (500241, 500100, 3, '秀山', '秀山土家族苗族自治县');
INSERT INTO `regions` VALUES (500242, 500100, 3, '酉阳', '酉阳土家族苗族自治县');
INSERT INTO `regions` VALUES (500243, 500100, 3, '彭水', '彭水苗族土家族自治县');
INSERT INTO `regions` VALUES (500300, 500000, 2, '两江新区', '两江新区');
INSERT INTO `regions` VALUES (500301, 500300, 3, '北部新区', '北部新区');
INSERT INTO `regions` VALUES (500302, 500300, 3, '保税港区', '保税港区');
INSERT INTO `regions` VALUES (500303, 500300, 3, '工业园区', '工业园区');
INSERT INTO `regions` VALUES (510000, 100000, 1, '四川', '四川省');
INSERT INTO `regions` VALUES (510100, 510000, 2, '成都', '成都市');
INSERT INTO `regions` VALUES (510104, 510100, 3, '锦江', '锦江区');
INSERT INTO `regions` VALUES (510105, 510100, 3, '青羊', '青羊区');
INSERT INTO `regions` VALUES (510106, 510100, 3, '金牛', '金牛区');
INSERT INTO `regions` VALUES (510107, 510100, 3, '武侯', '武侯区');
INSERT INTO `regions` VALUES (510108, 510100, 3, '成华', '成华区');
INSERT INTO `regions` VALUES (510109, 510100, 3, '高新', '高新区');
INSERT INTO `regions` VALUES (510112, 510100, 3, '龙泉驿', '龙泉驿区');
INSERT INTO `regions` VALUES (510113, 510100, 3, '青白江', '青白江区');
INSERT INTO `regions` VALUES (510114, 510100, 3, '新都', '新都区');
INSERT INTO `regions` VALUES (510115, 510100, 3, '温江', '温江区');
INSERT INTO `regions` VALUES (510121, 510100, 3, '金堂', '金堂县');
INSERT INTO `regions` VALUES (510122, 510100, 3, '双流', '双流县');
INSERT INTO `regions` VALUES (510124, 510100, 3, '郫县', '郫县');
INSERT INTO `regions` VALUES (510129, 510100, 3, '大邑', '大邑县');
INSERT INTO `regions` VALUES (510131, 510100, 3, '蒲江', '蒲江县');
INSERT INTO `regions` VALUES (510132, 510100, 3, '新津', '新津县');
INSERT INTO `regions` VALUES (510181, 510100, 3, '都江堰', '都江堰市');
INSERT INTO `regions` VALUES (510182, 510100, 3, '彭州', '彭州市');
INSERT INTO `regions` VALUES (510183, 510100, 3, '邛崃', '邛崃市');
INSERT INTO `regions` VALUES (510184, 510100, 3, '崇州', '崇州市');
INSERT INTO `regions` VALUES (510300, 510000, 2, '自贡', '自贡市');
INSERT INTO `regions` VALUES (510302, 510300, 3, '自流井', '自流井区');
INSERT INTO `regions` VALUES (510303, 510300, 3, '贡井', '贡井区');
INSERT INTO `regions` VALUES (510304, 510300, 3, '大安', '大安区');
INSERT INTO `regions` VALUES (510311, 510300, 3, '沿滩', '沿滩区');
INSERT INTO `regions` VALUES (510321, 510300, 3, '荣县', '荣县');
INSERT INTO `regions` VALUES (510322, 510300, 3, '富顺', '富顺县');
INSERT INTO `regions` VALUES (510400, 510000, 2, '攀枝花', '攀枝花市');
INSERT INTO `regions` VALUES (510402, 510400, 3, '东区', '东区');
INSERT INTO `regions` VALUES (510403, 510400, 3, '西区', '西区');
INSERT INTO `regions` VALUES (510411, 510400, 3, '仁和', '仁和区');
INSERT INTO `regions` VALUES (510421, 510400, 3, '米易', '米易县');
INSERT INTO `regions` VALUES (510422, 510400, 3, '盐边', '盐边县');
INSERT INTO `regions` VALUES (510500, 510000, 2, '泸州', '泸州市');
INSERT INTO `regions` VALUES (510502, 510500, 3, '江阳', '江阳区');
INSERT INTO `regions` VALUES (510503, 510500, 3, '纳溪', '纳溪区');
INSERT INTO `regions` VALUES (510504, 510500, 3, '龙马潭', '龙马潭区');
INSERT INTO `regions` VALUES (510521, 510500, 3, '泸县', '泸县');
INSERT INTO `regions` VALUES (510522, 510500, 3, '合江', '合江县');
INSERT INTO `regions` VALUES (510524, 510500, 3, '叙永', '叙永县');
INSERT INTO `regions` VALUES (510525, 510500, 3, '古蔺', '古蔺县');
INSERT INTO `regions` VALUES (510600, 510000, 2, '德阳', '德阳市');
INSERT INTO `regions` VALUES (510603, 510600, 3, '旌阳', '旌阳区');
INSERT INTO `regions` VALUES (510623, 510600, 3, '中江', '中江县');
INSERT INTO `regions` VALUES (510626, 510600, 3, '罗江', '罗江县');
INSERT INTO `regions` VALUES (510681, 510600, 3, '广汉', '广汉市');
INSERT INTO `regions` VALUES (510682, 510600, 3, '什邡', '什邡市');
INSERT INTO `regions` VALUES (510683, 510600, 3, '绵竹', '绵竹市');
INSERT INTO `regions` VALUES (510700, 510000, 2, '绵阳', '绵阳市');
INSERT INTO `regions` VALUES (510703, 510700, 3, '涪城', '涪城区');
INSERT INTO `regions` VALUES (510704, 510700, 3, '游仙', '游仙区');
INSERT INTO `regions` VALUES (510722, 510700, 3, '三台', '三台县');
INSERT INTO `regions` VALUES (510723, 510700, 3, '盐亭', '盐亭县');
INSERT INTO `regions` VALUES (510724, 510700, 3, '安县', '安县');
INSERT INTO `regions` VALUES (510725, 510700, 3, '梓潼', '梓潼县');
INSERT INTO `regions` VALUES (510726, 510700, 3, '北川', '北川羌族自治县');
INSERT INTO `regions` VALUES (510727, 510700, 3, '平武', '平武县');
INSERT INTO `regions` VALUES (510781, 510700, 3, '江油', '江油市');
INSERT INTO `regions` VALUES (510800, 510000, 2, '广元', '广元市');
INSERT INTO `regions` VALUES (510802, 510800, 3, '利州', '利州区');
INSERT INTO `regions` VALUES (510811, 510800, 3, '昭化', '昭化区');
INSERT INTO `regions` VALUES (510812, 510800, 3, '朝天', '朝天区');
INSERT INTO `regions` VALUES (510821, 510800, 3, '旺苍', '旺苍县');
INSERT INTO `regions` VALUES (510822, 510800, 3, '青川', '青川县');
INSERT INTO `regions` VALUES (510823, 510800, 3, '剑阁', '剑阁县');
INSERT INTO `regions` VALUES (510824, 510800, 3, '苍溪', '苍溪县');
INSERT INTO `regions` VALUES (510900, 510000, 2, '遂宁', '遂宁市');
INSERT INTO `regions` VALUES (510903, 510900, 3, '船山', '船山区');
INSERT INTO `regions` VALUES (510904, 510900, 3, '安居', '安居区');
INSERT INTO `regions` VALUES (510921, 510900, 3, '蓬溪', '蓬溪县');
INSERT INTO `regions` VALUES (510922, 510900, 3, '射洪', '射洪县');
INSERT INTO `regions` VALUES (510923, 510900, 3, '大英', '大英县');
INSERT INTO `regions` VALUES (511000, 510000, 2, '内江', '内江市');
INSERT INTO `regions` VALUES (511002, 511000, 3, '市中区', '市中区');
INSERT INTO `regions` VALUES (511011, 511000, 3, '东兴', '东兴区');
INSERT INTO `regions` VALUES (511024, 511000, 3, '威远', '威远县');
INSERT INTO `regions` VALUES (511025, 511000, 3, '资中', '资中县');
INSERT INTO `regions` VALUES (511028, 511000, 3, '隆昌', '隆昌县');
INSERT INTO `regions` VALUES (511100, 510000, 2, '乐山', '乐山市');
INSERT INTO `regions` VALUES (511102, 511100, 3, '市中区', '市中区');
INSERT INTO `regions` VALUES (511111, 511100, 3, '沙湾', '沙湾区');
INSERT INTO `regions` VALUES (511112, 511100, 3, '五通桥', '五通桥区');
INSERT INTO `regions` VALUES (511113, 511100, 3, '金口河', '金口河区');
INSERT INTO `regions` VALUES (511123, 511100, 3, '犍为', '犍为县');
INSERT INTO `regions` VALUES (511124, 511100, 3, '井研', '井研县');
INSERT INTO `regions` VALUES (511126, 511100, 3, '夹江', '夹江县');
INSERT INTO `regions` VALUES (511129, 511100, 3, '沐川', '沐川县');
INSERT INTO `regions` VALUES (511132, 511100, 3, '峨边', '峨边彝族自治县');
INSERT INTO `regions` VALUES (511133, 511100, 3, '马边', '马边彝族自治县');
INSERT INTO `regions` VALUES (511181, 511100, 3, '峨眉山', '峨眉山市');
INSERT INTO `regions` VALUES (511300, 510000, 2, '南充', '南充市');
INSERT INTO `regions` VALUES (511302, 511300, 3, '顺庆', '顺庆区');
INSERT INTO `regions` VALUES (511303, 511300, 3, '高坪', '高坪区');
INSERT INTO `regions` VALUES (511304, 511300, 3, '嘉陵', '嘉陵区');
INSERT INTO `regions` VALUES (511321, 511300, 3, '南部', '南部县');
INSERT INTO `regions` VALUES (511322, 511300, 3, '营山', '营山县');
INSERT INTO `regions` VALUES (511323, 511300, 3, '蓬安', '蓬安县');
INSERT INTO `regions` VALUES (511324, 511300, 3, '仪陇', '仪陇县');
INSERT INTO `regions` VALUES (511325, 511300, 3, '西充', '西充县');
INSERT INTO `regions` VALUES (511381, 511300, 3, '阆中', '阆中市');
INSERT INTO `regions` VALUES (511400, 510000, 2, '眉山', '眉山市');
INSERT INTO `regions` VALUES (511402, 511400, 3, '东坡', '东坡区');
INSERT INTO `regions` VALUES (511403, 511400, 3, '彭山', '彭山区');
INSERT INTO `regions` VALUES (511421, 511400, 3, '仁寿', '仁寿县');
INSERT INTO `regions` VALUES (511423, 511400, 3, '洪雅', '洪雅县');
INSERT INTO `regions` VALUES (511424, 511400, 3, '丹棱', '丹棱县');
INSERT INTO `regions` VALUES (511425, 511400, 3, '青神', '青神县');
INSERT INTO `regions` VALUES (511500, 510000, 2, '宜宾', '宜宾市');
INSERT INTO `regions` VALUES (511502, 511500, 3, '翠屏', '翠屏区');
INSERT INTO `regions` VALUES (511503, 511500, 3, '南溪', '南溪区');
INSERT INTO `regions` VALUES (511521, 511500, 3, '宜宾', '宜宾县');
INSERT INTO `regions` VALUES (511523, 511500, 3, '江安', '江安县');
INSERT INTO `regions` VALUES (511524, 511500, 3, '长宁', '长宁县');
INSERT INTO `regions` VALUES (511525, 511500, 3, '高县', '高县');
INSERT INTO `regions` VALUES (511526, 511500, 3, '珙县', '珙县');
INSERT INTO `regions` VALUES (511527, 511500, 3, '筠连', '筠连县');
INSERT INTO `regions` VALUES (511528, 511500, 3, '兴文', '兴文县');
INSERT INTO `regions` VALUES (511529, 511500, 3, '屏山', '屏山县');
INSERT INTO `regions` VALUES (511600, 510000, 2, '广安', '广安市');
INSERT INTO `regions` VALUES (511602, 511600, 3, '广安', '广安区');
INSERT INTO `regions` VALUES (511603, 511600, 3, '前锋', '前锋区');
INSERT INTO `regions` VALUES (511621, 511600, 3, '岳池', '岳池县');
INSERT INTO `regions` VALUES (511622, 511600, 3, '武胜', '武胜县');
INSERT INTO `regions` VALUES (511623, 511600, 3, '邻水', '邻水县');
INSERT INTO `regions` VALUES (511681, 511600, 3, '华蓥', '华蓥市');
INSERT INTO `regions` VALUES (511700, 510000, 2, '达州', '达州市');
INSERT INTO `regions` VALUES (511702, 511700, 3, '通川', '通川区');
INSERT INTO `regions` VALUES (511703, 511700, 3, '达川', '达川区');
INSERT INTO `regions` VALUES (511722, 511700, 3, '宣汉', '宣汉县');
INSERT INTO `regions` VALUES (511723, 511700, 3, '开江', '开江县');
INSERT INTO `regions` VALUES (511724, 511700, 3, '大竹', '大竹县');
INSERT INTO `regions` VALUES (511725, 511700, 3, '渠县', '渠县');
INSERT INTO `regions` VALUES (511781, 511700, 3, '万源', '万源市');
INSERT INTO `regions` VALUES (511800, 510000, 2, '雅安', '雅安市');
INSERT INTO `regions` VALUES (511802, 511800, 3, '雨城', '雨城区');
INSERT INTO `regions` VALUES (511803, 511800, 3, '名山', '名山区');
INSERT INTO `regions` VALUES (511822, 511800, 3, '荥经', '荥经县');
INSERT INTO `regions` VALUES (511823, 511800, 3, '汉源', '汉源县');
INSERT INTO `regions` VALUES (511824, 511800, 3, '石棉', '石棉县');
INSERT INTO `regions` VALUES (511825, 511800, 3, '天全', '天全县');
INSERT INTO `regions` VALUES (511826, 511800, 3, '芦山', '芦山县');
INSERT INTO `regions` VALUES (511827, 511800, 3, '宝兴', '宝兴县');
INSERT INTO `regions` VALUES (511900, 510000, 2, '巴中', '巴中市');
INSERT INTO `regions` VALUES (511902, 511900, 3, '巴州', '巴州区');
INSERT INTO `regions` VALUES (511903, 511900, 3, '恩阳', '恩阳区');
INSERT INTO `regions` VALUES (511921, 511900, 3, '通江', '通江县');
INSERT INTO `regions` VALUES (511922, 511900, 3, '南江', '南江县');
INSERT INTO `regions` VALUES (511923, 511900, 3, '平昌', '平昌县');
INSERT INTO `regions` VALUES (512000, 510000, 2, '资阳', '资阳市');
INSERT INTO `regions` VALUES (512002, 512000, 3, '雁江', '雁江区');
INSERT INTO `regions` VALUES (512021, 512000, 3, '安岳', '安岳县');
INSERT INTO `regions` VALUES (512022, 512000, 3, '乐至', '乐至县');
INSERT INTO `regions` VALUES (512081, 512000, 3, '简阳', '简阳市');
INSERT INTO `regions` VALUES (513200, 510000, 2, '阿坝', '阿坝藏族羌族自治州');
INSERT INTO `regions` VALUES (513221, 513200, 3, '汶川', '汶川县');
INSERT INTO `regions` VALUES (513222, 513200, 3, '理县', '理县');
INSERT INTO `regions` VALUES (513223, 513200, 3, '茂县', '茂县');
INSERT INTO `regions` VALUES (513224, 513200, 3, '松潘', '松潘县');
INSERT INTO `regions` VALUES (513225, 513200, 3, '九寨沟', '九寨沟县');
INSERT INTO `regions` VALUES (513226, 513200, 3, '金川', '金川县');
INSERT INTO `regions` VALUES (513227, 513200, 3, '小金', '小金县');
INSERT INTO `regions` VALUES (513228, 513200, 3, '黑水', '黑水县');
INSERT INTO `regions` VALUES (513229, 513200, 3, '马尔康', '马尔康县');
INSERT INTO `regions` VALUES (513230, 513200, 3, '壤塘', '壤塘县');
INSERT INTO `regions` VALUES (513231, 513200, 3, '阿坝', '阿坝县');
INSERT INTO `regions` VALUES (513232, 513200, 3, '若尔盖', '若尔盖县');
INSERT INTO `regions` VALUES (513233, 513200, 3, '红原', '红原县');
INSERT INTO `regions` VALUES (513300, 510000, 2, '甘孜', '甘孜藏族自治州');
INSERT INTO `regions` VALUES (513321, 513300, 3, '康定', '康定县');
INSERT INTO `regions` VALUES (513322, 513300, 3, '泸定', '泸定县');
INSERT INTO `regions` VALUES (513323, 513300, 3, '丹巴', '丹巴县');
INSERT INTO `regions` VALUES (513324, 513300, 3, '九龙', '九龙县');
INSERT INTO `regions` VALUES (513325, 513300, 3, '雅江', '雅江县');
INSERT INTO `regions` VALUES (513326, 513300, 3, '道孚', '道孚县');
INSERT INTO `regions` VALUES (513327, 513300, 3, '炉霍', '炉霍县');
INSERT INTO `regions` VALUES (513328, 513300, 3, '甘孜', '甘孜县');
INSERT INTO `regions` VALUES (513329, 513300, 3, '新龙', '新龙县');
INSERT INTO `regions` VALUES (513330, 513300, 3, '德格', '德格县');
INSERT INTO `regions` VALUES (513331, 513300, 3, '白玉', '白玉县');
INSERT INTO `regions` VALUES (513332, 513300, 3, '石渠', '石渠县');
INSERT INTO `regions` VALUES (513333, 513300, 3, '色达', '色达县');
INSERT INTO `regions` VALUES (513334, 513300, 3, '理塘', '理塘县');
INSERT INTO `regions` VALUES (513335, 513300, 3, '巴塘', '巴塘县');
INSERT INTO `regions` VALUES (513336, 513300, 3, '乡城', '乡城县');
INSERT INTO `regions` VALUES (513337, 513300, 3, '稻城', '稻城县');
INSERT INTO `regions` VALUES (513338, 513300, 3, '得荣', '得荣县');
INSERT INTO `regions` VALUES (513400, 510000, 2, '凉山', '凉山彝族自治州');
INSERT INTO `regions` VALUES (513401, 513400, 3, '西昌', '西昌市');
INSERT INTO `regions` VALUES (513422, 513400, 3, '木里', '木里藏族自治县');
INSERT INTO `regions` VALUES (513423, 513400, 3, '盐源', '盐源县');
INSERT INTO `regions` VALUES (513424, 513400, 3, '德昌', '德昌县');
INSERT INTO `regions` VALUES (513425, 513400, 3, '会理', '会理县');
INSERT INTO `regions` VALUES (513426, 513400, 3, '会东', '会东县');
INSERT INTO `regions` VALUES (513427, 513400, 3, '宁南', '宁南县');
INSERT INTO `regions` VALUES (513428, 513400, 3, '普格', '普格县');
INSERT INTO `regions` VALUES (513429, 513400, 3, '布拖', '布拖县');
INSERT INTO `regions` VALUES (513430, 513400, 3, '金阳', '金阳县');
INSERT INTO `regions` VALUES (513431, 513400, 3, '昭觉', '昭觉县');
INSERT INTO `regions` VALUES (513432, 513400, 3, '喜德', '喜德县');
INSERT INTO `regions` VALUES (513433, 513400, 3, '冕宁', '冕宁县');
INSERT INTO `regions` VALUES (513434, 513400, 3, '越西', '越西县');
INSERT INTO `regions` VALUES (513435, 513400, 3, '甘洛', '甘洛县');
INSERT INTO `regions` VALUES (513436, 513400, 3, '美姑', '美姑县');
INSERT INTO `regions` VALUES (513437, 513400, 3, '雷波', '雷波县');
INSERT INTO `regions` VALUES (520000, 100000, 1, '贵州', '贵州省');
INSERT INTO `regions` VALUES (520100, 520000, 2, '贵阳', '贵阳市');
INSERT INTO `regions` VALUES (520102, 520100, 3, '南明', '南明区');
INSERT INTO `regions` VALUES (520103, 520100, 3, '云岩', '云岩区');
INSERT INTO `regions` VALUES (520111, 520100, 3, '花溪', '花溪区');
INSERT INTO `regions` VALUES (520112, 520100, 3, '乌当', '乌当区');
INSERT INTO `regions` VALUES (520113, 520100, 3, '白云', '白云区');
INSERT INTO `regions` VALUES (520115, 520100, 3, '观山湖', '观山湖区');
INSERT INTO `regions` VALUES (520121, 520100, 3, '开阳', '开阳县');
INSERT INTO `regions` VALUES (520122, 520100, 3, '息烽', '息烽县');
INSERT INTO `regions` VALUES (520123, 520100, 3, '修文', '修文县');
INSERT INTO `regions` VALUES (520181, 520100, 3, '清镇', '清镇市');
INSERT INTO `regions` VALUES (520200, 520000, 2, '六盘水', '六盘水市');
INSERT INTO `regions` VALUES (520201, 520200, 3, '钟山', '钟山区');
INSERT INTO `regions` VALUES (520203, 520200, 3, '六枝', '六枝特区');
INSERT INTO `regions` VALUES (520221, 520200, 3, '水城', '水城县');
INSERT INTO `regions` VALUES (520222, 520200, 3, '盘县', '盘县');
INSERT INTO `regions` VALUES (520300, 520000, 2, '遵义', '遵义市');
INSERT INTO `regions` VALUES (520302, 520300, 3, '红花岗', '红花岗区');
INSERT INTO `regions` VALUES (520303, 520300, 3, '汇川', '汇川区');
INSERT INTO `regions` VALUES (520321, 520300, 3, '遵义', '遵义县');
INSERT INTO `regions` VALUES (520322, 520300, 3, '桐梓', '桐梓县');
INSERT INTO `regions` VALUES (520323, 520300, 3, '绥阳', '绥阳县');
INSERT INTO `regions` VALUES (520324, 520300, 3, '正安', '正安县');
INSERT INTO `regions` VALUES (520325, 520300, 3, '道真', '道真仡佬族苗族自治县');
INSERT INTO `regions` VALUES (520326, 520300, 3, '务川', '务川仡佬族苗族自治县');
INSERT INTO `regions` VALUES (520327, 520300, 3, '凤冈', '凤冈县');
INSERT INTO `regions` VALUES (520328, 520300, 3, '湄潭', '湄潭县');
INSERT INTO `regions` VALUES (520329, 520300, 3, '余庆', '余庆县');
INSERT INTO `regions` VALUES (520330, 520300, 3, '习水', '习水县');
INSERT INTO `regions` VALUES (520381, 520300, 3, '赤水', '赤水市');
INSERT INTO `regions` VALUES (520382, 520300, 3, '仁怀', '仁怀市');
INSERT INTO `regions` VALUES (520400, 520000, 2, '安顺', '安顺市');
INSERT INTO `regions` VALUES (520402, 520400, 3, '西秀', '西秀区');
INSERT INTO `regions` VALUES (520421, 520400, 3, '平坝', '平坝区');
INSERT INTO `regions` VALUES (520422, 520400, 3, '普定', '普定县');
INSERT INTO `regions` VALUES (520423, 520400, 3, '镇宁', '镇宁布依族苗族自治县');
INSERT INTO `regions` VALUES (520424, 520400, 3, '关岭', '关岭布依族苗族自治县');
INSERT INTO `regions` VALUES (520425, 520400, 3, '紫云', '紫云苗族布依族自治县');
INSERT INTO `regions` VALUES (520500, 520000, 2, '毕节', '毕节市');
INSERT INTO `regions` VALUES (520502, 520500, 3, '七星关', '七星关区');
INSERT INTO `regions` VALUES (520521, 520500, 3, '大方', '大方县');
INSERT INTO `regions` VALUES (520522, 520500, 3, '黔西', '黔西县');
INSERT INTO `regions` VALUES (520523, 520500, 3, '金沙', '金沙县');
INSERT INTO `regions` VALUES (520524, 520500, 3, '织金', '织金县');
INSERT INTO `regions` VALUES (520525, 520500, 3, '纳雍', '纳雍县');
INSERT INTO `regions` VALUES (520526, 520500, 3, '威宁', '威宁彝族回族苗族自治县');
INSERT INTO `regions` VALUES (520527, 520500, 3, '赫章', '赫章县');
INSERT INTO `regions` VALUES (520600, 520000, 2, '铜仁', '铜仁市');
INSERT INTO `regions` VALUES (520602, 520600, 3, '碧江', '碧江区');
INSERT INTO `regions` VALUES (520603, 520600, 3, '万山', '万山区');
INSERT INTO `regions` VALUES (520621, 520600, 3, '江口', '江口县');
INSERT INTO `regions` VALUES (520622, 520600, 3, '玉屏', '玉屏侗族自治县');
INSERT INTO `regions` VALUES (520623, 520600, 3, '石阡', '石阡县');
INSERT INTO `regions` VALUES (520624, 520600, 3, '思南', '思南县');
INSERT INTO `regions` VALUES (520625, 520600, 3, '印江', '印江土家族苗族自治县');
INSERT INTO `regions` VALUES (520626, 520600, 3, '德江', '德江县');
INSERT INTO `regions` VALUES (520627, 520600, 3, '沿河', '沿河土家族自治县');
INSERT INTO `regions` VALUES (520628, 520600, 3, '松桃', '松桃苗族自治县');
INSERT INTO `regions` VALUES (522300, 520000, 2, '黔西南', '黔西南布依族苗族自治州');
INSERT INTO `regions` VALUES (522301, 522300, 3, '兴义', '兴义市 ');
INSERT INTO `regions` VALUES (522322, 522300, 3, '兴仁', '兴仁县');
INSERT INTO `regions` VALUES (522323, 522300, 3, '普安', '普安县');
INSERT INTO `regions` VALUES (522324, 522300, 3, '晴隆', '晴隆县');
INSERT INTO `regions` VALUES (522325, 522300, 3, '贞丰', '贞丰县');
INSERT INTO `regions` VALUES (522326, 522300, 3, '望谟', '望谟县');
INSERT INTO `regions` VALUES (522327, 522300, 3, '册亨', '册亨县');
INSERT INTO `regions` VALUES (522328, 522300, 3, '安龙', '安龙县');
INSERT INTO `regions` VALUES (522600, 520000, 2, '黔东南', '黔东南苗族侗族自治州');
INSERT INTO `regions` VALUES (522601, 522600, 3, '凯里', '凯里市');
INSERT INTO `regions` VALUES (522622, 522600, 3, '黄平', '黄平县');
INSERT INTO `regions` VALUES (522623, 522600, 3, '施秉', '施秉县');
INSERT INTO `regions` VALUES (522624, 522600, 3, '三穗', '三穗县');
INSERT INTO `regions` VALUES (522625, 522600, 3, '镇远', '镇远县');
INSERT INTO `regions` VALUES (522626, 522600, 3, '岑巩', '岑巩县');
INSERT INTO `regions` VALUES (522627, 522600, 3, '天柱', '天柱县');
INSERT INTO `regions` VALUES (522628, 522600, 3, '锦屏', '锦屏县');
INSERT INTO `regions` VALUES (522629, 522600, 3, '剑河', '剑河县');
INSERT INTO `regions` VALUES (522630, 522600, 3, '台江', '台江县');
INSERT INTO `regions` VALUES (522631, 522600, 3, '黎平', '黎平县');
INSERT INTO `regions` VALUES (522632, 522600, 3, '榕江', '榕江县');
INSERT INTO `regions` VALUES (522633, 522600, 3, '从江', '从江县');
INSERT INTO `regions` VALUES (522634, 522600, 3, '雷山', '雷山县');
INSERT INTO `regions` VALUES (522635, 522600, 3, '麻江', '麻江县');
INSERT INTO `regions` VALUES (522636, 522600, 3, '丹寨', '丹寨县');
INSERT INTO `regions` VALUES (522700, 520000, 2, '黔南', '黔南布依族苗族自治州');
INSERT INTO `regions` VALUES (522701, 522700, 3, '都匀', '都匀市');
INSERT INTO `regions` VALUES (522702, 522700, 3, '福泉', '福泉市');
INSERT INTO `regions` VALUES (522722, 522700, 3, '荔波', '荔波县');
INSERT INTO `regions` VALUES (522723, 522700, 3, '贵定', '贵定县');
INSERT INTO `regions` VALUES (522725, 522700, 3, '瓮安', '瓮安县');
INSERT INTO `regions` VALUES (522726, 522700, 3, '独山', '独山县');
INSERT INTO `regions` VALUES (522727, 522700, 3, '平塘', '平塘县');
INSERT INTO `regions` VALUES (522728, 522700, 3, '罗甸', '罗甸县');
INSERT INTO `regions` VALUES (522729, 522700, 3, '长顺', '长顺县');
INSERT INTO `regions` VALUES (522730, 522700, 3, '龙里', '龙里县');
INSERT INTO `regions` VALUES (522731, 522700, 3, '惠水', '惠水县');
INSERT INTO `regions` VALUES (522732, 522700, 3, '三都', '三都水族自治县');
INSERT INTO `regions` VALUES (530000, 100000, 1, '云南', '云南省');
INSERT INTO `regions` VALUES (530100, 530000, 2, '昆明', '昆明市');
INSERT INTO `regions` VALUES (530102, 530100, 3, '五华', '五华区');
INSERT INTO `regions` VALUES (530103, 530100, 3, '盘龙', '盘龙区');
INSERT INTO `regions` VALUES (530111, 530100, 3, '官渡', '官渡区');
INSERT INTO `regions` VALUES (530112, 530100, 3, '西山', '西山区');
INSERT INTO `regions` VALUES (530113, 530100, 3, '东川', '东川区');
INSERT INTO `regions` VALUES (530114, 530100, 3, '呈贡', '呈贡区');
INSERT INTO `regions` VALUES (530122, 530100, 3, '晋宁', '晋宁县');
INSERT INTO `regions` VALUES (530124, 530100, 3, '富民', '富民县');
INSERT INTO `regions` VALUES (530125, 530100, 3, '宜良', '宜良县');
INSERT INTO `regions` VALUES (530126, 530100, 3, '石林', '石林彝族自治县');
INSERT INTO `regions` VALUES (530127, 530100, 3, '嵩明', '嵩明县');
INSERT INTO `regions` VALUES (530128, 530100, 3, '禄劝', '禄劝彝族苗族自治县');
INSERT INTO `regions` VALUES (530129, 530100, 3, '寻甸', '寻甸回族彝族自治县 ');
INSERT INTO `regions` VALUES (530181, 530100, 3, '安宁', '安宁市');
INSERT INTO `regions` VALUES (530300, 530000, 2, '曲靖', '曲靖市');
INSERT INTO `regions` VALUES (530302, 530300, 3, '麒麟', '麒麟区');
INSERT INTO `regions` VALUES (530321, 530300, 3, '马龙', '马龙县');
INSERT INTO `regions` VALUES (530322, 530300, 3, '陆良', '陆良县');
INSERT INTO `regions` VALUES (530323, 530300, 3, '师宗', '师宗县');
INSERT INTO `regions` VALUES (530324, 530300, 3, '罗平', '罗平县');
INSERT INTO `regions` VALUES (530325, 530300, 3, '富源', '富源县');
INSERT INTO `regions` VALUES (530326, 530300, 3, '会泽', '会泽县');
INSERT INTO `regions` VALUES (530328, 530300, 3, '沾益', '沾益县');
INSERT INTO `regions` VALUES (530381, 530300, 3, '宣威', '宣威市');
INSERT INTO `regions` VALUES (530400, 530000, 2, '玉溪', '玉溪市');
INSERT INTO `regions` VALUES (530402, 530400, 3, '红塔', '红塔区');
INSERT INTO `regions` VALUES (530421, 530400, 3, '江川', '江川县');
INSERT INTO `regions` VALUES (530422, 530400, 3, '澄江', '澄江县');
INSERT INTO `regions` VALUES (530423, 530400, 3, '通海', '通海县');
INSERT INTO `regions` VALUES (530424, 530400, 3, '华宁', '华宁县');
INSERT INTO `regions` VALUES (530425, 530400, 3, '易门', '易门县');
INSERT INTO `regions` VALUES (530426, 530400, 3, '峨山', '峨山彝族自治县');
INSERT INTO `regions` VALUES (530427, 530400, 3, '新平', '新平彝族傣族自治县');
INSERT INTO `regions` VALUES (530428, 530400, 3, '元江', '元江哈尼族彝族傣族自治县');
INSERT INTO `regions` VALUES (530500, 530000, 2, '保山', '保山市');
INSERT INTO `regions` VALUES (530502, 530500, 3, '隆阳', '隆阳区');
INSERT INTO `regions` VALUES (530521, 530500, 3, '施甸', '施甸县');
INSERT INTO `regions` VALUES (530522, 530500, 3, '腾冲', '腾冲县');
INSERT INTO `regions` VALUES (530523, 530500, 3, '龙陵', '龙陵县');
INSERT INTO `regions` VALUES (530524, 530500, 3, '昌宁', '昌宁县');
INSERT INTO `regions` VALUES (530600, 530000, 2, '昭通', '昭通市');
INSERT INTO `regions` VALUES (530602, 530600, 3, '昭阳', '昭阳区');
INSERT INTO `regions` VALUES (530621, 530600, 3, '鲁甸', '鲁甸县');
INSERT INTO `regions` VALUES (530622, 530600, 3, '巧家', '巧家县');
INSERT INTO `regions` VALUES (530623, 530600, 3, '盐津', '盐津县');
INSERT INTO `regions` VALUES (530624, 530600, 3, '大关', '大关县');
INSERT INTO `regions` VALUES (530625, 530600, 3, '永善', '永善县');
INSERT INTO `regions` VALUES (530626, 530600, 3, '绥江', '绥江县');
INSERT INTO `regions` VALUES (530627, 530600, 3, '镇雄', '镇雄县');
INSERT INTO `regions` VALUES (530628, 530600, 3, '彝良', '彝良县');
INSERT INTO `regions` VALUES (530629, 530600, 3, '威信', '威信县');
INSERT INTO `regions` VALUES (530630, 530600, 3, '水富', '水富县');
INSERT INTO `regions` VALUES (530700, 530000, 2, '丽江', '丽江市');
INSERT INTO `regions` VALUES (530702, 530700, 3, '古城', '古城区');
INSERT INTO `regions` VALUES (530721, 530700, 3, '玉龙', '玉龙纳西族自治县');
INSERT INTO `regions` VALUES (530722, 530700, 3, '永胜', '永胜县');
INSERT INTO `regions` VALUES (530723, 530700, 3, '华坪', '华坪县');
INSERT INTO `regions` VALUES (530724, 530700, 3, '宁蒗', '宁蒗彝族自治县');
INSERT INTO `regions` VALUES (530800, 530000, 2, '普洱', '普洱市');
INSERT INTO `regions` VALUES (530802, 530800, 3, '思茅', '思茅区');
INSERT INTO `regions` VALUES (530821, 530800, 3, '宁洱', '宁洱哈尼族彝族自治县');
INSERT INTO `regions` VALUES (530822, 530800, 3, '墨江', '墨江哈尼族自治县');
INSERT INTO `regions` VALUES (530823, 530800, 3, '景东', '景东彝族自治县');
INSERT INTO `regions` VALUES (530824, 530800, 3, '景谷', '景谷傣族彝族自治县');
INSERT INTO `regions` VALUES (530825, 530800, 3, '镇沅', '镇沅彝族哈尼族拉祜族自治县');
INSERT INTO `regions` VALUES (530826, 530800, 3, '江城', '江城哈尼族彝族自治县');
INSERT INTO `regions` VALUES (530827, 530800, 3, '孟连', '孟连傣族拉祜族佤族自治县');
INSERT INTO `regions` VALUES (530828, 530800, 3, '澜沧', '澜沧拉祜族自治县');
INSERT INTO `regions` VALUES (530829, 530800, 3, '西盟', '西盟佤族自治县');
INSERT INTO `regions` VALUES (530900, 530000, 2, '临沧', '临沧市');
INSERT INTO `regions` VALUES (530902, 530900, 3, '临翔', '临翔区');
INSERT INTO `regions` VALUES (530921, 530900, 3, '凤庆', '凤庆县');
INSERT INTO `regions` VALUES (530922, 530900, 3, '云县', '云县');
INSERT INTO `regions` VALUES (530923, 530900, 3, '永德', '永德县');
INSERT INTO `regions` VALUES (530924, 530900, 3, '镇康', '镇康县');
INSERT INTO `regions` VALUES (530925, 530900, 3, '双江', '双江拉祜族佤族布朗族傣族自治县');
INSERT INTO `regions` VALUES (530926, 530900, 3, '耿马', '耿马傣族佤族自治县');
INSERT INTO `regions` VALUES (530927, 530900, 3, '沧源', '沧源佤族自治县');
INSERT INTO `regions` VALUES (532300, 530000, 2, '楚雄', '楚雄彝族自治州');
INSERT INTO `regions` VALUES (532301, 532300, 3, '楚雄', '楚雄市');
INSERT INTO `regions` VALUES (532322, 532300, 3, '双柏', '双柏县');
INSERT INTO `regions` VALUES (532323, 532300, 3, '牟定', '牟定县');
INSERT INTO `regions` VALUES (532324, 532300, 3, '南华', '南华县');
INSERT INTO `regions` VALUES (532325, 532300, 3, '姚安', '姚安县');
INSERT INTO `regions` VALUES (532326, 532300, 3, '大姚', '大姚县');
INSERT INTO `regions` VALUES (532327, 532300, 3, '永仁', '永仁县');
INSERT INTO `regions` VALUES (532328, 532300, 3, '元谋', '元谋县');
INSERT INTO `regions` VALUES (532329, 532300, 3, '武定', '武定县');
INSERT INTO `regions` VALUES (532331, 532300, 3, '禄丰', '禄丰县');
INSERT INTO `regions` VALUES (532500, 530000, 2, '红河', '红河哈尼族彝族自治州');
INSERT INTO `regions` VALUES (532501, 532500, 3, '个旧', '个旧市');
INSERT INTO `regions` VALUES (532502, 532500, 3, '开远', '开远市');
INSERT INTO `regions` VALUES (532503, 532500, 3, '蒙自', '蒙自市');
INSERT INTO `regions` VALUES (532504, 532500, 3, '弥勒', '弥勒市');
INSERT INTO `regions` VALUES (532523, 532500, 3, '屏边', '屏边苗族自治县');
INSERT INTO `regions` VALUES (532524, 532500, 3, '建水', '建水县');
INSERT INTO `regions` VALUES (532525, 532500, 3, '石屏', '石屏县');
INSERT INTO `regions` VALUES (532527, 532500, 3, '泸西', '泸西县');
INSERT INTO `regions` VALUES (532528, 532500, 3, '元阳', '元阳县');
INSERT INTO `regions` VALUES (532529, 532500, 3, '红河县', '红河县');
INSERT INTO `regions` VALUES (532530, 532500, 3, '金平', '金平苗族瑶族傣族自治县');
INSERT INTO `regions` VALUES (532531, 532500, 3, '绿春', '绿春县');
INSERT INTO `regions` VALUES (532532, 532500, 3, '河口', '河口瑶族自治县');
INSERT INTO `regions` VALUES (532600, 530000, 2, '文山', '文山壮族苗族自治州');
INSERT INTO `regions` VALUES (532601, 532600, 3, '文山', '文山市');
INSERT INTO `regions` VALUES (532622, 532600, 3, '砚山', '砚山县');
INSERT INTO `regions` VALUES (532623, 532600, 3, '西畴', '西畴县');
INSERT INTO `regions` VALUES (532624, 532600, 3, '麻栗坡', '麻栗坡县');
INSERT INTO `regions` VALUES (532625, 532600, 3, '马关', '马关县');
INSERT INTO `regions` VALUES (532626, 532600, 3, '丘北', '丘北县');
INSERT INTO `regions` VALUES (532627, 532600, 3, '广南', '广南县');
INSERT INTO `regions` VALUES (532628, 532600, 3, '富宁', '富宁县');
INSERT INTO `regions` VALUES (532800, 530000, 2, '西双版纳', '西双版纳傣族自治州');
INSERT INTO `regions` VALUES (532801, 532800, 3, '景洪', '景洪市');
INSERT INTO `regions` VALUES (532822, 532800, 3, '勐海', '勐海县');
INSERT INTO `regions` VALUES (532823, 532800, 3, '勐腊', '勐腊县');
INSERT INTO `regions` VALUES (532900, 530000, 2, '大理', '大理白族自治州');
INSERT INTO `regions` VALUES (532901, 532900, 3, '大理', '大理市');
INSERT INTO `regions` VALUES (532922, 532900, 3, '漾濞', '漾濞彝族自治县');
INSERT INTO `regions` VALUES (532923, 532900, 3, '祥云', '祥云县');
INSERT INTO `regions` VALUES (532924, 532900, 3, '宾川', '宾川县');
INSERT INTO `regions` VALUES (532925, 532900, 3, '弥渡', '弥渡县');
INSERT INTO `regions` VALUES (532926, 532900, 3, '南涧', '南涧彝族自治县');
INSERT INTO `regions` VALUES (532927, 532900, 3, '巍山', '巍山彝族回族自治县');
INSERT INTO `regions` VALUES (532928, 532900, 3, '永平', '永平县');
INSERT INTO `regions` VALUES (532929, 532900, 3, '云龙', '云龙县');
INSERT INTO `regions` VALUES (532930, 532900, 3, '洱源', '洱源县');
INSERT INTO `regions` VALUES (532931, 532900, 3, '剑川', '剑川县');
INSERT INTO `regions` VALUES (532932, 532900, 3, '鹤庆', '鹤庆县');
INSERT INTO `regions` VALUES (533100, 530000, 2, '德宏', '德宏傣族景颇族自治州');
INSERT INTO `regions` VALUES (533102, 533100, 3, '瑞丽', '瑞丽市');
INSERT INTO `regions` VALUES (533103, 533100, 3, '芒市', '芒市');
INSERT INTO `regions` VALUES (533122, 533100, 3, '梁河', '梁河县');
INSERT INTO `regions` VALUES (533123, 533100, 3, '盈江', '盈江县');
INSERT INTO `regions` VALUES (533124, 533100, 3, '陇川', '陇川县');
INSERT INTO `regions` VALUES (533300, 530000, 2, '怒江', '怒江傈僳族自治州');
INSERT INTO `regions` VALUES (533321, 533300, 3, '泸水', '泸水县');
INSERT INTO `regions` VALUES (533323, 533300, 3, '福贡', '福贡县');
INSERT INTO `regions` VALUES (533324, 533300, 3, '贡山', '贡山独龙族怒族自治县');
INSERT INTO `regions` VALUES (533325, 533300, 3, '兰坪', '兰坪白族普米族自治县');
INSERT INTO `regions` VALUES (533400, 530000, 2, '迪庆', '迪庆藏族自治州');
INSERT INTO `regions` VALUES (533421, 533400, 3, '香格里拉', '香格里拉市');
INSERT INTO `regions` VALUES (533422, 533400, 3, '德钦', '德钦县');
INSERT INTO `regions` VALUES (533423, 533400, 3, '维西', '维西傈僳族自治县');
INSERT INTO `regions` VALUES (540000, 100000, 1, '西藏', '西藏自治区');
INSERT INTO `regions` VALUES (540100, 540000, 2, '拉萨', '拉萨市');
INSERT INTO `regions` VALUES (540102, 540100, 3, '城关', '城关区');
INSERT INTO `regions` VALUES (540121, 540100, 3, '林周', '林周县');
INSERT INTO `regions` VALUES (540122, 540100, 3, '当雄', '当雄县');
INSERT INTO `regions` VALUES (540123, 540100, 3, '尼木', '尼木县');
INSERT INTO `regions` VALUES (540124, 540100, 3, '曲水', '曲水县');
INSERT INTO `regions` VALUES (540125, 540100, 3, '堆龙德庆', '堆龙德庆县');
INSERT INTO `regions` VALUES (540126, 540100, 3, '达孜', '达孜县');
INSERT INTO `regions` VALUES (540127, 540100, 3, '墨竹工卡', '墨竹工卡县');
INSERT INTO `regions` VALUES (540200, 540000, 2, '日喀则', '日喀则市');
INSERT INTO `regions` VALUES (540202, 540200, 3, '桑珠孜', '桑珠孜区');
INSERT INTO `regions` VALUES (540221, 540200, 3, '南木林', '南木林县');
INSERT INTO `regions` VALUES (540222, 540200, 3, '江孜', '江孜县');
INSERT INTO `regions` VALUES (540223, 540200, 3, '定日', '定日县');
INSERT INTO `regions` VALUES (540224, 540200, 3, '萨迦', '萨迦县');
INSERT INTO `regions` VALUES (540225, 540200, 3, '拉孜', '拉孜县');
INSERT INTO `regions` VALUES (540226, 540200, 3, '昂仁', '昂仁县');
INSERT INTO `regions` VALUES (540227, 540200, 3, '谢通门', '谢通门县');
INSERT INTO `regions` VALUES (540228, 540200, 3, '白朗', '白朗县');
INSERT INTO `regions` VALUES (540229, 540200, 3, '仁布', '仁布县');
INSERT INTO `regions` VALUES (540230, 540200, 3, '康马', '康马县');
INSERT INTO `regions` VALUES (540231, 540200, 3, '定结', '定结县');
INSERT INTO `regions` VALUES (540232, 540200, 3, '仲巴', '仲巴县');
INSERT INTO `regions` VALUES (540233, 540200, 3, '亚东', '亚东县');
INSERT INTO `regions` VALUES (540234, 540200, 3, '吉隆', '吉隆县');
INSERT INTO `regions` VALUES (540235, 540200, 3, '聂拉木', '聂拉木县');
INSERT INTO `regions` VALUES (540236, 540200, 3, '萨嘎', '萨嘎县');
INSERT INTO `regions` VALUES (540237, 540200, 3, '岗巴', '岗巴县');
INSERT INTO `regions` VALUES (540300, 540000, 2, '昌都', '昌都市');
INSERT INTO `regions` VALUES (540302, 540300, 3, '昌都', '卡若区');
INSERT INTO `regions` VALUES (540321, 540300, 3, '江达', '江达县');
INSERT INTO `regions` VALUES (540322, 540300, 3, '贡觉', '贡觉县');
INSERT INTO `regions` VALUES (540323, 540300, 3, '类乌齐', '类乌齐县');
INSERT INTO `regions` VALUES (540324, 540300, 3, '丁青', '丁青县');
INSERT INTO `regions` VALUES (540325, 540300, 3, '察雅', '察雅县');
INSERT INTO `regions` VALUES (540326, 540300, 3, '八宿', '八宿县');
INSERT INTO `regions` VALUES (540327, 540300, 3, '左贡', '左贡县');
INSERT INTO `regions` VALUES (540328, 540300, 3, '芒康', '芒康县');
INSERT INTO `regions` VALUES (540329, 540300, 3, '洛隆', '洛隆县');
INSERT INTO `regions` VALUES (540330, 540300, 3, '边坝', '边坝县');
INSERT INTO `regions` VALUES (542200, 540000, 2, '山南', '山南地区');
INSERT INTO `regions` VALUES (542221, 542200, 3, '乃东', '乃东县');
INSERT INTO `regions` VALUES (542222, 542200, 3, '扎囊', '扎囊县');
INSERT INTO `regions` VALUES (542223, 542200, 3, '贡嘎', '贡嘎县');
INSERT INTO `regions` VALUES (542224, 542200, 3, '桑日', '桑日县');
INSERT INTO `regions` VALUES (542225, 542200, 3, '琼结', '琼结县');
INSERT INTO `regions` VALUES (542226, 542200, 3, '曲松', '曲松县');
INSERT INTO `regions` VALUES (542227, 542200, 3, '措美', '措美县');
INSERT INTO `regions` VALUES (542228, 542200, 3, '洛扎', '洛扎县');
INSERT INTO `regions` VALUES (542229, 542200, 3, '加查', '加查县');
INSERT INTO `regions` VALUES (542231, 542200, 3, '隆子', '隆子县');
INSERT INTO `regions` VALUES (542232, 542200, 3, '错那', '错那县');
INSERT INTO `regions` VALUES (542233, 542200, 3, '浪卡子', '浪卡子县');
INSERT INTO `regions` VALUES (542400, 540000, 2, '那曲', '那曲地区');
INSERT INTO `regions` VALUES (542421, 542400, 3, '那曲', '那曲县');
INSERT INTO `regions` VALUES (542422, 542400, 3, '嘉黎', '嘉黎县');
INSERT INTO `regions` VALUES (542423, 542400, 3, '比如', '比如县');
INSERT INTO `regions` VALUES (542424, 542400, 3, '聂荣', '聂荣县');
INSERT INTO `regions` VALUES (542425, 542400, 3, '安多', '安多县');
INSERT INTO `regions` VALUES (542426, 542400, 3, '申扎', '申扎县');
INSERT INTO `regions` VALUES (542427, 542400, 3, '索县', '索县');
INSERT INTO `regions` VALUES (542428, 542400, 3, '班戈', '班戈县');
INSERT INTO `regions` VALUES (542429, 542400, 3, '巴青', '巴青县');
INSERT INTO `regions` VALUES (542430, 542400, 3, '尼玛', '尼玛县');
INSERT INTO `regions` VALUES (542431, 542400, 3, '双湖', '双湖县');
INSERT INTO `regions` VALUES (542500, 540000, 2, '阿里', '阿里地区');
INSERT INTO `regions` VALUES (542521, 542500, 3, '普兰', '普兰县');
INSERT INTO `regions` VALUES (542522, 542500, 3, '札达', '札达县');
INSERT INTO `regions` VALUES (542523, 542500, 3, '噶尔', '噶尔县');
INSERT INTO `regions` VALUES (542524, 542500, 3, '日土', '日土县');
INSERT INTO `regions` VALUES (542525, 542500, 3, '革吉', '革吉县');
INSERT INTO `regions` VALUES (542526, 542500, 3, '改则', '改则县');
INSERT INTO `regions` VALUES (542527, 542500, 3, '措勤', '措勤县');
INSERT INTO `regions` VALUES (542600, 540000, 2, '林芝', '林芝地区');
INSERT INTO `regions` VALUES (542621, 542600, 3, '林芝', '林芝县');
INSERT INTO `regions` VALUES (542622, 542600, 3, '工布江达', '工布江达县');
INSERT INTO `regions` VALUES (542623, 542600, 3, '米林', '米林县');
INSERT INTO `regions` VALUES (542624, 542600, 3, '墨脱', '墨脱县');
INSERT INTO `regions` VALUES (542625, 542600, 3, '波密', '波密县');
INSERT INTO `regions` VALUES (542626, 542600, 3, '察隅', '察隅县');
INSERT INTO `regions` VALUES (542627, 542600, 3, '朗县', '朗县');
INSERT INTO `regions` VALUES (610000, 100000, 1, '陕西', '陕西省');
INSERT INTO `regions` VALUES (610100, 610000, 2, '西安', '西安市');
INSERT INTO `regions` VALUES (610102, 610100, 3, '新城', '新城区');
INSERT INTO `regions` VALUES (610103, 610100, 3, '碑林', '碑林区');
INSERT INTO `regions` VALUES (610104, 610100, 3, '莲湖', '莲湖区');
INSERT INTO `regions` VALUES (610111, 610100, 3, '灞桥', '灞桥区');
INSERT INTO `regions` VALUES (610112, 610100, 3, '未央', '未央区');
INSERT INTO `regions` VALUES (610113, 610100, 3, '雁塔', '雁塔区');
INSERT INTO `regions` VALUES (610114, 610100, 3, '阎良', '阎良区');
INSERT INTO `regions` VALUES (610115, 610100, 3, '临潼', '临潼区');
INSERT INTO `regions` VALUES (610116, 610100, 3, '长安', '长安区');
INSERT INTO `regions` VALUES (610122, 610100, 3, '蓝田', '蓝田县');
INSERT INTO `regions` VALUES (610124, 610100, 3, '周至', '周至县');
INSERT INTO `regions` VALUES (610125, 610100, 3, '户县', '户县');
INSERT INTO `regions` VALUES (610126, 610100, 3, '高陵', '高陵区');
INSERT INTO `regions` VALUES (610200, 610000, 2, '铜川', '铜川市');
INSERT INTO `regions` VALUES (610202, 610200, 3, '王益', '王益区');
INSERT INTO `regions` VALUES (610203, 610200, 3, '印台', '印台区');
INSERT INTO `regions` VALUES (610204, 610200, 3, '耀州', '耀州区');
INSERT INTO `regions` VALUES (610222, 610200, 3, '宜君', '宜君县');
INSERT INTO `regions` VALUES (610300, 610000, 2, '宝鸡', '宝鸡市');
INSERT INTO `regions` VALUES (610302, 610300, 3, '渭滨', '渭滨区');
INSERT INTO `regions` VALUES (610303, 610300, 3, '金台', '金台区');
INSERT INTO `regions` VALUES (610304, 610300, 3, '陈仓', '陈仓区');
INSERT INTO `regions` VALUES (610322, 610300, 3, '凤翔', '凤翔县');
INSERT INTO `regions` VALUES (610323, 610300, 3, '岐山', '岐山县');
INSERT INTO `regions` VALUES (610324, 610300, 3, '扶风', '扶风县');
INSERT INTO `regions` VALUES (610326, 610300, 3, '眉县', '眉县');
INSERT INTO `regions` VALUES (610327, 610300, 3, '陇县', '陇县');
INSERT INTO `regions` VALUES (610328, 610300, 3, '千阳', '千阳县');
INSERT INTO `regions` VALUES (610329, 610300, 3, '麟游', '麟游县');
INSERT INTO `regions` VALUES (610330, 610300, 3, '凤县', '凤县');
INSERT INTO `regions` VALUES (610331, 610300, 3, '太白', '太白县');
INSERT INTO `regions` VALUES (610400, 610000, 2, '咸阳', '咸阳市');
INSERT INTO `regions` VALUES (610402, 610400, 3, '秦都', '秦都区');
INSERT INTO `regions` VALUES (610403, 610400, 3, '杨陵', '杨陵区');
INSERT INTO `regions` VALUES (610404, 610400, 3, '渭城', '渭城区');
INSERT INTO `regions` VALUES (610422, 610400, 3, '三原', '三原县');
INSERT INTO `regions` VALUES (610423, 610400, 3, '泾阳', '泾阳县');
INSERT INTO `regions` VALUES (610424, 610400, 3, '乾县', '乾县');
INSERT INTO `regions` VALUES (610425, 610400, 3, '礼泉', '礼泉县');
INSERT INTO `regions` VALUES (610426, 610400, 3, '永寿', '永寿县');
INSERT INTO `regions` VALUES (610427, 610400, 3, '彬县', '彬县');
INSERT INTO `regions` VALUES (610428, 610400, 3, '长武', '长武县');
INSERT INTO `regions` VALUES (610429, 610400, 3, '旬邑', '旬邑县');
INSERT INTO `regions` VALUES (610430, 610400, 3, '淳化', '淳化县');
INSERT INTO `regions` VALUES (610431, 610400, 3, '武功', '武功县');
INSERT INTO `regions` VALUES (610481, 610400, 3, '兴平', '兴平市');
INSERT INTO `regions` VALUES (610500, 610000, 2, '渭南', '渭南市');
INSERT INTO `regions` VALUES (610502, 610500, 3, '临渭', '临渭区');
INSERT INTO `regions` VALUES (610521, 610500, 3, '华县', '华县');
INSERT INTO `regions` VALUES (610522, 610500, 3, '潼关', '潼关县');
INSERT INTO `regions` VALUES (610523, 610500, 3, '大荔', '大荔县');
INSERT INTO `regions` VALUES (610524, 610500, 3, '合阳', '合阳县');
INSERT INTO `regions` VALUES (610525, 610500, 3, '澄城', '澄城县');
INSERT INTO `regions` VALUES (610526, 610500, 3, '蒲城', '蒲城县');
INSERT INTO `regions` VALUES (610527, 610500, 3, '白水', '白水县');
INSERT INTO `regions` VALUES (610528, 610500, 3, '富平', '富平县');
INSERT INTO `regions` VALUES (610581, 610500, 3, '韩城', '韩城市');
INSERT INTO `regions` VALUES (610582, 610500, 3, '华阴', '华阴市');
INSERT INTO `regions` VALUES (610600, 610000, 2, '延安', '延安市');
INSERT INTO `regions` VALUES (610602, 610600, 3, '宝塔', '宝塔区');
INSERT INTO `regions` VALUES (610621, 610600, 3, '延长', '延长县');
INSERT INTO `regions` VALUES (610622, 610600, 3, '延川', '延川县');
INSERT INTO `regions` VALUES (610623, 610600, 3, '子长', '子长县');
INSERT INTO `regions` VALUES (610624, 610600, 3, '安塞', '安塞县');
INSERT INTO `regions` VALUES (610625, 610600, 3, '志丹', '志丹县');
INSERT INTO `regions` VALUES (610626, 610600, 3, '吴起', '吴起县');
INSERT INTO `regions` VALUES (610627, 610600, 3, '甘泉', '甘泉县');
INSERT INTO `regions` VALUES (610628, 610600, 3, '富县', '富县');
INSERT INTO `regions` VALUES (610629, 610600, 3, '洛川', '洛川县');
INSERT INTO `regions` VALUES (610630, 610600, 3, '宜川', '宜川县');
INSERT INTO `regions` VALUES (610631, 610600, 3, '黄龙', '黄龙县');
INSERT INTO `regions` VALUES (610632, 610600, 3, '黄陵', '黄陵县');
INSERT INTO `regions` VALUES (610700, 610000, 2, '汉中', '汉中市');
INSERT INTO `regions` VALUES (610702, 610700, 3, '汉台', '汉台区');
INSERT INTO `regions` VALUES (610721, 610700, 3, '南郑', '南郑县');
INSERT INTO `regions` VALUES (610722, 610700, 3, '城固', '城固县');
INSERT INTO `regions` VALUES (610723, 610700, 3, '洋县', '洋县');
INSERT INTO `regions` VALUES (610724, 610700, 3, '西乡', '西乡县');
INSERT INTO `regions` VALUES (610725, 610700, 3, '勉县', '勉县');
INSERT INTO `regions` VALUES (610726, 610700, 3, '宁强', '宁强县');
INSERT INTO `regions` VALUES (610727, 610700, 3, '略阳', '略阳县');
INSERT INTO `regions` VALUES (610728, 610700, 3, '镇巴', '镇巴县');
INSERT INTO `regions` VALUES (610729, 610700, 3, '留坝', '留坝县');
INSERT INTO `regions` VALUES (610730, 610700, 3, '佛坪', '佛坪县');
INSERT INTO `regions` VALUES (610800, 610000, 2, '榆林', '榆林市');
INSERT INTO `regions` VALUES (610802, 610800, 3, '榆阳', '榆阳区');
INSERT INTO `regions` VALUES (610821, 610800, 3, '神木', '神木县');
INSERT INTO `regions` VALUES (610822, 610800, 3, '府谷', '府谷县');
INSERT INTO `regions` VALUES (610823, 610800, 3, '横山', '横山县');
INSERT INTO `regions` VALUES (610824, 610800, 3, '靖边', '靖边县');
INSERT INTO `regions` VALUES (610825, 610800, 3, '定边', '定边县');
INSERT INTO `regions` VALUES (610826, 610800, 3, '绥德', '绥德县');
INSERT INTO `regions` VALUES (610827, 610800, 3, '米脂', '米脂县');
INSERT INTO `regions` VALUES (610828, 610800, 3, '佳县', '佳县');
INSERT INTO `regions` VALUES (610829, 610800, 3, '吴堡', '吴堡县');
INSERT INTO `regions` VALUES (610830, 610800, 3, '清涧', '清涧县');
INSERT INTO `regions` VALUES (610831, 610800, 3, '子洲', '子洲县');
INSERT INTO `regions` VALUES (610900, 610000, 2, '安康', '安康市');
INSERT INTO `regions` VALUES (610902, 610900, 3, '汉滨', '汉滨区');
INSERT INTO `regions` VALUES (610921, 610900, 3, '汉阴', '汉阴县');
INSERT INTO `regions` VALUES (610922, 610900, 3, '石泉', '石泉县');
INSERT INTO `regions` VALUES (610923, 610900, 3, '宁陕', '宁陕县');
INSERT INTO `regions` VALUES (610924, 610900, 3, '紫阳', '紫阳县');
INSERT INTO `regions` VALUES (610925, 610900, 3, '岚皋', '岚皋县');
INSERT INTO `regions` VALUES (610926, 610900, 3, '平利', '平利县');
INSERT INTO `regions` VALUES (610927, 610900, 3, '镇坪', '镇坪县');
INSERT INTO `regions` VALUES (610928, 610900, 3, '旬阳', '旬阳县');
INSERT INTO `regions` VALUES (610929, 610900, 3, '白河', '白河县');
INSERT INTO `regions` VALUES (611000, 610000, 2, '商洛', '商洛市');
INSERT INTO `regions` VALUES (611002, 611000, 3, '商州', '商州区');
INSERT INTO `regions` VALUES (611021, 611000, 3, '洛南', '洛南县');
INSERT INTO `regions` VALUES (611022, 611000, 3, '丹凤', '丹凤县');
INSERT INTO `regions` VALUES (611023, 611000, 3, '商南', '商南县');
INSERT INTO `regions` VALUES (611024, 611000, 3, '山阳', '山阳县');
INSERT INTO `regions` VALUES (611025, 611000, 3, '镇安', '镇安县');
INSERT INTO `regions` VALUES (611026, 611000, 3, '柞水', '柞水县');
INSERT INTO `regions` VALUES (611100, 610000, 2, '西咸', '西咸新区');
INSERT INTO `regions` VALUES (611101, 611100, 3, '空港', '空港新城');
INSERT INTO `regions` VALUES (611102, 611100, 3, '沣东', '沣东新城');
INSERT INTO `regions` VALUES (611103, 611100, 3, '秦汉', '秦汉新城');
INSERT INTO `regions` VALUES (611104, 611100, 3, '沣西', '沣西新城');
INSERT INTO `regions` VALUES (611105, 611100, 3, '泾河', '泾河新城');
INSERT INTO `regions` VALUES (620000, 100000, 1, '甘肃', '甘肃省');
INSERT INTO `regions` VALUES (620100, 620000, 2, '兰州', '兰州市');
INSERT INTO `regions` VALUES (620102, 620100, 3, '城关', '城关区');
INSERT INTO `regions` VALUES (620103, 620100, 3, '七里河', '七里河区');
INSERT INTO `regions` VALUES (620104, 620100, 3, '西固', '西固区');
INSERT INTO `regions` VALUES (620105, 620100, 3, '安宁', '安宁区');
INSERT INTO `regions` VALUES (620111, 620100, 3, '红古', '红古区');
INSERT INTO `regions` VALUES (620121, 620100, 3, '永登', '永登县');
INSERT INTO `regions` VALUES (620122, 620100, 3, '皋兰', '皋兰县');
INSERT INTO `regions` VALUES (620123, 620100, 3, '榆中', '榆中县');
INSERT INTO `regions` VALUES (620200, 620000, 2, '嘉峪关', '嘉峪关市');
INSERT INTO `regions` VALUES (620201, 620200, 3, '雄关', '雄关区');
INSERT INTO `regions` VALUES (620202, 620200, 3, '长城', '长城区');
INSERT INTO `regions` VALUES (620203, 620200, 3, '镜铁', '镜铁区');
INSERT INTO `regions` VALUES (620300, 620000, 2, '金昌', '金昌市');
INSERT INTO `regions` VALUES (620302, 620300, 3, '金川', '金川区');
INSERT INTO `regions` VALUES (620321, 620300, 3, '永昌', '永昌县');
INSERT INTO `regions` VALUES (620400, 620000, 2, '白银', '白银市');
INSERT INTO `regions` VALUES (620402, 620400, 3, '白银', '白银区');
INSERT INTO `regions` VALUES (620403, 620400, 3, '平川', '平川区');
INSERT INTO `regions` VALUES (620421, 620400, 3, '靖远', '靖远县');
INSERT INTO `regions` VALUES (620422, 620400, 3, '会宁', '会宁县');
INSERT INTO `regions` VALUES (620423, 620400, 3, '景泰', '景泰县');
INSERT INTO `regions` VALUES (620500, 620000, 2, '天水', '天水市');
INSERT INTO `regions` VALUES (620502, 620500, 3, '秦州', '秦州区');
INSERT INTO `regions` VALUES (620503, 620500, 3, '麦积', '麦积区');
INSERT INTO `regions` VALUES (620521, 620500, 3, '清水', '清水县');
INSERT INTO `regions` VALUES (620522, 620500, 3, '秦安', '秦安县');
INSERT INTO `regions` VALUES (620523, 620500, 3, '甘谷', '甘谷县');
INSERT INTO `regions` VALUES (620524, 620500, 3, '武山', '武山县');
INSERT INTO `regions` VALUES (620525, 620500, 3, '张家川', '张家川回族自治县');
INSERT INTO `regions` VALUES (620600, 620000, 2, '武威', '武威市');
INSERT INTO `regions` VALUES (620602, 620600, 3, '凉州', '凉州区');
INSERT INTO `regions` VALUES (620621, 620600, 3, '民勤', '民勤县');
INSERT INTO `regions` VALUES (620622, 620600, 3, '古浪', '古浪县');
INSERT INTO `regions` VALUES (620623, 620600, 3, '天祝', '天祝藏族自治县');
INSERT INTO `regions` VALUES (620700, 620000, 2, '张掖', '张掖市');
INSERT INTO `regions` VALUES (620702, 620700, 3, '甘州', '甘州区');
INSERT INTO `regions` VALUES (620721, 620700, 3, '肃南', '肃南裕固族自治县');
INSERT INTO `regions` VALUES (620722, 620700, 3, '民乐', '民乐县');
INSERT INTO `regions` VALUES (620723, 620700, 3, '临泽', '临泽县');
INSERT INTO `regions` VALUES (620724, 620700, 3, '高台', '高台县');
INSERT INTO `regions` VALUES (620725, 620700, 3, '山丹', '山丹县');
INSERT INTO `regions` VALUES (620800, 620000, 2, '平凉', '平凉市');
INSERT INTO `regions` VALUES (620802, 620800, 3, '崆峒', '崆峒区');
INSERT INTO `regions` VALUES (620821, 620800, 3, '泾川', '泾川县');
INSERT INTO `regions` VALUES (620822, 620800, 3, '灵台', '灵台县');
INSERT INTO `regions` VALUES (620823, 620800, 3, '崇信', '崇信县');
INSERT INTO `regions` VALUES (620824, 620800, 3, '华亭', '华亭县');
INSERT INTO `regions` VALUES (620825, 620800, 3, '庄浪', '庄浪县');
INSERT INTO `regions` VALUES (620826, 620800, 3, '静宁', '静宁县');
INSERT INTO `regions` VALUES (620900, 620000, 2, '酒泉', '酒泉市');
INSERT INTO `regions` VALUES (620902, 620900, 3, '肃州', '肃州区');
INSERT INTO `regions` VALUES (620921, 620900, 3, '金塔', '金塔县');
INSERT INTO `regions` VALUES (620922, 620900, 3, '瓜州', '瓜州县');
INSERT INTO `regions` VALUES (620923, 620900, 3, '肃北', '肃北蒙古族自治县');
INSERT INTO `regions` VALUES (620924, 620900, 3, '阿克塞', '阿克塞哈萨克族自治县');
INSERT INTO `regions` VALUES (620981, 620900, 3, '玉门', '玉门市');
INSERT INTO `regions` VALUES (620982, 620900, 3, '敦煌', '敦煌市');
INSERT INTO `regions` VALUES (621000, 620000, 2, '庆阳', '庆阳市');
INSERT INTO `regions` VALUES (621002, 621000, 3, '西峰', '西峰区');
INSERT INTO `regions` VALUES (621021, 621000, 3, '庆城', '庆城县');
INSERT INTO `regions` VALUES (621022, 621000, 3, '环县', '环县');
INSERT INTO `regions` VALUES (621023, 621000, 3, '华池', '华池县');
INSERT INTO `regions` VALUES (621024, 621000, 3, '合水', '合水县');
INSERT INTO `regions` VALUES (621025, 621000, 3, '正宁', '正宁县');
INSERT INTO `regions` VALUES (621026, 621000, 3, '宁县', '宁县');
INSERT INTO `regions` VALUES (621027, 621000, 3, '镇原', '镇原县');
INSERT INTO `regions` VALUES (621100, 620000, 2, '定西', '定西市');
INSERT INTO `regions` VALUES (621102, 621100, 3, '安定', '安定区');
INSERT INTO `regions` VALUES (621121, 621100, 3, '通渭', '通渭县');
INSERT INTO `regions` VALUES (621122, 621100, 3, '陇西', '陇西县');
INSERT INTO `regions` VALUES (621123, 621100, 3, '渭源', '渭源县');
INSERT INTO `regions` VALUES (621124, 621100, 3, '临洮', '临洮县');
INSERT INTO `regions` VALUES (621125, 621100, 3, '漳县', '漳县');
INSERT INTO `regions` VALUES (621126, 621100, 3, '岷县', '岷县');
INSERT INTO `regions` VALUES (621200, 620000, 2, '陇南', '陇南市');
INSERT INTO `regions` VALUES (621202, 621200, 3, '武都', '武都区');
INSERT INTO `regions` VALUES (621221, 621200, 3, '成县', '成县');
INSERT INTO `regions` VALUES (621222, 621200, 3, '文县', '文县');
INSERT INTO `regions` VALUES (621223, 621200, 3, '宕昌', '宕昌县');
INSERT INTO `regions` VALUES (621224, 621200, 3, '康县', '康县');
INSERT INTO `regions` VALUES (621225, 621200, 3, '西和', '西和县');
INSERT INTO `regions` VALUES (621226, 621200, 3, '礼县', '礼县');
INSERT INTO `regions` VALUES (621227, 621200, 3, '徽县', '徽县');
INSERT INTO `regions` VALUES (621228, 621200, 3, '两当', '两当县');
INSERT INTO `regions` VALUES (622900, 620000, 2, '临夏', '临夏回族自治州');
INSERT INTO `regions` VALUES (622901, 622900, 3, '临夏', '临夏市');
INSERT INTO `regions` VALUES (622921, 622900, 3, '临夏', '临夏县');
INSERT INTO `regions` VALUES (622922, 622900, 3, '康乐', '康乐县');
INSERT INTO `regions` VALUES (622923, 622900, 3, '永靖', '永靖县');
INSERT INTO `regions` VALUES (622924, 622900, 3, '广河', '广河县');
INSERT INTO `regions` VALUES (622925, 622900, 3, '和政', '和政县');
INSERT INTO `regions` VALUES (622926, 622900, 3, '东乡族', '东乡族自治县');
INSERT INTO `regions` VALUES (622927, 622900, 3, '积石山', '积石山保安族东乡族撒拉族自治县');
INSERT INTO `regions` VALUES (623000, 620000, 2, '甘南', '甘南藏族自治州');
INSERT INTO `regions` VALUES (623001, 623000, 3, '合作', '合作市');
INSERT INTO `regions` VALUES (623021, 623000, 3, '临潭', '临潭县');
INSERT INTO `regions` VALUES (623022, 623000, 3, '卓尼', '卓尼县');
INSERT INTO `regions` VALUES (623023, 623000, 3, '舟曲', '舟曲县');
INSERT INTO `regions` VALUES (623024, 623000, 3, '迭部', '迭部县');
INSERT INTO `regions` VALUES (623025, 623000, 3, '玛曲', '玛曲县');
INSERT INTO `regions` VALUES (623026, 623000, 3, '碌曲', '碌曲县');
INSERT INTO `regions` VALUES (623027, 623000, 3, '夏河', '夏河县');
INSERT INTO `regions` VALUES (630000, 100000, 1, '青海', '青海省');
INSERT INTO `regions` VALUES (630100, 630000, 2, '西宁', '西宁市');
INSERT INTO `regions` VALUES (630102, 630100, 3, '城东', '城东区');
INSERT INTO `regions` VALUES (630103, 630100, 3, '城中', '城中区');
INSERT INTO `regions` VALUES (630104, 630100, 3, '城西', '城西区');
INSERT INTO `regions` VALUES (630105, 630100, 3, '城北', '城北区');
INSERT INTO `regions` VALUES (630121, 630100, 3, '大通', '大通回族土族自治县');
INSERT INTO `regions` VALUES (630122, 630100, 3, '湟中', '湟中县');
INSERT INTO `regions` VALUES (630123, 630100, 3, '湟源', '湟源县');
INSERT INTO `regions` VALUES (630200, 630000, 2, '海东', '海东市');
INSERT INTO `regions` VALUES (630202, 630200, 3, '乐都', '乐都区');
INSERT INTO `regions` VALUES (630221, 630200, 3, '平安', '平安县');
INSERT INTO `regions` VALUES (630222, 630200, 3, '民和', '民和回族土族自治县');
INSERT INTO `regions` VALUES (630223, 630200, 3, '互助', '互助土族自治县');
INSERT INTO `regions` VALUES (630224, 630200, 3, '化隆', '化隆回族自治县');
INSERT INTO `regions` VALUES (630225, 630200, 3, '循化', '循化撒拉族自治县');
INSERT INTO `regions` VALUES (632200, 630000, 2, '海北', '海北藏族自治州');
INSERT INTO `regions` VALUES (632221, 632200, 3, '门源', '门源回族自治县');
INSERT INTO `regions` VALUES (632222, 632200, 3, '祁连', '祁连县');
INSERT INTO `regions` VALUES (632223, 632200, 3, '海晏', '海晏县');
INSERT INTO `regions` VALUES (632224, 632200, 3, '刚察', '刚察县');
INSERT INTO `regions` VALUES (632300, 630000, 2, '黄南', '黄南藏族自治州');
INSERT INTO `regions` VALUES (632321, 632300, 3, '同仁', '同仁县');
INSERT INTO `regions` VALUES (632322, 632300, 3, '尖扎', '尖扎县');
INSERT INTO `regions` VALUES (632323, 632300, 3, '泽库', '泽库县');
INSERT INTO `regions` VALUES (632324, 632300, 3, '河南', '河南蒙古族自治县');
INSERT INTO `regions` VALUES (632500, 630000, 2, '海南', '海南藏族自治州');
INSERT INTO `regions` VALUES (632521, 632500, 3, '共和', '共和县');
INSERT INTO `regions` VALUES (632522, 632500, 3, '同德', '同德县');
INSERT INTO `regions` VALUES (632523, 632500, 3, '贵德', '贵德县');
INSERT INTO `regions` VALUES (632524, 632500, 3, '兴海', '兴海县');
INSERT INTO `regions` VALUES (632525, 632500, 3, '贵南', '贵南县');
INSERT INTO `regions` VALUES (632600, 630000, 2, '果洛', '果洛藏族自治州');
INSERT INTO `regions` VALUES (632621, 632600, 3, '玛沁', '玛沁县');
INSERT INTO `regions` VALUES (632622, 632600, 3, '班玛', '班玛县');
INSERT INTO `regions` VALUES (632623, 632600, 3, '甘德', '甘德县');
INSERT INTO `regions` VALUES (632624, 632600, 3, '达日', '达日县');
INSERT INTO `regions` VALUES (632625, 632600, 3, '久治', '久治县');
INSERT INTO `regions` VALUES (632626, 632600, 3, '玛多', '玛多县');
INSERT INTO `regions` VALUES (632700, 630000, 2, '玉树', '玉树藏族自治州');
INSERT INTO `regions` VALUES (632701, 632700, 3, '玉树', '玉树市');
INSERT INTO `regions` VALUES (632722, 632700, 3, '杂多', '杂多县');
INSERT INTO `regions` VALUES (632723, 632700, 3, '称多', '称多县');
INSERT INTO `regions` VALUES (632724, 632700, 3, '治多', '治多县');
INSERT INTO `regions` VALUES (632725, 632700, 3, '囊谦', '囊谦县');
INSERT INTO `regions` VALUES (632726, 632700, 3, '曲麻莱', '曲麻莱县');
INSERT INTO `regions` VALUES (632800, 630000, 2, '海西', '海西蒙古族藏族自治州');
INSERT INTO `regions` VALUES (632801, 632800, 3, '格尔木', '格尔木市');
INSERT INTO `regions` VALUES (632802, 632800, 3, '德令哈', '德令哈市');
INSERT INTO `regions` VALUES (632821, 632800, 3, '乌兰', '乌兰县');
INSERT INTO `regions` VALUES (632822, 632800, 3, '都兰', '都兰县');
INSERT INTO `regions` VALUES (632823, 632800, 3, '天峻', '天峻县');
INSERT INTO `regions` VALUES (640000, 100000, 1, '宁夏', '宁夏回族自治区');
INSERT INTO `regions` VALUES (640100, 640000, 2, '银川', '银川市');
INSERT INTO `regions` VALUES (640104, 640100, 3, '兴庆', '兴庆区');
INSERT INTO `regions` VALUES (640105, 640100, 3, '西夏', '西夏区');
INSERT INTO `regions` VALUES (640106, 640100, 3, '金凤', '金凤区');
INSERT INTO `regions` VALUES (640121, 640100, 3, '永宁', '永宁县');
INSERT INTO `regions` VALUES (640122, 640100, 3, '贺兰', '贺兰县');
INSERT INTO `regions` VALUES (640181, 640100, 3, '灵武', '灵武市');
INSERT INTO `regions` VALUES (640200, 640000, 2, '石嘴山', '石嘴山市');
INSERT INTO `regions` VALUES (640202, 640200, 3, '大武口', '大武口区');
INSERT INTO `regions` VALUES (640205, 640200, 3, '惠农', '惠农区');
INSERT INTO `regions` VALUES (640221, 640200, 3, '平罗', '平罗县');
INSERT INTO `regions` VALUES (640300, 640000, 2, '吴忠', '吴忠市');
INSERT INTO `regions` VALUES (640302, 640300, 3, '利通', '利通区');
INSERT INTO `regions` VALUES (640303, 640300, 3, '红寺堡', '红寺堡区');
INSERT INTO `regions` VALUES (640323, 640300, 3, '盐池', '盐池县');
INSERT INTO `regions` VALUES (640324, 640300, 3, '同心', '同心县');
INSERT INTO `regions` VALUES (640381, 640300, 3, '青铜峡', '青铜峡市');
INSERT INTO `regions` VALUES (640400, 640000, 2, '固原', '固原市');
INSERT INTO `regions` VALUES (640402, 640400, 3, '原州', '原州区');
INSERT INTO `regions` VALUES (640422, 640400, 3, '西吉', '西吉县');
INSERT INTO `regions` VALUES (640423, 640400, 3, '隆德', '隆德县');
INSERT INTO `regions` VALUES (640424, 640400, 3, '泾源', '泾源县');
INSERT INTO `regions` VALUES (640425, 640400, 3, '彭阳', '彭阳县');
INSERT INTO `regions` VALUES (640500, 640000, 2, '中卫', '中卫市');
INSERT INTO `regions` VALUES (640502, 640500, 3, '沙坡头', '沙坡头区');
INSERT INTO `regions` VALUES (640521, 640500, 3, '中宁', '中宁县');
INSERT INTO `regions` VALUES (640522, 640500, 3, '海原', '海原县');
INSERT INTO `regions` VALUES (650000, 100000, 1, '新疆', '新疆维吾尔自治区');
INSERT INTO `regions` VALUES (650100, 650000, 2, '乌鲁木齐', '乌鲁木齐市');
INSERT INTO `regions` VALUES (650102, 650100, 3, '天山', '天山区');
INSERT INTO `regions` VALUES (650103, 650100, 3, '沙依巴克', '沙依巴克区');
INSERT INTO `regions` VALUES (650104, 650100, 3, '新市', '新市区');
INSERT INTO `regions` VALUES (650105, 650100, 3, '水磨沟', '水磨沟区');
INSERT INTO `regions` VALUES (650106, 650100, 3, '头屯河', '头屯河区');
INSERT INTO `regions` VALUES (650107, 650100, 3, '达坂城', '达坂城区');
INSERT INTO `regions` VALUES (650109, 650100, 3, '米东', '米东区');
INSERT INTO `regions` VALUES (650121, 650100, 3, '乌鲁木齐', '乌鲁木齐县');
INSERT INTO `regions` VALUES (650200, 650000, 2, '克拉玛依', '克拉玛依市');
INSERT INTO `regions` VALUES (650202, 650200, 3, '独山子', '独山子区');
INSERT INTO `regions` VALUES (650203, 650200, 3, '克拉玛依', '克拉玛依区');
INSERT INTO `regions` VALUES (650204, 650200, 3, '白碱滩', '白碱滩区');
INSERT INTO `regions` VALUES (650205, 650200, 3, '乌尔禾', '乌尔禾区');
INSERT INTO `regions` VALUES (652100, 650000, 2, '吐鲁番', '吐鲁番地区');
INSERT INTO `regions` VALUES (652101, 652100, 3, '吐鲁番', '吐鲁番市');
INSERT INTO `regions` VALUES (652122, 652100, 3, '鄯善', '鄯善县');
INSERT INTO `regions` VALUES (652123, 652100, 3, '托克逊', '托克逊县');
INSERT INTO `regions` VALUES (652200, 650000, 2, '哈密', '哈密地区');
INSERT INTO `regions` VALUES (652201, 652200, 3, '哈密', '哈密市');
INSERT INTO `regions` VALUES (652222, 652200, 3, '巴里坤', '巴里坤哈萨克自治县');
INSERT INTO `regions` VALUES (652223, 652200, 3, '伊吾', '伊吾县');
INSERT INTO `regions` VALUES (652300, 650000, 2, '昌吉', '昌吉回族自治州');
INSERT INTO `regions` VALUES (652301, 652300, 3, '昌吉', '昌吉市');
INSERT INTO `regions` VALUES (652302, 652300, 3, '阜康', '阜康市');
INSERT INTO `regions` VALUES (652323, 652300, 3, '呼图壁', '呼图壁县');
INSERT INTO `regions` VALUES (652324, 652300, 3, '玛纳斯', '玛纳斯县');
INSERT INTO `regions` VALUES (652325, 652300, 3, '奇台', '奇台县');
INSERT INTO `regions` VALUES (652327, 652300, 3, '吉木萨尔', '吉木萨尔县');
INSERT INTO `regions` VALUES (652328, 652300, 3, '木垒', '木垒哈萨克自治县');
INSERT INTO `regions` VALUES (652700, 650000, 2, '博尔塔拉', '博尔塔拉蒙古自治州');
INSERT INTO `regions` VALUES (652701, 652700, 3, '博乐', '博乐市');
INSERT INTO `regions` VALUES (652702, 652700, 3, '阿拉山口', '阿拉山口市');
INSERT INTO `regions` VALUES (652722, 652700, 3, '精河', '精河县');
INSERT INTO `regions` VALUES (652723, 652700, 3, '温泉', '温泉县');
INSERT INTO `regions` VALUES (652800, 650000, 2, '巴音郭楞', '巴音郭楞蒙古自治州');
INSERT INTO `regions` VALUES (652801, 652800, 3, '库尔勒', '库尔勒市');
INSERT INTO `regions` VALUES (652822, 652800, 3, '轮台', '轮台县');
INSERT INTO `regions` VALUES (652823, 652800, 3, '尉犁', '尉犁县');
INSERT INTO `regions` VALUES (652824, 652800, 3, '若羌', '若羌县');
INSERT INTO `regions` VALUES (652825, 652800, 3, '且末', '且末县');
INSERT INTO `regions` VALUES (652826, 652800, 3, '焉耆', '焉耆回族自治县');
INSERT INTO `regions` VALUES (652827, 652800, 3, '和静', '和静县');
INSERT INTO `regions` VALUES (652828, 652800, 3, '和硕', '和硕县');
INSERT INTO `regions` VALUES (652829, 652800, 3, '博湖', '博湖县');
INSERT INTO `regions` VALUES (652900, 650000, 2, '阿克苏', '阿克苏地区');
INSERT INTO `regions` VALUES (652901, 652900, 3, '阿克苏', '阿克苏市');
INSERT INTO `regions` VALUES (652922, 652900, 3, '温宿', '温宿县');
INSERT INTO `regions` VALUES (652923, 652900, 3, '库车', '库车县');
INSERT INTO `regions` VALUES (652924, 652900, 3, '沙雅', '沙雅县');
INSERT INTO `regions` VALUES (652925, 652900, 3, '新和', '新和县');
INSERT INTO `regions` VALUES (652926, 652900, 3, '拜城', '拜城县');
INSERT INTO `regions` VALUES (652927, 652900, 3, '乌什', '乌什县');
INSERT INTO `regions` VALUES (652928, 652900, 3, '阿瓦提', '阿瓦提县');
INSERT INTO `regions` VALUES (652929, 652900, 3, '柯坪', '柯坪县');
INSERT INTO `regions` VALUES (653000, 650000, 2, '克孜勒苏', '克孜勒苏柯尔克孜自治州');
INSERT INTO `regions` VALUES (653001, 653000, 3, '阿图什', '阿图什市');
INSERT INTO `regions` VALUES (653022, 653000, 3, '阿克陶', '阿克陶县');
INSERT INTO `regions` VALUES (653023, 653000, 3, '阿合奇', '阿合奇县');
INSERT INTO `regions` VALUES (653024, 653000, 3, '乌恰', '乌恰县');
INSERT INTO `regions` VALUES (653100, 650000, 2, '喀什', '喀什地区');
INSERT INTO `regions` VALUES (653101, 653100, 3, '喀什', '喀什市');
INSERT INTO `regions` VALUES (653121, 653100, 3, '疏附', '疏附县');
INSERT INTO `regions` VALUES (653122, 653100, 3, '疏勒', '疏勒县');
INSERT INTO `regions` VALUES (653123, 653100, 3, '英吉沙', '英吉沙县');
INSERT INTO `regions` VALUES (653124, 653100, 3, '泽普', '泽普县');
INSERT INTO `regions` VALUES (653125, 653100, 3, '莎车', '莎车县');
INSERT INTO `regions` VALUES (653126, 653100, 3, '叶城', '叶城县');
INSERT INTO `regions` VALUES (653127, 653100, 3, '麦盖提', '麦盖提县');
INSERT INTO `regions` VALUES (653128, 653100, 3, '岳普湖', '岳普湖县');
INSERT INTO `regions` VALUES (653129, 653100, 3, '伽师', '伽师县');
INSERT INTO `regions` VALUES (653130, 653100, 3, '巴楚', '巴楚县');
INSERT INTO `regions` VALUES (653131, 653100, 3, '塔什库尔干塔吉克', '塔什库尔干塔吉克自治县');
INSERT INTO `regions` VALUES (653200, 650000, 2, '和田', '和田地区');
INSERT INTO `regions` VALUES (653201, 653200, 3, '和田市', '和田市');
INSERT INTO `regions` VALUES (653221, 653200, 3, '和田县', '和田县');
INSERT INTO `regions` VALUES (653222, 653200, 3, '墨玉', '墨玉县');
INSERT INTO `regions` VALUES (653223, 653200, 3, '皮山', '皮山县');
INSERT INTO `regions` VALUES (653224, 653200, 3, '洛浦', '洛浦县');
INSERT INTO `regions` VALUES (653225, 653200, 3, '策勒', '策勒县');
INSERT INTO `regions` VALUES (653226, 653200, 3, '于田', '于田县');
INSERT INTO `regions` VALUES (653227, 653200, 3, '民丰', '民丰县');
INSERT INTO `regions` VALUES (654000, 650000, 2, '伊犁', '伊犁哈萨克自治州');
INSERT INTO `regions` VALUES (654002, 654000, 3, '伊宁', '伊宁市');
INSERT INTO `regions` VALUES (654003, 654000, 3, '奎屯', '奎屯市');
INSERT INTO `regions` VALUES (654004, 654000, 3, '霍尔果斯', '霍尔果斯市');
INSERT INTO `regions` VALUES (654021, 654000, 3, '伊宁', '伊宁县');
INSERT INTO `regions` VALUES (654022, 654000, 3, '察布查尔锡伯', '察布查尔锡伯自治县');
INSERT INTO `regions` VALUES (654023, 654000, 3, '霍城', '霍城县');
INSERT INTO `regions` VALUES (654024, 654000, 3, '巩留', '巩留县');
INSERT INTO `regions` VALUES (654025, 654000, 3, '新源', '新源县');
INSERT INTO `regions` VALUES (654026, 654000, 3, '昭苏', '昭苏县');
INSERT INTO `regions` VALUES (654027, 654000, 3, '特克斯', '特克斯县');
INSERT INTO `regions` VALUES (654028, 654000, 3, '尼勒克', '尼勒克县');
INSERT INTO `regions` VALUES (654200, 650000, 2, '塔城', '塔城地区');
INSERT INTO `regions` VALUES (654201, 654200, 3, '塔城', '塔城市');
INSERT INTO `regions` VALUES (654202, 654200, 3, '乌苏', '乌苏市');
INSERT INTO `regions` VALUES (654221, 654200, 3, '额敏', '额敏县');
INSERT INTO `regions` VALUES (654223, 654200, 3, '沙湾', '沙湾县');
INSERT INTO `regions` VALUES (654224, 654200, 3, '托里', '托里县');
INSERT INTO `regions` VALUES (654225, 654200, 3, '裕民', '裕民县');
INSERT INTO `regions` VALUES (654226, 654200, 3, '和布克赛尔', '和布克赛尔蒙古自治县');
INSERT INTO `regions` VALUES (654300, 650000, 2, '阿勒泰', '阿勒泰地区');
INSERT INTO `regions` VALUES (654301, 654300, 3, '阿勒泰', '阿勒泰市');
INSERT INTO `regions` VALUES (654321, 654300, 3, '布尔津', '布尔津县');
INSERT INTO `regions` VALUES (654322, 654300, 3, '富蕴', '富蕴县');
INSERT INTO `regions` VALUES (654323, 654300, 3, '福海', '福海县');
INSERT INTO `regions` VALUES (654324, 654300, 3, '哈巴河', '哈巴河县');
INSERT INTO `regions` VALUES (654325, 654300, 3, '青河', '青河县');
INSERT INTO `regions` VALUES (654326, 654300, 3, '吉木乃', '吉木乃县');
INSERT INTO `regions` VALUES (659000, 650000, 2, ' ', '直辖县级');
INSERT INTO `regions` VALUES (659001, 659000, 3, '石河子', '石河子市');
INSERT INTO `regions` VALUES (659002, 659000, 3, '阿拉尔', '阿拉尔市');
INSERT INTO `regions` VALUES (659003, 659000, 3, '图木舒克', '图木舒克市');
INSERT INTO `regions` VALUES (659004, 659000, 3, '五家渠', '五家渠市');
INSERT INTO `regions` VALUES (659005, 659000, 3, '北屯', '北屯市');
INSERT INTO `regions` VALUES (659006, 659000, 3, '铁门关', '铁门关市');
INSERT INTO `regions` VALUES (659007, 659000, 3, '双河', '双河市');
INSERT INTO `regions` VALUES (710000, 100000, 1, '台湾', '台湾');
INSERT INTO `regions` VALUES (710100, 710000, 2, '台北', '台北市');
INSERT INTO `regions` VALUES (710101, 710100, 3, '松山', '松山区');
INSERT INTO `regions` VALUES (710102, 710100, 3, '信义', '信义区');
INSERT INTO `regions` VALUES (710103, 710100, 3, '大安', '大安区');
INSERT INTO `regions` VALUES (710104, 710100, 3, '中山', '中山区');
INSERT INTO `regions` VALUES (710105, 710100, 3, '中正', '中正区');
INSERT INTO `regions` VALUES (710106, 710100, 3, '大同', '大同区');
INSERT INTO `regions` VALUES (710107, 710100, 3, '万华', '万华区');
INSERT INTO `regions` VALUES (710108, 710100, 3, '文山', '文山区');
INSERT INTO `regions` VALUES (710109, 710100, 3, '南港', '南港区');
INSERT INTO `regions` VALUES (710110, 710100, 3, '内湖', '内湖区');
INSERT INTO `regions` VALUES (710111, 710100, 3, '士林', '士林区');
INSERT INTO `regions` VALUES (710112, 710100, 3, '北投', '北投区');
INSERT INTO `regions` VALUES (710200, 710000, 2, '高雄', '高雄市');
INSERT INTO `regions` VALUES (710201, 710200, 3, '盐埕', '盐埕区');
INSERT INTO `regions` VALUES (710202, 710200, 3, '鼓山', '鼓山区');
INSERT INTO `regions` VALUES (710203, 710200, 3, '左营', '左营区');
INSERT INTO `regions` VALUES (710204, 710200, 3, '楠梓', '楠梓区');
INSERT INTO `regions` VALUES (710205, 710200, 3, '三民', '三民区');
INSERT INTO `regions` VALUES (710206, 710200, 3, '新兴', '新兴区');
INSERT INTO `regions` VALUES (710207, 710200, 3, '前金', '前金区');
INSERT INTO `regions` VALUES (710208, 710200, 3, '苓雅', '苓雅区');
INSERT INTO `regions` VALUES (710209, 710200, 3, '前镇', '前镇区');
INSERT INTO `regions` VALUES (710210, 710200, 3, '旗津', '旗津区');
INSERT INTO `regions` VALUES (710211, 710200, 3, '小港', '小港区');
INSERT INTO `regions` VALUES (710212, 710200, 3, '凤山', '凤山区');
INSERT INTO `regions` VALUES (710213, 710200, 3, '林园', '林园区');
INSERT INTO `regions` VALUES (710214, 710200, 3, '大寮', '大寮区');
INSERT INTO `regions` VALUES (710215, 710200, 3, '大树', '大树区');
INSERT INTO `regions` VALUES (710216, 710200, 3, '大社', '大社区');
INSERT INTO `regions` VALUES (710217, 710200, 3, '仁武', '仁武区');
INSERT INTO `regions` VALUES (710218, 710200, 3, '鸟松', '鸟松区');
INSERT INTO `regions` VALUES (710219, 710200, 3, '冈山', '冈山区');
INSERT INTO `regions` VALUES (710220, 710200, 3, '桥头', '桥头区');
INSERT INTO `regions` VALUES (710221, 710200, 3, '燕巢', '燕巢区');
INSERT INTO `regions` VALUES (710222, 710200, 3, '田寮', '田寮区');
INSERT INTO `regions` VALUES (710223, 710200, 3, '阿莲', '阿莲区');
INSERT INTO `regions` VALUES (710224, 710200, 3, '路竹', '路竹区');
INSERT INTO `regions` VALUES (710225, 710200, 3, '湖内', '湖内区');
INSERT INTO `regions` VALUES (710226, 710200, 3, '茄萣', '茄萣区');
INSERT INTO `regions` VALUES (710227, 710200, 3, '永安', '永安区');
INSERT INTO `regions` VALUES (710228, 710200, 3, '弥陀', '弥陀区');
INSERT INTO `regions` VALUES (710229, 710200, 3, '梓官', '梓官区');
INSERT INTO `regions` VALUES (710230, 710200, 3, '旗山', '旗山区');
INSERT INTO `regions` VALUES (710231, 710200, 3, '美浓', '美浓区');
INSERT INTO `regions` VALUES (710232, 710200, 3, '六龟', '六龟区');
INSERT INTO `regions` VALUES (710233, 710200, 3, '甲仙', '甲仙区');
INSERT INTO `regions` VALUES (710234, 710200, 3, '杉林', '杉林区');
INSERT INTO `regions` VALUES (710235, 710200, 3, '内门', '内门区');
INSERT INTO `regions` VALUES (710236, 710200, 3, '茂林', '茂林区');
INSERT INTO `regions` VALUES (710237, 710200, 3, '桃源', '桃源区');
INSERT INTO `regions` VALUES (710238, 710200, 3, '那玛夏', '那玛夏区');
INSERT INTO `regions` VALUES (710300, 710000, 2, '基隆', '基隆市');
INSERT INTO `regions` VALUES (710301, 710300, 3, '中正', '中正区');
INSERT INTO `regions` VALUES (710302, 710300, 3, '七堵', '七堵区');
INSERT INTO `regions` VALUES (710303, 710300, 3, '暖暖', '暖暖区');
INSERT INTO `regions` VALUES (710304, 710300, 3, '仁爱', '仁爱区');
INSERT INTO `regions` VALUES (710305, 710300, 3, '中山', '中山区');
INSERT INTO `regions` VALUES (710306, 710300, 3, '安乐', '安乐区');
INSERT INTO `regions` VALUES (710307, 710300, 3, '信义', '信义区');
INSERT INTO `regions` VALUES (710400, 710000, 2, '台中', '台中市');
INSERT INTO `regions` VALUES (710401, 710400, 3, '中区', '中区');
INSERT INTO `regions` VALUES (710402, 710400, 3, '东区', '东区');
INSERT INTO `regions` VALUES (710403, 710400, 3, '南区', '南区');
INSERT INTO `regions` VALUES (710404, 710400, 3, '西区', '西区');
INSERT INTO `regions` VALUES (710405, 710400, 3, '北区', '北区');
INSERT INTO `regions` VALUES (710406, 710400, 3, '西屯', '西屯区');
INSERT INTO `regions` VALUES (710407, 710400, 3, '南屯', '南屯区');
INSERT INTO `regions` VALUES (710408, 710400, 3, '北屯', '北屯区');
INSERT INTO `regions` VALUES (710409, 710400, 3, '丰原', '丰原区');
INSERT INTO `regions` VALUES (710410, 710400, 3, '东势', '东势区');
INSERT INTO `regions` VALUES (710411, 710400, 3, '大甲', '大甲区');
INSERT INTO `regions` VALUES (710412, 710400, 3, '清水', '清水区');
INSERT INTO `regions` VALUES (710413, 710400, 3, '沙鹿', '沙鹿区');
INSERT INTO `regions` VALUES (710414, 710400, 3, '梧栖', '梧栖区');
INSERT INTO `regions` VALUES (710415, 710400, 3, '后里', '后里区');
INSERT INTO `regions` VALUES (710416, 710400, 3, '神冈', '神冈区');
INSERT INTO `regions` VALUES (710417, 710400, 3, '潭子', '潭子区');
INSERT INTO `regions` VALUES (710418, 710400, 3, '大雅', '大雅区');
INSERT INTO `regions` VALUES (710419, 710400, 3, '新社', '新社区');
INSERT INTO `regions` VALUES (710420, 710400, 3, '石冈', '石冈区');
INSERT INTO `regions` VALUES (710421, 710400, 3, '外埔', '外埔区');
INSERT INTO `regions` VALUES (710422, 710400, 3, '大安', '大安区');
INSERT INTO `regions` VALUES (710423, 710400, 3, '乌日', '乌日区');
INSERT INTO `regions` VALUES (710424, 710400, 3, '大肚', '大肚区');
INSERT INTO `regions` VALUES (710425, 710400, 3, '龙井', '龙井区');
INSERT INTO `regions` VALUES (710426, 710400, 3, '雾峰', '雾峰区');
INSERT INTO `regions` VALUES (710427, 710400, 3, '太平', '太平区');
INSERT INTO `regions` VALUES (710428, 710400, 3, '大里', '大里区');
INSERT INTO `regions` VALUES (710429, 710400, 3, '和平', '和平区');
INSERT INTO `regions` VALUES (710500, 710000, 2, '台南', '台南市');
INSERT INTO `regions` VALUES (710501, 710500, 3, '东区', '东区');
INSERT INTO `regions` VALUES (710502, 710500, 3, '南区', '南区');
INSERT INTO `regions` VALUES (710504, 710500, 3, '北区', '北区');
INSERT INTO `regions` VALUES (710506, 710500, 3, '安南', '安南区');
INSERT INTO `regions` VALUES (710507, 710500, 3, '安平', '安平区');
INSERT INTO `regions` VALUES (710508, 710500, 3, '中西', '中西区');
INSERT INTO `regions` VALUES (710509, 710500, 3, '新营', '新营区');
INSERT INTO `regions` VALUES (710510, 710500, 3, '盐水', '盐水区');
INSERT INTO `regions` VALUES (710511, 710500, 3, '白河', '白河区');
INSERT INTO `regions` VALUES (710512, 710500, 3, '柳营', '柳营区');
INSERT INTO `regions` VALUES (710513, 710500, 3, '后壁', '后壁区');
INSERT INTO `regions` VALUES (710514, 710500, 3, '东山', '东山区');
INSERT INTO `regions` VALUES (710515, 710500, 3, '麻豆', '麻豆区');
INSERT INTO `regions` VALUES (710516, 710500, 3, '下营', '下营区');
INSERT INTO `regions` VALUES (710517, 710500, 3, '六甲', '六甲区');
INSERT INTO `regions` VALUES (710518, 710500, 3, '官田', '官田区');
INSERT INTO `regions` VALUES (710519, 710500, 3, '大内', '大内区');
INSERT INTO `regions` VALUES (710520, 710500, 3, '佳里', '佳里区');
INSERT INTO `regions` VALUES (710521, 710500, 3, '学甲', '学甲区');
INSERT INTO `regions` VALUES (710522, 710500, 3, '西港', '西港区');
INSERT INTO `regions` VALUES (710523, 710500, 3, '七股', '七股区');
INSERT INTO `regions` VALUES (710524, 710500, 3, '将军', '将军区');
INSERT INTO `regions` VALUES (710525, 710500, 3, '北门', '北门区');
INSERT INTO `regions` VALUES (710526, 710500, 3, '新化', '新化区');
INSERT INTO `regions` VALUES (710527, 710500, 3, '善化', '善化区');
INSERT INTO `regions` VALUES (710528, 710500, 3, '新市', '新市区');
INSERT INTO `regions` VALUES (710529, 710500, 3, '安定', '安定区');
INSERT INTO `regions` VALUES (710530, 710500, 3, '山上', '山上区');
INSERT INTO `regions` VALUES (710531, 710500, 3, '玉井', '玉井区');
INSERT INTO `regions` VALUES (710532, 710500, 3, '楠西', '楠西区');
INSERT INTO `regions` VALUES (710533, 710500, 3, '南化', '南化区');
INSERT INTO `regions` VALUES (710534, 710500, 3, '左镇', '左镇区');
INSERT INTO `regions` VALUES (710535, 710500, 3, '仁德', '仁德区');
INSERT INTO `regions` VALUES (710536, 710500, 3, '归仁', '归仁区');
INSERT INTO `regions` VALUES (710537, 710500, 3, '关庙', '关庙区');
INSERT INTO `regions` VALUES (710538, 710500, 3, '龙崎', '龙崎区');
INSERT INTO `regions` VALUES (710539, 710500, 3, '永康', '永康区');
INSERT INTO `regions` VALUES (710600, 710000, 2, '新竹', '新竹市');
INSERT INTO `regions` VALUES (710601, 710600, 3, '东区', '东区');
INSERT INTO `regions` VALUES (710602, 710600, 3, '北区', '北区');
INSERT INTO `regions` VALUES (710603, 710600, 3, '香山', '香山区');
INSERT INTO `regions` VALUES (710700, 710000, 2, '嘉义', '嘉义市');
INSERT INTO `regions` VALUES (710701, 710700, 3, '东区', '东区');
INSERT INTO `regions` VALUES (710702, 710700, 3, '西区', '西区');
INSERT INTO `regions` VALUES (710800, 710000, 2, '新北', '新北市');
INSERT INTO `regions` VALUES (710801, 710800, 3, '板桥', '板桥区');
INSERT INTO `regions` VALUES (710802, 710800, 3, '三重', '三重区');
INSERT INTO `regions` VALUES (710803, 710800, 3, '中和', '中和区');
INSERT INTO `regions` VALUES (710804, 710800, 3, '永和', '永和区');
INSERT INTO `regions` VALUES (710805, 710800, 3, '新庄', '新庄区');
INSERT INTO `regions` VALUES (710806, 710800, 3, '新店', '新店区');
INSERT INTO `regions` VALUES (710807, 710800, 3, '树林', '树林区');
INSERT INTO `regions` VALUES (710808, 710800, 3, '莺歌', '莺歌区');
INSERT INTO `regions` VALUES (710809, 710800, 3, '三峡', '三峡区');
INSERT INTO `regions` VALUES (710810, 710800, 3, '淡水', '淡水区');
INSERT INTO `regions` VALUES (710811, 710800, 3, '汐止', '汐止区');
INSERT INTO `regions` VALUES (710812, 710800, 3, '瑞芳', '瑞芳区');
INSERT INTO `regions` VALUES (710813, 710800, 3, '土城', '土城区');
INSERT INTO `regions` VALUES (710814, 710800, 3, '芦洲', '芦洲区');
INSERT INTO `regions` VALUES (710815, 710800, 3, '五股', '五股区');
INSERT INTO `regions` VALUES (710816, 710800, 3, '泰山', '泰山区');
INSERT INTO `regions` VALUES (710817, 710800, 3, '林口', '林口区');
INSERT INTO `regions` VALUES (710818, 710800, 3, '深坑', '深坑区');
INSERT INTO `regions` VALUES (710819, 710800, 3, '石碇', '石碇区');
INSERT INTO `regions` VALUES (710820, 710800, 3, '坪林', '坪林区');
INSERT INTO `regions` VALUES (710821, 710800, 3, '三芝', '三芝区');
INSERT INTO `regions` VALUES (710822, 710800, 3, '石门', '石门区');
INSERT INTO `regions` VALUES (710823, 710800, 3, '八里', '八里区');
INSERT INTO `regions` VALUES (710824, 710800, 3, '平溪', '平溪区');
INSERT INTO `regions` VALUES (710825, 710800, 3, '双溪', '双溪区');
INSERT INTO `regions` VALUES (710826, 710800, 3, '贡寮', '贡寮区');
INSERT INTO `regions` VALUES (710827, 710800, 3, '金山', '金山区');
INSERT INTO `regions` VALUES (710828, 710800, 3, '万里', '万里区');
INSERT INTO `regions` VALUES (710829, 710800, 3, '乌来', '乌来区');
INSERT INTO `regions` VALUES (712200, 710000, 2, '宜兰', '宜兰县');
INSERT INTO `regions` VALUES (712201, 712200, 3, '宜兰', '宜兰市');
INSERT INTO `regions` VALUES (712221, 712200, 3, '罗东', '罗东镇');
INSERT INTO `regions` VALUES (712222, 712200, 3, '苏澳', '苏澳镇');
INSERT INTO `regions` VALUES (712223, 712200, 3, '头城', '头城镇');
INSERT INTO `regions` VALUES (712224, 712200, 3, '礁溪', '礁溪乡');
INSERT INTO `regions` VALUES (712225, 712200, 3, '壮围', '壮围乡');
INSERT INTO `regions` VALUES (712226, 712200, 3, '员山', '员山乡');
INSERT INTO `regions` VALUES (712227, 712200, 3, '冬山', '冬山乡');
INSERT INTO `regions` VALUES (712228, 712200, 3, '五结', '五结乡');
INSERT INTO `regions` VALUES (712229, 712200, 3, '三星', '三星乡');
INSERT INTO `regions` VALUES (712230, 712200, 3, '大同', '大同乡');
INSERT INTO `regions` VALUES (712231, 712200, 3, '南澳', '南澳乡');
INSERT INTO `regions` VALUES (712300, 710000, 2, '桃园', '桃园县');
INSERT INTO `regions` VALUES (712301, 712300, 3, '桃园', '桃园市');
INSERT INTO `regions` VALUES (712302, 712300, 3, '中坜', '中坜市');
INSERT INTO `regions` VALUES (712303, 712300, 3, '平镇', '平镇市');
INSERT INTO `regions` VALUES (712304, 712300, 3, '八德', '八德市');
INSERT INTO `regions` VALUES (712305, 712300, 3, '杨梅', '杨梅市');
INSERT INTO `regions` VALUES (712306, 712300, 3, '芦竹', '芦竹市');
INSERT INTO `regions` VALUES (712321, 712300, 3, '大溪', '大溪镇');
INSERT INTO `regions` VALUES (712324, 712300, 3, '大园', '大园乡');
INSERT INTO `regions` VALUES (712325, 712300, 3, '龟山', '龟山乡');
INSERT INTO `regions` VALUES (712327, 712300, 3, '龙潭', '龙潭乡');
INSERT INTO `regions` VALUES (712329, 712300, 3, '新屋', '新屋乡');
INSERT INTO `regions` VALUES (712330, 712300, 3, '观音', '观音乡');
INSERT INTO `regions` VALUES (712331, 712300, 3, '复兴', '复兴乡');
INSERT INTO `regions` VALUES (712400, 710000, 2, '新竹', '新竹县');
INSERT INTO `regions` VALUES (712401, 712400, 3, '竹北', '竹北市');
INSERT INTO `regions` VALUES (712421, 712400, 3, '竹东', '竹东镇');
INSERT INTO `regions` VALUES (712422, 712400, 3, '新埔', '新埔镇');
INSERT INTO `regions` VALUES (712423, 712400, 3, '关西', '关西镇');
INSERT INTO `regions` VALUES (712424, 712400, 3, '湖口', '湖口乡');
INSERT INTO `regions` VALUES (712425, 712400, 3, '新丰', '新丰乡');
INSERT INTO `regions` VALUES (712426, 712400, 3, '芎林', '芎林乡');
INSERT INTO `regions` VALUES (712427, 712400, 3, '横山', '横山乡');
INSERT INTO `regions` VALUES (712428, 712400, 3, '北埔', '北埔乡');
INSERT INTO `regions` VALUES (712429, 712400, 3, '宝山', '宝山乡');
INSERT INTO `regions` VALUES (712430, 712400, 3, '峨眉', '峨眉乡');
INSERT INTO `regions` VALUES (712431, 712400, 3, '尖石', '尖石乡');
INSERT INTO `regions` VALUES (712432, 712400, 3, '五峰', '五峰乡');
INSERT INTO `regions` VALUES (712500, 710000, 2, '苗栗', '苗栗县');
INSERT INTO `regions` VALUES (712501, 712500, 3, '苗栗', '苗栗市');
INSERT INTO `regions` VALUES (712521, 712500, 3, '苑里', '苑里镇');
INSERT INTO `regions` VALUES (712522, 712500, 3, '通霄', '通霄镇');
INSERT INTO `regions` VALUES (712523, 712500, 3, '竹南', '竹南镇');
INSERT INTO `regions` VALUES (712524, 712500, 3, '头份', '头份镇');
INSERT INTO `regions` VALUES (712525, 712500, 3, '后龙', '后龙镇');
INSERT INTO `regions` VALUES (712526, 712500, 3, '卓兰', '卓兰镇');
INSERT INTO `regions` VALUES (712527, 712500, 3, '大湖', '大湖乡');
INSERT INTO `regions` VALUES (712528, 712500, 3, '公馆', '公馆乡');
INSERT INTO `regions` VALUES (712529, 712500, 3, '铜锣', '铜锣乡');
INSERT INTO `regions` VALUES (712530, 712500, 3, '南庄', '南庄乡');
INSERT INTO `regions` VALUES (712531, 712500, 3, '头屋', '头屋乡');
INSERT INTO `regions` VALUES (712532, 712500, 3, '三义', '三义乡');
INSERT INTO `regions` VALUES (712533, 712500, 3, '西湖', '西湖乡');
INSERT INTO `regions` VALUES (712534, 712500, 3, '造桥', '造桥乡');
INSERT INTO `regions` VALUES (712535, 712500, 3, '三湾', '三湾乡');
INSERT INTO `regions` VALUES (712536, 712500, 3, '狮潭', '狮潭乡');
INSERT INTO `regions` VALUES (712537, 712500, 3, '泰安', '泰安乡');
INSERT INTO `regions` VALUES (712700, 710000, 2, '彰化', '彰化县');
INSERT INTO `regions` VALUES (712701, 712700, 3, '彰化市', '彰化市');
INSERT INTO `regions` VALUES (712721, 712700, 3, '鹿港', '鹿港镇');
INSERT INTO `regions` VALUES (712722, 712700, 3, '和美', '和美镇');
INSERT INTO `regions` VALUES (712723, 712700, 3, '线西', '线西乡');
INSERT INTO `regions` VALUES (712724, 712700, 3, '伸港', '伸港乡');
INSERT INTO `regions` VALUES (712725, 712700, 3, '福兴', '福兴乡');
INSERT INTO `regions` VALUES (712726, 712700, 3, '秀水', '秀水乡');
INSERT INTO `regions` VALUES (712727, 712700, 3, '花坛', '花坛乡');
INSERT INTO `regions` VALUES (712728, 712700, 3, '芬园', '芬园乡');
INSERT INTO `regions` VALUES (712729, 712700, 3, '员林', '员林镇');
INSERT INTO `regions` VALUES (712730, 712700, 3, '溪湖', '溪湖镇');
INSERT INTO `regions` VALUES (712731, 712700, 3, '田中', '田中镇');
INSERT INTO `regions` VALUES (712732, 712700, 3, '大村', '大村乡');
INSERT INTO `regions` VALUES (712733, 712700, 3, '埔盐', '埔盐乡');
INSERT INTO `regions` VALUES (712734, 712700, 3, '埔心', '埔心乡');
INSERT INTO `regions` VALUES (712735, 712700, 3, '永靖', '永靖乡');
INSERT INTO `regions` VALUES (712736, 712700, 3, '社头', '社头乡');
INSERT INTO `regions` VALUES (712737, 712700, 3, '二水', '二水乡');
INSERT INTO `regions` VALUES (712738, 712700, 3, '北斗', '北斗镇');
INSERT INTO `regions` VALUES (712739, 712700, 3, '二林', '二林镇');
INSERT INTO `regions` VALUES (712740, 712700, 3, '田尾', '田尾乡');
INSERT INTO `regions` VALUES (712741, 712700, 3, '埤头', '埤头乡');
INSERT INTO `regions` VALUES (712742, 712700, 3, '芳苑', '芳苑乡');
INSERT INTO `regions` VALUES (712743, 712700, 3, '大城', '大城乡');
INSERT INTO `regions` VALUES (712744, 712700, 3, '竹塘', '竹塘乡');
INSERT INTO `regions` VALUES (712745, 712700, 3, '溪州', '溪州乡');
INSERT INTO `regions` VALUES (712800, 710000, 2, '南投', '南投县');
INSERT INTO `regions` VALUES (712801, 712800, 3, '南投市', '南投市');
INSERT INTO `regions` VALUES (712821, 712800, 3, '埔里', '埔里镇');
INSERT INTO `regions` VALUES (712822, 712800, 3, '草屯', '草屯镇');
INSERT INTO `regions` VALUES (712823, 712800, 3, '竹山', '竹山镇');
INSERT INTO `regions` VALUES (712824, 712800, 3, '集集', '集集镇');
INSERT INTO `regions` VALUES (712825, 712800, 3, '名间', '名间乡');
INSERT INTO `regions` VALUES (712826, 712800, 3, '鹿谷', '鹿谷乡');
INSERT INTO `regions` VALUES (712827, 712800, 3, '中寮', '中寮乡');
INSERT INTO `regions` VALUES (712828, 712800, 3, '鱼池', '鱼池乡');
INSERT INTO `regions` VALUES (712829, 712800, 3, '国姓', '国姓乡');
INSERT INTO `regions` VALUES (712830, 712800, 3, '水里', '水里乡');
INSERT INTO `regions` VALUES (712831, 712800, 3, '信义', '信义乡');
INSERT INTO `regions` VALUES (712832, 712800, 3, '仁爱', '仁爱乡');
INSERT INTO `regions` VALUES (712900, 710000, 2, '云林', '云林县');
INSERT INTO `regions` VALUES (712901, 712900, 3, '斗六', '斗六市');
INSERT INTO `regions` VALUES (712921, 712900, 3, '斗南', '斗南镇');
INSERT INTO `regions` VALUES (712922, 712900, 3, '虎尾', '虎尾镇');
INSERT INTO `regions` VALUES (712923, 712900, 3, '西螺', '西螺镇');
INSERT INTO `regions` VALUES (712924, 712900, 3, '土库', '土库镇');
INSERT INTO `regions` VALUES (712925, 712900, 3, '北港', '北港镇');
INSERT INTO `regions` VALUES (712926, 712900, 3, '古坑', '古坑乡');
INSERT INTO `regions` VALUES (712927, 712900, 3, '大埤', '大埤乡');
INSERT INTO `regions` VALUES (712928, 712900, 3, '莿桐', '莿桐乡');
INSERT INTO `regions` VALUES (712929, 712900, 3, '林内', '林内乡');
INSERT INTO `regions` VALUES (712930, 712900, 3, '二仑', '二仑乡');
INSERT INTO `regions` VALUES (712931, 712900, 3, '仑背', '仑背乡');
INSERT INTO `regions` VALUES (712932, 712900, 3, '麦寮', '麦寮乡');
INSERT INTO `regions` VALUES (712933, 712900, 3, '东势', '东势乡');
INSERT INTO `regions` VALUES (712934, 712900, 3, '褒忠', '褒忠乡');
INSERT INTO `regions` VALUES (712935, 712900, 3, '台西', '台西乡');
INSERT INTO `regions` VALUES (712936, 712900, 3, '元长', '元长乡');
INSERT INTO `regions` VALUES (712937, 712900, 3, '四湖', '四湖乡');
INSERT INTO `regions` VALUES (712938, 712900, 3, '口湖', '口湖乡');
INSERT INTO `regions` VALUES (712939, 712900, 3, '水林', '水林乡');
INSERT INTO `regions` VALUES (713000, 710000, 2, '嘉义', '嘉义县');
INSERT INTO `regions` VALUES (713001, 713000, 3, '太保', '太保市');
INSERT INTO `regions` VALUES (713002, 713000, 3, '朴子', '朴子市');
INSERT INTO `regions` VALUES (713023, 713000, 3, '布袋', '布袋镇');
INSERT INTO `regions` VALUES (713024, 713000, 3, '大林', '大林镇');
INSERT INTO `regions` VALUES (713025, 713000, 3, '民雄', '民雄乡');
INSERT INTO `regions` VALUES (713026, 713000, 3, '溪口', '溪口乡');
INSERT INTO `regions` VALUES (713027, 713000, 3, '新港', '新港乡');
INSERT INTO `regions` VALUES (713028, 713000, 3, '六脚', '六脚乡');
INSERT INTO `regions` VALUES (713029, 713000, 3, '东石', '东石乡');
INSERT INTO `regions` VALUES (713030, 713000, 3, '义竹', '义竹乡');
INSERT INTO `regions` VALUES (713031, 713000, 3, '鹿草', '鹿草乡');
INSERT INTO `regions` VALUES (713032, 713000, 3, '水上', '水上乡');
INSERT INTO `regions` VALUES (713033, 713000, 3, '中埔', '中埔乡');
INSERT INTO `regions` VALUES (713034, 713000, 3, '竹崎', '竹崎乡');
INSERT INTO `regions` VALUES (713035, 713000, 3, '梅山', '梅山乡');
INSERT INTO `regions` VALUES (713036, 713000, 3, '番路', '番路乡');
INSERT INTO `regions` VALUES (713037, 713000, 3, '大埔', '大埔乡');
INSERT INTO `regions` VALUES (713038, 713000, 3, '阿里山', '阿里山乡');
INSERT INTO `regions` VALUES (713300, 710000, 2, '屏东', '屏东县');
INSERT INTO `regions` VALUES (713301, 713300, 3, '屏东', '屏东市');
INSERT INTO `regions` VALUES (713321, 713300, 3, '潮州', '潮州镇');
INSERT INTO `regions` VALUES (713322, 713300, 3, '东港', '东港镇');
INSERT INTO `regions` VALUES (713323, 713300, 3, '恒春', '恒春镇');
INSERT INTO `regions` VALUES (713324, 713300, 3, '万丹', '万丹乡');
INSERT INTO `regions` VALUES (713325, 713300, 3, '长治', '长治乡');
INSERT INTO `regions` VALUES (713326, 713300, 3, '麟洛', '麟洛乡');
INSERT INTO `regions` VALUES (713327, 713300, 3, '九如', '九如乡');
INSERT INTO `regions` VALUES (713328, 713300, 3, '里港', '里港乡');
INSERT INTO `regions` VALUES (713329, 713300, 3, '盐埔', '盐埔乡');
INSERT INTO `regions` VALUES (713330, 713300, 3, '高树', '高树乡');
INSERT INTO `regions` VALUES (713331, 713300, 3, '万峦', '万峦乡');
INSERT INTO `regions` VALUES (713332, 713300, 3, '内埔', '内埔乡');
INSERT INTO `regions` VALUES (713333, 713300, 3, '竹田', '竹田乡');
INSERT INTO `regions` VALUES (713334, 713300, 3, '新埤', '新埤乡');
INSERT INTO `regions` VALUES (713335, 713300, 3, '枋寮', '枋寮乡');
INSERT INTO `regions` VALUES (713336, 713300, 3, '新园', '新园乡');
INSERT INTO `regions` VALUES (713337, 713300, 3, '崁顶', '崁顶乡');
INSERT INTO `regions` VALUES (713338, 713300, 3, '林边', '林边乡');
INSERT INTO `regions` VALUES (713339, 713300, 3, '南州', '南州乡');
INSERT INTO `regions` VALUES (713340, 713300, 3, '佳冬', '佳冬乡');
INSERT INTO `regions` VALUES (713341, 713300, 3, '琉球', '琉球乡');
INSERT INTO `regions` VALUES (713342, 713300, 3, '车城', '车城乡');
INSERT INTO `regions` VALUES (713343, 713300, 3, '满州', '满州乡');
INSERT INTO `regions` VALUES (713344, 713300, 3, '枋山', '枋山乡');
INSERT INTO `regions` VALUES (713345, 713300, 3, '三地门', '三地门乡');
INSERT INTO `regions` VALUES (713346, 713300, 3, '雾台', '雾台乡');
INSERT INTO `regions` VALUES (713347, 713300, 3, '玛家', '玛家乡');
INSERT INTO `regions` VALUES (713348, 713300, 3, '泰武', '泰武乡');
INSERT INTO `regions` VALUES (713349, 713300, 3, '来义', '来义乡');
INSERT INTO `regions` VALUES (713350, 713300, 3, '春日', '春日乡');
INSERT INTO `regions` VALUES (713351, 713300, 3, '狮子', '狮子乡');
INSERT INTO `regions` VALUES (713352, 713300, 3, '牡丹', '牡丹乡');
INSERT INTO `regions` VALUES (713400, 710000, 2, '台东', '台东县');
INSERT INTO `regions` VALUES (713401, 713400, 3, '台东', '台东市');
INSERT INTO `regions` VALUES (713421, 713400, 3, '成功', '成功镇');
INSERT INTO `regions` VALUES (713422, 713400, 3, '关山', '关山镇');
INSERT INTO `regions` VALUES (713423, 713400, 3, '卑南', '卑南乡');
INSERT INTO `regions` VALUES (713424, 713400, 3, '鹿野', '鹿野乡');
INSERT INTO `regions` VALUES (713425, 713400, 3, '池上', '池上乡');
INSERT INTO `regions` VALUES (713426, 713400, 3, '东河', '东河乡');
INSERT INTO `regions` VALUES (713427, 713400, 3, '长滨', '长滨乡');
INSERT INTO `regions` VALUES (713428, 713400, 3, '太麻里', '太麻里乡');
INSERT INTO `regions` VALUES (713429, 713400, 3, '大武', '大武乡');
INSERT INTO `regions` VALUES (713430, 713400, 3, '绿岛', '绿岛乡');
INSERT INTO `regions` VALUES (713431, 713400, 3, '海端', '海端乡');
INSERT INTO `regions` VALUES (713432, 713400, 3, '延平', '延平乡');
INSERT INTO `regions` VALUES (713433, 713400, 3, '金峰', '金峰乡');
INSERT INTO `regions` VALUES (713434, 713400, 3, '达仁', '达仁乡');
INSERT INTO `regions` VALUES (713435, 713400, 3, '兰屿', '兰屿乡');
INSERT INTO `regions` VALUES (713500, 710000, 2, '花莲', '花莲县');
INSERT INTO `regions` VALUES (713501, 713500, 3, '花莲', '花莲市');
INSERT INTO `regions` VALUES (713521, 713500, 3, '凤林', '凤林镇');
INSERT INTO `regions` VALUES (713522, 713500, 3, '玉里', '玉里镇');
INSERT INTO `regions` VALUES (713523, 713500, 3, '新城', '新城乡');
INSERT INTO `regions` VALUES (713524, 713500, 3, '吉安', '吉安乡');
INSERT INTO `regions` VALUES (713525, 713500, 3, '寿丰', '寿丰乡');
INSERT INTO `regions` VALUES (713526, 713500, 3, '光复', '光复乡');
INSERT INTO `regions` VALUES (713527, 713500, 3, '丰滨', '丰滨乡');
INSERT INTO `regions` VALUES (713528, 713500, 3, '瑞穗', '瑞穗乡');
INSERT INTO `regions` VALUES (713529, 713500, 3, '富里', '富里乡');
INSERT INTO `regions` VALUES (713530, 713500, 3, '秀林', '秀林乡');
INSERT INTO `regions` VALUES (713531, 713500, 3, '万荣', '万荣乡');
INSERT INTO `regions` VALUES (713532, 713500, 3, '卓溪', '卓溪乡');
INSERT INTO `regions` VALUES (713600, 710000, 2, '澎湖', '澎湖县');
INSERT INTO `regions` VALUES (713601, 713600, 3, '马公', '马公市');
INSERT INTO `regions` VALUES (713621, 713600, 3, '湖西', '湖西乡');
INSERT INTO `regions` VALUES (713622, 713600, 3, '白沙', '白沙乡');
INSERT INTO `regions` VALUES (713623, 713600, 3, '西屿', '西屿乡');
INSERT INTO `regions` VALUES (713624, 713600, 3, '望安', '望安乡');
INSERT INTO `regions` VALUES (713625, 713600, 3, '七美', '七美乡');
INSERT INTO `regions` VALUES (713700, 710000, 2, '金门', '金门县');
INSERT INTO `regions` VALUES (713701, 713700, 3, '金城', '金城镇');
INSERT INTO `regions` VALUES (713702, 713700, 3, '金湖', '金湖镇');
INSERT INTO `regions` VALUES (713703, 713700, 3, '金沙', '金沙镇');
INSERT INTO `regions` VALUES (713704, 713700, 3, '金宁', '金宁乡');
INSERT INTO `regions` VALUES (713705, 713700, 3, '烈屿', '烈屿乡');
INSERT INTO `regions` VALUES (713706, 713700, 3, '乌丘', '乌丘乡');
INSERT INTO `regions` VALUES (713800, 710000, 2, '连江', '连江县');
INSERT INTO `regions` VALUES (713801, 713800, 3, '南竿', '南竿乡');
INSERT INTO `regions` VALUES (713802, 713800, 3, '北竿', '北竿乡');
INSERT INTO `regions` VALUES (713803, 713800, 3, '莒光', '莒光乡');
INSERT INTO `regions` VALUES (713804, 713800, 3, '东引', '东引乡');
INSERT INTO `regions` VALUES (810000, 100000, 1, '香港', '香港特别行政区');
INSERT INTO `regions` VALUES (810100, 810000, 2, '香港岛', '香港岛');
INSERT INTO `regions` VALUES (810101, 810100, 3, '中西区', '中西区');
INSERT INTO `regions` VALUES (810102, 810100, 3, '湾仔区', '湾仔区');
INSERT INTO `regions` VALUES (810103, 810100, 3, '东区', '东区');
INSERT INTO `regions` VALUES (810104, 810100, 3, '南区', '南区');
INSERT INTO `regions` VALUES (810200, 810000, 2, '九龙', '九龙');
INSERT INTO `regions` VALUES (810201, 810200, 3, '油尖旺', '油尖旺区');
INSERT INTO `regions` VALUES (810202, 810200, 3, '深水埗', '深水埗区');
INSERT INTO `regions` VALUES (810203, 810200, 3, '九龙城', '九龙城区');
INSERT INTO `regions` VALUES (810204, 810200, 3, '黄大仙', '黄大仙区');
INSERT INTO `regions` VALUES (810205, 810200, 3, '观塘', '观塘区');
INSERT INTO `regions` VALUES (810300, 810000, 2, '新界', '新界');
INSERT INTO `regions` VALUES (810301, 810300, 3, '荃湾', '荃湾区');
INSERT INTO `regions` VALUES (810302, 810300, 3, '屯门', '屯门区');
INSERT INTO `regions` VALUES (810303, 810300, 3, '元朗', '元朗区');
INSERT INTO `regions` VALUES (810304, 810300, 3, '北区', '北区');
INSERT INTO `regions` VALUES (810305, 810300, 3, '大埔', '大埔区');
INSERT INTO `regions` VALUES (810306, 810300, 3, '西贡', '西贡区');
INSERT INTO `regions` VALUES (810307, 810300, 3, '沙田', '沙田区');
INSERT INTO `regions` VALUES (810308, 810300, 3, '葵青', '葵青区');
INSERT INTO `regions` VALUES (810309, 810300, 3, '离岛', '离岛区');
INSERT INTO `regions` VALUES (820000, 100000, 1, '澳门', '澳门特别行政区');
INSERT INTO `regions` VALUES (820100, 820000, 2, '澳门半岛', '澳门半岛');
INSERT INTO `regions` VALUES (820101, 820100, 3, '花地玛堂区', '花地玛堂区');
INSERT INTO `regions` VALUES (820102, 820100, 3, '圣安多尼堂区', '圣安多尼堂区');
INSERT INTO `regions` VALUES (820103, 820100, 3, '大堂', '大堂区');
INSERT INTO `regions` VALUES (820104, 820100, 3, '望德堂区', '望德堂区');
INSERT INTO `regions` VALUES (820105, 820100, 3, '风顺堂区', '风顺堂区');
INSERT INTO `regions` VALUES (820200, 820000, 2, '氹仔岛', '氹仔岛');
INSERT INTO `regions` VALUES (820201, 820200, 3, '嘉模堂区', '嘉模堂区');
INSERT INTO `regions` VALUES (820300, 820000, 2, '路环岛', '路环岛');
INSERT INTO `regions` VALUES (820301, 820300, 3, '圣方济各堂区', '圣方济各堂区');
INSERT INTO `regions` VALUES (900000, 100000, 1, '钓鱼岛', '钓鱼岛');

-- ----------------------------
-- Table structure for settings
-- ----------------------------
DROP TABLE IF EXISTS `settings`;
CREATE TABLE `settings`  (
  `id` int(6) NOT NULL,
  `title` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '标题',
  `key` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '关键字',
  `value` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '值',
  `desc` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NULL DEFAULT NULL COMMENT '提示',
  `is_delete` tinyint(2) UNSIGNED NOT NULL DEFAULT 0 COMMENT '0未删除,1删除',
  `updated_at` timestamp(0) NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP(0),
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_bin ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of settings
-- ----------------------------
INSERT INTO `settings` VALUES (1, '关于我们', 'about_us', '{\"content\":\"<div class=\\\"para-title level-3  \\\" style=\\\"clear: both; zoom: 1; margin: 20px 0px 12px; line-height: 20px; font-size: 18px; font-family: \'Microsoft YaHei\', SimHei, Verdana; color: #333333; background-color: #ffffff;\\\" data-index=\\\"2_2\\\" data-pid=\\\"28\\\">\\r\\n<h3 class=\\\"title-text\\\" style=\\\"margin: 0px; padding: 0px; font-size: 18px; font-weight: 400;\\\">\\u5404\\u56fd\\u5de5\\u827a<\\/h3>\\r\\n<\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"29\\\">\\u5177\\u4ee3\\u8868\\u6027\\u7684\\u5a01\\u58eb\\u5fcc\\u5206\\u7c7b\\u65b9\\u6cd5\\u662f\\u4f9d\\u7167\\u751f\\u4ea7\\u5730\\u548c\\u56fd\\u5bb6\\u7684\\u4e0d\\u540c\\u53ef\\u5c06\\u5a01\\u58eb\\u5fcc\\u9152\\u5206\\u4e3a\\u82cf\\u683c\\u5170\\u5a01\\u58eb\\u5fcc\\u9152\\u3001\\u7231\\u5c14\\u5170\\u5a01\\u58eb\\u5fcc\\u9152\\u3001\\u7f8e\\u56fd\\u5a01\\u58eb\\u5fcc\\u9152\\u548c\\u52a0\\u62ff\\u5927\\u5a01\\u58eb\\u5fcc\\u9152\\u56db\\u5927\\u7c7b\\u548c\\u65e5\\u672c\\u5a01\\u58eb\\u5fcc\\u3001\\u5176\\u4ed6\\u56fd\\u5bb6\\u5a01\\u58eb\\u5fcc\\u7b49\\u3002<span class=\\\"sup--normal\\\" style=\\\"font-size: 10.5px; line-height: 0; position: relative; vertical-align: baseline; top: -0.5em; white-space: nowrap; margin-left: 2px; color: #3366cc; cursor: pointer; padding: 0px 2px;\\\" data-sup=\\\"5\\\" data-ctrmap=\\\":5,\\\">&nbsp;[5]<\\/span><a class=\\\"sup-anchor\\\" style=\\\"color: #136ec2; position: relative; top: -50px; font-size: 0px; line-height: 0;\\\" name=\\\"ref_[5]_163908\\\"><\\/a>&nbsp;<\\/div>\\r\\n<ul class=\\\"custom_dot para-list list-paddingleft-1\\\" style=\\\"margin: 0px 0px 15px 2em; padding: 0px; list-style: none; color: #333333; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; font-size: 12px; background-color: #ffffff;\\\" data-pid=\\\"30\\\">\\r\\n<li class=\\\"list-dot list-dot-paddingleft\\\" style=\\\"margin: 0px; padding: 0px; list-style: none;\\\">\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; margin-bottom: 0px; line-height: 24px; zoom: 1; margin-left: 20px;\\\"><span style=\\\"font-weight: bold;\\\"><a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E8%8B%8F%E6%A0%BC%E5%85%B0%E5%A8%81%E5%A3%AB%E5%BF%8C\\/1755923\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\" data-lemmaid=\\\"1755923\\\">\\u82cf\\u683c\\u5170\\u5a01\\u58eb\\u5fcc<\\/a><\\/span><span style=\\\"font-weight: bold;\\\">(scotch whisky)<\\/span><\\/div>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"31\\\">\\r\\n<div class=\\\"lemma-picture J-lemma-picture text-pic layout-right\\\" style=\\\"border: 1px solid #e0e0e0; overflow: hidden; margin: 0px 0px 3px 20px; position: relative; float: right; clear: right; width: 220px;\\\"><a class=\\\"image-link\\\" style=\\\"color: #136ec2; text-decoration-line: none; display: block; width: 220px; height: 330px;\\\" title=\\\"\\\" href=\\\"https:\\/\\/baike.baidu.com\\/pic\\/%E5%A8%81%E5%A3%AB%E5%BF%8C%E9%85%92\\/2959816\\/0\\/c2fdfc039245d68806cd7fd9a0c27d1ed31b2484?fr=lemma&amp;ct=single\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\"><img class=\\\"\\\" style=\\\"border: 0px; display: block; margin: 0px auto; width: 220px; height: 330px;\\\" src=\\\"https:\\/\\/bkimg.cdn.bcebos.com\\/pic\\/c2fdfc039245d68806cd7fd9a0c27d1ed31b2484?x-bce-process=image\\/resize,m_lfit,w_440,limit_1\\/format,f_auto\\\" alt=\\\"\\\" \\/><\\/a><\\/div>\\r\\n\\u539f\\u4ea7\\u82cf\\u683c\\u5170\\uff0c\\u7528\\u7ecf\\u8fc7\\u5e72\\u71e5\\uff0c\\u6ce5\\u70ad\\u718f\\u7119\\u4ea7\\u751f\\u72ec\\u7279\\u9999\\u5473\\u7684\\u5927\\u9ea6\\u82bd\\u4f5c\\u9175\\u9020\\u539f\\u6599\\u5236\\u6210\\u3002\\u5176\\u917f\\u5236\\u7ecf\\u516d\\u9053\\u5de5\\u5e8f\\u5373\\uff1a\\u5c06\\u5927\\u9ea6\\u6d78\\u6c34\\u53d1\\u82bd\\u3001\\u70d8\\u5e72\\u3001\\u7c89\\u788e\\u9ea6\\u82bd\\u3001\\u5165\\u69fd\\u52a0\\u6c34\\u7cd6\\u5316\\u3001\\u5165\\u6876\\u52a0\\u5165\\u9175\\u6bcd\\u53d1\\u9175\\u3001\\u84b8\\u998f\\u4e24\\u6b21\\u3001\\u9648\\u917f\\u3001\\u6df7\\u5408\\u3002<\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"32\\\">\\u82cf\\u683c\\u5170\\u5a01\\u58eb\\u5fcc\\u5728\\u4f7f\\u7528\\u7684\\u539f\\u6599\\u3001\\u84b8\\u998f\\u548c\\u9648\\u5e74\\u65b9\\u5f0f\\u4e0a\\u5404\\u4e0d\\u76f8\\u540c\\u53ef\\u4ee5\\u5206\\u4e3a\\u56db\\u7c7b\\uff1a\\u5355\\u9ea6\\u82bd\\u5a01\\u58eb\\u5fcc\\uff08SingleMalt\\uff09\\u3001\\u7eaf\\u9ea6\\u82bd\\u5a01\\u58eb\\u5fcc\\uff08Pure Malt\\uff09\\u3001\\u8c03\\u548c\\u6027\\u5a01\\u58eb\\u5fcc\\uff08Blend\\uff09\\u3001\\u8c37\\u7269\\u5a01\\u58eb\\u5fcc\\uff08GrainWhisky\\uff09\\u3002<span class=\\\"sup--normal\\\" style=\\\"font-size: 10.5px; line-height: 0; position: relative; vertical-align: baseline; top: -0.5em; white-space: nowrap; margin-left: 2px; color: #3366cc; cursor: pointer; padding: 0px 2px;\\\" data-sup=\\\"6\\\" data-ctrmap=\\\":6,\\\">&nbsp;[6]<\\/span><a class=\\\"sup-anchor\\\" style=\\\"color: #136ec2; position: relative; top: -50px; font-size: 0px; line-height: 0;\\\" name=\\\"ref_[6]_163908\\\"><\\/a>&nbsp;<\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"33\\\">\\u8d77\\u7801\\u8981\\u5728\\u82cf\\u683c\\u5170\\u8d2e\\u5b583\\u5e74\\u4ee5\\u4e0a\\uff0c15\\u5e74\\uff5e20\\u5e74\\u4e3a\\u6700\\u4f18\\u8d28\\u7684\\u6210\\u54c1\\u9152\\uff0c\\u8d85\\u8fc720\\u5e74\\u7684\\u8d28\\u91cf\\u4f1a\\u4e0b\\u964d\\u98ce\\u683c\\uff0c\\u8272\\u6cfd\\u68d5\\u9ec4\\u5e26\\u7ea2\\uff0c\\u6e05\\u6f88\\u900f\\u4eae\\uff0c\\u6c14\\u5473\\u7126\\u9999\\uff0c\\u5e26\\u6709\\u6d53\\u70c8\\u7684\\u70df\\u5473\\u3002<\\/div>\\r\\n<ul class=\\\"custom_dot para-list list-paddingleft-1\\\" style=\\\"margin: 0px 0px 15px 2em; padding: 0px; list-style: none; color: #333333; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; font-size: 12px; background-color: #ffffff;\\\" data-pid=\\\"34\\\">\\r\\n<li class=\\\"list-dot list-dot-paddingleft\\\" style=\\\"margin: 0px; padding: 0px; list-style: none;\\\">\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; margin-bottom: 0px; line-height: 24px; zoom: 1; margin-left: 20px;\\\"><span style=\\\"font-weight: bold;\\\"><a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E7%BE%8E%E5%9B%BD%E5%A8%81%E5%A3%AB%E5%BF%8C\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u7f8e\\u56fd\\u5a01\\u58eb\\u5fcc<\\/a><\\/span><span style=\\\"font-weight: bold;\\\">\\uff08American Whisky\\uff09<\\/span><\\/div>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"35\\\">\\r\\n<div class=\\\"lemma-picture J-lemma-picture text-pic layout-right\\\" style=\\\"border: 1px solid #e0e0e0; overflow: hidden; margin: 0px 0px 3px 20px; position: relative; float: right; clear: right; width: 220px;\\\"><a class=\\\"image-link\\\" style=\\\"color: #136ec2; text-decoration-line: none; display: block; width: 220px; height: 146.951px;\\\" title=\\\"\\u7f8e\\u56fd\\u5a01\\u58eb\\u5fcc\\\" href=\\\"https:\\/\\/baike.baidu.com\\/pic\\/%E5%A8%81%E5%A3%AB%E5%BF%8C%E9%85%92\\/2959816\\/0\\/dc54564e9258d1093e0c8898d558ccbf6c814d28?fr=lemma&amp;ct=single\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\"><img class=\\\"\\\" style=\\\"border: 0px; display: block; margin: 0px auto; width: 220px; height: 146.951px;\\\" src=\\\"https:\\/\\/bkimg.cdn.bcebos.com\\/pic\\/dc54564e9258d1093e0c8898d558ccbf6c814d28?x-bce-process=image\\/resize,m_lfit,w_440,limit_1\\/format,f_auto\\\" alt=\\\"\\u7f8e\\u56fd\\u5a01\\u58eb\\u5fcc\\\" \\/><\\/a><span class=\\\"description\\\" style=\\\"display: block; color: #555555; font-size: 12px; text-indent: 0px; font-family: \\u5b8b\\u4f53; overflow-wrap: break-word; word-break: break-all; line-height: 24px; padding: 8px 7px; min-height: 12px; border-top: 1px solid #e0e0e0;\\\">\\u7f8e\\u56fd\\u5a01\\u58eb\\u5fcc<\\/span><\\/div>\\r\\n\\u7f8e\\u56fd\\u5a01\\u58eb\\u5fcc\\u5206\\u7c7b\\u7684\\u4e3b\\u8981\\u65b9\\u6cd5\\u6709\\uff1a\\u6309\\u7167\\u57fa\\u672c\\u751f\\u4ea7\\u5de5\\u827a\\u5212\\u5206\\uff08\\u7eaf\\u5a01\\u58eb\\u5fcc\\u3001\\u6df7\\u5408\\u5a01\\u58eb\\u5fcc\\u3001\\u6e05\\u6de1\\u5a01\\u58eb\\u5fcc\\uff09\\u3001\\u6309\\u7167\\u4f7f\\u7528\\u7684\\u8c37\\u7269\\u5212\\u5206\\uff08\\u6ce2\\u672c\\u5a01\\u58eb\\u5fcc\\u3001\\u9ed1\\u9ea6\\u5a01\\u58eb\\u5fcc\\u3001\\u7389\\u7c73\\u5a01\\u58eb\\u5fcc\\u3001\\u5c0f\\u9ea6\\u5a01\\u58eb\\u5fcc\\u3001\\u9ea6\\u82bd\\u5a01\\u58eb\\u5fcc\\uff09\\u6309\\u7167\\u53d1\\u9175\\u7684\\u8fc7\\u7a0b\\u5212\\u5206\\uff08\\u9178\\u9ea6\\u5a01\\u58eb\\u5fcc\\u3001\\u751c\\u9ea6\\u5a01\\u58eb\\u5fcc\\uff09\\u3001\\u6309\\u7167\\u8fc7\\u6ee4\\u7684\\u8fc7\\u7a0b\\u5212\\u5206\\uff08\\u7530\\u7eb3\\u897f\\u5a01\\u58eb\\u5fcc\\uff09\\u3001\\u6309\\u7167\\u56fd\\u5bb6\\u76d1\\u7ba1\\u4f53\\u7cfb\\u5212\\u5206\\uff08\\u4fdd\\u7a0e\\u5a01\\u58eb\\u5fcc\\uff09\\u3001\\u6309\\u7167\\u4e2a\\u6027\\u7279\\u70b9\\u5212\\u5206\\uff08\\u5355\\u6876\\u5a01\\u58eb\\u5fcc\\u3001\\u5c0f\\u6279\\u91cf\\u6ce2\\u672c\\u5a01\\u58eb\\u5fcc\\u3001\\u5e74\\u4efd\\u5a01\\u58eb\\u5fcc\\uff09\\u3002<span class=\\\"sup--normal\\\" style=\\\"font-size: 10.5px; line-height: 0; position: relative; vertical-align: baseline; top: -0.5em; white-space: nowrap; margin-left: 2px; color: #3366cc; cursor: pointer; padding: 0px 2px;\\\" data-sup=\\\"7\\\" data-ctrmap=\\\":7,\\\">&nbsp;[7]<\\/span><a class=\\\"sup-anchor\\\" style=\\\"color: #136ec2; position: relative; top: -50px; font-size: 0px; line-height: 0;\\\" name=\\\"ref_[7]_163908\\\"><\\/a>&nbsp;<\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"36\\\">\\u4ee5\\u7389\\u7c73\\u548c\\u5176\\u5b83\\u8c37\\u7269\\u4e3a\\u539f\\u6599\\uff0c\\u539f\\u4ea7<a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E7%BE%8E%E5%9B%BD%E5%8D%97%E9%83%A8\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u7f8e\\u56fd\\u5357\\u90e8<\\/a>\\uff0c\\u7528\\u52a0\\u5165\\u4e86\\u9ea6\\u7c7b\\u7684\\u7389\\u7c73\\u4f5c\\u917f\\u9020\\u539f\\u6599\\uff0c\\u7ecf\\u53d1\\u9175\\uff0c\\u84b8\\u998f\\u540e\\u653e\\u5165\\u5185\\u4fa7\\u718f\\u7126\\u7684<a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E6%A9%A1%E6%9C%A8\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u6a61\\u6728<\\/a>\\u9152\\u6876\\u4e2d\\u917f\\u52362-3\\u5e74\\u3002<\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"37\\\">\\u88c5\\u74f6\\u65f6\\u52a0\\u5165\\u4e00\\u5b9a\\u6570\\u91cf\\u84b8\\u998f\\u6c34\\u52a0\\u53d1\\u7a00\\u91ca\\uff0c\\u7f8e\\u56fd<a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E5%A8%81%E5%A3%AB%E5%BF%8C\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u5a01\\u58eb\\u5fcc<\\/a>\\u6ca1\\u6709\\u82cf\\u683c\\u5170\\u5a01\\u58eb\\u5fcc\\u90a3\\u6837\\u6d53\\u70c8\\u714c\\u70df\\u5473\\uff0c\\u4f46\\u5177\\u6709\\u72ec\\u7279\\u7684\\u6a61\\u6811\\u82b3\\u9999\\u3002<\\/div>\\r\\n<ul class=\\\"custom_dot para-list list-paddingleft-1\\\" style=\\\"margin: 0px 0px 15px 2em; padding: 0px; list-style: none; color: #333333; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; font-size: 12px; background-color: #ffffff;\\\" data-pid=\\\"38\\\">\\r\\n<li class=\\\"list-dot list-dot-paddingleft\\\" style=\\\"margin: 0px; padding: 0px; list-style: none;\\\">\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; margin-bottom: 0px; line-height: 24px; zoom: 1; margin-left: 20px;\\\"><span style=\\\"font-weight: bold;\\\"><a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E7%88%B1%E5%B0%94%E5%85%B0%E5%A8%81%E5%A3%AB%E5%BF%8C\\/67739\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\" data-lemmaid=\\\"67739\\\">\\u7231\\u5c14\\u5170\\u5a01\\u58eb\\u5fcc<\\/a><\\/span><span style=\\\"font-weight: bold;\\\">\\uff08Irish Whiskey\\uff09<\\/span><\\/div>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"39\\\">\\r\\n<div class=\\\"lemma-picture J-lemma-picture text-pic layout-right\\\" style=\\\"border: 1px solid #e0e0e0; overflow: hidden; margin: 0px 0px 3px 20px; position: relative; float: right; clear: right; width: 220px;\\\"><a class=\\\"image-link\\\" style=\\\"color: #136ec2; text-decoration-line: none; display: block; width: 220px; height: 141.2px;\\\" title=\\\"\\u7231\\u5c14\\u5170\\u5a01\\u58eb\\u5fcc\\\" href=\\\"https:\\/\\/baike.baidu.com\\/pic\\/%E5%A8%81%E5%A3%AB%E5%BF%8C%E9%85%92\\/2959816\\/0\\/bba1cd11728b471016f5dce6c7cec3fdfd0323c5?fr=lemma&amp;ct=single\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\"><img class=\\\"\\\" style=\\\"border: 0px; display: block; margin: 0px auto; width: 220px; height: 141.2px;\\\" src=\\\"https:\\/\\/bkimg.cdn.bcebos.com\\/pic\\/bba1cd11728b471016f5dce6c7cec3fdfd0323c5?x-bce-process=image\\/resize,m_lfit,w_440,limit_1\\/format,f_auto\\\" alt=\\\"\\u7231\\u5c14\\u5170\\u5a01\\u58eb\\u5fcc\\\" \\/><\\/a><span class=\\\"description\\\" style=\\\"display: block; color: #555555; font-size: 12px; text-indent: 0px; font-family: \\u5b8b\\u4f53; overflow-wrap: break-word; word-break: break-all; line-height: 24px; padding: 8px 7px; min-height: 12px; border-top: 1px solid #e0e0e0;\\\">\\u7231\\u5c14\\u5170\\u5a01\\u58eb\\u5fcc<\\/span><\\/div>\\r\\n\\u7231\\u5c14\\u5170\\u5a01\\u58eb\\u5fcc\\u7684\\u79cd\\u7c7b\\u53ef\\u4ee5\\u5206\\u4e3a\\u56db\\u7c7b\\uff1aWhiskeyPotstill\\uff08\\u58f6\\u5f0f\\u84b8\\u998f\\u5a01\\u58eb\\u5fcc\\uff09\\u3001GrainWhiskey\\uff08\\u8c37\\u7269\\u5a01\\u58eb\\u5fcc\\uff09\\u3001WhiskeySingleMalt\\uff08\\u5355\\u9ea6\\u82bd\\u5a01\\u58eb\\u5fcc\\uff09\\u3001Blended Whiskey\\uff08\\u6df7\\u5408\\u5a01\\u58eb\\u5fcc\\uff09\\u3002<span class=\\\"sup--normal\\\" style=\\\"font-size: 10.5px; line-height: 0; position: relative; vertical-align: baseline; top: -0.5em; white-space: nowrap; margin-left: 2px; color: #3366cc; cursor: pointer; padding: 0px 2px;\\\" data-sup=\\\"8\\\" data-ctrmap=\\\":8,\\\">&nbsp;[8]<\\/span><a class=\\\"sup-anchor\\\" style=\\\"color: #136ec2; position: relative; top: -50px; font-size: 0px; line-height: 0;\\\" name=\\\"ref_[8]_163908\\\"><\\/a>&nbsp;<\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"40\\\">\\u7279\\u70b9\\uff1a\\u67d4\\u548c\\uff0c\\u597d\\u50cf\\u5728\\u53e3\\u4e2d\\u71c3\\u70e7\\u3002<\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"41\\\">\\u539f\\u4ea7<a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E7%88%B1%E5%B0%94%E5%85%B0\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u7231\\u5c14\\u5170<\\/a>\\uff0c\\u7528\\u5c0f\\u9ea6\\u3001\\u5927\\u9ea6\\u3001<a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E9%BB%91%E9%BA%A6\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u9ed1\\u9ea6<\\/a>\\u7b49\\u7684\\u9ea6\\u82bd\\u4f5c\\u539f\\u6599\\u917f\\u9020\\u800c\\u6210\\u3002\\u7ecf\\u8fc7\\u4e09\\u6b21\\u84b8\\u998f\\u3002\\u7136\\u540e\\u5165\\u6876\\u9648\\u917f\\uff0c\\u4e00\\u822c\\u97008-15\\u5e74\\u3002<\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"42\\\">\\u88c5\\u74f6\\u65f6\\u8fd8\\u8981\\u6df7\\u548c\\u63ba\\u6c34\\u7a00\\u91ca\\u3002\\u56e0\\u539f\\u6599\\u4e0d\\u7528\\u6ce5\\u70ad\\u718f\\u7119\\uff0c\\u6240\\u4ee5\\u6ca1\\u6709\\u7126\\u9999\\u5473\\uff0c\\u53e3\\u5473\\u6bd4\\u8f83\\u7ef5\\u67d4\\u957f\\u6da6\\uff0c\\u9002\\u7528\\u4e8e\\u5236\\u4f5c<a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E6%B7%B7%E5%90%88%E9%85%92\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u6df7\\u5408\\u9152<\\/a>\\u4e0e\\u5176\\u5b83\\u996e\\u6599\\u5171\\u996e\\u3002<\\/div>\\r\\n<ul class=\\\"custom_dot para-list list-paddingleft-1\\\" style=\\\"margin: 0px 0px 15px 2em; padding: 0px; list-style: none; color: #333333; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; font-size: 12px; background-color: #ffffff;\\\" data-pid=\\\"43\\\">\\r\\n<li class=\\\"list-dot list-dot-paddingleft\\\" style=\\\"margin: 0px; padding: 0px; list-style: none;\\\">\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; margin-bottom: 0px; line-height: 24px; zoom: 1; margin-left: 20px;\\\"><span style=\\\"font-weight: bold;\\\"><a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E5%8A%A0%E6%8B%BF%E5%A4%A7%E5%A8%81%E5%A3%AB%E5%BF%8C\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u52a0\\u62ff\\u5927\\u5a01\\u58eb\\u5fcc<\\/a><\\/span><span style=\\\"font-weight: bold;\\\">\\uff08Canadian Whisky\\uff09<\\/span><\\/div>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"44\\\">\\r\\n<div class=\\\"lemma-picture J-lemma-picture text-pic layout-right\\\" style=\\\"border: 1px solid #e0e0e0; overflow: hidden; margin: 0px 0px 3px 20px; position: relative; float: right; clear: right; width: 220px;\\\"><a class=\\\"image-link\\\" style=\\\"color: #136ec2; text-decoration-line: none; display: block; width: 220px; height: 252.616px;\\\" title=\\\"\\u52a0\\u62ff\\u5927\\u5a01\\u58eb\\u5fcc\\\" href=\\\"https:\\/\\/baike.baidu.com\\/pic\\/%E5%A8%81%E5%A3%AB%E5%BF%8C%E9%85%92\\/2959816\\/0\\/342ac65c10385343b27ea70b9713b07eca808862?fr=lemma&amp;ct=single\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\"><img class=\\\"\\\" style=\\\"border: 0px; display: block; margin: 0px auto; width: 220px; height: 252.616px;\\\" src=\\\"https:\\/\\/bkimg.cdn.bcebos.com\\/pic\\/342ac65c10385343b27ea70b9713b07eca808862?x-bce-process=image\\/resize,m_lfit,w_440,limit_1\\/format,f_auto\\\" alt=\\\"\\u52a0\\u62ff\\u5927\\u5a01\\u58eb\\u5fcc\\\" \\/><\\/a><span class=\\\"description\\\" style=\\\"display: block; color: #555555; font-size: 12px; text-indent: 0px; font-family: \\u5b8b\\u4f53; overflow-wrap: break-word; word-break: break-all; line-height: 24px; padding: 8px 7px; min-height: 12px; border-top: 1px solid #e0e0e0;\\\">\\u52a0\\u62ff\\u5927\\u5a01\\u58eb\\u5fcc<\\/span><\\/div>\\r\\n\\u52a0\\u62ff\\u5927\\u5a01\\u58eb\\u5fcc\\u7684\\u5386\\u53f2\\u5f00\\u59cb\\u4e8e\\u5b89\\u5927\\u7565\\u6e56\\u5cb8\\u8fb9\\uff0c19\\u4e16\\u7eaa\\u521d\\u82f1\\u56fd\\u79fb\\u6c11\\u5728\\u90a3\\u91cc\\u5efa\\u9020\\u4e86\\u7b2c\\u4e00\\u4e2a\\u917f\\u9152\\u5382\\u3002\\u52a0\\u62ff\\u5927\\u5a01\\u58eb\\u5fcc\\u53d7\\u5230\\u4e86\\u6cd5\\u56fd\\u4eba\\u7684\\u5f71\\u54cd\\uff0c\\u540e\\u8005\\u572818\\u4e16\\u7eaa\\u5728\\u9b41\\u5317\\u514b\\u7701\\u751f\\u4ea7\\u4e86\\u6717\\u59c6\\u9152\\u5728\\u917f\\u9152\\u5e08HiramWalker\\u7684\\u5f71\\u54cd\\u4e0b19\\u4e16\\u7eaa50\\u5e74\\u4ee3\\u52a0\\u62ff\\u5927\\u5a01\\u58eb\\u5fcc\\u8fc5\\u901f\\u53d1\\u5c55\\u3002<span class=\\\"sup--normal\\\" style=\\\"font-size: 10.5px; line-height: 0; position: relative; vertical-align: baseline; top: -0.5em; white-space: nowrap; margin-left: 2px; color: #3366cc; cursor: pointer; padding: 0px 2px;\\\" data-sup=\\\"9\\\" data-ctrmap=\\\":9,\\\">&nbsp;[9]<\\/span><a class=\\\"sup-anchor\\\" style=\\\"color: #136ec2; position: relative; top: -50px; font-size: 0px; line-height: 0;\\\" name=\\\"ref_[9]_163908\\\"><\\/a>&nbsp;<\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"45\\\">\\u4e3b\\u8981\\u7531<a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E9%BB%91%E9%BA%A6\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u9ed1\\u9ea6<\\/a>\\u3001\\u7389\\u7c73\\u548c\\u5927\\u9ea6\\u6df7\\u5408\\u917f\\u5236\\uff0c\\u91c7\\u7528\\u4e8c\\u6b21\\u84b8\\u998f\\uff0c\\u5728\\u6728\\u6876\\u4e2d\\u8d2e\\u5b584\\u5e74\\u30016\\u5e74\\u30017\\u5e74\\u300110\\u5e74\\u4e0d\\u7b49\\u3002\\u51fa\\u552e\\u524d\\u8981\\u8fdb\\u884c\\u52fe\\u5151\\u63ba\\u548c\\u3002<a style=\\\"color: #136ec2; text-decoration-line: none;\\\" href=\\\"https:\\/\\/baike.baidu.com\\/item\\/%E5%8A%A0%E6%8B%BF%E5%A4%A7%E5%A8%81%E5%A3%AB%E5%BF%8C\\\" target=\\\"_blank\\\" rel=\\\"noopener\\\">\\u52a0\\u62ff\\u5927\\u5a01\\u58eb\\u5fcc<\\/a>\\u6c14\\u5473\\u6e05\\u723d\\uff0c\\u53e3\\u611f\\u8f7b\\u5feb\\u3001\\u723d\\u9002\\u3001\\u4e0d\\u5c11\\u5317\\u7f8e\\u4eba\\u58eb\\u90fd\\u559c\\u7231\\u8fd9\\u79cd\\u9152\\u3002<\\/div>\\r\\n<ul class=\\\"custom_dot para-list list-paddingleft-1\\\" style=\\\"margin: 0px 0px 15px 2em; padding: 0px; list-style: none; color: #333333; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; font-size: 12px; background-color: #ffffff;\\\" data-pid=\\\"46\\\">\\r\\n<li class=\\\"list-dot list-dot-paddingleft\\\" style=\\\"margin: 0px; padding: 0px; list-style: none;\\\">\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; margin-bottom: 0px; line-height: 24px; zoom: 1; margin-left: 20px;\\\"><span style=\\\"font-weight: bold;\\\">\\u65e5\\u672c\\u5a01\\u58eb\\u5fcc<\\/span><\\/div>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"47\\\">\\u7b2c\\u4e00\\u5bb6\\u771f\\u6b63\\u610f\\u4e49\\u4e0a\\u539f\\u521b\\u7684\\u65e5\\u672c\\u5a01\\u58eb\\u5fcc\\u8bde\\u751f\\u4e8e1929\\u5e74\\uff0c\\u4f46\\u662f\\u4ecd\\u6709\\u76f8\\u5f53\\u957f\\u7684\\u4e00\\u6bb5\\u65f6\\u95f4\\u65e5\\u672c\\u662f\\u4eceHighland\\u8fdb\\u53e3\\u53d1\\u82bd\\u7684\\u5927\\u9ea6\\u751f\\u4ea7\\u84b8\\u998f\\u9152\\uff0c\\u800c\\u65e5\\u672c\\u4eba\\u53ea\\u662f\\u8fdb\\u884c\\u4e86\\u8c03\\u548c\\u548c\\u9648\\u5e74\\uff0c\\u5e76\\u4fdd\\u7559\\u82cf\\u683c\\u5170\\u7684\\u53eb\\u6cd5\\u3002<span class=\\\"sup--normal\\\" style=\\\"font-size: 10.5px; line-height: 0; position: relative; vertical-align: baseline; top: -0.5em; white-space: nowrap; margin-left: 2px; color: #3366cc; cursor: pointer; padding: 0px 2px;\\\" data-sup=\\\"10\\\" data-ctrmap=\\\":10,\\\">&nbsp;[10]<\\/span><a class=\\\"sup-anchor\\\" style=\\\"color: #136ec2; position: relative; top: -50px; font-size: 0px; line-height: 0;\\\" name=\\\"ref_[10]_163908\\\"><\\/a>&nbsp;<a style=\\\"color: #136ec2;\\\" name=\\\"ref_10\\\"><\\/a><a style=\\\"color: #136ec2;\\\" name=\\\"ref_10\\\"><\\/a><a style=\\\"color: #136ec2;\\\" name=\\\"ref_10\\\"><\\/a><\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"48\\\">\\u65e5\\u672c\\u6709\\u4e00\\u4e2a\\u57ce\\u5e02\\u53eb\\u505a\\u963f\\u5411\\u4e01\\uff0c\\u5c31\\u662f\\u4e3a\\u4e86\\u80fd\\u591f\\u6309\\u82cf\\u683c\\u5170\\u8bed\\u79f0\\u547c\\u5f53\\u5730\\u751f\\u4ea7\\u7684\\u5a01\\u58eb\\u5fcc\\u3002<span class=\\\"sup--normal\\\" style=\\\"font-size: 10.5px; line-height: 0; position: relative; vertical-align: baseline; top: -0.5em; white-space: nowrap; margin-left: 2px; color: #3366cc; cursor: pointer; padding: 0px 2px;\\\" data-sup=\\\"10\\\" data-ctrmap=\\\":10,\\\">&nbsp;[10]<\\/span><a class=\\\"sup-anchor\\\" style=\\\"color: #136ec2; position: relative; top: -50px; font-size: 0px; line-height: 0;\\\" name=\\\"ref_[10]_163908\\\"><\\/a>&nbsp;<a style=\\\"color: #136ec2;\\\" name=\\\"ref_10\\\"><\\/a><a style=\\\"color: #136ec2;\\\" name=\\\"ref_10\\\"><\\/a><a style=\\\"color: #136ec2;\\\" name=\\\"ref_10\\\"><\\/a><\\/div>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"49\\\">\\u65e5\\u672c\\u751f\\u4ea7\\u7684\\u5a01\\u58eb\\u5fcc\\u4e3b\\u8981\\u4ee5\\u5927\\u9ea6\\uff08\\u7389\\u7c73\\uff09\\u4f5c\\u4e3a\\u539f\\u6599\\uff0c\\u7528\\u94dc\\u8d28\\u7684\\u58f6\\u5f0f\\u84b8\\u998f\\u5668\\u6216\\u8005\\u8fde\\u7eed\\u84b8\\u998f\\u5668\\u8fdb\\u884c\\u84b8\\u998f\\uff0c\\u9648\\u5e74\\u5728\\u76db\\u88c5\\u8fc7\\u96ea\\u5229\\u9152\\u6216\\u6ce2\\u7279\\u9152\\u7684\\u9152\\u6876\\u4e2d\\u8fdb\\u884c\\u3002<span class=\\\"sup--normal\\\" style=\\\"font-size: 10.5px; line-height: 0; position: relative; vertical-align: baseline; top: -0.5em; white-space: nowrap; margin-left: 2px; color: #3366cc; cursor: pointer; padding: 0px 2px;\\\" data-sup=\\\"10\\\" data-ctrmap=\\\":10,\\\">&nbsp;[10]<\\/span><a class=\\\"sup-anchor\\\" style=\\\"color: #136ec2; position: relative; top: -50px; font-size: 0px; line-height: 0;\\\" name=\\\"ref_[10]_163908\\\"><\\/a>&nbsp;<a style=\\\"color: #136ec2;\\\" name=\\\"ref_10\\\"><\\/a><a style=\\\"color: #136ec2;\\\" name=\\\"ref_10\\\"><\\/a><a style=\\\"color: #136ec2;\\\" name=\\\"ref_10\\\"><\\/a><\\/div>\\r\\n<ul class=\\\"custom_dot para-list list-paddingleft-1\\\" style=\\\"margin: 0px 0px 15px 2em; padding: 0px; list-style: none; color: #333333; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; font-size: 12px; background-color: #ffffff;\\\" data-pid=\\\"50\\\">\\r\\n<li class=\\\"list-dot list-dot-paddingleft\\\" style=\\\"margin: 0px; padding: 0px; list-style: none;\\\">\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; margin-bottom: 0px; line-height: 24px; zoom: 1; margin-left: 20px;\\\"><span style=\\\"font-weight: bold;\\\">\\u5176\\u4ed6\\u56fd\\u5bb6\\u5a01\\u58eb\\u5fcc<\\/span><\\/div>\\r\\n<\\/li>\\r\\n<\\/ul>\\r\\n<div class=\\\"para\\\" style=\\\"font-size: 14px; overflow-wrap: break-word; color: #333333; margin-bottom: 15px; text-indent: 2em; line-height: 24px; zoom: 1; font-family: \'Helvetica Neue\', Helvetica, Arial, \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'WenQuanYi Micro Hei\', sans-serif; background-color: #ffffff;\\\" data-pid=\\\"51\\\">\\u4f20\\u8bf4\\u53ea\\u8981\\u662f\\u82f1\\u56fd\\u4eba\\u6c11\\u5230\\u8fc7\\u7684\\u5730\\u65b9\\uff0c\\u90fd\\u80fd\\u627e\\u5230\\u5a01\\u58eb\\u5fcc\\u7684\\u4eff\\u5236\\u54c1\\uff0c\\u5927\\u90e8\\u5206\\u5206\\u5e03\\u5728\\u5370\\u5ea6\\u5883\\u5185\\uff0c\\u800c\\u5927\\u6d0b\\u6d32\\u4eba\\u5219\\u662f\\u6309\\u7167\\u82cf\\u683c\\u5170\\u4f20\\u7edf\\u65b9\\u5f0f\\u751f\\u4ea7\\u5a01\\u58eb\\u5fcc\\u3002<span class=\\\"sup--normal\\\" style=\\\"font-size: 10.5px; line-height: 0; position: relative; vertical-align: baseline; top: -0.5em; white-space: nowrap; margin-left: 2px; color: #3366cc; cursor: pointer; padding: 0px 2px;\\\" data-sup=\\\"10\\\" data-ctrmap=\\\":10,\\\">&nbsp;[10]<\\/span><\\/div>\"}', '这是关于我们', 0, '2022-05-18 13:35:31');
INSERT INTO `settings` VALUES (2, '联系我们', 'contact_us', '{\"contact_us\":\"\\u9999\\u6e2f\\u4e2d\\u73af\\u8def122\\u53f7\\uff0c\\u7535\\u8bdd00852-56568952\\uff0c\\u90ae\\u4ef6 hkwhysky@163.com223\"}', '这是联系我们', 0, '2022-05-24 20:45:46');
INSERT INTO `settings` VALUES (3, '用户协议', 'agreement', '1、隐私保护原则\r\n\r\n2、我们如何收集和使用您的信息\r\n\r\n3、应用权限使用说明\r\n\r\n4、我们收集信息的具体业务场景有哪些？\r\n\r\n5、关于账号\r\n\r\n6、cookie政策\r\n\r\n7、我们如何共享、转让、公开披露您的个人信息\r\n\r\n8、信息的存储和安全\r\n\r\n9、第三方SDK目录', '用户协议', 0, '2022-07-27 17:04:06');
INSERT INTO `settings` VALUES (4, '隐私政策', 'privacy', '\r\n我们会遵循隐私政策收集、使用您的信息，但不会仅因您同意本隐私政策而采用强制捆绑的方式一揽子收集个人信息。当您使用或开启相关功能或使用服务时，为实现功能、服务所必需，我们会收集、使用相关信息。除非是为实现基本业务功能或根据法律法规要求所必需的必要信息，您均可以拒绝提供且不影响其他功能或服务。我们将在隐私政策中逐项说明哪些是必要信息。\r\n\r\n如果您未登录帐号，我们会通过设备对应的标识符信息来保障信息推送的基本功能。如果您登录了帐号，我们会根据帐号信息实现信息推送。\r\n\r\n精确地理位置、摄像头、麦克风、相册（存储），均不会默认开启，只有经过您的明示授权才会在为实现特定功能或服务时使用，您也可以撤回授权。特别需要指出的是，即使经过您的授权，我们获得了这些敏感权限，也不会在相关功能或服务不需要时而收集您的信息。\r\n\r\n请您注意，本隐私政策不适用于其他第三方向您提供的服务（包括任何第三方应用、网站、产品、服务等，如第三方支付渠道），您向第三方提供的个人信息不适用于本隐私政策，除非法律有明确规定，我们对任何第三方收集、储存和使用的您个人信息的行为不承担任何责任。', NULL, 0, '2022-07-27 17:02:41');

-- ----------------------------
-- Table structure for sms_records
-- ----------------------------
DROP TABLE IF EXISTS `sms_records`;
CREATE TABLE `sms_records`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(10) UNSIGNED NULL DEFAULT NULL COMMENT '用户id',
  `event` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '事件 login register 等',
  `prefix` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '63' COMMENT '手机号国际前缀',
  `mobile` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '手机号',
  `verify_key` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '验证key  用于验证码校验',
  `sms_code` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '手机验证码',
  `sms_result` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '短信发送回调',
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 81 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sms_records
-- ----------------------------
INSERT INTO `sms_records` VALUES (1, NULL, 'login', '86', '17091311737', 'boGfbdbZ6E', '2812', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"1DAB2964-1BF8-567A-B96D-0C70756F0DEE\",\"Message\":\"OK\",\"BizId\":\"784909747528547845^0\",\"Code\":\"OK\"}}}', '2022-03-17 22:49:08', '2022-03-17 22:49:08');
INSERT INTO `sms_records` VALUES (2, NULL, 'login', '86', '17091311738', '4mOVoC7Kph', '1659', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"5B297BCC-7D65-5279-9FCB-31BDA40D46DF\",\"Message\":\"OK\",\"BizId\":\"321104547530188606^0\",\"Code\":\"OK\"}}}', '2022-03-17 23:16:28', '2022-03-17 23:16:28');
INSERT INTO `sms_records` VALUES (3, NULL, 'login', '86', '17091311737', 'Otfx4wqSaj', '4915', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"1B994082-9144-5875-8CF8-A423DBE0DC5C\",\"Message\":\"OK\",\"BizId\":\"264817747530330051^0\",\"Code\":\"OK\"}}}', '2022-03-17 23:18:50', '2022-03-17 23:18:50');
INSERT INTO `sms_records` VALUES (4, NULL, 'login', '86', '18738190585', '0nbeykfWRn', '6055', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"155842AE-5EDC-5976-A316-2652826CF5BE\",\"Message\":\"OK\",\"BizId\":\"493801747532204731^0\",\"Code\":\"OK\"}}}', '2022-03-17 23:50:04', '2022-03-17 23:50:04');
INSERT INTO `sms_records` VALUES (5, NULL, 'login', '86', '18848347693', 'VGrMOn9Sn0', '4672', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"219D1A6C-8E32-5000-8E00-98BDCEEDA47F\",\"Message\":\"OK\",\"BizId\":\"854507347569186586^0\",\"Code\":\"OK\"}}}', '2022-03-18 10:06:26', '2022-03-18 10:06:26');
INSERT INTO `sms_records` VALUES (6, NULL, 'forget', '86', '18738190585', 'klLqdcf9An', '9890', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"B776D671-4E27-52D0-AC56-65A54C54DDA2\",\"Message\":\"OK\",\"BizId\":\"250123947571287084^0\",\"Code\":\"OK\"}}}', '2022-03-18 10:41:27', '2022-03-18 10:41:27');
INSERT INTO `sms_records` VALUES (7, NULL, 'login', '86', '17091311737', 'XJLZRRQ28X', '8760', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"A3284D3D-4E41-525A-A99D-B92852814311\",\"Message\":\"OK\",\"BizId\":\"198715447819191834^0\",\"Code\":\"OK\"}}}', '2022-03-21 07:33:12', '2022-03-21 07:33:12');
INSERT INTO `sms_records` VALUES (8, NULL, 'login', '86', '17091311737', 'jeD8opNbsx', '3340', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"F3A0932F-D652-5B14-A687-F9465ED50BBD\",\"Message\":\"OK\",\"BizId\":\"404015447829345351^0\",\"Code\":\"OK\"}}}', '2022-03-21 10:22:25', '2022-03-21 10:22:25');
INSERT INTO `sms_records` VALUES (9, NULL, 'login', '86', '13550271341', 'ERIqLEjLrT', '3939', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"8B5A218F-755B-5401-9502-FE82123F6CB2\",\"Message\":\"OK\",\"BizId\":\"289420747957299712^0\",\"Code\":\"OK\"}}}', '2022-03-22 21:54:59', '2022-03-22 21:54:59');
INSERT INTO `sms_records` VALUES (10, NULL, 'login', '86', '17091311737', 'IqvxAgPpsG', '7658', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"FC741385-A80B-5722-BE01-8263AA508817\",\"Message\":\"OK\",\"BizId\":\"809123648049399015^0\",\"Code\":\"OK\"}}}', '2022-03-23 23:29:59', '2022-03-23 23:29:59');
INSERT INTO `sms_records` VALUES (11, NULL, 'login', '86', '15002841659', 'JHi0iC6InT', '2196', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"0D96A950-0E7B-5685-94A3-6F8F7AC39A16\",\"Message\":\"OK\",\"BizId\":\"982123948269221781^0\",\"Code\":\"OK\"}}}', '2022-03-26 12:33:42', '2022-03-26 12:33:42');
INSERT INTO `sms_records` VALUES (12, NULL, 'login', '86', '17091311737', 'lXZnEtlmDZ', '9565', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"2308B72C-DF0E-5FB2-AB7D-2A99BCA8274D\",\"Message\":\"OK\",\"BizId\":\"282116748819583146^0\",\"Code\":\"OK\"}}}', '2022-04-01 21:26:23', '2022-04-01 21:26:23');
INSERT INTO `sms_records` VALUES (13, NULL, 'login', '86', '13550271341', 'Rx1bfp5yVA', '9715', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"5083CA07-A859-5F0D-9E12-6B5CC39DA5A5\",\"Message\":\"OK\",\"BizId\":\"135414548947892502^0\",\"Code\":\"OK\"}}}', '2022-04-03 09:04:52', '2022-04-03 09:04:52');
INSERT INTO `sms_records` VALUES (14, NULL, 'login', '86', '18500136979', 'oqj0XY9wzo', '5832', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"486EC46B-752E-5133-B7E5-CB254108161B\",\"Message\":\"OK\",\"BizId\":\"729204749145370939^0\",\"Code\":\"OK\"}}}', '2022-04-05 15:56:11', '2022-04-05 15:56:11');
INSERT INTO `sms_records` VALUES (15, NULL, 'login', '86', '13324508185', 'VtQVxdboD5', '1184', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"6D103542-A0E4-54B4-A651-CBF6BD078749\",\"Message\":\"OK\",\"BizId\":\"320122949215158358^0\",\"Code\":\"OK\"}}}', '2022-04-06 11:19:18', '2022-04-06 11:19:18');
INSERT INTO `sms_records` VALUES (16, NULL, 'login', '86', '15358462009', '89oQq110d4', '4991', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"2EE50699-956A-5176-8406-21716CAD7E65\",\"Message\":\"OK\",\"BizId\":\"839120849233599177^0\",\"Code\":\"OK\"}}}', '2022-04-06 16:26:39', '2022-04-06 16:26:39');
INSERT INTO `sms_records` VALUES (17, NULL, 'login', '86', '13501480593', 'SK2t8MafWG', '3193', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"DBC101EF-8050-555B-B94F-3D42C1214446\",\"Message\":\"OK\",\"BizId\":\"193415649305036821^0\",\"Code\":\"OK\"}}}', '2022-04-07 12:17:17', '2022-04-07 12:17:17');
INSERT INTO `sms_records` VALUES (18, NULL, 'forget', '86', '13696199309', 'pigO8tCK3w', '8510', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"51DDCF7E-638E-5CFD-BAC2-B67D10192056\",\"Message\":\"OK\",\"BizId\":\"118202149643778425^0\",\"Code\":\"OK\"}}}', '2022-04-11 10:22:58', '2022-04-11 10:22:58');
INSERT INTO `sms_records` VALUES (19, NULL, 'login', '63', '9175089852', 'u12c5FBgEz', '1106', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"DDE628D0-21F2-5A66-97F8-B6F0BFD9406E\",\"Message\":\"OK\",\"BizId\":\"440105549740309230^0\",\"Code\":\"OK\"}}}', '2022-04-12 13:11:49', '2022-04-12 13:11:49');
INSERT INTO `sms_records` VALUES (20, NULL, 'login', '63', '9175089852', 'zKqvBSAaVF', '4670', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"98D902D6-AE44-5A4B-BD17-FBCC26A75819\",\"Message\":\"OK\",\"BizId\":\"971422449740310617^0\",\"Code\":\"OK\"}}}', '2022-04-12 13:11:50', '2022-04-12 13:11:50');
INSERT INTO `sms_records` VALUES (21, NULL, 'login', '63', '9175092345', 'v58hU2ivTa', '5604', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"D513B049-4F65-5887-9C90-76C2F7ABDD6B\",\"Message\":\"OK\",\"BizId\":\"233620549746990910^0\",\"Code\":\"OK\"}}}', '2022-04-12 15:03:11', '2022-04-12 15:03:11');
INSERT INTO `sms_records` VALUES (22, NULL, 'forget', '63', '9175092345', '68PBrEQQib', '3334', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"F048C606-B95A-5600-84D3-1ACD542A1E9F\",\"Message\":\"OK\",\"BizId\":\"582523449774477785^0\",\"Code\":\"OK\"}}}', '2022-04-12 22:41:18', '2022-04-12 22:41:18');
INSERT INTO `sms_records` VALUES (23, NULL, 'login', '63', '9175092345', 'oh4HusmUdq', '8304', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"00669446-386F-50ED-B78B-61FEBDB78E2E\",\"Message\":\"OK\",\"BizId\":\"541908049778544539^0\",\"Code\":\"OK\"}}}', '2022-04-12 23:49:04', '2022-04-12 23:49:04');
INSERT INTO `sms_records` VALUES (24, NULL, 'login', '86', '17091311737', '6ShDXfi2Tt', '8556', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"501B6A5E-9ADE-52DF-97F4-5DAE5DC94782\",\"Message\":\"OK\",\"BizId\":\"392711949923285599^0\",\"Code\":\"OK\"}}}', '2022-04-14 16:01:25', '2022-04-14 16:01:25');
INSERT INTO `sms_records` VALUES (25, NULL, 'login', '86', '13696199309', '3Qan1EIsk6', '7596', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"81EE6C8E-2A02-54B7-86EB-9278D13F58E1\",\"Message\":\"OK\",\"BizId\":\"800221449923881847^0\",\"Code\":\"OK\"}}}', '2022-04-14 16:11:22', '2022-04-14 16:11:22');
INSERT INTO `sms_records` VALUES (26, NULL, 'forget', '86', '15881188848', 'MJP9LxobXh', '9824', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"9B2A1FAF-F6B2-5891-BD64-37FE3DB4572E\",\"Message\":\"OK\",\"BizId\":\"850713750004256839^0\",\"Code\":\"OK\"}}}', '2022-04-15 14:30:57', '2022-04-15 14:30:57');
INSERT INTO `sms_records` VALUES (27, NULL, 'login', '86', '18738190585', 'ZiGv3igGuo', '2201', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"FA78987C-0E6D-57A5-80B2-2F1FD2BCE3B0\",\"Message\":\"OK\",\"BizId\":\"505010250371910927^0\",\"Code\":\"OK\"}}}', '2022-04-19 20:38:31', '2022-04-19 20:38:31');
INSERT INTO `sms_records` VALUES (28, NULL, 'login', '63', '9175089852', 'h4c0Xq8990', '2191', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"C26C9CE7-B70C-5C9B-BF34-2C6EB11D1858\",\"Message\":\"OK\",\"BizId\":\"998914250412573202^0\",\"Code\":\"OK\"}}}', '2022-04-20 07:56:13', '2022-04-20 07:56:13');
INSERT INTO `sms_records` VALUES (29, NULL, 'login', '63', '9175089852', 'Uvnsep2i0Q', '2612', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"B672D8B9-37E0-549F-B8F7-C47074A23522\",\"Message\":\"OK\",\"BizId\":\"949515950497210753^0\",\"Code\":\"OK\"}}}', '2022-04-21 07:26:50', '2022-04-21 07:26:50');
INSERT INTO `sms_records` VALUES (30, NULL, 'forget', '63', '9175089852', '4X1wzhfx4X', '5969', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"307EB673-3F69-528B-9531-C951A51F3712\",\"Message\":\"OK\",\"BizId\":\"569507950497326039^0\",\"Code\":\"OK\"}}}', '2022-04-21 07:28:46', '2022-04-21 07:28:46');
INSERT INTO `sms_records` VALUES (31, NULL, 'login', '86', '18981831779', 'xmqsuyCcuV', '4694', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"5FA50842-7012-5A1C-92DC-B392308ADA04\",\"Message\":\"OK\",\"BizId\":\"167302350498826717^0\",\"Code\":\"OK\"}}}', '2022-04-21 07:53:46', '2022-04-21 07:53:46');
INSERT INTO `sms_records` VALUES (32, NULL, 'login', '86', '13880090767', '7M8RTWKgXq', '5039', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"CC93D62C-35CA-5C28-A7D3-96CC3C105041\",\"Message\":\"OK\",\"BizId\":\"780418950498892725^0\",\"Code\":\"OK\"}}}', '2022-04-21 07:54:52', '2022-04-21 07:54:52');
INSERT INTO `sms_records` VALUES (33, NULL, 'login', '86', '18738190585', 'WXZKU3LKU7', '8611', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"0E1F0A79-18D4-5F67-8074-ABBFE1815314\",\"Message\":\"OK\",\"BizId\":\"851020550525822867^0\",\"Code\":\"OK\"}}}', '2022-04-21 15:23:43', '2022-04-21 15:23:43');
INSERT INTO `sms_records` VALUES (34, NULL, 'login', '63', '9175089852', 'VygIqpmJzZ', '1438', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"82E17059-1520-5B3D-9D56-662D46261A43\",\"Message\":\"OK\",\"BizId\":\"212021150716524834^0\",\"Code\":\"OK\"}}}', '2022-04-23 20:22:05', '2022-04-23 20:22:05');
INSERT INTO `sms_records` VALUES (35, NULL, 'forget', '86', '18738190585', '3aZ8XgLjLy', '3021', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"DDA4D7B7-3A4B-58EB-95BE-6467754339C8\",\"Message\":\"OK\",\"BizId\":\"958618950791684856^0\",\"Code\":\"OK\"}}}', '2022-04-24 17:14:45', '2022-04-24 17:14:45');
INSERT INTO `sms_records` VALUES (36, NULL, 'forget', '86', '18738190585', 'XGfkvoPOb5', '8699', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"E40BB2C2-3D6F-5066-985C-FFF2E731DD52\",\"Message\":\"OK\",\"BizId\":\"643401850792262161^0\",\"Code\":\"OK\"}}}', '2022-04-24 17:24:22', '2022-04-24 17:24:22');
INSERT INTO `sms_records` VALUES (37, NULL, 'forget', '86', '18738190585', 'fxGahFEGQN', '1175', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"313F4332-721C-5531-978C-7E0A3DA6D569\",\"Message\":\"OK\",\"BizId\":\"384306050792411927^0\",\"Code\":\"OK\"}}}', '2022-04-24 17:26:52', '2022-04-24 17:26:52');
INSERT INTO `sms_records` VALUES (38, NULL, 'login', '63', '9175089852', 'ZiSsBjcxW2', '8333', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"89711840-4406-5C21-81C3-F01BAF50E424\",\"Message\":\"OK\",\"BizId\":\"671308750931136193^0\",\"Code\":\"OK\"}}}', '2022-04-26 07:58:56', '2022-04-26 07:58:56');
INSERT INTO `sms_records` VALUES (39, NULL, 'login', '63', '9175089852', 'IZDOrNxF46', '8804', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"CAA055AA-0EFC-54E7-AED7-368580AEC93C\",\"Message\":\"OK\",\"BizId\":\"795111351097990486^0\",\"Code\":\"OK\"}}}', '2022-04-28 06:19:50', '2022-04-28 06:19:50');
INSERT INTO `sms_records` VALUES (40, NULL, 'login', '86', '13550271341', 'S4EpVncP7C', '5271', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"4DB4AA7C-69D9-5C01-AB7E-60B31B43A0EE\",\"Message\":\"OK\",\"BizId\":\"805712551166528167^0\",\"Code\":\"OK\"}}}', '2022-04-29 01:22:08', '2022-04-29 01:22:08');
INSERT INTO `sms_records` VALUES (41, NULL, 'login', '86', '13550271341', 'IltpXi7fmL', '8799', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"492BAD15-18D9-5290-87F1-B461E7ADAC97\",\"Message\":\"OK\",\"BizId\":\"384610651166585023^0\",\"Code\":\"OK\"}}}', '2022-04-29 01:23:05', '2022-04-29 01:23:05');
INSERT INTO `sms_records` VALUES (42, NULL, 'login', '63', '9175089852', 'el017VLZzj', '2953', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"5F57825E-A36C-539E-8DC2-430534E891FA\",\"Message\":\"OK\",\"BizId\":\"248909351199906932^0\",\"Code\":\"OK\"}}}', '2022-04-29 10:38:27', '2022-04-29 10:38:27');
INSERT INTO `sms_records` VALUES (43, NULL, 'login', '63', '9175089852', 'GTVAwFs06B', '8418', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"5D56CFE5-91D6-5F83-BC83-2359C887A701\",\"Message\":\"OK\",\"BizId\":\"501201551289498542^0\",\"Code\":\"OK\"}}}', '2022-04-30 11:31:38', '2022-04-30 11:31:38');
INSERT INTO `sms_records` VALUES (44, NULL, 'login', '63', '9175089852', 'pPmtxQkaq6', '4674', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"2507171E-EB8A-5C21-89DB-FB881834F1AF\",\"Message\":\"OK\",\"BizId\":\"469616551356176319^0\",\"Code\":\"OK\"}}}', '2022-05-01 06:02:56', '2022-05-01 06:02:56');
INSERT INTO `sms_records` VALUES (45, NULL, 'forget', '86', '17091311737', 'TBaj4rJQJu', '6775', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"32B153F0-29A6-5FA7-8209-D72D1E4DA85E\",\"Message\":\"OK\",\"BizId\":\"610119251396766248^0\",\"Code\":\"OK\"}}}', '2022-05-01 17:19:26', '2022-05-01 17:19:26');
INSERT INTO `sms_records` VALUES (46, NULL, 'login', '63', '9175089852', 'KJrbyhL96G', '5966', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"5726031C-A9F9-5A84-8FDE-7E9D32D1984D\",\"Message\":\"OK\",\"BizId\":\"492118251552433003^0\",\"Code\":\"OK\"}}}', '2022-05-03 12:33:53', '2022-05-03 12:33:53');
INSERT INTO `sms_records` VALUES (47, NULL, 'login', '86', '15881188848', 'enQFauyjYs', '9089', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"83D88255-C442-57CA-9C4C-03EEBE649577\",\"Message\":\"OK\",\"BizId\":\"701422251590665420^0\",\"Code\":\"OK\"}}}', '2022-05-03 23:11:05', '2022-05-03 23:11:05');
INSERT INTO `sms_records` VALUES (48, NULL, 'login', '63', '9175089852', 'h1mYz0qjFi', '5769', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"D23CD18A-C1B0-5E17-BE46-3BCE9021FD51\",\"Message\":\"OK\",\"BizId\":\"982407051625775179^0\",\"Code\":\"OK\"}}}', '2022-05-04 08:56:15', '2022-05-04 08:56:15');
INSERT INTO `sms_records` VALUES (49, NULL, 'login', '63', '9175089852', 'iUmD92yIRR', '4371', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"6BC70CA2-778A-5A14-A262-F6CD2DA0113B\",\"Message\":\"OK\",\"BizId\":\"354921351634998511^0\",\"Code\":\"OK\"}}}', '2022-05-04 11:29:58', '2022-05-04 11:29:58');
INSERT INTO `sms_records` VALUES (50, NULL, 'login', '86', '15508001262', 'znVfnxmL1i', '7858', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"FE659030-8B04-5B48-92FE-525201B90DD3\",\"Message\":\"OK\",\"BizId\":\"285222351693545147^0\",\"Code\":\"OK\"}}}', '2022-05-05 03:45:45', '2022-05-05 03:45:45');
INSERT INTO `sms_records` VALUES (51, NULL, 'forget', '86', '18738190585', 'foQtXo0jpR', '5437', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"A0166E07-B4B6-5EB4-9994-D899A08DAE94\",\"Message\":\"OK\",\"BizId\":\"864704151729754856^0\",\"Code\":\"OK\"}}}', '2022-05-05 13:49:15', '2022-05-05 13:49:15');
INSERT INTO `sms_records` VALUES (52, NULL, 'login', '86', '18382065209', 'N8NBJyXBYq', '4083', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"70EF3EF6-3245-5680-933B-1C7DF31A9E6D\",\"Message\":\"OK\",\"BizId\":\"148709351736515318^0\",\"Code\":\"OK\"}}}', '2022-05-05 15:41:55', '2022-05-05 15:41:55');
INSERT INTO `sms_records` VALUES (53, NULL, 'login', '86', '18382065209', 'SsRhWNZssf', '6527', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"6B377CB6-4129-566D-A0BF-473B06ED1CFA\",\"Message\":\"OK\",\"BizId\":\"962116751736586246^0\",\"Code\":\"OK\"}}}', '2022-05-05 15:43:06', '2022-05-05 15:43:06');
INSERT INTO `sms_records` VALUES (54, NULL, 'login', '86', '18738190585', 'yeMe6TGS4B', '2579', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"41C6B64A-2DBF-5205-AB33-87F932E709C0\",\"Message\":\"OK\",\"BizId\":\"689521051737096057^0\",\"Code\":\"OK\"}}}', '2022-05-05 15:51:36', '2022-05-05 15:51:36');
INSERT INTO `sms_records` VALUES (55, NULL, 'login', '86', '18382065209', 'UrmIMGYZUR', '3047', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"097CEA2A-6409-5112-8FE8-098AFA3B55C6\",\"Message\":\"OK\",\"BizId\":\"368523151738116680^0\",\"Code\":\"OK\"}}}', '2022-05-05 16:08:36', '2022-05-05 16:08:36');
INSERT INTO `sms_records` VALUES (56, NULL, 'login', '86', '18738190585', 'X96qdSOqKB', '6571', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"F4D611E9-DA9D-54C8-B954-883DA2C61D61\",\"Message\":\"OK\",\"BizId\":\"439416551740188027^0\",\"Code\":\"OK\"}}}', '2022-05-05 16:43:08', '2022-05-05 16:43:08');
INSERT INTO `sms_records` VALUES (57, NULL, 'login', '63', '55555555', 'dWOkwY93b2', '8651', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"01101FD1-4964-550E-90B2-26D02463C708\",\"Message\":\"OK\",\"BizId\":\"718014151826403439^0\",\"Code\":\"OK\"}}}', '2022-05-06 16:40:03', '2022-05-06 16:40:03');
INSERT INTO `sms_records` VALUES (58, NULL, 'login', '63', '9189927657', 'CBMmrIzfbL', '6897', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"E8F5190E-7B03-5A15-8CFD-42C5E07AE5B4\",\"Message\":\"OK\",\"BizId\":\"634303251829806118^0\",\"Code\":\"OK\"}}}', '2022-05-06 17:36:46', '2022-05-06 17:36:46');
INSERT INTO `sms_records` VALUES (59, NULL, 'login', '63', '9189927657', 'xhWoKpzoHS', '3595', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"6601900A-09BE-57BF-929A-7EE58A460EFA\",\"Message\":\"OK\",\"BizId\":\"288802551829806427^0\",\"Code\":\"OK\"}}}', '2022-05-06 17:36:46', '2022-05-06 17:36:46');
INSERT INTO `sms_records` VALUES (60, NULL, 'login', '63', '9189927657', 'K03zv0A8AW', '2899', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"8CC54509-2497-5BB8-99E7-E4C8B88F7768\",\"Message\":\"OK\",\"BizId\":\"865522151829806693^0\",\"Code\":\"OK\"}}}', '2022-05-06 17:36:46', '2022-05-06 17:36:46');
INSERT INTO `sms_records` VALUES (61, NULL, 'login', '63', '9189027657', 'Mduxwgz0AD', '9718', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"2EBA7B6D-40DF-5929-8AEC-7D4F58CB4BCC\",\"Message\":\"OK\",\"BizId\":\"146522351829863099^0\",\"Code\":\"OK\"}}}', '2022-05-06 17:37:43', '2022-05-06 17:37:43');
INSERT INTO `sms_records` VALUES (62, NULL, 'login', '63', '9175089852', 'lA754VpdAz', '4606', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"535FE821-D03C-5CF6-A0D3-1DD79BBCA63C\",\"Message\":\"OK\",\"BizId\":\"850309651890980668^0\",\"Code\":\"OK\"}}}', '2022-05-07 10:36:20', '2022-05-07 10:36:20');
INSERT INTO `sms_records` VALUES (63, NULL, 'forget', '86', '17091311737', 'ocGmQfd97b', '2041', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"65718D7F-82B1-5156-92E6-D25ABDE62563\",\"Message\":\"OK\",\"BizId\":\"968419551969469839^0\",\"Code\":\"OK\"}}}', '2022-05-08 08:24:30', '2022-05-08 08:24:30');
INSERT INTO `sms_records` VALUES (64, NULL, 'login', '86', '18382065209', 'KmKywnVWAl', '2832', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"0769E321-FA63-5958-BDE8-B7FD9F8BECE5\",\"Message\":\"OK\",\"BizId\":\"960522053300807767^0\",\"Code\":\"OK\"}}}', '2022-05-23 18:13:28', '2022-05-23 18:13:28');
INSERT INTO `sms_records` VALUES (65, NULL, 'login', '63', '131123456785', 'X19Datg3qV', '7356', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"004D8EF8-F7C7-556A-BC6F-FA50689DC293\",\"Message\":\"OK\",\"BizId\":\"591803153358552331^0\",\"Code\":\"OK\"}}}', '2022-05-24 10:15:52', '2022-05-24 10:15:52');
INSERT INTO `sms_records` VALUES (66, NULL, 'login', '86', '18738190585', 'geB2bynwa0', '7821', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"A1CBA1B2-F752-5B82-9A04-0C0D47AD643A\",\"Message\":\"OK\",\"BizId\":\"294021953637698295^0\",\"Code\":\"OK\"}}}', '2022-05-27 15:48:18', '2022-05-27 15:48:18');
INSERT INTO `sms_records` VALUES (67, NULL, 'forget', '86', '13696199309', 'DoWKPRVkqj', '7192', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"53650434-2983-592D-8BB0-E6736AD9A86E\",\"Message\":\"OK\",\"BizId\":\"642403953638157061^0\",\"Code\":\"OK\"}}}', '2022-05-27 15:55:57', '2022-05-27 15:55:57');
INSERT INTO `sms_records` VALUES (68, NULL, 'forget', '86', '13696199309', 'BXpDdI1xN2', '2094', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"F218EA56-BBD3-552D-9E45-39A09D22242B\",\"Message\":\"OK\",\"BizId\":\"575507453638263679^0\",\"Code\":\"OK\"}}}', '2022-05-27 15:57:43', '2022-05-27 15:57:43');
INSERT INTO `sms_records` VALUES (69, NULL, 'forget', '86', '13696199309', 'tO4VGl1i8t', '1537', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"74268BFD-3072-51A1-A4B8-D1D892011FB1\",\"Message\":\"OK\",\"BizId\":\"201423553638717520^0\",\"Code\":\"OK\"}}}', '2022-05-27 16:05:17', '2022-05-27 16:05:17');
INSERT INTO `sms_records` VALUES (70, NULL, 'login', '63', '9175089852', 'ztPzRltP5D', '6547', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"3886E839-6E05-55DD-A8F3-036737E4F5C2\",\"Message\":\"OK\",\"BizId\":\"307621353696714196^0\",\"Code\":\"OK\"}}}', '2022-05-28 08:11:54', '2022-05-28 08:11:54');
INSERT INTO `sms_records` VALUES (71, NULL, 'login', '86', '13696199309', 'E1nwgP5AsO', '9813', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"1AD97E4E-6F21-5719-B230-B7FC0DEE35D1\",\"Message\":\"OK\",\"BizId\":\"431722953985198509^0\",\"Code\":\"OK\"}}}', '2022-05-31 16:19:58', '2022-05-31 16:19:58');
INSERT INTO `sms_records` VALUES (72, NULL, 'login', '86', '13696199309', 'YxDmMTlQgw', '2783', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"C056D121-0C19-508A-862F-C0E7FC203E13\",\"Message\":\"OK\",\"BizId\":\"157402554047719050^0\",\"Code\":\"OK\"}}}', '2022-06-01 09:41:59', '2022-06-01 09:41:59');
INSERT INTO `sms_records` VALUES (73, NULL, 'login', '86', '13696199309', 'lVaDvplriR', '6896', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"51DDC0A3-388B-52DA-844F-0C5BC73D37AE\",\"Message\":\"OK\",\"BizId\":\"651101254090659446^0\",\"Code\":\"OK\"}}}', '2022-06-01 21:37:39', '2022-06-01 21:37:39');
INSERT INTO `sms_records` VALUES (74, NULL, 'login', '86', '13550271341', '24B55HALjy', '5520', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"RequestId\":\"CCC0189A-AB4F-5EEB-A075-3AF23E44E9D0\",\"Message\":\"OK\",\"BizId\":\"479208654179665401^0\",\"Code\":\"OK\"}}}', '2022-06-02 22:21:05', '2022-06-02 22:21:05');
INSERT INTO `sms_records` VALUES (75, NULL, 'login', '86', '18738190585', '', '5781', '\"\"', '2022-07-14 03:40:14', '2022-07-14 03:40:14');
INSERT INTO `sms_records` VALUES (76, NULL, 'login', '86', '18738190585', 'sztAonUrhM', '4852', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"Message\":\"OK\",\"RequestId\":\"B7D61DCE-68A1-5D5A-BB99-D417DFDBF221\",\"Code\":\"OK\",\"BizId\":\"371418657771660391^0\"}}}', '2022-07-14 04:07:40', '2022-07-14 04:07:40');
INSERT INTO `sms_records` VALUES (77, NULL, 'login', '86', '18738190585', 'Mmco3yQxEz', '9353', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"Message\":\"OK\",\"RequestId\":\"729D9F57-8822-52CC-A756-E241FA709F6A\",\"Code\":\"OK\",\"BizId\":\"194719857777810763^0\"}}}', '2022-07-14 05:50:11', '2022-07-14 05:50:11');
INSERT INTO `sms_records` VALUES (78, NULL, 'login', '86', '18738190585', 'NWLVwvxjyc', '7775', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"Message\":\"OK\",\"RequestId\":\"47A021C1-991D-5111-8F30-96845467B354\",\"Code\":\"OK\",\"BizId\":\"672214257798054134^0\"}}}', '2022-07-14 11:27:34', '2022-07-14 11:27:34');
INSERT INTO `sms_records` VALUES (79, NULL, 'login', '86', '18738190585', '2b39gvtqj9', '1091', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"Message\":\"OK\",\"RequestId\":\"F5A100D0-8F11-530D-8699-C5E356D5F0A2\",\"Code\":\"OK\",\"BizId\":\"479218657798177340^0\"}}}', '2022-07-14 11:29:37', '2022-07-14 11:29:37');
INSERT INTO `sms_records` VALUES (80, NULL, 'login', '86', '18738190585', 'E4Kf748ZCL', '5310', '{\"aliyun\":{\"gateway\":\"aliyun\",\"status\":\"success\",\"result\":{\"Message\":\"OK\",\"RequestId\":\"1AB75506-9A5C-5DF7-8F9B-10962E904F13\",\"Code\":\"OK\",\"BizId\":\"213223657798476612^0\"}}}', '2022-07-14 11:34:36', '2022-07-14 11:34:36');

-- ----------------------------
-- Table structure for system_config
-- ----------------------------
DROP TABLE IF EXISTS `system_config`;
CREATE TABLE `system_config`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `group` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default' COMMENT '配置组名',
  `key` char(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '配置名',
  `comment` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '说明',
  `value` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '配置值',
  `on` tinyint(1) NULL DEFAULT 1 COMMENT '是否启用',
  `chinese` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '??????,?????û??鿴',
  `fieldType` tinyint(3) UNSIGNED NOT NULL DEFAULT 0 COMMENT '0 ??ͨ?ı?????1 ???ı? ??2 JSON',
  `sort` int(11) NOT NULL DEFAULT 0,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 14 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of system_config
-- ----------------------------
INSERT INTO `system_config` VALUES (1, 'ali_config', 'ACCESS_ID', '阿里云', 'LTAI4FgJdnfwsj5Bb6ioWSD9', 1, 'ACCESS_ID', 0, 0, '2022-01-10 16:44:43', '2019-12-02 10:47:08');
INSERT INTO `system_config` VALUES (2, 'ali_config', 'ACCESS_KEY', '阿里云appSecret', 'S4Tp2eNVKHROuNOLjTvAICTnjqXFFR', 1, 'ACCESS_KEY', 0, 0, '2022-01-10 16:44:54', '2019-12-02 10:49:20');
INSERT INTO `system_config` VALUES (3, 'ali_config', 'BUCKET', '阿里oss储存位置', 'zhengda', 1, 'BUCKET', 0, 0, '2022-01-10 16:45:07', '2019-12-02 10:50:10');
INSERT INTO `system_config` VALUES (4, 'ali_config', 'ENDPOINT', '阿里oss域名', 'oss-accelerate.aliyuncs.com', 1, 'ENDPOINT', 0, 0, '2022-01-10 16:45:21', '2019-12-02 10:50:33');
INSERT INTO `system_config` VALUES (5, 'wechat_config', 'appId', '微信开放平台appid', 'wx35869b84a6c2645b', 1, 'AppId', 0, 0, '2022-01-11 14:34:45', '2019-12-02 10:56:52');
INSERT INTO `system_config` VALUES (6, 'wechat_config', 'appSecret', '微信开放平台AppSecret', '022dd08b54f3272a055365cc84e9c108', 1, 'AppSecret', 0, 0, '2022-01-12 16:24:59', '2019-12-02 10:57:17');
INSERT INTO `system_config` VALUES (7, 'wechat_config', 'universalLinks', '微信开放平台Universal Links', 'https://easygo/app/', 1, 'Universal Links', 0, 0, '2022-01-12 09:26:36', '2022-01-12 09:26:36');
INSERT INTO `system_config` VALUES (8, 'system_config', 'customerPhone', '客服电话', '88888888', 1, '客服电话', 0, 0, '2022-01-11 14:36:00', '2019-12-02 10:59:41');
INSERT INTO `system_config` VALUES (9, 'system_config', 'googleMapKey', '谷歌地图密钥', 'AIzaSyBBEFB4wqmKJVJTgq1kIEMf42op1TsjZfc', 1, '谷歌地图密钥', 0, 0, '2022-01-11 14:32:20', '2021-12-20 14:47:59');
INSERT INTO `system_config` VALUES (10, 'tencent', 'IM_APP_ID', '腾讯IM app_id', 'wx79a3fbfceb1a82d3', 1, 'IM_APP_ID', 0, 0, '2022-01-10 17:12:29', '2022-01-10 17:12:29');
INSERT INTO `system_config` VALUES (11, 'tencent', 'IM_SECRET', '腾讯IM secret', '898d98e4efbc95b873391a733d82c78ef5b7c3f25e8596b8e0da3051512f3d11', 1, 'IM_SECRET', 0, 0, '2022-01-10 17:14:27', '2022-01-10 17:14:27');
INSERT INTO `system_config` VALUES (13, 'system-config', 'jpush_status', '极光推送状态   1开启  0关闭', '1', 1, '极光推送状态', 3, 0, '2022-01-25 14:02:48', '2022-01-25 13:48:55');

-- ----------------------------
-- Table structure for user_extras
-- ----------------------------
DROP TABLE IF EXISTS `user_extras`;
CREATE TABLE `user_extras`  (
  `user_id` int(10) UNSIGNED NOT NULL COMMENT '用户标识',
  `likes_count` int(10) UNSIGNED NULL DEFAULT 0 COMMENT '点赞统计',
  `comments_count` int(10) UNSIGNED NULL DEFAULT 0 COMMENT '评论统计',
  `fans_count` int(10) UNSIGNED NULL DEFAULT 0 COMMENT '粉丝统计',
  `follow_count` int(10) UNSIGNED NULL DEFAULT 0 COMMENT '关注数统计',
  `feeds_count` int(10) UNSIGNED NULL DEFAULT 0 COMMENT '用户分享统计',
  `checkin_count` int(10) UNSIGNED NULL DEFAULT 0 COMMENT '用户签到统计',
  `friends_count` int(10) UNSIGNED NULL DEFAULT 0,
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`user_id`) USING BTREE,
  INDEX `user_extras_user_id_index`(`user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '用户粉丝点赞签到等统计' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of user_extras
-- ----------------------------
INSERT INTO `user_extras` VALUES (1, 0, 0, 5, 7, 0, 0, 4, '2022-03-18 10:32:18', '2022-06-02 09:28:29', NULL);
INSERT INTO `user_extras` VALUES (2, 0, 0, 5, 6, 0, 0, 3, '2022-03-18 10:33:17', '2022-06-07 10:29:12', NULL);
INSERT INTO `user_extras` VALUES (3, 0, 0, 0, 0, 0, 0, 0, '2022-03-18 10:47:25', '2022-03-18 10:47:25', NULL);
INSERT INTO `user_extras` VALUES (4, 0, 0, 6, 6, 0, 0, 6, '2022-03-18 10:49:43', '2022-06-01 10:24:11', NULL);
INSERT INTO `user_extras` VALUES (5, 0, 0, 1, 0, 0, 0, 0, '2022-03-18 11:06:52', '2022-04-12 19:51:33', NULL);
INSERT INTO `user_extras` VALUES (6, 0, 0, 1, 1, 0, 0, 1, '2022-03-18 12:04:37', '2022-03-18 13:44:19', NULL);
INSERT INTO `user_extras` VALUES (7, 0, 0, 5, 1, 0, 0, 1, '2022-03-19 00:10:52', '2022-04-17 09:54:06', NULL);
INSERT INTO `user_extras` VALUES (8, 0, 0, 1, 2, 0, 0, 1, '2022-03-19 12:45:40', '2022-03-25 11:46:36', NULL);
INSERT INTO `user_extras` VALUES (9, 0, 0, 4, 3, 0, 0, 2, '2022-03-21 07:33:27', '2022-06-04 23:23:09', NULL);
INSERT INTO `user_extras` VALUES (10, 0, 0, 0, 0, 0, 0, 0, '2022-03-21 17:21:02', '2022-03-21 17:21:02', NULL);
INSERT INTO `user_extras` VALUES (11, 0, 0, 2, 2, 0, 0, 2, '2022-03-22 21:55:13', '2022-06-05 21:42:00', NULL);
INSERT INTO `user_extras` VALUES (12, 0, 0, 0, 0, 0, 0, 0, '2022-03-23 23:36:51', '2022-03-23 23:36:51', NULL);
INSERT INTO `user_extras` VALUES (13, 0, 0, 0, 0, 0, 0, 0, '2022-03-26 12:33:52', '2022-03-26 12:33:52', NULL);
INSERT INTO `user_extras` VALUES (14, 0, 0, 0, 0, 0, 0, 0, '2022-03-28 09:41:35', '2022-03-28 09:41:35', NULL);
INSERT INTO `user_extras` VALUES (15, 0, 0, 0, 0, 0, 0, 0, '2022-04-01 12:07:21', '2022-04-01 12:07:21', NULL);
INSERT INTO `user_extras` VALUES (16, 0, 0, 0, 0, 0, 0, 0, '2022-04-01 20:40:20', '2022-04-01 20:40:20', NULL);
INSERT INTO `user_extras` VALUES (17, 0, 0, 0, 0, 0, 0, 0, '2022-04-02 10:00:14', '2022-04-02 10:00:14', NULL);
INSERT INTO `user_extras` VALUES (18, 0, 0, 0, 1, 0, 0, 0, '2022-04-05 15:56:27', '2022-04-05 15:58:36', NULL);
INSERT INTO `user_extras` VALUES (19, 0, 0, 0, 0, 0, 0, 0, '2022-04-06 11:19:39', '2022-04-06 11:19:39', NULL);
INSERT INTO `user_extras` VALUES (20, 0, 0, 0, 0, 0, 0, 0, '2022-04-06 16:27:11', '2022-04-06 16:27:11', NULL);
INSERT INTO `user_extras` VALUES (21, 0, 0, 0, 0, 0, 0, 0, '2022-04-07 12:17:28', '2022-04-07 12:17:28', NULL);
INSERT INTO `user_extras` VALUES (22, 0, 0, 0, 0, 0, 0, 0, '2022-04-07 18:00:21', '2022-04-07 18:00:21', NULL);
INSERT INTO `user_extras` VALUES (23, 0, 0, 1, 0, 0, 0, 0, '2022-04-12 13:12:28', '2022-04-12 16:17:42', NULL);
INSERT INTO `user_extras` VALUES (24, 0, 0, 1, 4, 0, 0, 1, '2022-04-12 15:03:39', '2022-04-17 22:39:06', NULL);
INSERT INTO `user_extras` VALUES (25, 0, 0, 0, 0, 0, 0, 0, '2022-04-13 18:07:31', '2022-04-13 18:07:31', NULL);
INSERT INTO `user_extras` VALUES (26, 0, 0, 0, 0, 0, 0, 0, '2022-04-14 20:04:07', '2022-04-14 20:04:07', NULL);
INSERT INTO `user_extras` VALUES (100000, 0, 0, 2, 2, 0, 0, 2, '2022-04-17 08:47:59', '2022-06-05 21:42:00', NULL);
INSERT INTO `user_extras` VALUES (100001, 0, 0, 1, 0, 0, 0, 0, '2022-04-17 11:35:52', '2022-04-17 12:12:08', NULL);
INSERT INTO `user_extras` VALUES (100002, 0, 0, 1, 1, 0, 0, 1, '2022-04-17 22:33:00', '2022-04-17 22:39:06', NULL);
INSERT INTO `user_extras` VALUES (100004, 0, 0, 0, 0, 0, 0, 0, '2022-04-19 20:30:39', '2022-04-19 20:30:39', NULL);
INSERT INTO `user_extras` VALUES (100005, 0, 0, 0, 0, 0, 0, 0, '2022-04-19 20:49:48', '2022-04-19 20:49:48', NULL);
INSERT INTO `user_extras` VALUES (100006, 0, 0, 0, 0, 0, 0, 0, '2022-04-21 07:55:00', '2022-04-21 07:55:00', NULL);
INSERT INTO `user_extras` VALUES (100007, 0, 0, 0, 0, 0, 0, 0, '2022-04-21 09:26:07', '2022-04-21 09:26:07', NULL);
INSERT INTO `user_extras` VALUES (100008, 0, 0, 0, 0, 0, 0, 0, '2022-04-21 16:57:09', '2022-04-21 16:57:09', NULL);
INSERT INTO `user_extras` VALUES (100009, 0, 0, 0, 0, 0, 0, 0, '2022-04-21 17:56:54', '2022-04-21 17:56:54', NULL);
INSERT INTO `user_extras` VALUES (100010, 0, 0, 1, 1, 0, 0, 1, '2022-04-22 22:11:44', '2022-04-27 09:37:50', NULL);
INSERT INTO `user_extras` VALUES (100011, 0, 0, 0, 0, 0, 0, 0, '2022-04-26 23:09:26', '2022-04-26 23:09:26', NULL);
INSERT INTO `user_extras` VALUES (100012, 0, 0, 1, 1, 0, 0, 1, '2022-04-29 11:57:10', '2022-04-29 15:14:55', NULL);
INSERT INTO `user_extras` VALUES (100013, 0, 0, 0, 0, 0, 0, 0, '2022-05-01 21:37:12', '2022-05-01 21:37:12', NULL);
INSERT INTO `user_extras` VALUES (100014, 0, 0, 0, 0, 0, 0, 0, '2022-05-04 06:06:11', '2022-05-04 06:06:11', NULL);
INSERT INTO `user_extras` VALUES (100015, 0, 0, 0, 0, 0, 0, 0, '2022-05-05 15:42:22', '2022-05-05 15:42:22', NULL);
INSERT INTO `user_extras` VALUES (100016, 0, 0, 0, 0, 0, 0, 0, '2022-05-06 17:38:25', '2022-05-06 17:38:25', NULL);
INSERT INTO `user_extras` VALUES (100017, 0, 0, 0, 0, 0, 0, 0, '2022-05-12 21:04:05', '2022-05-12 21:04:05', NULL);
INSERT INTO `user_extras` VALUES (100018, 0, 0, 0, 0, 0, 0, 0, '2022-05-24 11:09:50', '2022-05-24 11:09:50', NULL);
INSERT INTO `user_extras` VALUES (100019, 0, 0, 0, 0, 0, 0, 0, '2022-05-24 11:13:45', '2022-05-24 11:13:45', NULL);
INSERT INTO `user_extras` VALUES (100020, 0, 0, 0, 0, 0, 0, 0, '2022-05-24 11:54:01', '2022-05-24 11:54:01', NULL);
INSERT INTO `user_extras` VALUES (100021, 0, 0, 0, 0, 0, 0, 0, '2022-05-24 11:55:07', '2022-05-24 11:55:07', NULL);
INSERT INTO `user_extras` VALUES (100022, 0, 0, 0, 0, 0, 0, 0, '2022-05-24 11:56:13', '2022-05-24 11:56:13', NULL);
INSERT INTO `user_extras` VALUES (100023, 0, 0, 2, 1, 0, 0, 1, '2022-05-28 17:07:07', '2022-06-02 09:27:55', NULL);
INSERT INTO `user_extras` VALUES (100024, 0, 0, 0, 0, 0, 0, 0, '2022-06-01 16:49:25', '2022-06-01 16:49:25', NULL);
INSERT INTO `user_extras` VALUES (100025, 0, 0, 1, 2, 0, 0, 1, '2022-06-01 21:37:59', '2022-06-07 10:29:12', NULL);
INSERT INTO `user_extras` VALUES (100026, 0, 0, 0, 0, 0, 0, 0, '2022-06-01 22:40:59', '2022-06-01 22:40:59', NULL);
INSERT INTO `user_extras` VALUES (100027, 0, 0, 0, 0, 0, 0, 0, '2022-06-04 22:29:02', '2022-06-04 22:29:02', NULL);

-- ----------------------------
-- Table structure for user_feedback
-- ----------------------------
DROP TABLE IF EXISTS `user_feedback`;
CREATE TABLE `user_feedback`  (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user_id` int(10) NOT NULL,
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `file` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `status` tinyint(1) NULL DEFAULT 0,
  `created_at` datetime(0) NULL DEFAULT NULL,
  `updated_at` datetime(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `feedback_index`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户意见反馈' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of user_feedback
-- ----------------------------
INSERT INTO `user_feedback` VALUES (1, 1, '有人骂我还笑', '\"[\'https:\\\\\\/\\\\\\/easygolf.oss-ap-southeast-6.aliyuncs.com\\\\\\/golf\\\\\\/images\\\\\\/224a744d289cf27a32b7847a02105f1f.png\',\'https:\\\\\\/\\\\\\/easygolf.oss-ap-southeast-6.aliyuncs.com\\\\\\/golf\\\\\\/images\\\\\\/abfda458ddea8238dd745c466fcbf5c8.png\']\"', 0, '2022-07-27 16:56:59', '2022-07-27 16:56:59');

-- ----------------------------
-- Table structure for users
-- ----------------------------
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users`  (
  `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户名',
  `avatar` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户头像',
  `email` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '邮箱',
  `mobile` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '手机号',
  `password` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '密码',
  `wx_openid` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '微信第三方登录标识',
  `fb_openid` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'facebook第三方登录标识',
  `sex` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0-未选择1-男 2-女	',
  `birthday` timestamp(0) NULL DEFAULT NULL COMMENT '生日',
  `bg` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '个人主页背景',
  `online` tinyint(1) UNSIGNED NOT NULL DEFAULT 0 COMMENT '在线状态  1在线 0离线',
  `last_login_time` datetime(0) NULL DEFAULT NULL,
  `register_ip` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '注册 ID',
  `last_login_ip` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '最近登录 ID',
  `lang` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户语言',
  `jpush_reg_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '极光推送ID',
  `created_at` timestamp(0) NULL DEFAULT NULL,
  `updated_at` timestamp(0) NULL DEFAULT NULL,
  `deleted_at` timestamp(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `name`(`name`, `email`, `mobile`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100028 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of users
-- ----------------------------
INSERT INTO `users` VALUES (1, 'alike', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6351651751397220505.jpg', '', '18738190585', '$2y$10$HrA1xWuATjimxZ4LvTmi5uD4SMj1v4WBpV9qYBOP1KbGBQfP2oRla', 'ojGMZ62paE-L34f6LXhAlzli1iXI', '', 1, '1996-03-18 00:00:00', NULL, 1, '2022-07-27 16:34:36', '223.104.220.185', '127.0.0.1', 'en', '140fe1da9e55ccfb588', '2022-03-18 10:32:18', '2022-07-27 16:34:36', NULL);
INSERT INTO `users` VALUES (2, 'alitaba', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/05/6801651722271220505.JPG', '', '18848347693', '$2y$10$WxDWsW9FyoO9kkSOXce25uRO8LFQlqZ444Rjz9ETBDgjn3E4V7giS', 'ojGMZ6xFDpceF8zXJ-a9yRDbMz38', '', 1, '2019-05-05 00:00:00', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/30/5fa1d584e453722efb80.JPG', 1, '2022-06-09 23:13:33', '171.223.92.64', '117.136.64.92', 'zh', '1104a8979253cd6881d', '2022-03-18 10:33:17', '2022-06-09 23:36:38', NULL);
INSERT INTO `users` VALUES (3, 'cliton', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b92858ba88d3cee76590.png', '', '13696199359', '', '', '', 0, '2022-03-18 10:47:25', NULL, 1, '2022-03-29 11:04:34', '171.88.45.185', '182.139.64.255', 'en', '', '2022-03-18 10:47:25', '2022-03-29 11:04:34', NULL);
INSERT INTO `users` VALUES (4, 'cake', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/55d10a8413bb7bd6c5ee.png', '', '013696199309', '$2y$10$18Vq73YxoE2NRT1LhUcfTONlvPlBsz7OWe/uenGlIhLy3cn8WgkQS', '', '', 2, '2022-03-18 00:00:00', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/31/22dee302d2ec3aadb230.jpg', 0, '2022-06-01 21:26:17', '171.223.92.64', '117.136.64.226', 'zh', '18071adc03f4d843580', '2022-03-18 10:49:43', '2022-06-01 21:37:50', '2022-06-01 21:37:50');
INSERT INTO `users` VALUES (5, 'Greg', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/images/3772ac1b95b11c00e3663e3ae5fa6c9f.png', '', '1581188848', '', '', '', 1, '1985-06-16 00:00:00', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/26/4ea1972267d0cc9b010d.JPG', 1, '2022-03-26 15:33:36', '112.206.71.67', '112.206.67.67', 'en', '1114a897925e8f9990e', '2022-03-18 11:06:52', '2022-03-26 23:22:53', NULL);
INSERT INTO `users` VALUES (6, 'we', 'https://zhengda.oss-accelerate.aliyuncs.com/golf/images/3772ac1b95b11c00e3663e3ae5fa6c9f.png', '', '18215556948', '', '', '', 1, '2022-03-18 00:00:00', NULL, 1, '2022-03-18 12:04:41', '171.223.92.64', '171.223.92.64', 'zh', '191e35f7e08a7a5343b', '2022-03-18 12:04:37', '2022-03-18 13:41:37', NULL);
INSERT INTO `users` VALUES (7, 'Amos', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/03/22127328d5f5eb7c040f.JPG', '', '15881188848', '$2y$10$YS.SqkfX1FhOC/tdPKxCnu979vk9TPUZILn9FzTLE713O/Rzv1zMS', 'ojGMZ6zvs4ooB_gy7tV-rrnMTlJo', '', 1, '1989-08-13 23:00:00', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-04/12/317e7c1a823235e7c17f.JPG', 1, '2022-06-05 22:17:07', '112.206.71.67', '117.176.126.52', 'zh', '18171adc03f71015e71', '2022-03-19 00:10:52', '2022-06-05 22:17:09', NULL);
INSERT INTO `users` VALUES (8, 'Euser152', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b92858ba88d3cee76590.png', '', '15283203646', '$2y$10$9xTMrVuri44qA6z7yPFq8.ayShFGcuKkwrcHekn3GpmVHsKW1mOFi', '', '', 0, '2022-03-19 12:45:40', NULL, 1, '2022-03-30 10:30:19', '117.136.62.102', '125.69.99.111', 'zh', '141fe1da9e5a0c2ab12', '2022-03-19 12:45:40', '2022-03-30 10:30:19', NULL);
INSERT INTO `users` VALUES (9, '李连杰', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/04/4a47e8074e63d0b68afe.png', '', '17091311737', '$2y$10$1pLYKe5rtPE5jQrZ5HyqceDby/Ed2uULRG2qGMNMGJmQGBezANvH6', 'ojGMZ6xnKyaNk28BPhfnLp_dkOWw', '1182026019208651', 1, '2022-03-21 00:00:00', 'http://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-05/28/6671653751317220528.jpg', 1, '2022-06-09 23:38:57', '222.209.157.246', '61.157.6.48', 'zh', '1104a8979253cd6881d', '2022-03-21 07:33:27', '2022-06-09 23:38:57', NULL);
INSERT INTO `users` VALUES (10, '张曼玉', 'https://easygolf.oss-ap-southeast-6.aliyuncs.com/golf/2022-03/18/b92858ba88d3cee76590.png', '', '18953305050', '$2y$10$1TB.7yP4pkbI/h9GX2LnOuX2pGU4UrO1frJwtfEtbrfcr9IdzEdHG', '', '', 0, '2022-03-21 17:21:02', NULL, 1, '2022-03-21 17:21:07', '182.35.213.49', '182.35.213.49', 'zh', '1507bfd3f7346122ed4', '2022-03-21 17:21:02', '2022-03-21 17:21:07', NULL);

SET FOREIGN_KEY_CHECKS = 1;
